//Door include file for History



#include "colors.inc"
#include "dandelion.inc"
#include "grass.inc" 

/*
global_settings
{
  assumed_gamma 1.0
}

// ----------------------------------------
camera
{
  location  <0.0, 0.5, -55.0>
  direction 1.5*z
  right     4/3*x
  look_at   <0.0, 0.0,  0.0>
}

background { color rgb <0,0,0> }

light_source{<3000, 3000, -3000>,color rgb<1.15,1.15,1.15>}
*/
// ----------------------------------------
#declare Stone_Tex =texture{
     pigment{color rgb<1,1,1>}
         normal {
             marble
                normal_map {
                    [0.5  bumps  scale 0.05]
                    [1.0  dents 2  scale 0.05]
                    }
                    scale 1.5
                  }
                finish{specular .5}
                scale 0.5
                } 

#macro Block(S,ER)

#local Edge =cylinder{y*-S,y*S,ER}
#local IS = S-ER;
#local Infill = box{<S,S,S>,<-S,-S,-S> scale<2*ER,1,1> }
#local Corner = sphere{0,ER} 

        union{
                object{box{<S,S,S>,<-S,-S,-S>}}
                //----------------------
                object{Edge translate<-S,0,IS>}  //LF
                object{Edge translate<S,0,IS>}  //RF
                object{Edge rotate z*90 translate<0,S,IS>}  //Ftop
                object{Edge rotate z*90 translate<0,-S,IS>}  //FBottom
                //----------------------
                object{Edge rotate x*90 translate<S,S,-ER>}  // LStop
                object{Edge rotate x*90 translate<S,-S,-ER>}  // LSBottom 
                object{Edge rotate x*90 translate<-S,S,-ER>}  // RStop
                object{Edge rotate x*90 translate<-S,-S,-ER>}  // RSBottom 
                //----------------------
                object{Corner translate<-S,S,IS>}//left top
                object{Corner translate<-S,-S,IS>}//left Bottom
                object{Corner translate<S,S,IS>} //right top
                object{Corner translate<S,-S,IS>} //right bottom
                //----------------------
                object{Infill translate<S,0,0-ER>} //right side
                object{Infill translate<-S,0,0-ER>}//left side
                translate y*.5
                rotate y*180
              } //end of union
              
#end

#macro Slab(HS,VS,D)
#local Edge = cylinder{x*-HS,x*HS,VS}
#local DEdge = cylinder{z*-D,z*D,VS}
#local Corner = sphere{0,VS} 

        union{
                object{box{<HS,VS,D>,<-HS,-VS,-D>}}
                //----------------------
                object{Edge translate<0,0,-D>}  //front
                object{DEdge translate<HS,0,0>}  //right
                object{DEdge  translate<-HS,0,0>}  //left 
                //----------------------
                object{Corner translate<HS,0,-D>}  //right
                object{Corner translate<-HS,0,-D>} //left

              } //end of union
              
#end
//Dorway =======================================================================

#declare Gap =.125;

// pillars

#declare Door_pillar = union{
        object{Block(.5,.05)  //top
              scale <1,1.25,1>
                    translate<0,6.5+5*Gap,0>
              }

        object{Block(.5,.05)  //2nd Down
              scale <1,1.25,1>
                    translate<0,5.25+4*Gap,0>
              }
              
        object{Block(.5,.05) //3rd Down
              scale <1,1.25,1>
                    translate<0,4+3*Gap,0>
              }
               
        object{Block(.5,.05)  //4th Down
              scale <1,1.5,1>
                    translate<0,2.5+2*Gap,0>
              }
              
        object{Block(.5,.05)  //5th Down
              translate<0,1.5+Gap,0>
              }
              
        object{Block(.5,.05)  //bottom
              scale <1,1.5,1>
                    translate<0,0,0>
              }
                                                        
}//end of union 

#declare Inner_Door_pillar = union{
        object{Block(.5,.05)  //top
                    translate<0,6.5+5*Gap,0>
              }

        object{Block(.5,.05)  //2nd Down
              scale <1,1.25,1>
                    translate<0,5.25+4*Gap,0>
              }
              
        object{Block(.5,.05) //3rd Down
              scale <1,1.25,1>
                    translate<0,4+3*Gap,0>
              }
               
        object{Block(.5,.05)  //4th Down
              scale <1,1.5,1>
                    translate<0,2.5+2*Gap,0>
              }
              
        object{Block(.5,.05)  //5th Down
              translate<0,1.5+Gap,0>
              }
              
        object{Block(.5,.05)  //bottom
              scale <1,1.5,1>
                    translate<0,0,0>
              }
                                                        
}//end of union 
//Horizontal bits-----------------------------------
                           
//object{Slab(3.525,.1,.5)translate y* 4.6}

#declare Date =
    height_field{gif "1586.gif"
           smooth 
                water_level 0.01   
                    scale <1.5,1,1> scale 1.25
                        rotate x*-90 
                          translate<-0.5,0,-0.5>
                            translate <-0.5,4.2,1.45>
                        
        }


#declare Door = union{

        object{Door_pillar translate<-3,-4,0>} //y translation arbitrary
        object{Door_pillar translate<3,-4,0>}
        object{Inner_Door_pillar translate<-2.75,-4,0.25>}
        object{Inner_Door_pillar translate<2.75,-4,0.25>}
        //---------------------------------------------
        //top outer dec
        object{Slab(.65,.05,.5)translate <3,4.55,0>}//right pillar top
        object{Slab(.65,.05,.5)translate <-3,4.55,0>}//left pillar top
        object{Slab(.6,.025,.5)translate <3,4.475,0>}//right pillar stop
        object{Slab(.6,.025,.5)translate <-3,4.475,0>}//left pillar stop
        
        //top  inner dec
        object{Slab(.6,.025,.5)translate <2.75,4.125,0.25>}// inner right pillar stop
        object{Slab(.6,.025,.5)translate <-2.75,4.125,0.25>}//inner left pillar stop
        object{Slab(.65,.06,.5)translate <2.75,4.2,0.25>}// inner right pillar top
        object{Slab(.65,.06,.5)translate <-2.75,4.2,0.25>}//inner left pillar top 
        
        // bottom inner dec
        object{Slab(.65,.05,.5)translate <2.75,3.1,0.25>}// inner right pillar bottom
        object{Slab(.65,.05,.5)translate <-2.75,3.1,0.25>}//inner left pillar bottom 
        object{Slab(.6,.025,.5)translate <2.75,3.025,0.25>} //inner right sbottom
        object{Slab(.6,.025,.5)translate <-2.75,3.025,0.25>} //inner left sbottom
        //------------------------------------------------
        object{Slab(.65,.05,.5)translate <3,-4.125,0>}//right pillar bottom
        object{Slab(.65,.05,.5)translate <-3,-4.125,0>}//left pillar bottom
        object{Slab(.6,.025,.5)translate <3,-4.025,0>}//right pillar sbottom
        object{Slab(.6,.025,.5)translate <-3,-4.025,0>}//left pillar sbottom
        
        object{Slab(.6,.025,.5)translate <2.75,-4.025,0.25>}// inner right pillar sbottom
        object{Slab(.6,.025,.5)translate <-2.75,-4.025,0.25>}//inner left pillar sbottom
        object{Slab(.65,.06,.5)translate <2.75,-4.125,0.25>}// inner right pillar bottom
        object{Slab(.65,.06,.5)translate <-2.75,-4.125,0.25>}//inner left pillar bottom
        //-----------------------Transom------------------
        object{Block(.5,.05)  //leftmost
              scale <1.5,1,1>
                    translate<-2.75,5.5,0>
              }
        object{Block(.5,.05) 
             scale <0.97,1,1>
                    translate<-1.37,5.5,0>
              }
        object{Block(.5,.05)  //middle
              scale <1.5,1,1>
                    translate<0,5.5,0>
              }                            
        object{Block(.5,.05)
              scale <0.97,1,1>
                    translate<1.37,5.5,0>
              }              
        object{Block(.5,.05)  //rightmost
              scale <1.5,1,1>
                    translate<2.75,5.5,0> 
              }
        //-----------Big central decorative block-------------
        object{Block(.5,.05) 
              scale <4.5,1.25,1>
                    translate<0,4.25,0.25> 
              }
        //-----------Pillar top decorative blocks-------------
#declare Dec_Block = union{
        object{Block(.5,.05)}

        height_field{gif "stodec3.gif"
                smooth 
                water_level 0.01   
                        scale <1.2,0.15,0.95>//was y = 0.3 
                        rotate x*-90
                        translate <-0.6,0.025,-0.5>
        }
}
        object{Dec_Block  //left
              scale <1,0.75,1>
                    translate<-3,4.615,0>
              }
        object{Dec_Block  //right
              scale <1,0.75,1>
                    translate<3,4.615,0>
              }
        //slabs on top of decorative pillar blocks------------
        object{Slab(.675,.06,.5)translate <-3,5.5,-0.2>}//left
        object{Slab(.675,.06,.5)translate <3,5.5,-0.2>} //right
        //-------------------Slabs on Top---------------------
        object{Slab(3.65,.06,1)translate <0,6.5,0.3>}
        object{Slab(3.75,.06,1)translate <0,6.65,0.2>}                                                                        
        
        
#declare Decoration = 
        height_field{gif "stodec4.gif"
                smooth 
                water_level 0.01   
                        scale <1.2,0.3,0.95> 
                        rotate x*-90
                        translate <-0.6,0.025,-0.5>
        }


object{Decoration 
scale <1,1.5,.5>
scale .6 
translate<-2.75,5.5,-0.35>
} 

object{Decoration 
scale <1,1.5,.5>
scale .6  
translate<2.75,5.5,-0.35>
}

object{Decoration 
scale <1,1.5,.5>
scale .6  
translate<0,5.5,-0.35>
}

#include "stepston2.inc"
      
object{stepston
        scale <1.35,1,1>
        translate <-2.2,-4.2,0.4>
        }        
                                  
        
//blocks at base of wall
#declare CompoBlock = union {
        object{Block(.5,.05)scale <1.75,1.75,1> }
           object{Slab(.9,.05,.5)translate <0,1.85,0>}
              object{Slab(.925,.025,.5)translate <0,1.95,0.1>}//top
              }
               
        object{CompoBlock  //leftside nearest door
           translate<-4.3,-4.6,0.45>
              }
        object{CompoBlock  //leftside
           translate<-6.225,-4.6,0.45>
              }
        object{CompoBlock  //leftside
           translate<-8.15,-4.6,0.45>
              }
        object{CompoBlock  //leftside
           translate<-10.10,-4.6,0.45>
              }
              
        object{CompoBlock  //rightside nearest door
           translate<4.3,-4.6,0.45>
              }
        object{CompoBlock  //rightside
           translate<6.2125,-4.6,0.45>
              }
        object{CompoBlock  //rightside
           translate<8.15,-4.6,0.45>
              }
        object{CompoBlock  //rightside
           translate<10.05,-4.6,0.45>
              }
        object{CompoBlock  //rightside
           translate<11.975,-4.6,0.45>
              }
        object{CompoBlock  //rightside
           translate<13.9,-4.6,0.45>
              }
             
object{dandelion scale 0.2 translate<-8.5,-4.6,-.5>}
object{dandelion scale 0.25 rotate y*45 translate<-5,-4.6,-.465>}
object{dandelion scale 0.3 translate<-9.25,-4.6,-.475>}
object{dandelion scale 0.25 translate<5,-4.6,-.475>}
//object{dandelion scale 0.2 translate<6.25,-4.6,-.475>}
//object{dandelion scale 0.3 translate<8.5,-4.6,-.475>}
  
object{grass scale 0.15 rotate x*-15  translate<-10.1,-4.25,-.9>}

object{Date }                                                                                                                    
            
}//end of union 

//object{Door texture{Stone_Tex}rotate y*-25 scale 2.5 translate<0,0,-.4>scale .9 translate<2,-3,0>}
          
