// Persistence of Vision Ray Tracer Scene Description File
// File: ?.pov
// Vers: 3.1
// Desc: Basic Scene Example
// Date: mm/dd/yy
// Auth: Mick Hazelgrove
//

#version 3.1;

#include "colors.inc"
#include "Door.inc"
#include "Window.inc"
#include "Split Key Window.inc"
#include "wooden door.inc"
#include "cobbles.inc"
#include "Lamp.inc"
#include "Oillamp.inc"
#include "flower.inc"

global_settings
{
  assumed_gamma 1.0
}

// ----------------------------------------
camera
{
  location  <0.0, 0.5, -55.0>
  direction 1.5*z
  right     4/3*x
  look_at   <0.0, 0.0,  0.0>
}

background { color rgb <0,0,0> }

light_source{<3000, 3000 , -3000>,color rgb<1.5,1.5,1.5>}  //was 1.5



// ----------------------------------------

 
#declare WallTex = texture{
   pigment{color rgb<1,.9,.75>}
                 scale 70 
                    translate x*525

   finish{specular .25}
}

              

               
              
#declare Poster=
box{<0,0,0><1,1,-0.01>
   texture {pigment {image_map{tga "poster.tga" 
     map_type 0 
       interpolate 2 
   }
  }
}scale <7,9,1>}


#declare Wbase = difference {
   box{<-50,-50,0><50,50,15>} 
        height_field {gif "Wall_Tex3.gif"water_level 0.01
           translate <-0.5,0,-.5>
              rotate x*90
                   scale <75,60,.25> 
        translate<0,11,-0.0001>
        }
    box{<-48,-48,2.5><48,48,18>pigment{White}}    
}


#declare Wall = difference{
object{Wbase}
box {<0,0,-7>,<10,13,7> translate <-25,18.5,0>}
box {<0,0,-7>,<12.5,10,7> translate <16,21.5,0.65>} 
box {<-6,-6,-7>,<6,15,7> translate <0,0,0>}
       translate<0,-12,0.5>
       }
       
#declare Tourist =
box {0,<1,1,1> pigment {image_map { gif "tourist.gif" transmit 255,1
                                    interpolate 2}
                                    }
                scale 2*<1.75,2.75,0.001>
                scale 3.5
                rotate <0,-25,0>
		translate <66.5,27,-35> }       

#declare Old_Shadow =
box {0,<1,1,1> pigment {image_map { gif "hoplit.gif" transmit 4,1 transmit 0,0.5
                                    interpolate 2}
                                    rotate y*180
                                    }
               scale 2*<1,2.1333333,0.001>
               scale 3
               rotate <0,-25,-5>
	       translate  <34.1,35.5,-55> } //x bigger shadow moves left, y bigger shadow moves up

#declare Graf =
box {<0,0,0>,<1,1,-0.0000001> pigment{image_map{gif "graffiti.gif"
                                               transmit 237,1.0
                                            interpolate 2}}
     scale <2.2368421,1,1>
     no_shadow
     scale 12
     rotate z*20 
}

#declare FPic = union{
object{WDoor scale <.65,.75,.9> rotate y*180 translate<5.45,-9.75,1>}

object{SKWindow rotate x*-90 translate <-25,6.5,5>}

object{AllWin
pigment{White}
finish{ambient 0.3 diffuse 0.4 specular 1 reflection 0.4}
scale 1
translate <16,9.5,0.65> 
}

object{Door texture{Stone_Tex}scale 2.5 translate<0,0.5,-.4>}

object{Poster translate<18.5,-2.5,0.6>}

object{Wall texture{WallTex}}

object{Ground translate<0,-10.5,-12>finish{ambient .3}}

object{Lamp scale .6 translate<12.9,8,-.450>}
object{Oillamp rotate y*180 scale 2 translate<-12.5,8,-1.75>}
object{Graf translate <-29,-8.75,-.001>}
object{flowervase}

}


object{FPic scale .9 translate<2,-3,0> 
rotate y*-25
}

object{Old_Shadow}
object{Tourist}

