//  Persistance of Vision Raytracer V3.1
//  World definition file.
//
//  Contains 1 lights, 27 materials and 1522 primitives.
//
//  This file was generated for POV-Ray V3.1 by
//  Moray V3.1 For Windows (c) 1991-1998 Lutz + Kretzschmar
//

//  Date : 04/29/1999    (29.04.1999)
//


/* // Scene Comment

This scene was created with Moray For Windows from Tobias Augustin. 

*/ // End Scene Comment

global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.9
  hf_gray_16 off
  irid_wavelength <0.247059,0.176471,0.137255>
  max_intersections 64
  max_trace_level 10
  number_of_waves 10
  radiosity {
    brightness       3.3
    count            100
    distance_maximum 0.0
    error_bound      0.4
    gray_threshold   0.5
    low_error_factor 0.8
    minimum_reuse    0.015
    nearest_count    6
    recursion_limit  1
  }
}

background { color <0.000,0.000,0.000> }

fog {
  fog_type 2    // Ground Fog
  distance     650.0
  color <0.843137,0.843137,0.843137,0.262745,0.156863>
  turbulence   <0.5,0.5,2.0>
    omega      0.5
    lambda     2.0
    octaves    3
    turb_depth 0.5
  up           <0,0,1>
  fog_offset   0.0
  fog_alt      70.0
}

camera {  //  Camera StdCam
  location  <    -22.760,       4.300,       6.420>
  direction <        0.0,         0.0,      1.6095> // Aperture is 0.60 degrees
  sky       <    0.00000,     0.00000,     1.00000> // Use right handed-system 
  up        <        0.0,         0.0,         1.0> // Where Z is up
  right     <    1.33333,         0.0,         0.0> // Aspect ratio
  look_at   <      8.030,     -11.300,       1.670>
}

//
// *******  L I G H T S *******
//

light_source {   // Light002
  <-50.000, 10.000, 45.000>
  color rgb <1.000, 1.000, 1.000>
}


//
// ********  MATERIALS  *******
//

#include "seafight.inc"


//
// ********  REFERENCED OBJECTS  *******
//



//
// ********  OBJECTS  *******
//

#declare Wolkengruppe1 = merge {
  sphere { // Sphere008
    <0,0,0>,1
    scale <1.01, 1.27, 0.53>
    rotate <-0.0, -126.5, -0.0>
    translate  <2.67, -2.84, 3.28>
  }
  sphere { // Sphere009
    <0,0,0>,1
    scale <1.85, 0.87, 1.32>
    rotate 42.5*x
    translate  <6.97, -0.76, -0.7>
  }
  sphere { // Sphere011
    <0,0,0>,1
    scale <1.56, 0.9, 0.65>
    rotate 10.5*y
    translate  <8.81, -3.69, 3.06>
  }
  sphere { // Sphere012
    <0,0,0>,1
    scale <1.42, 0.89, 1.29>
    rotate -27.0*x
    translate  <12.6, -1.39, 1.21>
  }
  sphere { // Sphere013
    <0,0,0>,1
    scale <3.24, 1.33, 1.04>
    rotate -6.0*y
    translate  <7.34, -2.83, 6.79>
  }
  material {
    Wolkentextur
  }
  hollow
  scale <5.0, 5.021665, 13.264302>
  rotate <-96.613617, -0.060372, -129.757584>
  translate  <485.25, -254.12, 26.13>
}
#declare Wolkengruppe2 = merge {
  sphere { // Sphere010
    <0,0,0>,1
    scale <1.01, 1.27, 0.53>
    rotate <-0.0, -126.5, -0.0>
    translate  <5.3, 9.85, -0.87>
  }
  sphere { // Sphere014
    <0,0,0>,1
    scale <1.85, 0.87, 1.32>
    rotate 42.5*x
    translate  <7.23, 18.13, -3.67>
  }
  sphere { // Sphere016
    <0,0,0>,1
    scale <1.56, 0.9, 0.65>
    rotate 10.5*y
    translate  <9.06, 18.98, -5.06>
  }
  sphere { // Sphere017
    <0,0,0>,1
    scale <1.42, 0.89, 1.29>
    rotate -27.0*x
    translate  <7.38, 21.59, -2.61>
  }
  sphere { // Sphere018
    <0,0,0>,1
    scale <1.5, 1.33, 1.04>
    rotate -6.0*y
    translate  <3.55, 28.49, -5.44>
  }
  sphere { // Sphere019
    <0,0,0>,1
    scale <1.714286, 1.0, 1.0>
    translate  <5.53, 19.15, -3.09>
  }
  material {
    Wolkentextur
  }
  hollow
  scale <8.0, 7.960103, 8.147741>
  rotate <11.876168, -3.455559, -132.628906>
  translate  <350.23, -247.2, 25.68>
}
#declare Wolkengruppe = merge {
  sphere { // Sphere006
    <0,0,0>,1
    scale <1.01, 1.27, 0.53>
    rotate <-0.0, -126.5, -0.0>
    translate  <14.73, 15.5, -10.69>
  }
  sphere { // Sphere005
    <0,0,0>,1
    scale <1.85, 0.87, 1.32>
    rotate 42.5*x
    translate  <9.99, 15.16, -12.92>
  }
  sphere { // Sphere003
    <0,0,0>,1
    scale <1.56, 0.9, 0.65>
    rotate <19.418522, -10.989537, 31.427393>
    translate  <14.71, 6.98, -5.0>
  }
  sphere { // Sphere002
    <0,0,0>,1
    scale <1.42, 0.89, 1.29>
    rotate -27.0*x
    translate  <15.64, 9.94, -10.03>
  }
  sphere { // Sphere001
    <0,0,0>,1
    scale <2.5, 1.33, 1.04>
    rotate -6.0*y
    translate  <12.55, 8.45, -8.51>
  }
  material {
    Wolkentextur
  }
  hollow
  scale <8.0, 5.172028, 11.251497>
  rotate <69.381508, 0.0, -142.406158>
  translate  <464.32, -359.02, 13.28>
}
#declare Wolkengruppe3 = merge {
  sphere { // Sphere007
    <0,0,0>,1
    scale <1.01, 1.27, 0.53>
    rotate <-0.0, -126.5, -0.0>
    translate  <14.73, 15.5, -10.69>
  }
  sphere { // Sphere015
    <0,0,0>,1
    scale <1.85, 0.87, 1.32>
    rotate 42.5*x
    translate  <9.99, 15.16, -12.92>
  }
  sphere { // Sphere004
    <0,0,0>,1
    scale <1.56, 0.9, 0.65>
    rotate <19.418522, -10.989537, 31.427393>
    translate  <14.71, 6.98, -5.0>
  }
  sphere { // Sphere020
    <0,0,0>,1
    scale <1.42, 0.89, 1.29>
    rotate -27.0*x
    translate  <15.64, 9.94, -10.03>
  }
  sphere { // Sphere021
    <0,0,0>,1
    scale <2.5, 1.33, 1.04>
    rotate -6.0*y
    translate  <12.55, 8.45, -8.51>
  }
  material {
    Wolkentextur
  }
  hollow
  scale <8.0, 5.172028, 11.251497>
  rotate <72.682579, -14.438049, -150.002106>
  translate  <464.32, -330.07, 24.31>
}
#declare Wolkengruppe4 = merge {
  sphere { // Sphere022
    <0,0,0>,1
    scale <1.01, 1.27, 0.53>
    rotate <-0.0, -126.5, -0.0>
    translate  <2.67, -2.84, 3.28>
  }
  sphere { // Sphere023
    <0,0,0>,1
    scale <1.85, 0.87, 1.32>
    rotate 42.5*x
    translate  <6.97, -0.76, -0.7>
  }
  sphere { // Sphere024
    <0,0,0>,1
    scale <1.56, 0.9, 0.65>
    rotate 10.5*y
    translate  <8.81, -3.69, 3.06>
  }
  sphere { // Sphere025
    <0,0,0>,1
    scale <1.42, 0.89, 1.29>
    rotate -27.0*x
    translate  <12.6, -1.39, 1.21>
  }
  sphere { // Sphere026
    <0,0,0>,1
    scale <3.24, 1.33, 1.04>
    rotate -6.0*y
    translate  <7.34, -2.83, 6.79>
  }
  material {
    Wolkentextur
  }
  hollow
  scale <5.0, 5.021665, 13.264302>
  rotate <-94.377907, -3.713436, 167.29953>
  translate  <796.58, -300.39, 28.87>
}
#declare Wolkengruppe5 = merge {
  sphere { // Sphere027
    <0,0,0>,1
    scale <1.01, 1.27, 0.53>
    rotate <-0.0, -126.5, -0.0>
    translate  <14.73, 15.5, -10.69>
  }
  sphere { // Sphere028
    <0,0,0>,1
    scale <1.85, 0.87, 1.32>
    rotate 42.5*x
    translate  <9.99, 15.16, -12.92>
  }
  sphere { // Sphere029
    <0,0,0>,1
    scale <1.56, 0.9, 0.65>
    rotate <19.418522, -10.989537, 31.427393>
    translate  <14.71, 6.98, -5.0>
  }
  sphere { // Sphere030
    <0,0,0>,1
    scale <1.42, 0.89, 1.29>
    rotate -27.0*x
    translate  <15.64, 9.94, -10.03>
  }
  sphere { // Sphere031
    <0,0,0>,1
    scale <2.5, 1.33, 1.04>
    rotate -6.0*y
    translate  <12.55, 8.45, -8.51>
  }
  material {
    Wolkentextur
  }
  no_shadow
  hollow
  scale <8.0, 5.172028, 11.251497>
  rotate <47.854523, -6.411362, 30.433487>
  translate  <540.24, -582.73, 38.09>
}
#declare Wolkengruppe6 = merge {
  sphere { // Sphere032
    <0,0,0>,1
    scale <1.01, 1.27, 0.53>
    rotate <-0.0, -126.5, -0.0>
    translate  <5.3, 9.85, -0.87>
  }
  sphere { // Sphere033
    <0,0,0>,1
    scale <1.85, 0.87, 1.32>
    rotate 42.5*x
    translate  <7.23, 18.13, -3.67>
  }
  sphere { // Sphere034
    <0,0,0>,1
    scale <1.56, 0.9, 0.65>
    rotate 10.5*y
    translate  <9.06, 18.98, -5.06>
  }
  sphere { // Sphere035
    <0,0,0>,1
    scale <1.42, 0.89, 1.29>
    rotate -27.0*x
    translate  <7.38, 21.59, -2.61>
  }
  sphere { // Sphere036
    <0,0,0>,1
    scale <1.5, 1.33, 1.04>
    rotate -6.0*y
    translate  <3.55, 28.49, -5.44>
  }
  sphere { // Sphere037
    <0,0,0>,1
    scale <1.714286, 1.0, 1.0>
    translate  <5.53, 19.15, -3.09>
  }
  material {
    Wolkentextur
  }
  no_shadow
  hollow
  scale <8.0, 7.960103, 8.147741>
  rotate <12.397038, -3.639552, 61.338982>
  translate  <616.0, -627.52, 39.46>
}
#declare Wolkengruppe7 = merge {
  sphere { // Sphere038
    <0,0,0>,1
    scale <1.01, 1.27, 0.53>
    rotate <-0.0, -126.5, -0.0>
    translate  <2.67, -2.84, 3.28>
  }
  sphere { // Sphere039
    <0,0,0>,1
    scale <1.85, 0.87, 1.32>
    rotate 42.5*x
    translate  <6.97, -0.76, -0.7>
  }
  sphere { // Sphere040
    <0,0,0>,1
    scale <1.56, 0.9, 0.65>
    rotate 10.5*y
    translate  <8.81, -3.69, 3.06>
  }
  sphere { // Sphere041
    <0,0,0>,1
    scale <1.42, 0.89, 1.29>
    rotate -27.0*x
    translate  <12.6, -1.39, 1.21>
  }
  sphere { // Sphere042
    <0,0,0>,1
    scale <3.24, 1.33, 1.04>
    rotate -6.0*y
    translate  <7.34, -2.83, 6.79>
  }
  material {
    Wolkentextur
  }
  no_shadow
  hollow
  scale <5.0, 5.021665, 13.264302>
  rotate <81.526382, 2.770767, 176.531494>
  translate  <796.58, -270.06, 63.34>
}
#declare Wolkengruppe8 = merge {
  sphere { // Sphere043
    <0,0,0>,1
    scale <1.01, 1.27, 0.53>
    rotate <-0.0, -126.5, -0.0>
    translate  <5.3, 9.85, -0.87>
  }
  sphere { // Sphere044
    <0,0,0>,1
    scale <1.85, 0.87, 1.32>
    rotate 42.5*x
    translate  <7.23, 18.13, -3.67>
  }
  sphere { // Sphere045
    <0,0,0>,1
    scale <1.56, 0.9, 0.65>
    rotate 10.5*y
    translate  <9.06, 18.98, -5.06>
  }
  sphere { // Sphere046
    <0,0,0>,1
    scale <1.42, 0.89, 1.29>
    rotate -27.0*x
    translate  <7.38, 21.59, -2.61>
  }
  sphere { // Sphere047
    <0,0,0>,1
    scale <1.5, 1.33, 1.04>
    rotate -6.0*y
    translate  <3.55, 28.49, -5.44>
  }
  sphere { // Sphere048
    <0,0,0>,1
    scale <1.714286, 1.0, 1.0>
    translate  <5.53, 19.15, -3.09>
  }
  material {
    Wolkentextur
  }
  no_shadow
  hollow
  scale <8.0, 7.960103, 8.147741>
  rotate <12.437058, -3.544682, 81.836212>
  translate  <616.0, -577.88, -8.81>
}
#declare Wolkengruppe9 = merge {
  sphere { // Sphere049
    <0,0,0>,1
    scale <1.01, 1.27, 0.53>
    rotate <-0.0, -126.5, -0.0>
    translate  <14.73, 15.5, -10.69>
  }
  sphere { // Sphere050
    <0,0,0>,1
    scale <1.85, 0.87, 1.32>
    rotate 42.5*x
    translate  <9.99, 15.16, -12.92>
  }
  sphere { // Sphere051
    <0,0,0>,1
    scale <1.56, 0.9, 0.65>
    rotate <19.418522, -10.989537, 31.427393>
    translate  <14.71, 6.98, -5.0>
  }
  sphere { // Sphere052
    <0,0,0>,1
    scale <1.42, 0.89, 1.29>
    rotate -27.0*x
    translate  <15.64, 9.94, -10.03>
  }
  sphere { // Sphere053
    <0,0,0>,1
    scale <2.5, 1.33, 1.04>
    rotate -6.0*y
    translate  <12.55, 8.45, -8.51>
  }
  material {
    Wolkentextur
  }
  no_shadow
  hollow
  scale <8.0, 5.172028, 11.251497>
  rotate <48.28931, 28.21624, 78.945656>
  translate  <722.47, -598.63, 97.38>
}
union { // Wolken
  object { Wolkengruppe1 }
  object { Wolkengruppe2 }
  object { Wolkengruppe }
  object { Wolkengruppe3 }
  object { Wolkengruppe4 }
  object { Wolkengruppe5 }
  object { Wolkengruppe6 }
  object { Wolkengruppe7 }
  object { Wolkengruppe8 }
  object { Wolkengruppe9 }
  scale <1.0, 1.0, 0.5>
  translate  <75.93, -84.22, 22.05>
}


#include "wolke.inc"

#declare Wolke3_Ref = object {
  Wolke
  material {
    Rauch
  }
  hollow
  rotate <-0.0, -2.0, -90.0>
  translate  <2.09, -3.57, -0.71>
}
#declare Kanonenblitz4 = lathe {
  linear_spline
  8  // control points
  <0.054371, -5.842308>,
  <0.299707, -4.01453>,
  <0.33927, -3.346427>,
  <0.571618, -6.318003>,
  <0.564352, -2.567566>,
  <1.023509, -5.572256>,
  <0.783567, -1.357815>,
  <0.364078, 1.462683>
  rotate <90,0,90>
  material {
    Blitz
  }
  hollow
  scale 0.1
  rotate -90.0*x
  translate  <2.12, -2.18, -0.74>
}
union { // Schuss4
  object { Wolke3_Ref }
  object { Kanonenblitz4 }
  hollow
  translate  <-1.44, -0.04, 0.02>
}


union { // Bugwelle
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-13.071995, -9.208227, -0.768844>, <-12.143040, -8.838036, -0.768844>, <-11.214084, -8.467844, -0.768844>, <-10.285129, -8.097653, -0.768844>, 
      <-11.570345, -7.993820, 1.102010>, <-10.641860, -7.622451, 1.102010>, <-9.713374, -7.251082, 1.102010>, <-8.784889, -6.879714, 1.102010>, 
      <-11.354594, -5.645123, -0.773259>, <-10.377058, -5.434353, -0.773259>, <-9.399523, -5.223583, -0.773259>, <-8.421987, -5.012814, -0.773259>, 
      <-10.898897, -5.008880, -0.194418>, <-9.916280, -4.825309, -0.194418>, <-8.933664, -4.641738, -0.194418>, <-7.951047, -4.458167, -0.194418>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-10.898897, -5.008880, -0.194418>, <-9.916280, -4.825309, -0.194418>, <-8.933664, -4.641738, -0.194418>, <-7.951047, -4.458167, -0.194418>, 
      <-10.443201, -4.372638, 0.384422>, <-9.455503, -4.216265, 0.384422>, <-8.467804, -4.059892, 0.384422>, <-7.480106, -3.903519, 0.384422>, 
      <-9.779710, -3.076364, -0.948241>, <-8.784662, -2.976975, -0.948241>, <-7.789613, -2.877586, -0.948241>, <-6.794564, -2.778198, -0.948241>, 
      <-9.533954, -2.840794, -0.273116>, <-8.537593, -2.757006, -0.273116>, <-7.541232, -2.673218, -0.273116>, <-6.544872, -2.589431, -0.273116>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-9.533954, -2.840794, -0.273116>, <-8.537593, -2.757006, -0.273116>, <-7.541232, -2.673218, -0.273116>, <-6.544872, -2.589431, -0.273116>, 
      <-9.288197, -2.605224, 0.402010>, <-8.290524, -2.537037, 0.402010>, <-7.292852, -2.468851, 0.402010>, <-6.295179, -2.400664, 0.402010>, 
      <-9.000000, -1.153769, -0.256281>, <-8.000000, -1.153769, -0.256281>, <-7.000000, -1.153769, -0.256281>, <-6.000000, -1.153769, -0.591290>, 
      <-9.000000, -0.153769, -0.256281>, <-8.000000, -0.153769, -0.256281>, <-7.000000, -0.153769, -0.256281>, <-6.000000, -0.153769, -0.591290>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-9.000000, -0.153769, -0.256281>, <-8.000000, -0.153769, -0.256281>, <-7.000000, -0.153769, -0.256281>, <-6.000000, -0.153769, -0.591290>, 
      <-9.000000, 0.846231, -0.256281>, <-8.000000, 0.846231, -0.256281>, <-7.000000, 0.846231, -0.256281>, <-6.000000, 0.846231, -0.591290>, 
      <-9.261859, 2.747569, 0.402010>, <-8.264763, 2.671405, 0.402010>, <-7.267668, 2.595242, 0.402010>, <-6.270573, 2.519078, 0.402010>, 
      <-9.564882, 3.099792, -0.273116>, <-8.569158, 3.008645, -0.273116>, <-7.573434, 2.917499, -0.273116>, <-6.577711, 2.826353, -0.273116>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-9.564882, 3.099792, -0.273116>, <-8.569158, 3.008645, -0.273116>, <-7.573434, 2.917499, -0.273116>, <-6.577711, 2.826353, -0.273116>, 
      <-9.867905, 3.452014, -0.948241>, <-8.873553, 3.345886, -0.948241>, <-7.879201, 3.239757, -0.948241>, <-6.884848, 3.133628, -0.948241>, 
      <-10.356722, 4.236482, 0.410050>, <-9.504514, 4.156185, 0.410050>, <-8.515622, 4.007546, 0.410050>, <-7.526730, 3.858908, 0.410050>, 
      <-11.040343, 4.931921, -0.272492>, <-10.122285, 4.802437, -0.272492>, <-9.135884, 4.638782, -0.272492>, <-8.149484, 4.475127, -0.277839>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-11.040343, 4.931921, -0.272492>, <-10.122285, 4.802437, -0.272492>, <-9.135884, 4.638782, -0.272492>, <-8.149484, 4.475127, -0.277839>, 
      <-11.723964, 5.627361, -0.955035>, <-10.740056, 5.448689, -0.955035>, <-9.756147, 5.270017, -0.955035>, <-8.772238, 5.091345, -0.955035>, 
      <-12.248001, 7.806818, 1.127638>, <-11.297669, 7.495579, 1.127638>, <-10.347337, 7.184340, 1.127638>, <-9.397005, 6.873102, 1.127638>, 
      <-13.700486, 8.868027, -0.768844>, <-12.751791, 8.551836, -0.768844>, <-11.803095, 8.235644, -0.768844>, <-10.854400, 7.919453, -0.768844>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-10.285129, -8.097653, -0.768844>, <-9.356174, -7.727461, -0.768844>, <-8.427218, -7.357269, -0.768844>, <-7.498263, -6.987078, -0.768844>, 
      <-8.784889, -6.879714, 1.102010>, <-7.856403, -6.508345, 1.102010>, <-6.927918, -6.136977, 1.102010>, <-5.999432, -5.765608, 1.102010>, 
      <-8.421987, -5.012814, -0.773259>, <-7.444451, -4.802044, -0.773259>, <-6.466915, -4.591274, -0.773259>, <-5.489380, -4.380504, -0.773259>, 
      <-7.951047, -4.458167, -0.194418>, <-6.968430, -4.274595, -0.194418>, <-5.985813, -4.091024, -0.194418>, <-5.003196, -3.907453, -0.194418>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-7.951047, -4.458167, -0.194418>, <-6.968430, -4.274595, -0.194418>, <-5.985813, -4.091024, -0.194418>, <-5.003196, -3.907453, -0.194418>, 
      <-7.480106, -3.903519, 0.384422>, <-6.492408, -3.747147, 0.384422>, <-5.504710, -3.590774, 0.384422>, <-4.517012, -3.434401, 0.384422>, 
      <-6.794564, -2.778198, -0.948241>, <-5.799515, -2.678809, -0.948241>, <-4.804467, -2.579420, -0.948241>, <-3.809418, -2.480032, -0.948241>, 
      <-6.544872, -2.589431, -0.273116>, <-5.548511, -2.505643, -0.273116>, <-4.552150, -2.421855, -0.273116>, <-3.555790, -2.338068, -0.273116>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-6.544872, -2.589431, -0.273116>, <-5.548511, -2.505643, -0.273116>, <-4.552150, -2.421855, -0.273116>, <-3.555790, -2.338068, -0.273116>, 
      <-6.295179, -2.400664, 0.402010>, <-5.297507, -2.332477, 0.402010>, <-4.299834, -2.264291, 0.402010>, <-3.302162, -2.196104, 0.402010>, 
      <-6.000000, -1.153769, -0.591290>, <-5.000000, -1.153769, -0.926298>, <-4.000000, -1.000000, -0.670017>, <-3.000000, -1.000000, -0.670017>, 
      <-6.000000, -0.153769, -0.591290>, <-5.000000, -0.153769, -0.926298>, <-4.000000, 0.000000, -0.670017>, <-3.000000, 0.000000, -0.670017>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-6.000000, -0.153769, -0.591290>, <-5.000000, -0.153769, -0.926298>, <-4.000000, 0.000000, -0.670017>, <-3.000000, 0.000000, -0.670017>, 
      <-6.000000, 0.846231, -0.591290>, <-5.000000, 0.846231, -0.926298>, <-4.000000, 1.000000, -0.670017>, <-3.000000, 1.000000, -0.670017>, 
      <-6.270573, 2.519078, 0.402010>, <-5.273477, 2.442914, 0.402010>, <-4.276382, 2.366751, 0.402010>, <-3.279287, 2.290587, 0.402010>, 
      <-6.577711, 2.826353, -0.273116>, <-5.581987, 2.735207, -0.273116>, <-4.586263, 2.644061, -0.273116>, <-3.590539, 2.552914, -0.273116>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-6.577711, 2.826353, -0.273116>, <-5.581987, 2.735207, -0.273116>, <-4.586263, 2.644061, -0.273116>, <-3.590539, 2.552914, -0.273116>, 
      <-6.884848, 3.133628, -0.948241>, <-5.890496, 3.027499, -0.948241>, <-4.896143, 2.921371, -0.948241>, <-3.901791, 2.815242, -0.948241>, 
      <-7.526730, 3.858908, 0.410050>, <-6.537839, 3.710269, 0.410050>, <-5.548947, 3.561631, 0.410050>, <-4.560056, 3.412992, 0.410050>, 
      <-8.149484, 4.475127, -0.277839>, <-7.163084, 4.311471, -0.272492>, <-6.176684, 4.147816, -0.272492>, <-5.190284, 3.984161, -0.277839>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-8.149484, 4.475127, -0.277839>, <-7.163084, 4.311471, -0.272492>, <-6.176684, 4.147816, -0.272492>, <-5.190284, 3.984161, -0.277839>, 
      <-8.772238, 5.091345, -0.955035>, <-7.788330, 4.912673, -0.955035>, <-6.804421, 4.734002, -0.955035>, <-5.820512, 4.555330, -0.955035>, 
      <-9.397005, 6.873102, 1.127638>, <-8.446674, 6.561863, 1.127638>, <-7.496342, 6.250624, 1.127638>, <-6.546010, 5.939385, 1.127638>, 
      <-10.854400, 7.919453, -0.768844>, <-9.905704, 7.603261, -0.768844>, <-8.957009, 7.287070, -0.768844>, <-8.008314, 6.970879, -0.768844>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-7.498263, -6.987078, -0.768844>, <-6.569307, -6.616886, -0.768844>, <-5.640352, -6.246695, -0.768844>, <-4.711396, -5.876503, -0.768844>, 
      <-5.999432, -5.765608, 1.102010>, <-5.070947, -5.394239, 1.102010>, <-4.142461, -5.022871, 1.102010>, <-3.213976, -4.702759, 0.743216>, 
      <-5.489380, -4.380504, -0.773259>, <-4.511844, -4.169735, -0.773259>, <-3.534308, -3.958965, -0.773259>, <-2.556773, -3.748195, -0.773259>, 
      <-5.003196, -3.907453, -0.194418>, <-4.020579, -3.723881, -0.194418>, <-3.037962, -3.540310, -0.194418>, <-2.055345, -3.356739, -0.194418>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-5.003196, -3.907453, -0.194418>, <-4.020579, -3.723881, -0.194418>, <-3.037962, -3.540310, -0.194418>, <-2.055345, -3.356739, -0.194418>, 
      <-4.517012, -3.434401, 0.384422>, <-3.529314, -3.278028, 0.384422>, <-2.541616, -3.121655, 0.384422>, <-1.553918, -2.965282, 0.384422>, 
      <-3.809418, -2.480032, -0.948241>, <-2.814369, -2.380643, -0.948241>, <-1.819321, -2.281254, -0.948241>, <-0.824272, -2.181865, -0.948241>, 
      <-3.555790, -2.338068, -0.273116>, <-2.559429, -2.254280, -0.273116>, <-1.563069, -2.170492, -0.273116>, <-0.566708, -2.086705, -0.273116>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-3.555790, -2.338068, -0.273116>, <-2.559429, -2.254280, -0.273116>, <-1.563069, -2.170492, -0.273116>, <-0.566708, -2.086705, -0.273116>, 
      <-3.302162, -2.196104, 0.402010>, <-2.304489, -2.127917, 0.402010>, <-1.306816, -2.059730, 0.402010>, <-0.309144, -1.991544, 0.402010>, 
      <-3.000000, -1.000000, -0.670017>, <-2.000000, -1.000000, -0.670017>, <-1.000000, -1.000000, -0.670017>, <0.000000, -1.000000, -0.670017>, 
      <-3.000000, 0.000000, -0.670017>, <-2.000000, 0.000000, -0.670017>, <-1.000000, 0.000000, -0.670017>, <0.000000, 0.000000, -0.670017>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-3.000000, 0.000000, -0.670017>, <-2.000000, 0.000000, -0.670017>, <-1.000000, 0.000000, -0.670017>, <0.000000, 0.000000, -0.670017>, 
      <-3.000000, 1.000000, -0.670017>, <-2.000000, 1.000000, -0.670017>, <-1.000000, 1.000000, -0.670017>, <0.000000, 1.000000, -0.670017>, 
      <-3.279287, 2.290587, 0.402010>, <-2.282191, 2.214423, 0.402010>, <-1.285096, 2.138259, 0.402010>, <-0.288001, 2.062096, 0.402010>, 
      <-3.590539, 2.552914, -0.273116>, <-2.594815, 2.461768, -0.273116>, <-1.599091, 2.370622, -0.273116>, <-0.603367, 2.279476, -0.273116>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-3.590539, 2.552914, -0.273116>, <-2.594815, 2.461768, -0.273116>, <-1.599091, 2.370622, -0.273116>, <-0.603367, 2.279476, -0.273116>, 
      <-3.901791, 2.815242, -0.948241>, <-2.907439, 2.709113, -0.948241>, <-1.913086, 2.602985, -0.948241>, <-0.918734, 2.496856, -0.948241>, 
      <-4.560056, 3.412992, 0.410050>, <-3.571164, 3.264354, 0.410050>, <-2.582272, 3.115715, 0.410050>, <-1.593381, 2.967077, 0.410050>, 
      <-5.190284, 3.984161, -0.277839>, <-4.203884, 3.820506, -0.272492>, <-3.217484, 3.656850, -0.272492>, <-2.231083, 3.493195, -0.277839>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-5.190284, 3.984161, -0.277839>, <-4.203884, 3.820506, -0.272492>, <-3.217484, 3.656850, -0.272492>, <-2.231083, 3.493195, -0.277839>, 
      <-5.820512, 4.555330, -0.955035>, <-4.836603, 4.376658, -0.955035>, <-3.852695, 4.197986, -0.955035>, <-2.868786, 4.019314, -0.955035>, 
      <-6.546010, 5.939385, 1.127638>, <-5.595678, 5.628147, 1.127638>, <-4.645347, 5.316908, 1.127638>, <-3.695015, 4.954413, 0.768844>, 
      <-8.008314, 6.970879, -0.768844>, <-7.059618, 6.654687, -0.768844>, <-6.110923, 6.338496, -0.768844>, <-5.162227, 6.022305, -0.768844>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-4.711396, -5.876503, -0.768844>, <-3.782441, -5.506312, -0.768844>, <-2.853485, -5.136120, -0.768844>, <-1.924530, -4.765929, -0.768844>, 
      <-3.213976, -4.702759, 0.743216>, <-2.285490, -4.382646, 0.384422>, <-1.357005, -4.011278, 0.384422>, <-0.428519, -3.639909, 0.384422>, 
      <-2.556773, -3.748195, -0.773259>, <-1.579237, -3.537425, -0.773259>, <-0.601701, -3.326656, -0.773259>, <0.375835, -3.115886, -0.773259>, 
      <-2.055345, -3.356739, -0.194418>, <-1.072728, -3.173167, -0.194418>, <-0.090111, -2.989596, -0.194418>, <0.892506, -2.806025, -0.194418>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.055345, -3.356739, -0.194418>, <-1.072728, -3.173167, -0.194418>, <-0.090111, -2.989596, -0.194418>, <0.892506, -2.806025, -0.194418>, 
      <-1.553918, -2.965282, 0.384422>, <-0.566220, -2.808910, 0.384422>, <0.421478, -2.652537, 0.384422>, <1.409177, -2.496164, 0.384422>, 
      <-0.824272, -2.181865, -0.948241>, <0.170777, -2.082477, -0.948241>, <1.165825, -1.983088, -0.948241>, <2.160874, -1.883699, -0.768844>, 
      <-0.566708, -2.086705, -0.273116>, <0.429653, -2.002917, -0.273116>, <1.426013, -1.919129, -0.273116>, <2.422374, -1.835342, -0.183417>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.566708, -2.086705, -0.273116>, <0.429653, -2.002917, -0.273116>, <1.426013, -1.919129, -0.273116>, <2.422374, -1.835342, -0.183417>, 
      <-0.309144, -1.991544, 0.402010>, <0.688529, -1.923357, 0.402010>, <1.686201, -1.855170, 0.402010>, <2.683874, -1.786984, 0.402010>, 
      <0.000000, -1.000000, -0.670017>, <1.000000, -1.000000, -0.670017>, <2.000000, -1.000000, -0.670017>, <3.205025, -0.794975, -0.670017>, 
      <0.000000, 0.000000, -0.670017>, <1.000000, 0.000000, -0.670017>, <2.000000, 0.000000, -0.670017>, <3.222111, -0.017085, -0.670017>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, 0.000000, -0.670017>, <1.000000, 0.000000, -0.670017>, <2.000000, 0.000000, -0.670017>, <3.222111, -0.017085, -0.670017>, 
      <0.000000, 1.000000, -0.670017>, <1.000000, 1.000000, -0.670017>, <2.000000, 1.000000, -0.670017>, <3.239196, 0.760804, -0.670017>, 
      <-0.288001, 2.062096, 0.402010>, <0.709095, 1.985932, 0.402010>, <1.706190, 1.909768, 0.402010>, <2.703285, 1.833605, 0.402010>, 
      <-0.603367, 2.279476, -0.273116>, <0.392357, 2.188330, -0.273116>, <1.388080, 2.097184, -0.273116>, <2.383804, 2.006037, -0.273116>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.603367, 2.279476, -0.273116>, <0.392357, 2.188330, -0.273116>, <1.388080, 2.097184, -0.273116>, <2.383804, 2.006037, -0.273116>, 
      <-0.918734, 2.496856, -0.948241>, <0.075619, 2.390727, -0.948241>, <1.069971, 2.284599, -0.948241>, <2.064323, 2.178470, -0.948241>, 
      <-1.593381, 2.967077, 0.410050>, <-0.604489, 2.818438, 0.410050>, <0.384402, 2.669799, 0.410050>, <1.373294, 2.521161, 0.410050>, 
      <-2.231083, 3.493195, -0.277839>, <-1.244683, 3.329540, -0.272492>, <-0.258283, 3.165885, -0.272492>, <0.728117, 3.002230, -0.277839>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.231083, 3.493195, -0.277839>, <-1.244683, 3.329540, -0.272492>, <-0.258283, 3.165885, -0.272492>, <0.728117, 3.002230, -0.277839>, 
      <-2.868786, 4.019314, -0.955035>, <-1.884877, 3.840642, -0.955035>, <-0.900969, 3.661970, -0.955035>, <0.082940, 3.483298, -0.955035>, 
      <-3.695015, 4.954413, 0.768844>, <-2.744683, 4.591918, 0.410050>, <-1.794351, 4.280679, 0.410050>, <-0.844019, 3.969440, 0.410050>, 
      <-5.162227, 6.022305, -0.768844>, <-4.213532, 5.706113, -0.768844>, <-3.264836, 5.389922, -0.768844>, <-2.316141, 5.073731, -0.768844>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.924530, -4.765929, -0.768844>, <-0.995575, -4.395737, -0.768844>, <-6.305329, -6.993783, 0.973869>, <-5.991374, -6.835297, -0.076884>, 
      <-0.428519, -3.639909, 0.384422>, <0.499966, -3.268540, 0.384422>, <-4.631434, -6.598810, 0.973869>, <-4.347090, -6.391848, -0.076884>, 
      <0.375835, -3.115886, -0.773259>, <1.353370, -2.905116, -0.773259>, <-1.900801, -5.088790, 0.973869>, <-1.582718, -4.934921, -0.076884>, 
      <0.892506, -2.806025, -0.194418>, <1.875123, -2.622454, -0.194418>, <-1.228414, -4.673141, 0.973869>, <-0.914756, -4.512452, -0.076884>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.892506, -2.806025, -0.194418>, <1.875123, -2.622454, -0.194418>, <-1.228414, -4.673141, 0.973869>, <-0.914756, -4.512452, -0.076884>, 
      <1.409177, -2.496164, 0.384422>, <2.396875, -2.339791, 0.384422>, <-0.556027, -4.257493, 0.973869>, <-0.246793, -4.089982, -0.076884>, 
      <2.160874, -1.883699, -0.768844>, <3.155923, -1.784311, -0.589447>, <1.859964, -2.760060, 0.973869>, <2.091905, -2.714149, -0.076884>, 
      <2.422374, -1.835342, -0.183417>, <3.418735, -1.751554, -0.093719>, <2.235687, -2.636117, 0.973869>, <2.509040, -2.534727, -0.076884>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <2.422374, -1.835342, -0.183417>, <3.418735, -1.751554, -0.093719>, <2.235687, -2.636117, 0.973869>, <2.509040, -2.534727, -0.076884>, 
      <2.683874, -1.786984, 0.402010>, <3.681546, -1.718797, 0.402010>, <2.611411, -2.512174, 0.973869>, <2.926176, -2.355306, -0.076884>, 
      <3.205025, -0.794975, -0.670017>, <4.410050, -0.589950, -0.670017>, <5.000000, -1.102513, 0.973869>, <4.704952, -0.992784, -0.076884>, 
      <3.222111, -0.017085, -0.670017>, <4.444221, -0.034171, -0.670017>, <5.000000, -0.102513, 0.973869>, <4.704952, -0.072784, -0.076884>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <3.222111, -0.017085, -0.670017>, <4.444221, -0.034171, -0.670017>, <5.000000, -0.102513, 0.973869>, <4.704952, -0.072784, -0.076884>, 
      <3.239196, 0.760804, -0.670017>, <4.478392, 0.521608, -0.670017>, <5.000000, 0.897487, 0.973869>, <4.704952, 0.847216, -0.076884>, 
      <2.703285, 1.833605, 0.402010>, <3.700380, 1.757441, 0.402010>, <2.065377, 2.891918, 0.973869>, <2.335253, 2.845138, -0.076884>, 
      <2.383804, 2.006037, -0.273116>, <3.379528, 1.914891, -0.273116>, <1.889907, 3.036894, 0.973869>, <2.186894, 2.945230, -0.076884>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <2.383804, 2.006037, -0.273116>, <3.379528, 1.914891, -0.273116>, <1.889907, 3.036894, 0.973869>, <2.186894, 2.945230, -0.076884>, 
      <2.064323, 2.178470, -0.948241>, <3.058676, 2.072341, -0.948241>, <1.714437, 3.181870, 0.973869>, <2.038535, 3.045322, -0.076884>, 
      <1.373294, 2.521161, 0.410050>, <2.362186, 2.372522, 0.410050>, <1.461845, 3.707185, 0.973869>, <1.769955, 3.537617, -0.076884>, 
      <0.728117, 3.002230, -0.277839>, <1.714517, 2.838574, -0.272492>, <0.309562, 4.333350, 0.973869>, <0.612983, 4.155770, -0.076884>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.728117, 3.002230, -0.277839>, <1.714517, 2.838574, -0.272492>, <0.309562, 4.333350, 0.973869>, <0.612983, 4.155770, -0.076884>, 
      <0.082940, 3.483298, -0.955035>, <1.066849, 3.304626, -0.955035>, <-0.842721, 4.959515, 0.973869>, <-0.543989, 4.773923, -0.076884>, 
      <-0.844019, 3.969440, 0.410050>, <0.106312, 3.658202, 0.410050>, <-2.965452, 5.966209, 0.973869>, <-2.643319, 5.825088, -0.076884>, 
      <-2.316141, 5.073731, -0.768844>, <-1.367446, 4.757539, -0.768844>, <-5.723701, 6.716351, 0.973869>, <-5.387135, 6.614331, -0.076884>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-5.991374, -6.835297, -0.076884>, <-5.677420, -6.676812, -1.127638>, <-5.076272, -6.407998, 1.127638>, <-4.153101, -6.023608, -0.205025>, 
      <-4.347090, -6.391848, -0.076884>, <-4.062746, -6.184886, -1.127638>, <-3.512717, -5.822799, 1.127638>, <-2.663472, -5.294800, -0.205025>, 
      <-1.582718, -4.934921, -0.076884>, <-1.264635, -4.781051, -1.127638>, <-0.720281, -4.410487, 1.127638>, <0.120683, -3.869395, -0.205025>, 
      <-0.914756, -4.512452, -0.076884>, <-0.601097, -4.351762, -1.127638>, <-0.032364, -4.023425, 1.127638>, <0.843944, -3.547399, -0.205025>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.914756, -4.512452, -0.076884>, <-0.601097, -4.351762, -1.127638>, <-0.032364, -4.023425, 1.127638>, <0.843944, -3.547399, -0.205025>, 
      <-0.246793, -4.089982, -0.076884>, <0.062440, -3.922472, -1.127638>, <0.655552, -3.636364, 1.127638>, <1.567205, -3.225403, -0.205025>, 
      <2.091905, -2.714149, -0.076884>, <2.323845, -2.668237, -1.127638>, <2.761681, -2.602451, 1.127638>, <3.428908, -2.519574, -0.205025>, 
      <2.509040, -2.534727, -0.076884>, <2.782394, -2.433337, -1.127638>, <3.302573, -2.267586, 1.127638>, <4.098754, -2.036329, -0.205025>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <2.509040, -2.534727, -0.076884>, <2.782394, -2.433337, -1.127638>, <3.302573, -2.267586, 1.127638>, <4.098754, -2.036329, -0.205025>, 
      <2.926176, -2.355306, -0.076884>, <3.240942, -2.198438, -1.127638>, <3.843464, -1.932720, 1.127638>, <4.768600, -1.553084, -0.205025>, 
      <4.704952, -0.992784, -0.076884>, <4.409904, -0.883055, -1.127638>, <4.919068, -0.868704, 1.127638>, <5.692531, -0.868704, -0.205025>, 
      <4.704952, -0.072784, -0.076884>, <4.409904, -0.043055, -1.127638>, <4.919068, -0.028704, 1.127638>, <5.692531, -0.028704, -0.205025>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <4.704952, -0.072784, -0.076884>, <4.409904, -0.043055, -1.127638>, <4.919068, -0.028704, 1.127638>, <5.692531, -0.028704, -0.205025>, 
      <4.704952, 0.847216, -0.076884>, <4.409904, 0.796945, -1.127638>, <4.919068, 0.811296, 1.127638>, <5.692531, 0.811296, -0.205025>, 
      <2.335253, 2.845138, -0.076884>, <2.605129, 2.798359, -1.127638>, <3.102735, 2.678647, 1.127638>, <3.714515, 2.198809, -0.311952>, 
      <2.186894, 2.945230, -0.076884>, <2.483881, 2.853566, -1.127638>, <3.029770, 2.651760, 1.127638>, <3.781062, 2.184647, -0.258489>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <2.186894, 2.945230, -0.076884>, <2.483881, 2.853566, -1.127638>, <3.029770, 2.651760, 1.127638>, <3.781062, 2.184647, -0.258489>, 
      <2.038535, 3.045322, -0.076884>, <2.362633, 2.908773, -1.127638>, <2.956806, 2.624874, 1.127638>, <3.847610, 2.170486, -0.205025>, 
      <1.769955, 3.537617, -0.076884>, <2.078064, 3.368049, -1.127638>, <2.639429, 3.023796, 1.127638>, <4.233555, 1.579106, -0.205025>, 
      <0.612983, 4.155770, -0.076884>, <0.916403, 3.978190, -1.127638>, <1.468293, 3.619365, 1.127638>, <2.669710, 2.602914, -0.205025>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.612983, 4.155770, -0.076884>, <0.916403, 3.978190, -1.127638>, <1.468293, 3.619365, 1.127638>, <2.669710, 2.602914, -0.205025>, 
      <-0.543989, 4.773923, -0.076884>, <-0.245258, 4.588331, -1.127638>, <0.297157, 4.214934, 1.127638>, <1.105864, 3.626722, -0.205025>, 
      <-2.643319, 5.825088, -0.076884>, <-2.321185, 5.683967, -1.127638>, <-1.731090, 5.391688, 1.127638>, <-0.846805, 4.924740, -0.205025>, 
      <-5.387135, 6.614331, -0.076884>, <-5.050568, 6.512311, -1.127638>, <-4.430039, 6.291897, 1.127638>, <-3.496721, 5.932845, -0.205025>
    }
  }
  material {
    ocean_color_Bug
  }
  scale <1.3, 1.0, 0.6>
  translate  -1.4*z
}


#include "planken.inc"

#declare planke2_Ref = object {
  planke
  material {
    Braun
  }
  rotate <90.0, 0.0, 180.0>
}
#include "seafight.in1"
#declare Leisten3 = object {
  Leisten3_Raw
  material {
    DMFDarkOak
  }
  rotate 90.0*x
}
#include "seafight.in2"
#declare Galeonsfigur3 = object {
  Galeonsfigur3_Raw
  material {
    Gold
  }
  rotate 90.0*x
}
#declare Bug3 = union {
  object { Leisten3 }
  object { Galeonsfigur3 }
  rotate -180.0*z
}
#declare hm_unten3 = lathe {
  linear_spline
  2  // control points
  <0.058728, -2.465877>,
  <0.045226, 1.99665>
  rotate <90,0,90>
  scale 2.0
  translate  <-1.08, 0.0, 2.28>
}
#declare hm_mitte3 = lathe {
  linear_spline
  2  // control points
  <0.058728, -2.465877>,
  <0.045226, 1.99665>
  rotate <90,0,90>
  scale <1.0, 1.0, 1.2>
  translate  <-0.93, 0.0, 8.6>
}
#declare Fahnenstange12 = lathe {
  linear_spline
  8  // control points
  <0.039713, -1.4962>,
  <0.029313, 0.892881>,
  <0.032538, 0.890942>,
  <0.075144, 0.903564>,
  <0.102804, 0.920012>,
  <0.10657, 0.938186>,
  <0.067085, 0.965>,
  <0.000756, 0.974874>
  rotate <90,0,90>
  scale <0.5, 0.5, 1.0>
  translate  <-0.87, 0.0, 12.16>
}
#declare Mastkorb18 = lathe {
  linear_spline
  12  // control points
  <0.011725, -1.01675>,
  <1.198492, -0.917504>,
  <1.564489, -0.843384>,
  <1.958124, -0.711893>,
  <2.150754, -0.387772>,
  <2.354271, -0.03727>,
  <2.249246, -0.040871>,
  <2.058157, -0.36057>,
  <1.883377, -0.652945>,
  <1.542547, -0.784667>,
  <1.184968, -0.861951>,
  <0.011725, -0.859296>
  rotate <90,0,90>
  scale 0.25
  translate  <-1.0, 0.0, 5.87>
}
#declare Mastkorb_gm6 = union {
  object { Mastkorb18 }
  superellipsoid { // Verbinder54
    <0.1, 0.1>
    scale <0.18, 0.12, 0.04>
    translate  <-1.02, 0.0, 6.27>
  }
  superellipsoid { // Verbinder55
    <0.1, 0.1>
    scale <0.18, 0.12, 0.04>
    translate  <-1.02, 0.0, 5.75>
  }
  superellipsoid { // Verbinder56
    <0.1, 0.1>
    scale <0.155, 0.095, 0.25>
    translate  <-1.02, 0.0, 6.0>
  }
  material {
    S_Wood1
  }
}
#declare Mastkorb19 = lathe {
  linear_spline
  12  // control points
  <0.011725, -1.01675>,
  <1.198492, -0.917504>,
  <1.564489, -0.843384>,
  <1.958124, -0.711893>,
  <2.150754, -0.387772>,
  <2.354271, -0.03727>,
  <2.249246, -0.040871>,
  <2.058157, -0.36057>,
  <1.883377, -0.652945>,
  <1.542547, -0.784667>,
  <1.184968, -0.861951>,
  <0.011725, -0.859296>
  rotate <90,0,90>
  scale 0.25
  translate  <-1.0, 0.0, 5.87>
}
#declare Mastkorb_gm7 = union {
  object { Mastkorb19 }
  superellipsoid { // Verbinder57
    <0.1, 0.1>
    scale <0.18, 0.12, 0.04>
    translate  <-1.02, 0.0, 6.27>
  }
  superellipsoid { // Verbinder58
    <0.1, 0.1>
    scale <0.18, 0.12, 0.04>
    translate  <-1.02, 0.0, 5.75>
  }
  superellipsoid { // Verbinder59
    <0.1, 0.1>
    scale <0.155, 0.095, 0.25>
    translate  <-1.02, 0.0, 6.0>
  }
  material {
    S_Wood1
  }
  scale 0.5
  translate  <-0.4, 0.0, 7.84>
}
#declare Rahe_gm6 = lathe {
  linear_spline
  5  // control points
  <0.001101, -2.000366>,
  <0.037943, -1.991528>,
  <0.058609, -0.005305>,
  <0.02971, 1.975897>,
  <-0.000653, 1.999843>
  rotate <90,0,90>
  scale <0.8, 0.8, 1.2>
  rotate <90.0, -90.0, 0.0>
  translate  <-0.78, 0.0, 10.07>
}
#declare Segel_gm4 = object {   object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.972250, -1.972149, -0.397919>, <-1.553609, -1.576121, 0.531061>, <1.615698, -1.545164, 0.541019>, <3.153497, -1.980607, -0.298488>, 
      <-2.208699, -0.815020, 0.332482>, <-0.820783, -0.733041, 1.270199>, <0.913703, -0.716646, 1.270199>, <2.408845, -0.839614, 0.485926>, 
      <-1.590589, 0.504697, 0.417729>, <-0.572886, 0.504697, 0.588223>, <0.579905, 0.504697, 0.605272>, <1.784498, 0.504697, 0.383630>, 
      <-1.624688, 1.504697, -0.110803>, <-0.488292, 1.504697, -0.110803>, <0.579905, 1.494740, -0.091885>, <1.750399, 1.504697, -0.079711>
    }
  }
  material {
    Segeltextur
  }
  scale <1.25, 1.35, 1.2>
  rotate <83.0, 0.0, 90.0>
  translate  <-0.4, -0.05, 8.03>
}
#declare Rahen_Segel_gm4 = union {
  object { Rahe_gm6 }
  object { Segel_gm4 }
  rotate 15.0*z
}
#declare Rahe_gm7 = lathe {
  linear_spline
  5  // control points
  <0.001101, -2.000366>,
  <0.037943, -1.991528>,
  <0.058609, -0.005305>,
  <0.02971, 1.975897>,
  <-0.000653, 1.999843>
  rotate <90,0,90>
  scale <1.0, 1.0, 2.0>
  rotate <-90.0, -90.0, 0.0>
  translate  <-0.87, 0.0, 5.0>
}
#declare Rahe_Segel_gm3 = union {
  object { Rahe_gm7 }
  material {
    DMFDarkOak
  }
  rotate 15.0*z
}
#include "zwei.in3"
#declare Wanten_gm6 = object {
  Wanten_gm6_Raw
  scale <1.02, 0.74, 0.73>
  rotate <66.0009, 5.999973, 0.010352>
  translate  <0.19, -3.65, 0.63>
}
#include "zwei.in4"
#declare Wanten_gm7 = object {
  Wanten_gm7_Raw
  scale <1.02, 0.74, 0.73>
  rotate <90.093994, 5.345213, 3.394127>
  translate  <0.21, -0.44, -0.25>
}
#include "zwei.in5"
#declare Wanten_oben_gm6 = object {
  Wanten_oben_gm6_Raw
  scale <0.6, 0.75, 0.8>
  rotate <80.998726, -0.991561, 0.117408>
  translate  <1.09, -2.12, 3.39>
}
#include "zwei.in6"
#declare Wanten_oben_gm7 = object {
  Wanten_oben_gm7_Raw
  scale <0.6, 0.75, 0.8>
  rotate <69.997238, -0.959549, 0.267139>
  translate  <1.09, -3.65, 3.93>
}
#declare Wanten_alle_gm3 = union {
  object { Wanten_gm6 }
  object { Wanten_gm7 }
  object { Wanten_oben_gm6 }
  object { Wanten_oben_gm7 }
  box { // Befest18
    <-1, -1, -1>, <1, 1, 1>
    material {
      DMFDarkOak
    }
    scale <0.7, 0.1, 0.05>
    rotate <0.126258, 9.999211, 5.011045>
    translate  <-2.3, 1.64, -0.18>
  }
  box { // Befest19
    <-1, -1, -1>, <1, 1, 1>
    material {
      DMFDarkOak
    }
    scale <0.7, 0.1, 0.05>
    rotate <-0.086939, 8.000759, -4.920416>
    translate  <-2.31, -1.64, -0.2>
  }
  material {
    Wanten
  }
}
#declare Flagge6 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.880402, -1.196985, 0.000000>, <-1.710888, -2.495477, 0.469012>, <-0.590436, -1.658291, -0.832418>, <0.519062, -2.273367, -0.118917>, 
      <-2.880402, -0.196985, 0.000000>, <-1.320161, -1.495477, 1.029620>, <-0.267662, -0.658291, -1.138204>, <0.892801, -1.273367, -0.169881>, 
      <-2.880402, 0.803015, 0.000000>, <-1.320161, -0.495477, 1.029620>, <-0.267662, 0.341709, -1.138204>, <0.892801, -0.273367, -0.169881>, 
      <-2.880402, 1.803015, 0.000000>, <-1.710888, 0.504523, 0.469012>, <-0.590436, 1.341709, -0.832418>, <0.519062, 0.726633, -0.118917>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.519062, -2.273367, -0.118917>, <1.628561, -2.888442, 0.594584>, <2.441497, -2.700503, -0.577596>, <3.051256, -3.076382, 0.000000>, 
      <0.892801, -1.273367, -0.169881>, <2.053264, -1.888442, 0.798442>, <2.458485, -1.700503, -0.424703>, <2.931658, -2.247236, 0.000000>, 
      <0.892801, -0.273367, -0.169881>, <2.053264, -0.888442, 0.798442>, <2.458485, -0.700503, -0.424703>, <2.931658, -1.247236, 0.000000>, 
      <0.519062, 0.726633, -0.118917>, <1.628561, 0.111558, 0.594584>, <2.441497, 0.299497, -0.577596>, <2.777889, -0.486432, 0.000000>
    }
  }
  material {
    Fahne_gelb
  }
  scale 0.35
  rotate 90.0*x
  translate  <0.14, 0.0, 12.21>
}
#declare Grossmast3 = union {
  object { hm_unten3 }
  object { hm_mitte3 }
  object { Fahnenstange12 }
  object { Mastkorb_gm6 }
  object { Mastkorb_gm7 }
  object { Rahen_Segel_gm4 }
  object { Rahe_Segel_gm3 }
  object { Wanten_alle_gm3 }
  object { Flagge6 }
  material {
    DMFDarkOak
  }
}
#declare fm_unten3 = lathe {
  linear_spline
  2  // control points
  <0.058728, -2.465877>,
  <0.053601, 1.201005>
  rotate <90,0,90>
  scale 2.0
  translate  <4.45, 0.0, 2.91>
}
#declare fm_mitte3 = lathe {
  linear_spline
  2  // control points
  <0.058728, -2.465877>,
  <0.045226, 1.201005>
  rotate <90,0,90>
  scale <1.0, 1.0, 1.2>
  translate  <4.61, 0.0, 7.62>
}
#declare Fahnenstange13 = lathe {
  linear_spline
  8  // control points
  <0.039713, -1.4962>,
  <0.029313, 0.892881>,
  <0.032538, 0.890942>,
  <0.075144, 0.903564>,
  <0.102804, 0.920012>,
  <0.10657, 0.938186>,
  <0.067085, 0.965>,
  <0.000756, 0.974874>
  rotate <90,0,90>
  scale <0.4, 0.4, 0.8>
  translate  <4.67, 0.0, 9.94>
}
#declare Mastkorb20 = lathe {
  linear_spline
  12  // control points
  <0.011725, -1.01675>,
  <1.198492, -0.917504>,
  <1.564489, -0.843384>,
  <1.958124, -0.711893>,
  <2.150754, -0.387772>,
  <2.354271, -0.03727>,
  <2.249246, -0.040871>,
  <2.058157, -0.36057>,
  <1.883377, -0.652945>,
  <1.542547, -0.784667>,
  <1.184968, -0.861951>,
  <0.011725, -0.859296>
  rotate <90,0,90>
  scale 0.25
  translate  <-1.0, 0.0, 5.87>
}
#declare Mastkorb_fm6 = union {
  object { Mastkorb20 }
  superellipsoid { // Verbinder60
    <0.1, 0.1>
    scale <0.18, 0.12, 0.04>
    translate  <-1.02, 0.0, 6.27>
  }
  superellipsoid { // Verbinder61
    <0.1, 0.1>
    scale <0.18, 0.12, 0.04>
    translate  <-1.02, 0.0, 5.75>
  }
  superellipsoid { // Verbinder62
    <0.1, 0.1>
    scale <0.155, 0.095, 0.25>
    translate  <-1.02, 0.0, 6.0>
  }
  material {
    S_Wood1
  }
  translate  <5.52, 0.0, -0.99>
}
#declare Mastkorb21 = lathe {
  linear_spline
  12  // control points
  <0.011725, -1.01675>,
  <1.198492, -0.917504>,
  <1.564489, -0.843384>,
  <1.958124, -0.711893>,
  <2.150754, -0.387772>,
  <2.354271, -0.03727>,
  <2.249246, -0.040871>,
  <2.058157, -0.36057>,
  <1.883377, -0.652945>,
  <1.542547, -0.784667>,
  <1.184968, -0.861951>,
  <0.011725, -0.859296>
  rotate <90,0,90>
  scale 0.25
  translate  <-1.0, 0.0, 5.87>
}
#declare Mastkorb_fm7 = union {
  object { Mastkorb21 }
  superellipsoid { // Verbinder63
    <0.1, 0.1>
    scale <0.18, 0.12, 0.04>
    translate  <-1.02, 0.0, 6.27>
  }
  superellipsoid { // Verbinder64
    <0.1, 0.1>
    scale <0.18, 0.12, 0.04>
    translate  <-1.02, 0.0, 5.75>
  }
  superellipsoid { // Verbinder65
    <0.1, 0.1>
    scale <0.155, 0.095, 0.25>
    translate  <-1.02, 0.0, 6.0>
  }
  material {
    S_Wood1
  }
  scale 0.5
  translate  <5.14, 0.0, 5.92>
}
#declare Rahe_fm6 = lathe {
  linear_spline
  5  // control points
  <0.001101, -2.000366>,
  <0.037943, -1.991528>,
  <0.058609, -0.005305>,
  <0.02971, 1.975897>,
  <-0.000653, 1.999843>
  rotate <90,0,90>
  scale <0.9, 0.9, 1.8>
  rotate <0.0, -90.0, -90.0>
  translate  <-0.87, 0.0, 5.7>
}
#declare Segel_fm6 = object {   object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.972250, -1.344840, -0.666766>, <-1.553609, -1.775267, 0.789950>, <1.615698, -1.774182, 0.770036>, <3.153497, -1.343341, -0.696779>, 
      <-2.812237, -0.835832, 0.332482>, <-1.798932, -0.670606, 1.270199>, <1.933475, -0.675022, 1.270199>, <2.970760, -0.860426, 0.485926>, 
      <-2.776854, 0.379827, 0.417729>, <-1.426164, 0.275769, 0.588223>, <1.474807, 0.317392, 0.605272>, <2.825082, 0.463074, 0.383630>, 
      <-2.748518, 1.504697, -0.110803>, <-0.488292, 1.504697, -0.110803>, <0.579905, 1.494740, -0.091885>, <2.832606, 1.504697, -0.079711>
    }
  }
  material {
    Segeltextur
  }
  scale <1.2, 1.1, 0.8>
  rotate <80.0, -0.0, 90.0>
  translate  <-0.49, -0.02, 4.07>
}
#declare Rahe_Segel_fm3 = union {
  object { Rahe_fm6 }
  object { Segel_fm6 }
  rotate 15.0*z
  translate  <5.55, 0.0, -1.72>
}
#declare Rahe_fm7 = lathe {
  linear_spline
  5  // control points
  <0.001101, -2.000366>,
  <0.037943, -1.991528>,
  <0.058609, -0.005305>,
  <0.02971, 1.975897>,
  <-0.000653, 1.999843>
  rotate <90,0,90>
  scale <0.6, 0.6, 1.2>
  rotate <0.0, -90.0, -90.0>
  translate  <-0.82, -0.09, 9.97>
}
#declare Segel_fm7 = object {   object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.750608, -1.972149, -0.397919>, <-1.553609, -1.576121, 0.531061>, <1.615698, -1.545164, 0.541019>, <2.948905, -1.980607, -0.366686>, 
      <-2.208699, -0.815020, 0.332482>, <-0.820783, -0.733041, 1.270199>, <0.913703, -0.716646, 1.270199>, <2.408845, -0.839614, 0.485926>, 
      <-1.590589, 0.504697, 0.417729>, <-0.572886, 0.504697, 0.588223>, <0.579905, 0.504697, 0.605272>, <1.784498, 0.504697, 0.383630>, 
      <-1.624688, 1.504697, -0.110803>, <-0.488292, 1.504697, -0.110803>, <0.579905, 1.494740, -0.091885>, <1.750399, 1.504697, -0.079711>
    }
  }
  material {
    Segeltextur
  }
  scale <1.15, 1.16, 1.1>
  rotate <83.0, -0.0, 90.0>
  translate  <-0.48, -0.05, 8.23>
}
#declare Rahen_Segel_fm4 = union {
  object { Rahe_fm7 }
  object { Segel_fm7 }
  rotate 15.0*z
  translate  <5.55, 0.0, -1.72>
}
#include "<file not contained in ZIP-archive, try zwei.in3>"
#declare Wanten_unten_fm6 = object {
  Wanten_unten_fm6_Raw
  scale <0.98, 0.59, 0.92>
  rotate <81.728569, 2.156165, -14.53552>
  translate  <-0.08, -0.32, 0.31>
}
#include "<file not contained in ZIP-archive, try zwei.in3>"
#declare Wanten_unten_fm7 = object {
  Wanten_unten_fm7_Raw
  scale <0.98, 0.59, 0.92>
  rotate <58.065662, 1.461773, 10.787218>
  translate  <1.06, -4.62, 1.45>
}
#include "<file not contained in ZIP-archive, try zwei.in3>"
#declare Wanten_oben_fm6 = object {
  Wanten_oben_fm6_Raw
  scale <0.6, 0.6, 0.8>
  rotate <66.996864, -0.943319, 0.316609>
  translate  <6.65, -3.52, 3.65>
}
#include "<file not contained in ZIP-archive, try zwei.in3>"
#declare Wanten_oben_fm7 = object {
  Wanten_oben_fm7_Raw
  scale <0.6, 0.6, 0.8>
  rotate <76.998146, -0.980285, 0.186166>
  translate  <6.64, -2.14, 3.17>
}
#declare Wanten_alle_fm3 = union {
  object { Wanten_unten_fm6 }
  object { Wanten_unten_fm7 }
  object { Wanten_oben_fm6 }
  object { Wanten_oben_fm7 }
  box { // Befest20
    <-1, -1, -1>, <1, 1, 1>
    material {
      DMFDarkOak
    }
    scale <0.7, 0.1, 0.05>
    rotate 13.0*z
    translate  <3.88, -1.66, -0.4>
  }
  box { // Befest21
    <-1, -1, -1>, <1, 1, 1>
    material {
      DMFDarkOak
    }
    scale <0.7, 0.1, 0.05>
    rotate -12.0*z
    translate  <3.86, 1.53, -0.4>
  }
  material {
    Wanten
  }
}
#declare Fockmast3 = union {
  object { fm_unten3 }
  object { fm_mitte3 }
  object { Fahnenstange13 }
  object { Mastkorb_fm6 }
  object { Mastkorb_fm7 }
  object { Rahe_Segel_fm3 }
  object { Rahen_Segel_fm4 }
  object { Wanten_alle_fm3 }
  material {
    DMFDarkOak
  }
}
#declare Fahnenstange14 = lathe {
  linear_spline
  8  // control points
  <0.039713, -1.4962>,
  <0.029313, 0.892881>,
  <0.032538, 0.890942>,
  <0.075144, 0.903564>,
  <0.102804, 0.920012>,
  <0.10657, 0.938186>,
  <0.067085, 0.965>,
  <0.000756, 0.974874>
  rotate <90,0,90>
  scale <0.4, 0.4, 0.8>
  translate  <-4.01, 0.0, 8.92>
}
#declare bm_mitte3 = lathe {
  linear_spline
  2  // control points
  <0.050353, -2.465877>,
  <0.036851, 1.242881>
  rotate <90,0,90>
  translate  <-4.06, 0.0, 6.74>
}
#declare bm_unten3 = lathe {
  linear_spline
  2  // control points
  <0.050353, -2.465877>,
  <0.045226, 1.242881>
  rotate <90,0,90>
  scale 2.0
  translate  <-4.18, 0.0, 2.32>
}
#declare Mastkorb22 = lathe {
  linear_spline
  12  // control points
  <0.011725, -1.01675>,
  <1.198492, -0.917504>,
  <1.564489, -0.843384>,
  <1.958124, -0.711893>,
  <2.150754, -0.387772>,
  <2.354271, -0.03727>,
  <2.249246, -0.040871>,
  <2.058157, -0.36057>,
  <1.883377, -0.652945>,
  <1.542547, -0.784667>,
  <1.184968, -0.861951>,
  <0.011725, -0.859296>
  rotate <90,0,90>
  scale 0.25
  translate  <-1.0, 0.0, 5.87>
}
#declare Mastkorb_bm6 = union {
  object { Mastkorb22 }
  superellipsoid { // Verbinder66
    <0.1, 0.1>
    scale <0.195, 0.13, 0.043333>
    translate  <-1.02, 0.0, 6.27>
  }
  superellipsoid { // Verbinder67
    <0.1, 0.1>
    scale <0.195, 0.13, 0.043333>
    translate  <-1.02, 0.0, 5.75>
  }
  superellipsoid { // Verbinder68
    <0.1, 0.1>
    scale <0.171316, 0.105, 0.276316>
    translate  <-1.02, 0.0, 6.0>
  }
  material {
    S_Wood1
  }
  scale 0.8
  translate  <-3.33, 0.0, -0.24>
}
#declare Mastkorb23 = lathe {
  linear_spline
  12  // control points
  <0.011725, -1.01675>,
  <1.198492, -0.917504>,
  <1.564489, -0.843384>,
  <1.958124, -0.711893>,
  <2.150754, -0.387772>,
  <2.354271, -0.03727>,
  <2.249246, -0.040871>,
  <2.058157, -0.36057>,
  <1.883377, -0.652945>,
  <1.542547, -0.784667>,
  <1.184968, -0.861951>,
  <0.011725, -0.859296>
  rotate <90,0,90>
  scale 0.25
  translate  <-1.0, 0.0, 5.87>
}
#declare Mastkorb_bm7 = union {
  object { Mastkorb23 }
  superellipsoid { // Verbinder69
    <0.1, 0.1>
    scale <0.17875, 0.11, 0.039722>
    translate  <-1.02, 0.0, 6.27>
  }
  superellipsoid { // Verbinder70
    <0.1, 0.1>
    scale <0.165, 0.11, 0.036667>
    translate  <-1.02, 0.0, 5.75>
  }
  superellipsoid { // Verbinder71
    <0.1, 0.1>
    scale <0.146842, 0.09, 0.236842>
    translate  <-1.02, 0.0, 6.0>
  }
  material {
    S_Wood1
  }
  scale 0.4
  translate  <-3.64, 0.0, 5.46>
}
#declare Rahe_bm8 = lathe {
  linear_spline
  5  // control points
  <0.001101, -2.000366>,
  <0.037943, -1.991528>,
  <0.058609, -0.005305>,
  <0.02971, 1.975897>,
  <-0.000653, 1.999843>
  rotate <90,0,90>
  scale <0.55, 0.55, 0.825>
  rotate <90.0, -90.0, 0.0>
  translate  <-1.11, 0.0, 8.84>
}
#declare Segel_bm4 = object {   object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.784707, -1.972149, -1.062846>, <-1.553609, -1.576121, 0.531061>, <1.615698, -1.545164, 0.541019>, <2.914806, -1.980607, -1.048662>, 
      <-2.208699, -0.815020, 0.332482>, <-0.820783, -0.733041, 1.270199>, <0.913703, -0.716646, 1.270199>, <2.408845, -0.839614, 0.485926>, 
      <-1.590589, 0.504697, 0.417729>, <-0.572886, 0.504697, 0.588223>, <0.579905, 0.504697, 0.605272>, <1.784498, 0.504697, 0.383630>, 
      <-1.624688, 1.504697, -0.110803>, <-0.488292, 1.504697, -0.110803>, <0.579905, 1.494740, -0.091885>, <1.750399, 1.504697, -0.079711>
    }
  }
  material {
    Segeltextur
  }
  scale <0.892241, 0.9, 0.853448>
  rotate <71.0, 0.0, 90.0>
  translate  <-0.57, -0.05, 7.57>
}
#declare Rahen_Segel_bm8 = union {
  object { Rahe_bm8 }
  object { Segel_bm4 }
  rotate <0.0, 3.0, 15.0>
  translate  <-3.295619, 0.0, -1.549644>
}
#declare Rahe_bm9 = lathe {
  linear_spline
  5  // control points
  <0.001101, -2.000366>,
  <0.037943, -1.991528>,
  <0.058609, -0.005305>,
  <0.02971, 1.975897>,
  <-0.000653, 1.999843>
  rotate <90,0,90>
  scale <0.7, 0.7, 1.4>
  rotate <90.0, -90.0, 0.0>
  translate  <-1.19, 0.0, 4.98>
}
#declare Rahen_Segel_bm9 = union {
  object { Rahe_bm9 }
  rotate <0.0, 6.0, 15.0>
  translate  <-3.372204, 0.0, -1.375041>
}
#declare Rahe_bm10 = lathe {
  linear_spline
  5  // control points
  <0.001101, -2.000366>,
  <0.037943, -1.991528>,
  <0.058609, -0.005305>,
  <0.02971, 1.975897>,
  <-0.000653, 1.999843>
  rotate <90,0,90>
  scale <0.5, 0.5, 1.4>
  rotate <62.529053, 8.99555, 45.463993>
  translate  <-0.78, 0.03, 5.25>
}
#declare Segel_bm4 = object {   object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-3.021002, -2.000000, 0.000000>, <-1.088758, -2.301776, 0.000000>, <0.035503, -2.440768, 0.000000>, <1.187115, -2.903369, -0.286043>, 
      <-2.170854, -1.285295, 0.011450>, <-1.828277, -1.480904, 0.312846>, <0.191718, -1.271690, 0.241303>, <1.241624, -1.457039, -0.057250>, 
      <-1.693359, -0.832747, 0.000000>, <-1.132277, -0.726167, 0.282063>, <0.606772, -0.365353, 0.345694>, <1.050539, 0.048754, 0.110840>, 
      <-1.236492, -0.412395, 0.000000>, <-0.681339, 0.009312, 0.000000>, <0.272530, 1.000000, 0.000000>, <1.047665, 1.754320, -0.003822>
    }
  }
  material {
    Segeltextur
  }
  rotate <4.035635, -214.681717, 9.8325>
  translate  <-1.58, 0.02, 4.69>
}
#declare Rahen_Segel_bm10 = union {
  object { Rahe_bm10 }
  object { Segel_bm4 }
  rotate <105.403564, 14.219177, 5.351395>
  translate  <-3.57, 5.26, 5.04>
}
#include "<file not contained in ZIP-archive, try zwei.in3>"
#declare Wanten_bm6 = object {
  Wanten_bm6_Raw
  scale <1.0, 0.8, 1.0>
  rotate <90.0, 2.0, -0.0>
  translate  <-1.49, -1.05, -4.09>
}
#include "<file not contained in ZIP-archive, try zwei.in3>"
#declare Wanten_bm7 = object {
  Wanten_bm7_Raw
  scale <1.0, 0.8, 1.0>
  rotate <53.986717, 1.528112, -1.470702>
  translate  <-1.46, -6.13, -1.81>
}
#declare Wanten_alle_bm3 = union {
  object { Wanten_bm6 }
  object { Wanten_bm7 }
  box { // Befest22
    <-1, -1, -1>, <1, 1, 1>
    material {
      DMFDarkOak
    }
    scale <0.3, 0.1, 0.05>
    rotate <-0.086939, 8.000759, -4.920416>
    translate  <-4.7, -1.33, 0.87>
  }
  box { // Befest23
    <-1, -1, -1>, <1, 1, 1>
    material {
      DMFDarkOak
    }
    scale <0.3, 0.1, 0.05>
    rotate <0.030158, 8.000497, 5.929973>
    translate  <-4.71, 1.32, 0.88>
  }
  material {
    Wanten
  }
  rotate 3.0*y
}
#declare Besanmast3 = union {
  object { Fahnenstange14 }
  object { bm_mitte3 }
  object { bm_unten3 }
  object { Mastkorb_bm6 }
  object { Mastkorb_bm7 }
  object { Rahen_Segel_bm8 }
  object { Rahen_Segel_bm9 }
  object { Rahen_Segel_bm10 }
  object { Wanten_alle_bm3 }
  material {
    DMFDarkOak
  }
  rotate -3.0*y
}
#declare Baum6 = lathe {
  linear_spline
  2  // control points
  <0.050353, -2.465877>,
  <0.020101, 1.242881>
  rotate <90,0,90>
  scale 1.8
  translate  <-4.18, 0.0, 2.32>
}
#declare Rahe_baum3 = lathe {
  linear_spline
  5  // control points
  <0.001101, -2.000366>,
  <0.037943, -1.991528>,
  <0.058609, -0.005305>,
  <0.02971, 1.975897>,
  <-0.000653, 1.999843>
  rotate <90,0,90>
  scale <0.5, 0.5, 1.0>
  rotate <90.0, -40.0, -180.0>
  translate  <7.36, 0.0, 2.08>
}
#declare Segel_baum3 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-5.000000, 1.177889, 0.000000>, <-4.000000, 1.177889, 0.000000>, <-3.000000, 1.177889, 0.000000>, <-2.000000, 1.177889, 0.000000>, 
      <-5.000000, 1.255276, 0.230653>, <-4.000000, -1.000000, 0.691960>, <-3.025628, 1.255276, 0.230653>, <-2.333166, 0.396734, 0.461307>, 
      <-5.000000, 0.000000, -0.494305>, <-4.000000, 0.000000, -1.340034>, <-3.000000, 0.000000, -0.494305>, <-2.000000, 0.000000, -0.917169>, 
      <-5.000000, 1.000000, 0.000000>, <-4.000000, 1.000000, 0.000000>, <-3.000000, 1.000000, 0.000000>, <-2.000000, 1.000000, 0.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.000000, 1.177889, 0.000000>, <-1.000000, 1.177889, 0.000000>, <0.000000, 1.177889, 0.000000>, <1.000000, 1.177889, 0.000000>, 
      <-2.333166, 0.396734, 0.461307>, <-1.640704, -0.461809, 0.691960>, <-0.025628, 0.153266, 0.230653>, <0.974372, 0.704271, 0.230653>, 
      <-2.000000, 0.000000, -0.917169>, <-1.000000, 0.000000, -1.340034>, <0.000000, 0.000000, -1.340034>, <1.000000, 0.000000, -0.917169>, 
      <-2.000000, 1.000000, 0.000000>, <-1.000000, 1.000000, 0.000000>, <0.000000, 1.000000, 0.000000>, <1.000000, 1.000000, 0.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <1.000000, 1.177889, 0.000000>, <2.000000, 1.177889, 0.000000>, <3.000000, 1.177889, 0.000000>, <4.000000, 1.177889, 0.000000>, 
      <0.974372, 0.704271, 0.230653>, <1.974372, 1.255276, 0.230653>, <3.000000, -1.000000, 0.691960>, <4.000000, 1.255276, 0.230653>, 
      <1.000000, 0.000000, -0.917169>, <2.000000, 0.000000, -0.494305>, <3.000000, 0.000000, -1.340034>, <4.000000, 0.000000, -0.494305>, 
      <1.000000, 1.000000, 0.000000>, <2.000000, 1.000000, 0.000000>, <3.000000, 1.000000, 0.000000>, <4.000000, 1.000000, 0.000000>
    }
  }
  material {
    Segeltextur
  }
  scale <0.4, 0.25, 0.5>
  rotate <45.711563, -0.0, 90.0>
  translate  <7.58, 0.21, 1.83>
}
#declare Rahe_Segel_baum3 = union {
  object { Rahe_baum3 }
  object { Segel_baum3 }
  scale <0.5, 1.0, 1.0>
  rotate -50.0*y
  translate  <-4.79761, 0.0, -1.14374>
}
#declare Baum7 = union {
  object { Baum6 }
  object { Rahe_Segel_baum3 }
  material {
    DMFDarkOak
  }
  rotate 50.0*y
  translate  <8.87, 0.0, -2.87>
}
#declare Masten3 = union {
  object { Grossmast3 }
  object { Fockmast3 }
  object { Besanmast3 }
  object { Baum7 }
  rotate -180.0*z
}
#declare Segel_fm8 = object {   object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.972250, -1.344840, -0.666766>, <-1.553609, -1.775267, 0.789950>, <1.615698, -1.774182, 0.770036>, <3.153497, -1.343341, -0.696779>, 
      <-2.812237, -0.835832, 0.332482>, <-1.798932, -0.670606, 1.270199>, <1.933475, -0.675022, 1.270199>, <2.970760, -0.860426, 0.485926>, 
      <-2.776854, 0.379827, 0.417729>, <-1.426164, 0.275769, 0.588223>, <1.474807, 0.317392, 0.605272>, <2.825082, 0.463074, 0.383630>, 
      <-2.748518, 1.504697, -0.110803>, <-0.488292, 1.504697, -0.110803>, <0.579905, 1.494740, -0.091885>, <2.832606, 1.504697, -0.079711>
    }
  }
  material {
    Segeltextur
  }
  scale <1.3, 1.61, 0.94>
  rotate <80.0, -0.0, -75.0>
  translate  <0.29, 0.23, 2.66>
}
union { // Pinasse3
  object { planke2_Ref }
  object { Bug3 }
  object { Masten3 }
  object { Segel_fm8 }
  translate  <277.29, -122.92, 0.0>
}


#declare Kanonenblitz3 = lathe {
  linear_spline
  8  // control points
  <0.054371, -5.842308>,
  <0.299707, -4.01453>,
  <0.33927, -3.346427>,
  <0.571618, -6.318003>,
  <0.564352, -2.567566>,
  <1.023509, -5.572256>,
  <0.783567, -1.357815>,
  <0.364078, 1.462683>
  rotate <90,0,90>
  material {
    Blitz
  }
  hollow
  scale 0.1
  rotate -90.0*x
  translate  <-5.87, -1.68, 0.48>
}
#declare Wolke_Ref = object {
  Wolke
  material {
    Rauch
  }
  scale <0.82, 0.79, 0.86>
  rotate <64.0, 184.0, -86.0>
  translate  <-5.91, -3.03, 0.5>
}
#declare Schuss3 = union {
  object { Kanonenblitz3 }
  object { Wolke_Ref }
  hollow
  rotate -131.0*z
  translate  <0.993863, -22.202548, -1.07>
}
#declare Kanonenblitz2 = lathe {
  linear_spline
  8  // control points
  <0.054371, -5.842308>,
  <0.299707, -4.01453>,
  <0.33927, -3.346427>,
  <0.571618, -6.318003>,
  <0.564352, -2.567566>,
  <1.023509, -5.572256>,
  <0.783567, -1.357815>,
  <0.364078, 1.462683>
  rotate <90,0,90>
  material {
    Blitz
  }
  hollow
  scale 0.1
  rotate -90.0*x
  translate  <-5.87, -1.68, 0.48>
}
#declare Wolke1_Ref = object {
  Wolke
  material {
    Rauch
  }
  scale 0.5
  rotate <90.0, -175.0, 84.0>
  translate  <-5.88, -2.82, 0.5>
}
#declare Schuss2 = union {
  object { Kanonenblitz2 }
  object { Wolke1_Ref }
  hollow
  rotate -131.0*z
  translate  <2.790262, -19.906257, -1.22>
}
#declare Kanonenblitz1 = lathe {
  linear_spline
  8  // control points
  <0.054371, -5.842308>,
  <0.299707, -4.01453>,
  <0.33927, -3.346427>,
  <0.571618, -6.318003>,
  <0.564352, -2.567566>,
  <1.023509, -5.572256>,
  <0.783567, -1.357815>,
  <0.364078, 1.462683>
  rotate <90,0,90>
  material {
    Blitz
  }
  hollow
  scale 0.1
  rotate -90.0*x
  translate  <-5.87, -1.68, 0.48>
}
#declare Wolke2_Ref = object {
  Wolke
  material {
    Rauch
  }
  scale 0.64
  rotate <90.0, -175.0, 90.0>
  translate  <-5.87, -2.73, 0.5>
}
#declare Schuss1 = union {
  object { Kanonenblitz1 }
  object { Wolke2_Ref }
  hollow
  rotate -131.0*z
  translate  <3.697044, -18.808375, -1.18>
}
#declare Schuesse = union {
  object { Schuss3 }
  object { Schuss2 }
  object { Schuss1 }
}
#include "seil.inc"

#declare Seil_bogen38_Ref = object {
  NONAME
  scale <1.0, 1.0, 0.7>
  rotate <0.821121, -75.161179, 155.294983>
  translate  <5.6, -3.66, 0.81>
}
#declare Seil_bogen39_Ref = object {
  NONAME
  scale <1.0, 1.0, 0.45>
  rotate <-24.150391, -71.196129, -119.449661>
  translate  <3.82, 3.43, 0.8>
}
#declare Seil_bogen40_Ref = object {
  NONAME
  scale <1.0, 1.0, 0.65>
  rotate <-165.744705, -48.178223, 81.318207>
  translate  <3.82, 3.43, 0.8>
}
#declare Seil_bogen41_Ref = object {
  NONAME
  scale <1.0, 1.0, 0.75>
  rotate <8.760311, -145.318069, -95.505058>
  translate  <4.11, 3.03, 4.22>
}
#declare Seil_bogen42_Ref = object {
  NONAME
  scale <1.0, 1.0, 0.8>
  rotate <-0.129119, -143.385345, -250.958603>
  translate  <5.79, -3.17, 4.22>
}
#declare Seil_bogen43_Ref = object {
  NONAME
  scale <1.0, 1.0, 0.6>
  rotate <-0.071136, -60.674911, 167.202728>
  translate  <8.56, -1.89, 2.17>
}
#declare Seil_bogen44_Ref = object {
  NONAME
  scale <1.0, 1.0, 0.6>
  rotate <-13.735123, -58.824776, -151.827515>
  translate  <8.58, 1.88, 2.14>
}
#declare Seil_bogen45_Ref = object {
  NONAME
  scale <1.0, 1.0, 0.68>
  rotate <-165.914688, -50.898117, -91.099602>
  translate  <5.78, -3.65, 0.81>
}
#declare Seil_bogen46_Ref = object {
  NONAME
  scale <1.0, 1.0, 0.9>
  rotate <-173.768753, -33.862106, 86.028244>
  translate  <-1.41, 3.61, 5.33>
}
#declare Seil_bogen47_Ref = object {
  NONAME
  scale <1.0, 1.0, 0.94>
  rotate <-167.774704, -35.008087, -89.598778>
  translate  <0.46, -3.75, 5.37>
}
#declare Seil_bogen48_Ref = object {
  NONAME
  scale <1.0, 1.0, 0.64>
  rotate <-164.235809, -34.765457, -92.341179>
  translate  <-3.3, -2.51, 4.0>
}
#declare Seil_bogen49_Ref = object {
  NONAME
  scale <1.0, 1.0, 0.6>
  rotate <171.646423, -31.298843, 110.051567>
  translate  <-4.67, 2.28, 3.92>
}
#declare Seil_bogen50_Ref = object {
  NONAME
  scale <1.0, 1.0, 0.5>
  rotate <-15.970139, -55.54747, -128.531433>
  translate  <-4.9, 2.48, 3.48>
}
#declare Seil_bogen51_Ref = object {
  NONAME
  scale <1.0, 1.0, 0.67>
  rotate <15.974503, -63.652626, 135.916122>
  translate  <-3.54, -2.79, 3.48>
}
#declare Seil_bogen52_Ref = object {
  NONAME
  scale <1.0, 1.0, 0.97>
  rotate <-13.389877, -47.780228, 166.297882>
  translate  <0.17, -4.02, 4.99>
}
#declare Seil_bogen53_Ref = object {
  NONAME
  scale <1.0, 1.0, 0.8>
  rotate <-12.100418, -36.633453, -119.142227>
  translate  <-1.86, 3.56, 4.99>
}
#declare Seil_bogen54_Ref = object {
  NONAME
  scale <1.0, 1.0, 0.6>
  rotate <73.923393, -69.912758, 111.43338>
  translate  <-3.22, -0.39, 2.04>
}
#include "zwei.i13"
#declare Seil_gerade36 = object {
  Seil_gerade36_Raw
  scale <1.0, 1.0, 3.7>
  rotate -39.0*y
  translate  <4.7, 0.0, 8.73>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"
#declare Seil_gerade37 = object {
  Seil_gerade37_Raw
  scale <1.0, 1.0, 3.9>
  rotate -40.0*y
  translate  <-0.85, 0.0, 10.64>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"
#declare Seil_gerade38 = object {
  Seil_gerade38_Raw
  scale <1.0, 1.0, 3.7>
  rotate -45.0*y
  translate  <-0.81, 0.0, 5.6>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"
#declare Seil_gerade39 = object {
  Seil_gerade39_Raw
  scale <1.0, 1.0, 2.0>
  rotate -56.0*y
  translate  <-4.41, 0.0, 7.44>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"
#declare Seil_gerade40 = object {
  Seil_gerade40_Raw
  scale <1.0, 1.0, 3.3>
  rotate <184.929001, -207.428604, 174.619003>
  translate  <-4.41, 0.0, 7.44>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"
#declare Seil_gerade41 = object {
  Seil_gerade41_Raw
  scale <1.0, 1.0, 3.3>
  rotate <174.263077, -207.044174, 184.982574>
  translate  <-4.41, 0.0, 7.44>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"
#declare Seil_gerade43 = object {
  Seil_gerade43_Raw
  scale <1.0, 1.0, 2.3>
  rotate -45.0*y
  translate  <-4.37, 0.0, 4.08>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"
#declare Seil_gerade44 = object {
  Seil_gerade44_Raw
  scale <1.0, 1.0, 3.0>
  rotate <6.880833, -14.007673, -46.165688>
  translate  <-4.41, 0.0, 7.44>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"
#declare Seil_gerade45 = object {
  Seil_gerade45_Raw
  scale <1.0, 1.0, 5.4>
  rotate <-13.83915, 2.957804, -42.083759>
  translate  <-1.08, 0.0, 10.67>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"
#declare Seil_gerade46 = object {
  Seil_gerade46_Raw
  scale <1.0, 1.0, 5.4>
  rotate <-6.094561, 13.178464, -61.765831>
  translate  <-1.08, 0.0, 10.67>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"
#declare Seil_gerade47 = object {
  Seil_gerade47_Raw
  scale <1.0, 1.0, 1.1>
  rotate <-143.234512, -238.386841, -217.794235>
  translate  <-0.95, 0.04, 10.99>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"
#declare Seil_gerade48 = object {
  Seil_gerade48_Raw
  scale <1.0, 1.0, 1.25>
  rotate <-140.231262, -242.512802, -29.73617>
  translate  <-0.89, -0.05, 10.98>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"
#declare Seil_gerade49 = object {
  Seil_gerade49_Raw
  scale <1.0, 1.0, 2.0>
  rotate <-134.730957, -244.217972, -24.965971>
  translate  <-1.0, -0.1, 6.24>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"
#declare Seil_gerade50 = object {
  Seil_gerade50_Raw
  scale <1.0, 1.0, 1.85>
  rotate <-137.296402, -243.557129, -210.399567>
  translate  <-0.99, 0.08, 6.23>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"
#declare Seil_gerade51 = object {
  Seil_gerade51_Raw
  scale <1.0, 1.0, 1.85>
  rotate <-137.296402, -243.557129, -210.399567>
  translate  <-0.99, 0.08, 6.23>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"
#declare Seil_gerade52 = object {
  Seil_gerade52_Raw
  scale <1.0, 1.0, 0.75>
  rotate <-168.351669, -244.324509, -248.375015>
  translate  <-4.49, 0.01, 7.74>
}
#include "<file not contained in ZIP-archive, try zwei.i13>" 
#declare Seil_gerade53 = object {
  Seil_gerade53_Raw
  scale <1.0, 1.0, 0.9>
  rotate <-188.476837, -250.880798, -79.76577>
  translate  <-4.49, 0.01, 7.74>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i30"
#declare Seil_gerade54 = object {
  Seil_gerade54_Raw
  scale <1.0, 1.0, 1.3>
  rotate <-188.114822, -251.87381, -79.446449>
  translate  <4.6, -0.02, 9.06>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i31"
#declare Seil_gerade55 = object {
  Seil_gerade55_Raw
  scale <1.0, 1.0, 1.1>
  rotate <-149.272995, -244.596558, -224.70108>
  translate  <4.6, -0.02, 9.06>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i32"
#declare Seil_gerade56 = object {
  Seil_gerade56_Raw
  scale <1.0, 1.0, 1.75>
  rotate <-148.499039, -244.972122, -224.016281>
  translate  <4.46, 0.01, 5.24>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i33"
#declare Seil_gerade57 = object {
  Seil_gerade57_Raw
  scale <1.0, 1.0, 1.95>
  rotate <-171.295105, -251.104904, -63.009392>
  translate  <4.46, 0.01, 5.24>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i34"
#declare Seil_gerade58 = object {
  Seil_gerade58_Raw
  scale <1.0, 1.0, 1.1>
  rotate <-118.771507, -140.345093, -139.075806>
  translate  <9.37, -0.01, 2.97>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i35"
#declare Seil_gerade59 = object {
  Seil_gerade59_Raw
  scale <1.0, 1.0, 1.1>
  rotate <-117.276649, -142.506729, -4.149591>
  translate  <9.37, -0.01, 2.97>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i36"
#declare Seil_gerade60 = object {
  Seil_gerade60_Raw
  scale <1.0, 1.0, 5.0>
  rotate <-21.796848, 10.068346, -41.663822>
  translate  <4.57, 0.0, 8.7>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i37"
#declare Seil_gerade61 = object {
  Seil_gerade61_Raw
  scale <1.0, 1.0, 5.0>
  rotate <-13.90681, 20.132978, -60.364971>
  translate  <4.57, 0.0, 8.7>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i38"
#declare Seil_gerade62 = object {
  Seil_gerade62_Raw
  scale <1.0, 1.0, 0.3>
  rotate <-131.744247, -134.726852, 12.83582>
  translate  <5.8, -3.17, 4.25>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i39"
#declare Seil_gerade63 = object {
  Seil_gerade63_Raw
  scale <1.0, 1.0, 0.2>
  rotate <-126.237045, -161.692139, 259.829651>
  translate  <4.13, 3.05, 4.22>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i40"
#declare Seil_gerade64 = object {
  Seil_gerade64_Raw
  scale <1.0, 1.0, 0.3>
  rotate <-147.006927, -138.69371, 325.101715>
  translate  <-1.39, 3.62, 5.36>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i41"
#declare Seil_gerade65 = object {
  Seil_gerade65_Raw
  scale <1.0, 1.0, 0.3>
  rotate <-129.711914, -194.702682, 303.003723>
  translate  <0.48, -3.66, 5.36>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i42"
#declare Seil_gerade66 = object {
  Seil_gerade66_Raw
  scale <1.0, 1.0, 0.25>
  rotate <-161.742798, -149.138641, 27.792711>
  translate  <-3.36, -2.54, 3.95>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i43"
#declare Seil_gerade67 = object {
  Seil_gerade67_Raw
  scale <1.0, 1.0, 0.25>
  rotate <-151.401855, -161.450851, -88.09951>
  translate  <-4.65, 2.31, 3.88>
}
#declare Seil_bogen56_Ref = object {
  NONAME
  scale <1.0, 1.0, 0.95>
  rotate <-13.571664, -47.734131, 174.433685>
  translate  <5.59, -3.64, 3.94>
}
#declare Seil_bogen57_Ref = object {
  NONAME
  scale <1.0, 1.0, 0.78>
  rotate <-10.523951, -34.934052, -131.835968>
  translate  <3.8, 3.29, 3.99>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i44"
#declare Seil_gerade68 = object {
  Seil_gerade68_Raw
  scale <1.0, 1.0, 2.5>
  rotate <-7.266936, -70.805977, 7.311865>
  translate  <4.6, 0.02, 4.64>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i45"
#declare Seil_gerade69 = object {
  Seil_gerade69_Raw
  scale <1.0, 1.0, 2.6>
  rotate <162.419983, -124.938141, 7.008278>
  translate  <9.31, 0.02, 2.98>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i46"
#declare Seil_gerade70 = object {
  Seil_gerade70_Raw
  scale <1.0, 1.0, 2.6>
  rotate <175.970688, -122.737099, 18.931799>
  translate  <9.31, 0.02, 2.98>
}
#declare Takelage1 = union {
  object { Seil_gerade36 }
  object { Seil_gerade37 }
  object { Seil_gerade38 }
  object { Seil_gerade39 }
  object { Seil_gerade40 }
  object { Seil_gerade41 }
  object { Seil_gerade43 }
  object { Seil_gerade44 }
  object { Seil_gerade45 }
  object { Seil_gerade46 }
  object { Seil_gerade47 }
  object { Seil_gerade48 }
  object { Seil_gerade49 }
  object { Seil_gerade50 }
  object { Seil_gerade51 }
  object { Seil_gerade52 }
  object { Seil_gerade53 }
  object { Seil_gerade54 }
  object { Seil_gerade55 }
  object { Seil_gerade56 }
  object { Seil_gerade57 }
  object { Seil_gerade58 }
  object { Seil_gerade59 }
  object { Seil_gerade60 }
  object { Seil_gerade61 }
  object { Seil_gerade62 }
  object { Seil_gerade63 }
  object { Seil_gerade64 }
  object { Seil_gerade65 }
  object { Seil_gerade66 }
  object { Seil_gerade67 }
  object { Seil_bogen56_Ref }
  object { Seil_bogen57_Ref }
  object { Seil_gerade68 }
  object { Seil_gerade69 }
  object { Seil_gerade70 }
}
#declare Takelage_b1 = union {
  object { Seil_bogen38_Ref }
  object { Seil_bogen39_Ref }
  object { Seil_bogen40_Ref }
  object { Seil_bogen41_Ref }
  object { Seil_bogen42_Ref }
  object { Seil_bogen43_Ref }
  object { Seil_bogen44_Ref }
  object { Seil_bogen45_Ref }
  object { Seil_bogen46_Ref }
  object { Seil_bogen47_Ref }
  object { Seil_bogen48_Ref }
  object { Seil_bogen49_Ref }
  object { Seil_bogen50_Ref }
  object { Seil_bogen51_Ref }
  object { Seil_bogen52_Ref }
  object { Seil_bogen53_Ref }
  object { Seil_bogen54_Ref }
  object { Takelage1 }
  material {
    Seiltextur
  }
  rotate 50.0*z
  translate  <6.65, -16.35, 0.0>
}
#declare CSG017 = union {
  box { // Cube145
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, 0.09, -0.08>
  }
  box { // Cube146
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.08, 0.05>
    translate  <0.12, 0.0, -0.12>
  }
  box { // Cube147
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, -0.09, -0.08>
  }
}
#declare Bock16 = difference {
  object { CSG017 }
  cylinder { // Cylndr497
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.03, 0.25>
    rotate -90.0*x
    translate  <0.06, -0.13, 0.0>
  }
  box { // Cube148
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.14, 0.0, 0.02>
  }
  box { // Cube149
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.17, 0.0, -0.01>
  }
  box { // Cube150
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.2, 0.0, -0.04>
  }
  box { // Cube151
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.1>
    translate  0.23*x
  }
  material {
    Braun
  }
  scale 1.5
  translate  0.1*x
}
#declare Rohr32 = lathe {
  linear_spline
  23  // control points
  <0.001108, -0.292777>,
  <0.011416, -0.290229>,
  <0.019344, -0.283192>,
  <0.023813, -0.271713>,
  <0.021389, -0.259073>,
  <0.017361, -0.250124>,
  <0.028245, -0.246695>,
  <0.036362, -0.239921>,
  <0.041075, -0.230602>,
  <0.056241, -0.215472>,
  <0.061803, -0.206488>,
  <0.042071, 0.240661>,
  <0.045213, 0.245079>,
  <0.044924, 0.249625>,
  <0.041997, 0.252406>,
  <0.04141, 0.261877>,
  <0.045116, 0.264222>,
  <0.048064, 0.268799>,
  <0.047684, 0.273835>,
  <0.044732, 0.277056>,
  <0.030418, 0.277082>,
  <0.038508, -0.197878>,
  <0.000554, -0.215712>
  rotate <90,0,90>
  rotate -90.0*y
}
#declare Rohr33 = union {
  object { Rohr32 }
  cylinder { // Cylndr498
    <0,0,1>, <0,0,0>, 1 
    scale <0.025, 0.025, 0.16>
    rotate -90.0*x
    translate  <0.06, -0.08, 0.0>
  }
  material {
    Bronze
  }
  scale 1.5
  translate  0.1*x
}
#declare Rahmen16 = difference {
  box { // Cube152
    <-1, -1, -1>, <1, 1, 1>
    scale <0.198, 0.011, 0.165>
    translate  -0.06*y
  }
  box { // Cube153
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 0.015, 0.15>
    translate  -0.06*y
  }
  material {
    DMFDarkOak
  }
  scale <0.833333, 2.0, 0.833333>
  rotate <-9.0, 0.0, -90.0>
  translate  <0.04, 0.0, -0.03>
}
#declare Kanone16 = union {
  object { Bock16 }
  object { Rohr33 }
  object { Rahmen16 }
  box { // Klappe16
    <-1, -1, -1>, <1, 1, 1>
    material {
      Rot
    }
    scale <0.165, 0.01, 0.1375>
    rotate <34.0, -180.0, -270.0>
    translate  <-0.15, 0.0, 0.24>
  }
  scale 1.2
  rotate 90.0*z
  translate  <0.68, -1.74, -0.74>
}
#declare CSG033 = union {
  box { // Cube163
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, 0.09, -0.08>
  }
  box { // Cube164
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.08, 0.05>
    translate  <0.12, 0.0, -0.12>
  }
  box { // Cube165
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, -0.09, -0.08>
  }
}
#declare Bock32 = difference {
  object { CSG033 }
  cylinder { // Cylndr499
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.03, 0.25>
    rotate -90.0*x
    translate  <0.06, -0.13, 0.0>
  }
  box { // Cube166
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.14, 0.0, 0.02>
  }
  box { // Cube167
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.17, 0.0, -0.01>
  }
  box { // Cube168
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.2, 0.0, -0.04>
  }
  box { // Cube169
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.1>
    translate  0.23*x
  }
  material {
    Braun
  }
  scale 1.5
  translate  0.1*x
}
#declare Rohr64 = lathe {
  linear_spline
  23  // control points
  <0.001108, -0.292777>,
  <0.011416, -0.290229>,
  <0.019344, -0.283192>,
  <0.023813, -0.271713>,
  <0.021389, -0.259073>,
  <0.017361, -0.250124>,
  <0.028245, -0.246695>,
  <0.036362, -0.239921>,
  <0.041075, -0.230602>,
  <0.056241, -0.215472>,
  <0.061803, -0.206488>,
  <0.042071, 0.240661>,
  <0.045213, 0.245079>,
  <0.044924, 0.249625>,
  <0.041997, 0.252406>,
  <0.04141, 0.261877>,
  <0.045116, 0.264222>,
  <0.048064, 0.268799>,
  <0.047684, 0.273835>,
  <0.044732, 0.277056>,
  <0.030418, 0.277082>,
  <0.038508, -0.197878>,
  <0.000554, -0.215712>
  rotate <90,0,90>
  rotate -90.0*y
}
#declare Rohr65 = union {
  object { Rohr64 }
  cylinder { // Cylndr500
    <0,0,1>, <0,0,0>, 1 
    scale <0.025, 0.025, 0.16>
    rotate -90.0*x
    translate  <0.06, -0.08, 0.0>
  }
  material {
    Bronze
  }
  scale 1.5
  translate  0.1*x
}
#declare Rahmen32 = difference {
  box { // Cube170
    <-1, -1, -1>, <1, 1, 1>
    scale <0.198, 0.011, 0.165>
    translate  -0.06*y
  }
  box { // Cube171
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 0.015, 0.15>
    translate  -0.06*y
  }
  material {
    DMFDarkOak
  }
  scale <0.833333, 2.0, 0.833333>
  rotate <-9.0, 0.0, -90.0>
  translate  <0.04, 0.0, -0.03>
}
#declare Kanone32 = union {
  object { Bock32 }
  object { Rohr65 }
  object { Rahmen32 }
  box { // Klappe32
    <-1, -1, -1>, <1, 1, 1>
    material {
      Rot
    }
    scale <0.165, 0.01, 0.1375>
    rotate <34.0, -180.0, -270.0>
    translate  <-0.15, 0.0, 0.24>
  }
  scale 1.2
  rotate -90.0*z
  translate  <0.68, 1.72, -0.74>
}
#declare CSG034 = union {
  box { // Cube357
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, 0.09, -0.08>
  }
  box { // Cube358
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.08, 0.05>
    translate  <0.12, 0.0, -0.12>
  }
  box { // Cube359
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, -0.09, -0.08>
  }
}
#declare Bock33 = difference {
  object { CSG034 }
  cylinder { // Cylndr501
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.03, 0.25>
    rotate -90.0*x
    translate  <0.06, -0.13, 0.0>
  }
  box { // Cube360
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.14, 0.0, 0.02>
  }
  box { // Cube361
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.17, 0.0, -0.01>
  }
  box { // Cube362
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.2, 0.0, -0.04>
  }
  box { // Cube363
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.1>
    translate  0.23*x
  }
  material {
    Braun
  }
  scale 1.5
  translate  0.1*x
}
#declare Rohr66 = lathe {
  linear_spline
  23  // control points
  <0.001108, -0.292777>,
  <0.011416, -0.290229>,
  <0.019344, -0.283192>,
  <0.023813, -0.271713>,
  <0.021389, -0.259073>,
  <0.017361, -0.250124>,
  <0.028245, -0.246695>,
  <0.036362, -0.239921>,
  <0.041075, -0.230602>,
  <0.056241, -0.215472>,
  <0.061803, -0.206488>,
  <0.042071, 0.240661>,
  <0.045213, 0.245079>,
  <0.044924, 0.249625>,
  <0.041997, 0.252406>,
  <0.04141, 0.261877>,
  <0.045116, 0.264222>,
  <0.048064, 0.268799>,
  <0.047684, 0.273835>,
  <0.044732, 0.277056>,
  <0.030418, 0.277082>,
  <0.038508, -0.197878>,
  <0.000554, -0.215712>
  rotate <90,0,90>
  rotate -90.0*y
}
#declare Rohr67 = union {
  object { Rohr66 }
  cylinder { // Cylndr502
    <0,0,1>, <0,0,0>, 1 
    scale <0.025, 0.025, 0.16>
    rotate -90.0*x
    translate  <0.06, -0.08, 0.0>
  }
  material {
    Bronze
  }
  scale 1.5
  translate  0.1*x
}
#declare Rahmen33 = difference {
  box { // Cube364
    <-1, -1, -1>, <1, 1, 1>
    scale <0.198, 0.011, 0.165>
    translate  -0.06*y
  }
  box { // Cube365
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 0.015, 0.15>
    translate  -0.06*y
  }
  material {
    DMFDarkOak
  }
  scale <0.833333, 2.0, 0.833333>
  rotate <-9.0, 0.0, -90.0>
  translate  <0.04, 0.0, -0.03>
}
#declare Kanone33 = union {
  object { Bock33 }
  object { Rohr67 }
  object { Rahmen33 }
  box { // Klappe33
    <-1, -1, -1>, <1, 1, 1>
    material {
      Rot
    }
    scale <0.165, 0.01, 0.1375>
    rotate <34.0, -180.0, -270.0>
    translate  <-0.15, 0.0, 0.24>
  }
  scale 1.2
  rotate -90.0*z
  translate  <2.14, 1.7, -0.74>
}
#declare CSG035 = union {
  box { // Cube366
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, 0.09, -0.08>
  }
  box { // Cube367
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.08, 0.05>
    translate  <0.12, 0.0, -0.12>
  }
  box { // Cube368
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, -0.09, -0.08>
  }
}
#declare Bock34 = difference {
  object { CSG035 }
  cylinder { // Cylndr503
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.03, 0.25>
    rotate -90.0*x
    translate  <0.06, -0.13, 0.0>
  }
  box { // Cube369
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.14, 0.0, 0.02>
  }
  box { // Cube370
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.17, 0.0, -0.01>
  }
  box { // Cube371
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.2, 0.0, -0.04>
  }
  box { // Cube372
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.1>
    translate  0.23*x
  }
  material {
    Braun
  }
  scale 1.5
  translate  0.1*x
}
#declare Rohr68 = lathe {
  linear_spline
  23  // control points
  <0.001108, -0.292777>,
  <0.011416, -0.290229>,
  <0.019344, -0.283192>,
  <0.023813, -0.271713>,
  <0.021389, -0.259073>,
  <0.017361, -0.250124>,
  <0.028245, -0.246695>,
  <0.036362, -0.239921>,
  <0.041075, -0.230602>,
  <0.056241, -0.215472>,
  <0.061803, -0.206488>,
  <0.042071, 0.240661>,
  <0.045213, 0.245079>,
  <0.044924, 0.249625>,
  <0.041997, 0.252406>,
  <0.04141, 0.261877>,
  <0.045116, 0.264222>,
  <0.048064, 0.268799>,
  <0.047684, 0.273835>,
  <0.044732, 0.277056>,
  <0.030418, 0.277082>,
  <0.038508, -0.197878>,
  <0.000554, -0.215712>
  rotate <90,0,90>
  rotate -90.0*y
}
#declare Rohr69 = union {
  object { Rohr68 }
  cylinder { // Cylndr504
    <0,0,1>, <0,0,0>, 1 
    scale <0.025, 0.025, 0.16>
    rotate -90.0*x
    translate  <0.06, -0.08, 0.0>
  }
  material {
    Bronze
  }
  scale 1.5
  translate  0.1*x
}
#declare Rahmen34 = difference {
  box { // Cube373
    <-1, -1, -1>, <1, 1, 1>
    scale <0.198, 0.011, 0.165>
    translate  -0.06*y
  }
  box { // Cube374
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 0.015, 0.15>
    translate  -0.06*y
  }
  material {
    DMFDarkOak
  }
  scale <0.833333, 2.0, 0.833333>
  rotate <-9.0, 0.0, -90.0>
  translate  <0.04, 0.0, -0.03>
}
#declare Kanone34 = union {
  object { Bock34 }
  object { Rohr69 }
  object { Rahmen34 }
  box { // Klappe34
    <-1, -1, -1>, <1, 1, 1>
    material {
      Rot
    }
    scale <0.165, 0.01, 0.1375>
    rotate <34.0, -180.0, -270.0>
    translate  <-0.15, 0.0, 0.24>
  }
  scale 1.2
  rotate -90.0*z
  translate  <-0.75, 1.72, -0.7>
}
#declare CSG036 = union {
  box { // Cube375
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, 0.09, -0.08>
  }
  box { // Cube376
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.08, 0.05>
    translate  <0.12, 0.0, -0.12>
  }
  box { // Cube377
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, -0.09, -0.08>
  }
}
#declare Bock35 = difference {
  object { CSG036 }
  cylinder { // Cylndr505
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.03, 0.25>
    rotate -90.0*x
    translate  <0.06, -0.13, 0.0>
  }
  box { // Cube378
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.14, 0.0, 0.02>
  }
  box { // Cube379
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.17, 0.0, -0.01>
  }
  box { // Cube380
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.2, 0.0, -0.04>
  }
  box { // Cube381
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.1>
    translate  0.23*x
  }
  material {
    Braun
  }
  scale 1.5
  translate  0.1*x
}
#declare Rohr70 = lathe {
  linear_spline
  23  // control points
  <0.001108, -0.292777>,
  <0.011416, -0.290229>,
  <0.019344, -0.283192>,
  <0.023813, -0.271713>,
  <0.021389, -0.259073>,
  <0.017361, -0.250124>,
  <0.028245, -0.246695>,
  <0.036362, -0.239921>,
  <0.041075, -0.230602>,
  <0.056241, -0.215472>,
  <0.061803, -0.206488>,
  <0.042071, 0.240661>,
  <0.045213, 0.245079>,
  <0.044924, 0.249625>,
  <0.041997, 0.252406>,
  <0.04141, 0.261877>,
  <0.045116, 0.264222>,
  <0.048064, 0.268799>,
  <0.047684, 0.273835>,
  <0.044732, 0.277056>,
  <0.030418, 0.277082>,
  <0.038508, -0.197878>,
  <0.000554, -0.215712>
  rotate <90,0,90>
  rotate -90.0*y
}
#declare Rohr71 = union {
  object { Rohr70 }
  cylinder { // Cylndr506
    <0,0,1>, <0,0,0>, 1 
    scale <0.025, 0.025, 0.16>
    rotate -90.0*x
    translate  <0.06, -0.08, 0.0>
  }
  material {
    Bronze
  }
  scale 1.5
  translate  0.1*x
}
#declare Rahmen35 = difference {
  box { // Cube382
    <-1, -1, -1>, <1, 1, 1>
    scale <0.198, 0.011, 0.165>
    translate  -0.06*y
  }
  box { // Cube383
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 0.015, 0.15>
    translate  -0.06*y
  }
  material {
    DMFDarkOak
  }
  scale <0.833333, 2.0, 0.833333>
  rotate <-8.949434, -0.726098, -97.967194>
  translate  <0.04, -0.02, -0.03>
}
#declare Kanone35 = union {
  object { Bock35 }
  object { Rohr71 }
  object { Rahmen35 }
  box { // Klappe35
    <-1, -1, -1>, <1, 1, 1>
    material {
      Rot
    }
    scale <0.165, 0.01, 0.1375>
    rotate <-267.210388, -210.518402, -183.48494>
    translate  <-0.22, 0.0, 0.19>
  }
  scale 1.2
  rotate -90.0*z
  translate  <3.51, 1.58, -0.66>
}
#declare CSG037 = union {
  box { // Cube384
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, 0.09, -0.08>
  }
  box { // Cube385
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.08, 0.05>
    translate  <0.12, 0.0, -0.12>
  }
  box { // Cube386
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, -0.09, -0.08>
  }
}
#declare Bock36 = difference {
  object { CSG037 }
  cylinder { // Cylndr507
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.03, 0.25>
    rotate -90.0*x
    translate  <0.06, -0.13, 0.0>
  }
  box { // Cube387
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.14, 0.0, 0.02>
  }
  box { // Cube388
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.17, 0.0, -0.01>
  }
  box { // Cube389
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.2, 0.0, -0.04>
  }
  box { // Cube390
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.1>
    translate  0.23*x
  }
  material {
    Braun
  }
  scale 1.5
  translate  0.1*x
}
#declare Rohr72 = lathe {
  linear_spline
  23  // control points
  <0.001108, -0.292777>,
  <0.011416, -0.290229>,
  <0.019344, -0.283192>,
  <0.023813, -0.271713>,
  <0.021389, -0.259073>,
  <0.017361, -0.250124>,
  <0.028245, -0.246695>,
  <0.036362, -0.239921>,
  <0.041075, -0.230602>,
  <0.056241, -0.215472>,
  <0.061803, -0.206488>,
  <0.042071, 0.240661>,
  <0.045213, 0.245079>,
  <0.044924, 0.249625>,
  <0.041997, 0.252406>,
  <0.04141, 0.261877>,
  <0.045116, 0.264222>,
  <0.048064, 0.268799>,
  <0.047684, 0.273835>,
  <0.044732, 0.277056>,
  <0.030418, 0.277082>,
  <0.038508, -0.197878>,
  <0.000554, -0.215712>
  rotate <90,0,90>
  rotate -90.0*y
}
#declare Rohr73 = union {
  object { Rohr72 }
  cylinder { // Cylndr508
    <0,0,1>, <0,0,0>, 1 
    scale <0.025, 0.025, 0.16>
    rotate -90.0*x
    translate  <0.06, -0.08, 0.0>
  }
  material {
    Bronze
  }
  scale 1.5
  translate  0.1*x
}
#declare Rahmen36 = difference {
  box { // Cube391
    <-1, -1, -1>, <1, 1, 1>
    scale <0.198, 0.011, 0.165>
    translate  -0.06*y
  }
  box { // Cube392
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 0.015, 0.15>
    translate  -0.06*y
  }
  material {
    DMFDarkOak
  }
  scale <0.833333, 2.0, 0.833333>
  rotate <-8.634263, 1.047876, -78.046822>
  translate  <0.06, 0.02, -0.03>
}
#declare Kanone36 = union {
  object { Bock36 }
  object { Rohr73 }
  object { Rahmen36 }
  box { // Klappe36
    <-1, -1, -1>, <1, 1, 1>
    material {
      Rot
    }
    scale <0.165, 0.01, 0.1375>
    rotate <-272.939392, -208.894562, -175.003815>
    translate  <-0.21, -0.01, 0.19>
  }
  scale 1.2
  rotate 90.0*z
  translate  <3.51, -1.62, -0.66>
}
#declare CSG038 = union {
  box { // Cube393
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, 0.09, -0.08>
  }
  box { // Cube394
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.08, 0.05>
    translate  <0.12, 0.0, -0.12>
  }
  box { // Cube395
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, -0.09, -0.08>
  }
}
#declare Bock37 = difference {
  object { CSG038 }
  cylinder { // Cylndr509
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.03, 0.25>
    rotate -90.0*x
    translate  <0.06, -0.13, 0.0>
  }
  box { // Cube396
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.14, 0.0, 0.02>
  }
  box { // Cube397
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.17, 0.0, -0.01>
  }
  box { // Cube398
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.2, 0.0, -0.04>
  }
  box { // Cube399
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.1>
    translate  0.23*x
  }
  material {
    Braun
  }
  scale 1.5
  translate  0.1*x
}
#declare Rohr74 = lathe {
  linear_spline
  23  // control points
  <0.001108, -0.292777>,
  <0.011416, -0.290229>,
  <0.019344, -0.283192>,
  <0.023813, -0.271713>,
  <0.021389, -0.259073>,
  <0.017361, -0.250124>,
  <0.028245, -0.246695>,
  <0.036362, -0.239921>,
  <0.041075, -0.230602>,
  <0.056241, -0.215472>,
  <0.061803, -0.206488>,
  <0.042071, 0.240661>,
  <0.045213, 0.245079>,
  <0.044924, 0.249625>,
  <0.041997, 0.252406>,
  <0.04141, 0.261877>,
  <0.045116, 0.264222>,
  <0.048064, 0.268799>,
  <0.047684, 0.273835>,
  <0.044732, 0.277056>,
  <0.030418, 0.277082>,
  <0.038508, -0.197878>,
  <0.000554, -0.215712>
  rotate <90,0,90>
  rotate -90.0*y
}
#declare Rohr75 = union {
  object { Rohr74 }
  cylinder { // Cylndr510
    <0,0,1>, <0,0,0>, 1 
    scale <0.025, 0.025, 0.16>
    rotate -90.0*x
    translate  <0.06, -0.08, 0.0>
  }
  material {
    Bronze
  }
  scale 1.5
  translate  0.1*x
}
#declare Rahmen37 = difference {
  box { // Cube400
    <-1, -1, -1>, <1, 1, 1>
    scale <0.198, 0.011, 0.165>
    translate  -0.06*y
  }
  box { // Cube401
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 0.015, 0.15>
    translate  -0.06*y
  }
  material {
    DMFDarkOak
  }
  scale <0.833333, 2.0, 0.833333>
  rotate <-9.0, 0.0, -90.0>
  translate  <0.04, 0.0, -0.03>
}
#declare Kanone37 = union {
  object { Bock37 }
  object { Rohr75 }
  object { Rahmen37 }
  box { // Klappe37
    <-1, -1, -1>, <1, 1, 1>
    material {
      Rot
    }
    scale <0.165, 0.01, 0.1375>
    rotate <34.0, -180.0, -270.0>
    translate  <-0.15, 0.0, 0.24>
  }
  scale 1.2
  rotate 90.0*z
  translate  <2.12, -1.68, -0.74>
}
#declare CSG039 = union {
  box { // Cube402
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, 0.09, -0.08>
  }
  box { // Cube403
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.08, 0.05>
    translate  <0.12, 0.0, -0.12>
  }
  box { // Cube404
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, -0.09, -0.08>
  }
}
#declare Bock38 = difference {
  object { CSG039 }
  cylinder { // Cylndr511
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.03, 0.25>
    rotate -90.0*x
    translate  <0.06, -0.13, 0.0>
  }
  box { // Cube405
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.14, 0.0, 0.02>
  }
  box { // Cube406
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.17, 0.0, -0.01>
  }
  box { // Cube407
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.2, 0.0, -0.04>
  }
  box { // Cube408
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.1>
    translate  0.23*x
  }
  material {
    Braun
  }
  scale 1.5
  translate  0.1*x
}
#declare Rohr76 = lathe {
  linear_spline
  23  // control points
  <0.001108, -0.292777>,
  <0.011416, -0.290229>,
  <0.019344, -0.283192>,
  <0.023813, -0.271713>,
  <0.021389, -0.259073>,
  <0.017361, -0.250124>,
  <0.028245, -0.246695>,
  <0.036362, -0.239921>,
  <0.041075, -0.230602>,
  <0.056241, -0.215472>,
  <0.061803, -0.206488>,
  <0.042071, 0.240661>,
  <0.045213, 0.245079>,
  <0.044924, 0.249625>,
  <0.041997, 0.252406>,
  <0.04141, 0.261877>,
  <0.045116, 0.264222>,
  <0.048064, 0.268799>,
  <0.047684, 0.273835>,
  <0.044732, 0.277056>,
  <0.030418, 0.277082>,
  <0.038508, -0.197878>,
  <0.000554, -0.215712>
  rotate <90,0,90>
  rotate -90.0*y
}
#declare Rohr77 = union {
  object { Rohr76 }
  cylinder { // Cylndr512
    <0,0,1>, <0,0,0>, 1 
    scale <0.025, 0.025, 0.16>
    rotate -90.0*x
    translate  <0.06, -0.08, 0.0>
  }
  material {
    Bronze
  }
  scale 1.5
  translate  0.1*x
}
#declare Rahmen38 = difference {
  box { // Cube409
    <-1, -1, -1>, <1, 1, 1>
    scale <0.198, 0.011, 0.165>
    translate  -0.06*y
  }
  box { // Cube410
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 0.015, 0.15>
    translate  -0.06*y
  }
  material {
    DMFDarkOak
  }
  scale <0.833333, 2.0, 0.833333>
  rotate <-9.0, 0.0, -90.0>
  translate  <0.04, 0.0, -0.03>
}
#declare Kanone38 = union {
  object { Bock38 }
  object { Rohr77 }
  object { Rahmen38 }
  box { // Klappe38
    <-1, -1, -1>, <1, 1, 1>
    material {
      Rot
    }
    scale <0.165, 0.01, 0.1375>
    rotate <34.0, -180.0, -270.0>
    translate  <-0.15, 0.0, 0.24>
  }
  scale 1.2
  rotate 90.0*z
  translate  <-0.75, -1.73, -0.7>
}
#declare CSG040 = union {
  box { // Cube411
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, 0.09, -0.08>
  }
  box { // Cube412
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.08, 0.05>
    translate  <0.12, 0.0, -0.12>
  }
  box { // Cube413
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, -0.09, -0.08>
  }
}
#declare Bock39 = difference {
  object { CSG040 }
  cylinder { // Cylndr513
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.03, 0.25>
    rotate -90.0*x
    translate  <0.06, -0.13, 0.0>
  }
  box { // Cube414
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.14, 0.0, 0.02>
  }
  box { // Cube415
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.17, 0.0, -0.01>
  }
  box { // Cube416
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.2, 0.0, -0.04>
  }
  box { // Cube417
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.1>
    translate  0.23*x
  }
  material {
    Braun
  }
  scale 1.5
  translate  0.1*x
}
#declare Rohr78 = lathe {
  linear_spline
  23  // control points
  <0.001108, -0.292777>,
  <0.011416, -0.290229>,
  <0.019344, -0.283192>,
  <0.023813, -0.271713>,
  <0.021389, -0.259073>,
  <0.017361, -0.250124>,
  <0.028245, -0.246695>,
  <0.036362, -0.239921>,
  <0.041075, -0.230602>,
  <0.056241, -0.215472>,
  <0.061803, -0.206488>,
  <0.042071, 0.240661>,
  <0.045213, 0.245079>,
  <0.044924, 0.249625>,
  <0.041997, 0.252406>,
  <0.04141, 0.261877>,
  <0.045116, 0.264222>,
  <0.048064, 0.268799>,
  <0.047684, 0.273835>,
  <0.044732, 0.277056>,
  <0.030418, 0.277082>,
  <0.038508, -0.197878>,
  <0.000554, -0.215712>
  rotate <90,0,90>
  rotate -90.0*y
}
#declare Rohr79 = union {
  object { Rohr78 }
  cylinder { // Cylndr514
    <0,0,1>, <0,0,0>, 1 
    scale <0.025, 0.025, 0.16>
    rotate -90.0*x
    translate  <0.06, -0.08, 0.0>
  }
  material {
    Bronze
  }
  scale 1.5
  translate  0.1*x
}
#declare Rahmen39 = difference {
  box { // Cube418
    <-1, -1, -1>, <1, 1, 1>
    scale <0.198, 0.011, 0.165>
    translate  -0.06*y
  }
  box { // Cube419
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 0.015, 0.15>
    translate  -0.06*y
  }
  material {
    DMFDarkOak
  }
  scale <0.833333, 2.0, 0.833333>
  rotate <-13.0, 0.0, -90.0>
  translate  <0.04, 0.0, -0.04>
}
#declare Kanone39 = union {
  object { Bock39 }
  object { Rohr79 }
  object { Rahmen39 }
  box { // Klappe39
    <-1, -1, -1>, <1, 1, 1>
    material {
      Rot
    }
    scale <0.165, 0.01, 0.1375>
    rotate <34.0, -180.0, -270.0>
    translate  <-0.14, 0.0, 0.23>
  }
  scale 1.2
  rotate 90.0*z
  translate  <-2.22, -1.63, -0.59>
}
#declare CSG041 = union {
  box { // Cube420
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, 0.09, -0.08>
  }
  box { // Cube421
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.08, 0.05>
    translate  <0.12, 0.0, -0.12>
  }
  box { // Cube422
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, -0.09, -0.08>
  }
}
#declare Bock40 = difference {
  object { CSG041 }
  cylinder { // Cylndr515
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.03, 0.25>
    rotate -90.0*x
    translate  <0.06, -0.13, 0.0>
  }
  box { // Cube423
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.14, 0.0, 0.02>
  }
  box { // Cube424
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.17, 0.0, -0.01>
  }
  box { // Cube425
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.2, 0.0, -0.04>
  }
  box { // Cube426
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.1>
    translate  0.23*x
  }
  material {
    Braun
  }
  scale 1.5
  translate  0.1*x
}
#declare Rohr80 = lathe {
  linear_spline
  23  // control points
  <0.001108, -0.292777>,
  <0.011416, -0.290229>,
  <0.019344, -0.283192>,
  <0.023813, -0.271713>,
  <0.021389, -0.259073>,
  <0.017361, -0.250124>,
  <0.028245, -0.246695>,
  <0.036362, -0.239921>,
  <0.041075, -0.230602>,
  <0.056241, -0.215472>,
  <0.061803, -0.206488>,
  <0.042071, 0.240661>,
  <0.045213, 0.245079>,
  <0.044924, 0.249625>,
  <0.041997, 0.252406>,
  <0.04141, 0.261877>,
  <0.045116, 0.264222>,
  <0.048064, 0.268799>,
  <0.047684, 0.273835>,
  <0.044732, 0.277056>,
  <0.030418, 0.277082>,
  <0.038508, -0.197878>,
  <0.000554, -0.215712>
  rotate <90,0,90>
  rotate -90.0*y
}
#declare Rohr81 = union {
  object { Rohr80 }
  cylinder { // Cylndr516
    <0,0,1>, <0,0,0>, 1 
    scale <0.025, 0.025, 0.16>
    rotate -90.0*x
    translate  <0.06, -0.08, 0.0>
  }
  material {
    Bronze
  }
  scale 1.5
  translate  0.1*x
}
#declare Rahmen40 = difference {
  box { // Cube427
    <-1, -1, -1>, <1, 1, 1>
    scale <0.198, 0.011, 0.165>
    translate  -0.06*y
  }
  box { // Cube428
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 0.015, 0.15>
    translate  -0.06*y
  }
  material {
    DMFDarkOak
  }
  scale <0.833333, 2.0, 0.833333>
  rotate <-11.978223, -0.565064, -94.976486>
  translate  <0.05, -0.01, -0.04>
}
#declare Kanone40 = union {
  object { Bock40 }
  object { Rohr81 }
  object { Rahmen40 }
  box { // Klappe40
    <-1, -1, -1>, <1, 1, 1>
    material {
      Rot
    }
    scale <0.165, 0.01, 0.1375>
    rotate <34.014793, -181.310379, -270.115417>
    translate  <-0.15, 0.0, 0.24>
  }
  scale 1.2
  rotate 90.0*z
  translate  <-3.73, -1.49, -0.54>
}
#declare CSG042 = union {
  box { // Cube429
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, 0.09, -0.08>
  }
  box { // Cube430
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.08, 0.05>
    translate  <0.12, 0.0, -0.12>
  }
  box { // Cube431
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, -0.09, -0.08>
  }
}
#declare Bock41 = difference {
  object { CSG042 }
  cylinder { // Cylndr517
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.03, 0.25>
    rotate -90.0*x
    translate  <0.06, -0.13, 0.0>
  }
  box { // Cube432
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.14, 0.0, 0.02>
  }
  box { // Cube433
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.17, 0.0, -0.01>
  }
  box { // Cube434
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.2, 0.0, -0.04>
  }
  box { // Cube435
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.1>
    translate  0.23*x
  }
  material {
    Braun
  }
  scale 1.5
  translate  0.1*x
}
#declare Rohr82 = lathe {
  linear_spline
  23  // control points
  <0.001108, -0.292777>,
  <0.011416, -0.290229>,
  <0.019344, -0.283192>,
  <0.023813, -0.271713>,
  <0.021389, -0.259073>,
  <0.017361, -0.250124>,
  <0.028245, -0.246695>,
  <0.036362, -0.239921>,
  <0.041075, -0.230602>,
  <0.056241, -0.215472>,
  <0.061803, -0.206488>,
  <0.042071, 0.240661>,
  <0.045213, 0.245079>,
  <0.044924, 0.249625>,
  <0.041997, 0.252406>,
  <0.04141, 0.261877>,
  <0.045116, 0.264222>,
  <0.048064, 0.268799>,
  <0.047684, 0.273835>,
  <0.044732, 0.277056>,
  <0.030418, 0.277082>,
  <0.038508, -0.197878>,
  <0.000554, -0.215712>
  rotate <90,0,90>
  rotate -90.0*y
}
#declare Rohr83 = union {
  object { Rohr82 }
  cylinder { // Cylndr518
    <0,0,1>, <0,0,0>, 1 
    scale <0.025, 0.025, 0.16>
    rotate -90.0*x
    translate  <0.06, -0.08, 0.0>
  }
  material {
    Bronze
  }
  scale 1.5
  translate  0.1*x
}
#declare Rahmen41 = difference {
  box { // Cube436
    <-1, -1, -1>, <1, 1, 1>
    scale <0.198, 0.011, 0.165>
    translate  -0.06*y
  }
  box { // Cube437
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 0.015, 0.15>
    translate  -0.06*y
  }
  material {
    DMFDarkOak
  }
  scale <0.833333, 2.0, 0.833333>
  rotate <-8.987344, -0.363928, -93.983444>
  translate  <0.04, 0.0, -0.03>
}
#declare Kanone41 = union {
  object { Bock41 }
  object { Rohr83 }
  object { Rahmen41 }
  box { // Klappe41
    <-1, -1, -1>, <1, 1, 1>
    material {
      Rot
    }
    scale <0.165, 0.01, 0.1375>
    rotate <34.0, -180.0, -270.0>
    translate  <-0.15, 0.0, 0.24>
  }
  scale 1.2
  rotate 90.0*z
  translate  <-5.16, -1.4, -0.44>
}
#declare CSG043 = union {
  box { // Cube438
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, 0.09, -0.08>
  }
  box { // Cube439
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.08, 0.05>
    translate  <0.12, 0.0, -0.12>
  }
  box { // Cube440
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, -0.09, -0.08>
  }
}
#declare Bock42 = difference {
  object { CSG043 }
  cylinder { // Cylndr519
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.03, 0.25>
    rotate -90.0*x
    translate  <0.06, -0.13, 0.0>
  }
  box { // Cube441
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.14, 0.0, 0.02>
  }
  box { // Cube442
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.17, 0.0, -0.01>
  }
  box { // Cube443
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.2, 0.0, -0.04>
  }
  box { // Cube444
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.1>
    translate  0.23*x
  }
  material {
    Braun
  }
  scale 1.5
  translate  0.1*x
}
#declare Rohr84 = lathe {
  linear_spline
  23  // control points
  <0.001108, -0.292777>,
  <0.011416, -0.290229>,
  <0.019344, -0.283192>,
  <0.023813, -0.271713>,
  <0.021389, -0.259073>,
  <0.017361, -0.250124>,
  <0.028245, -0.246695>,
  <0.036362, -0.239921>,
  <0.041075, -0.230602>,
  <0.056241, -0.215472>,
  <0.061803, -0.206488>,
  <0.042071, 0.240661>,
  <0.045213, 0.245079>,
  <0.044924, 0.249625>,
  <0.041997, 0.252406>,
  <0.04141, 0.261877>,
  <0.045116, 0.264222>,
  <0.048064, 0.268799>,
  <0.047684, 0.273835>,
  <0.044732, 0.277056>,
  <0.030418, 0.277082>,
  <0.038508, -0.197878>,
  <0.000554, -0.215712>
  rotate <90,0,90>
  rotate -90.0*y
}
#declare Rohr85 = union {
  object { Rohr84 }
  cylinder { // Cylndr520
    <0,0,1>, <0,0,0>, 1 
    scale <0.025, 0.025, 0.16>
    rotate -90.0*x
    translate  <0.06, -0.08, 0.0>
  }
  material {
    Bronze
  }
  scale 1.5
  translate  0.1*x
}
#declare Rahmen42 = difference {
  box { // Cube445
    <-1, -1, -1>, <1, 1, 1>
    scale <0.198, 0.011, 0.165>
    translate  -0.06*y
  }
  box { // Cube446
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 0.015, 0.15>
    translate  -0.06*y
  }
  material {
    DMFDarkOak
  }
  scale <0.833333, 2.0, 0.833333>
  rotate <-13.0, 0.0, -90.0>
  translate  <0.04, 0.0, -0.04>
}
#declare Kanone42 = union {
  object { Bock42 }
  object { Rohr85 }
  object { Rahmen42 }
  box { // Klappe42
    <-1, -1, -1>, <1, 1, 1>
    material {
      Rot
    }
    scale <0.165, 0.01, 0.1375>
    rotate <34.0, -180.0, -270.0>
    translate  <-0.14, 0.0, 0.23>
  }
  scale 1.2
  rotate -90.0*z
  translate  <-2.22, 1.63, -0.59>
}
#declare CSG044 = union {
  box { // Cube447
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, 0.09, -0.08>
  }
  box { // Cube448
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.08, 0.05>
    translate  <0.12, 0.0, -0.12>
  }
  box { // Cube449
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, -0.09, -0.08>
  }
}
#declare Bock43 = difference {
  object { CSG044 }
  cylinder { // Cylndr521
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.03, 0.25>
    rotate -90.0*x
    translate  <0.06, -0.13, 0.0>
  }
  box { // Cube450
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.14, 0.0, 0.02>
  }
  box { // Cube451
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.17, 0.0, -0.01>
  }
  box { // Cube452
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.2, 0.0, -0.04>
  }
  box { // Cube453
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.1>
    translate  0.23*x
  }
  material {
    Braun
  }
  scale 1.5
  translate  0.1*x
}
#declare Rohr86 = lathe {
  linear_spline
  23  // control points
  <0.001108, -0.292777>,
  <0.011416, -0.290229>,
  <0.019344, -0.283192>,
  <0.023813, -0.271713>,
  <0.021389, -0.259073>,
  <0.017361, -0.250124>,
  <0.028245, -0.246695>,
  <0.036362, -0.239921>,
  <0.041075, -0.230602>,
  <0.056241, -0.215472>,
  <0.061803, -0.206488>,
  <0.042071, 0.240661>,
  <0.045213, 0.245079>,
  <0.044924, 0.249625>,
  <0.041997, 0.252406>,
  <0.04141, 0.261877>,
  <0.045116, 0.264222>,
  <0.048064, 0.268799>,
  <0.047684, 0.273835>,
  <0.044732, 0.277056>,
  <0.030418, 0.277082>,
  <0.038508, -0.197878>,
  <0.000554, -0.215712>
  rotate <90,0,90>
  rotate -90.0*y
}
#declare Rohr87 = union {
  object { Rohr86 }
  cylinder { // Cylndr522
    <0,0,1>, <0,0,0>, 1 
    scale <0.025, 0.025, 0.16>
    rotate -90.0*x
    translate  <0.06, -0.08, 0.0>
  }
  material {
    Bronze
  }
  scale 1.5
  translate  0.1*x
}
#declare Rahmen43 = difference {
  box { // Cube454
    <-1, -1, -1>, <1, 1, 1>
    scale <0.198, 0.011, 0.165>
    translate  -0.06*y
  }
  box { // Cube455
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 0.015, 0.15>
    translate  -0.06*y
  }
  material {
    DMFDarkOak
  }
  scale <0.833333, 2.0, 0.833333>
  rotate <-11.891516, 0.515664, -86.041939>
  translate  <0.04, 0.01, -0.04>
}
#declare Kanone43 = union {
  object { Bock43 }
  object { Rohr87 }
  object { Rahmen43 }
  box { // Klappe43
    <-1, -1, -1>, <1, 1, 1>
    material {
      Rot
    }
    scale <0.165, 0.01, 0.1375>
    rotate <34.014793, -181.310379, -270.115417>
    translate  <-0.15, 0.0, 0.24>
  }
  scale 1.2
  rotate -90.0*z
  translate  <-3.73, 1.54, -0.54>
}
#declare CSG045 = union {
  box { // Cube456
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, 0.09, -0.08>
  }
  box { // Cube457
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.08, 0.05>
    translate  <0.12, 0.0, -0.12>
  }
  box { // Cube458
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, -0.09, -0.08>
  }
}
#declare Bock44 = difference {
  object { CSG045 }
  cylinder { // Cylndr523
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.03, 0.25>
    rotate -90.0*x
    translate  <0.06, -0.13, 0.0>
  }
  box { // Cube459
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.14, 0.0, 0.02>
  }
  box { // Cube460
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.17, 0.0, -0.01>
  }
  box { // Cube461
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.2, 0.0, -0.04>
  }
  box { // Cube462
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.1>
    translate  0.23*x
  }
  material {
    Braun
  }
  scale 1.5
  translate  0.1*x
}
#declare Rohr88 = lathe {
  linear_spline
  23  // control points
  <0.001108, -0.292777>,
  <0.011416, -0.290229>,
  <0.019344, -0.283192>,
  <0.023813, -0.271713>,
  <0.021389, -0.259073>,
  <0.017361, -0.250124>,
  <0.028245, -0.246695>,
  <0.036362, -0.239921>,
  <0.041075, -0.230602>,
  <0.056241, -0.215472>,
  <0.061803, -0.206488>,
  <0.042071, 0.240661>,
  <0.045213, 0.245079>,
  <0.044924, 0.249625>,
  <0.041997, 0.252406>,
  <0.04141, 0.261877>,
  <0.045116, 0.264222>,
  <0.048064, 0.268799>,
  <0.047684, 0.273835>,
  <0.044732, 0.277056>,
  <0.030418, 0.277082>,
  <0.038508, -0.197878>,
  <0.000554, -0.215712>
  rotate <90,0,90>
  rotate -90.0*y
}
#declare Rohr89 = union {
  object { Rohr88 }
  cylinder { // Cylndr524
    <0,0,1>, <0,0,0>, 1 
    scale <0.025, 0.025, 0.16>
    rotate -90.0*x
    translate  <0.06, -0.08, 0.0>
  }
  material {
    Bronze
  }
  scale 1.5
  translate  0.1*x
}
#declare Rahmen44 = difference {
  box { // Cube463
    <-1, -1, -1>, <1, 1, 1>
    scale <0.198, 0.011, 0.165>
    translate  -0.06*y
  }
  box { // Cube464
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 0.015, 0.15>
    translate  -0.06*y
  }
  material {
    DMFDarkOak
  }
  scale <0.833333, 2.0, 0.833333>
  rotate <-8.961271, 0.635816, -83.028793>
  translate  <0.04, 0.01, -0.03>
}
#declare Kanone44 = union {
  object { Bock44 }
  object { Rohr89 }
  object { Rahmen44 }
  box { // Klappe44
    <-1, -1, -1>, <1, 1, 1>
    material {
      Rot
    }
    scale <0.165, 0.01, 0.1375>
    rotate <34.0, -180.0, -270.0>
    translate  <-0.15, 0.0, 0.24>
  }
  scale 1.2
  rotate -90.0*z
  translate  <-5.17, 1.41, -0.44>
}
#declare CSG046 = union {
  box { // Cube465
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, 0.09, -0.08>
  }
  box { // Cube466
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.08, 0.05>
    translate  <0.12, 0.0, -0.12>
  }
  box { // Cube467
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, -0.09, -0.08>
  }
}
#declare Bock45 = difference {
  object { CSG046 }
  cylinder { // Cylndr525
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.03, 0.25>
    rotate -90.0*x
    translate  <0.06, -0.13, 0.0>
  }
  box { // Cube468
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.14, 0.0, 0.02>
  }
  box { // Cube469
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.17, 0.0, -0.01>
  }
  box { // Cube470
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.2, 0.0, -0.04>
  }
  box { // Cube471
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.1>
    translate  0.23*x
  }
  material {
    Braun
  }
  scale 1.5
  translate  0.1*x
}
#declare Rohr90 = lathe {
  linear_spline
  23  // control points
  <0.001108, -0.292777>,
  <0.011416, -0.290229>,
  <0.019344, -0.283192>,
  <0.023813, -0.271713>,
  <0.021389, -0.259073>,
  <0.017361, -0.250124>,
  <0.028245, -0.246695>,
  <0.036362, -0.239921>,
  <0.041075, -0.230602>,
  <0.056241, -0.215472>,
  <0.061803, -0.206488>,
  <0.042071, 0.240661>,
  <0.045213, 0.245079>,
  <0.044924, 0.249625>,
  <0.041997, 0.252406>,
  <0.04141, 0.261877>,
  <0.045116, 0.264222>,
  <0.048064, 0.268799>,
  <0.047684, 0.273835>,
  <0.044732, 0.277056>,
  <0.030418, 0.277082>,
  <0.038508, -0.197878>,
  <0.000554, -0.215712>
  rotate <90,0,90>
  rotate -90.0*y
}
#declare Rohr91 = union {
  object { Rohr90 }
  cylinder { // Cylndr526
    <0,0,1>, <0,0,0>, 1 
    scale <0.025, 0.025, 0.16>
    rotate -90.0*x
    translate  <0.06, -0.08, 0.0>
  }
  material {
    Bronze
  }
  scale 1.5
  translate  0.1*x
}
#declare Rahmen45 = difference {
  box { // Cube472
    <-1, -1, -1>, <1, 1, 1>
    scale <0.198, 0.011, 0.165>
    translate  -0.06*y
  }
  box { // Cube473
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 0.015, 0.15>
    translate  -0.06*y
  }
  material {
    DMFDarkOak
  }
  scale <0.833333, 2.0, 0.833333>
  rotate <-8.961271, 0.635816, -83.028793>
  translate  <0.04, 0.01, -0.03>
}
#declare Kanone45 = union {
  object { Bock45 }
  object { Rohr91 }
  object { Rahmen45 }
  box { // Klappe45
    <-1, -1, -1>, <1, 1, 1>
    material {
      Rot
    }
    scale <0.165, 0.01, 0.1375>
    rotate <34.0, -180.0, -270.0>
    translate  <-0.15, 0.0, 0.24>
  }
  scale 1.2
  rotate -90.0*z
  translate  <-5.87, 1.21, 0.49>
}
#declare CSG047 = union {
  box { // Cube474
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, 0.09, -0.08>
  }
  box { // Cube475
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.08, 0.05>
    translate  <0.12, 0.0, -0.12>
  }
  box { // Cube476
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, -0.09, -0.08>
  }
}
#declare Bock46 = difference {
  object { CSG047 }
  cylinder { // Cylndr527
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.03, 0.25>
    rotate -90.0*x
    translate  <0.06, -0.13, 0.0>
  }
  box { // Cube477
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.14, 0.0, 0.02>
  }
  box { // Cube478
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.17, 0.0, -0.01>
  }
  box { // Cube479
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.2, 0.0, -0.04>
  }
  box { // Cube480
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.1>
    translate  0.23*x
  }
  material {
    Braun
  }
  scale 1.5
  translate  0.1*x
}
#declare Rohr92 = lathe {
  linear_spline
  23  // control points
  <0.001108, -0.292777>,
  <0.011416, -0.290229>,
  <0.019344, -0.283192>,
  <0.023813, -0.271713>,
  <0.021389, -0.259073>,
  <0.017361, -0.250124>,
  <0.028245, -0.246695>,
  <0.036362, -0.239921>,
  <0.041075, -0.230602>,
  <0.056241, -0.215472>,
  <0.061803, -0.206488>,
  <0.042071, 0.240661>,
  <0.045213, 0.245079>,
  <0.044924, 0.249625>,
  <0.041997, 0.252406>,
  <0.04141, 0.261877>,
  <0.045116, 0.264222>,
  <0.048064, 0.268799>,
  <0.047684, 0.273835>,
  <0.044732, 0.277056>,
  <0.030418, 0.277082>,
  <0.038508, -0.197878>,
  <0.000554, -0.215712>
  rotate <90,0,90>
  rotate -90.0*y
}
#declare Rohr93 = union {
  object { Rohr92 }
  cylinder { // Cylndr528
    <0,0,1>, <0,0,0>, 1 
    scale <0.025, 0.025, 0.16>
    rotate -90.0*x
    translate  <0.06, -0.08, 0.0>
  }
  material {
    Bronze
  }
  scale 1.5
  translate  0.1*x
}
#declare Rahmen46 = difference {
  box { // Cube481
    <-1, -1, -1>, <1, 1, 1>
    scale <0.198, 0.011, 0.165>
    translate  -0.06*y
  }
  box { // Cube482
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 0.015, 0.15>
    translate  -0.06*y
  }
  material {
    DMFDarkOak
  }
  scale <0.833333, 2.0, 0.833333>
  rotate <-8.987344, -0.363928, -93.983444>
  translate  <0.04, 0.0, -0.03>
}
#declare Kanone46 = union {
  object { Bock46 }
  object { Rohr93 }
  object { Rahmen46 }
  box { // Klappe46
    <-1, -1, -1>, <1, 1, 1>
    material {
      Rot
    }
    scale <0.165, 0.01, 0.1375>
    rotate <34.0, -180.0, -270.0>
    translate  <-0.15, 0.0, 0.24>
  }
  scale 1.2
  rotate 90.0*z
  translate  <-5.87, -1.18, 0.47>
}
#declare Kanonen2 = union {
  object { Kanone16 }
  object { Kanone32 }
  object { Kanone33 }
  object { Kanone34 }
  object { Kanone35 }
  object { Kanone36 }
  object { Kanone37 }
  object { Kanone38 }
  object { Kanone39 }
  object { Kanone40 }
  object { Kanone41 }
  object { Kanone42 }
  object { Kanone43 }
  object { Kanone44 }
  object { Kanone45 }
  object { Kanone46 }
  rotate 50.0*z
  translate  <6.65, -16.35, 0.0>
}
#include "zwei pinassen.i47"
#declare Spannten2 = object {
  Spannten2_Raw
  material {
    DMFDarkOak
  }
  scale <1.0, 1.0, 0.95>
  rotate 90.0*x
}
#include "zwei pinassen.i48"
#declare Kiel2 = object {
  Kiel2_Raw
  material {
    DMFDarkOak
  }
  scale <1.0, 1.0, 2.2>
  rotate 90.0*x
  translate  0.04*z
}
#declare planke_Ref = object {
  planke
  material {
    Deckstextur
  }
  rotate 90.0*x
}
#declare Rumpf2 = union {
  object { Spannten2 }
  object { Kiel2 }
  box { // Bordwandecke8
    <-1, -1, -1>, <1, 1, 1>
    material {
      Deckstextur
    }
    scale <0.25, 0.001, 0.12>
    rotate <-1.670062, -21.899141, 7.450219>
    translate  <2.87, -1.65, -0.16>
  }
  box { // Bordwandecke9
    <-1, -1, -1>, <1, 1, 1>
    material {
      Deckstextur
    }
    scale <0.25, 0.001, 0.12>
    rotate <1.508268, -19.908697, -7.369256>
    translate  <2.88, 1.6, -0.15>
  }
  box { // Bordwandecke10
    <-1, -1, -1>, <1, 1, 1>
    material {
      Deckstextur
    }
    scale <0.25, 0.001, 0.08>
    rotate <-7.698859, 29.65601, -5.895139>
    translate  <-0.81, -1.7, -0.25>
  }
  box { // Bordwandecke11
    <-1, -1, -1>, <1, 1, 1>
    material {
      Deckstextur
    }
    scale <0.25, 0.001, 0.08>
    rotate <8.21948, 28.95826, 5.52854>
    translate  <-0.8, 1.69, -0.25>
  }
  object { planke_Ref }
  material {
    Deckstextur
  }
}
#declare Rumpf_mit_loch2 = difference {
  object { Rumpf2 }
  box { // Schiesscharte8
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 1.8, 0.15>
    translate  <-5.17, -0.01, -0.46>
  }
  box { // Schiesscharte16
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 1.8, 0.15>
    translate  <-3.73, -0.02, -0.56>
  }
  box { // Schiesscharte17
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 1.8, 0.15>
    translate  <-2.22, -0.02, -0.61>
  }
  box { // Schiesscharte18
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 2.0, 0.15>
    translate  <-0.75, -0.02, -0.71>
  }
  box { // Schiesscharte19
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 2.0, 0.15>
    translate  <0.68, -0.01, -0.76>
  }
  box { // Schiesscharte20
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 2.0, 0.15>
    rotate -1.0*y
    translate  <2.12, 0.0, -0.76>
  }
  box { // Schiesscharte21
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 1.8, 0.155>
    translate  <3.51, -0.01, -0.68>
  }
  box { // Schiesscharte22
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 1.8, 0.15>
    translate  <-5.88, -0.01, 0.46>
  }
  material {
    Braun
  }
  rotate 50.0*z
  translate  <6.65, -16.35, 0.0>
}
#include "zwei pinassen.i49"
#declare Zwischendeck2 = object {
  Zwischendeck2_Raw
  rotate 90.0*x
}
#include "zwei pinassen.i50"
#declare Hauptdeck2 = object {
  Hauptdeck2_Raw
  rotate 90.0*x
}
#include "zwei pinassen.i51"
#declare Vorderdeck2 = object {
  Vorderdeck2_Raw
  rotate 90.0*x
}
#include "zwei pinassen.i52"
#declare Oberdeck2 = object {
  Oberdeck2_Raw
  rotate 90.0*x
}
#declare Reling68 = union {
  box { // Cube483
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr529
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr530
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr531
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr532
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr533
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr534
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  scale <1.05, 1.0, 1.0>
  rotate -90.0*z
  translate  <5.03, 0.52, 0.33>
}
#declare Reling69 = union {
  box { // Cube484
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr535
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr536
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr537
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr538
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr539
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr540
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  scale <1.05, 1.0, 1.0>
  rotate -90.0*z
  translate  <5.03, -0.51, 0.33>
}
#declare Reling70 = union {
  box { // Cube485
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr541
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr542
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr543
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr544
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr545
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr546
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  rotate <-1.860255, -5.705339, 18.092705>
  translate  <4.53, -1.22, 0.28>
}
#declare Reling71 = union {
  box { // Cube486
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr547
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr548
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr549
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr550
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr551
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr552
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  rotate <-1.860255, -5.705339, -17.907295>
  translate  <4.53, 1.26, 0.28>
}
#declare Reling72 = union {
  box { // Cube487
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr553
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr554
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr555
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr556
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr557
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr558
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  scale <0.95, 1.0, 1.0>
  rotate <-2.028558, -4.720265, -8.891975>
  translate  <3.56, 1.5, 0.18>
}
#declare Reling73 = union {
  box { // Cube488
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr559
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr560
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr561
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr562
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr563
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr564
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  scale <0.95, 1.0, 1.0>
  rotate <-2.032887, -4.720228, 11.10839>
  translate  <3.59, -1.44, 0.18>
}
#declare Reling74 = union {
  box { // Cube489
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr565
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr566
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr567
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr568
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr569
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr570
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  rotate -90.0*z
  translate  <3.14, -1.02, 0.18>
}
#declare Reling75 = union {
  box { // Cube490
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr571
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr572
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr573
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr574
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr575
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr576
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  rotate 90.0*z
  translate  <3.14, 1.03, 0.18>
}
#declare Reling_Vorderdeck2 = union {
  object { Reling68 }
  object { Reling69 }
  cylinder { // Pfosten20
    <0,0,1>, <0,0,0>, 1 
    material {
      DMFDarkOak
    }
    scale <0.07, 0.07, 0.35>
    translate  <5.04, -1.05, 0.05>
  }
  cylinder { // Pfosten21
    <0,0,1>, <0,0,0>, 1 
    material {
      DMFDarkOak
    }
    scale <0.07, 0.07, 0.35>
    translate  <5.03, 1.09, 0.05>
  }
  object { Reling70 }
  object { Reling71 }
  object { Reling72 }
  object { Reling73 }
  object { Reling74 }
  cylinder { // Pfosten22
    <0,0,1>, <0,0,0>, 1 
    material {
      DMFDarkOak
    }
    scale <0.07, 0.07, 0.35>
    translate  <3.15, 1.55, -0.16>
  }
  cylinder { // Pfosten23
    <0,0,1>, <0,0,0>, 1 
    material {
      DMFDarkOak
    }
    scale <0.07, 0.07, 0.35>
    translate  <3.15, -1.56, -0.18>
  }
  object { Reling75 }
  material {
    DMFDarkOak
  }
  translate  -0.05*z
}
#declare Reling76 = union {
  box { // Cube491
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr577
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr578
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr579
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr580
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr581
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr582
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  rotate 8.0*y
  translate  <-1.79, 0.0, 0.16>
}
#declare Reling77 = union {
  box { // Cube492
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr583
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr584
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr585
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr586
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr587
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr588
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  rotate <0.0, 13.0, -6.0>
  translate  <-2.72, 0.05, 0.33>
}
#declare Reling78 = union {
  box { // Cube493
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr589
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr590
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr591
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr592
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr593
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr594
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  rotate <0.0, 19.0, -7.0>
  translate  <-3.66, 0.16, 0.57>
}
#declare Reling79 = union {
  box { // Cube494
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr595
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr596
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr597
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr598
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr599
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr600
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  rotate <-0.0, 16.0, -5.0>
  translate  <-4.61, 0.26, 0.87>
}
#declare Reling80 = union {
  box { // Cube495
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr601
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr602
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr603
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr604
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr605
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr606
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  rotate <-0.0, 16.0, -13.0>
  translate  <-5.56, 0.41, 1.15>
}
#declare Reling81 = union {
  box { // Cube496
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr607
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr608
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr609
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr610
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr611
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr612
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  rotate <-0.183237, 17.99231, -11.05357>
  translate  <-6.48, 0.59, 1.43>
}
#declare Reling82 = union {
  box { // Cube497
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr613
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr614
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr615
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr616
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr617
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr618
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  rotate <-0.183237, 17.99231, -11.05357>
  translate  <-7.23, 0.74, 1.68>
}
#declare Reling83 = union {
  box { // Cube498
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr619
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr620
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr621
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr622
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr623
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr624
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  scale <0.75, 1.0, 1.0>
  rotate <-0.0, 6.0, -90.0>
  translate  <-5.81, 0.83, 1.26>
}
#declare Reling84 = union {
  box { // Cube499
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.25*z
  }
  cylinder { // Cylndr625
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr626
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr627
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr628
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr629
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr630
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  rotate -90.0*z
  translate  <-2.87, 0.55, 0.36>
}
#declare Reling_z_deck_rechts2 = union {
  object { Reling76 }
  cylinder { // Pfosten24
    <0,0,1>, <0,0,0>, 1 
    material {
      DMFDarkOak
    }
    scale <0.07, 0.07, 0.35>
    translate  <-1.32, 0.0, -0.22>
  }
  object { Reling77 }
  object { Reling78 }
  object { Reling79 }
  cylinder { // Pfosten25
    <0,0,1>, <0,0,0>, 1 
    material {
      DMFDarkOak
    }
    scale <0.07, 0.07, 0.55>
    translate  <-5.09, 0.31, 0.7>
  }
  object { Reling80 }
  object { Reling81 }
  object { Reling82 }
  cylinder { // Pfosten26
    <0,0,1>, <0,0,0>, 1 
    material {
      DMFDarkOak
    }
    scale <0.08, 0.08, 0.55>
    rotate -6.0*y
    translate  <-7.74, 0.85, 1.48>
  }
  object { Reling83 }
  object { Reling84 }
  material {
    DMFDarkOak
  }
  translate  <0.28, -1.69, -0.08>
}
#declare Reling85 = union {
  box { // Cube500
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr631
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr632
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr633
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr634
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr635
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr636
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  rotate <0.0, 8.0, 2.0>
  translate  <-1.79, 0.0, 0.16>
}
#declare Reling86 = union {
  box { // Cube501
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr637
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr638
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr639
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr640
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr641
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr642
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  rotate <0.0, 13.0, 2.0>
  translate  <-2.7, -0.04, 0.33>
}
#declare Reling87 = union {
  box { // Cube502
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr643
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr644
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr645
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr646
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr647
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr648
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  rotate <-0.0, 19.0, 5.0>
  translate  <-3.64, -0.1, 0.57>
}
#declare Reling88 = union {
  box { // Cube503
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr649
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr650
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr651
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr652
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr653
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr654
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  rotate <0.0, 16.0, 8.0>
  translate  <-4.59, -0.21, 0.87>
}
#declare Reling89 = union {
  box { // Cube504
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr655
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr656
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr657
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr658
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr659
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr660
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  rotate <-0.0, 16.0, 15.0>
  translate  <-5.57, -0.41, 1.15>
}
#declare Reling90 = union {
  box { // Cube505
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr661
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr662
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr663
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr664
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr665
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr666
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  rotate <-0.183237, 17.99231, 7.94643>
  translate  <-7.23, -0.72, 1.68>
}
#declare Reling91 = union {
  box { // Cube506
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr667
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr668
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr669
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr670
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr671
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr672
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  rotate <-0.183237, 17.99231, 8.94643>
  translate  <-6.48, -0.62, 1.43>
}
#declare Reling92 = union {
  box { // Cube507
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr673
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr674
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr675
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr676
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr677
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr678
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  scale <0.75, 1.0, 1.0>
  rotate <-0.0, 6.0, 90.0>
  translate  <-5.81, -0.83, 1.22>
}
#declare Reling93 = union {
  box { // Cube508
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.25*z
  }
  cylinder { // Cylndr679
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr680
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr681
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr682
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr683
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr684
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  rotate <-0.0, -0.0, 90.0>
  translate  <-2.86, -0.54, 0.36>
}
#declare Reling_z_deck_links2 = union {
  object { Reling85 }
  cylinder { // Pfosten27
    <0,0,1>, <0,0,0>, 1 
    material {
      DMFDarkOak
    }
    scale <0.07, 0.07, 0.35>
    translate  <-1.32, 0.0, -0.22>
  }
  object { Reling86 }
  object { Reling87 }
  object { Reling88 }
  cylinder { // Pfosten28
    <0,0,1>, <0,0,0>, 1 
    material {
      DMFDarkOak
    }
    scale <0.07, 0.07, 0.55>
    translate  <-5.09, -0.29, 0.7>
  }
  object { Reling89 }
  object { Reling90 }
  cylinder { // Pfosten29
    <0,0,1>, <0,0,0>, 1 
    material {
      DMFDarkOak
    }
    scale <0.08, 0.08, 0.55>
    rotate -6.0*y
    translate  <-7.74, -0.8, 1.49>
  }
  object { Reling91 }
  object { Reling92 }
  object { Reling93 }
  material {
    DMFDarkOak
  }
  translate  <0.28, 1.65, -0.08>
}
#declare Reling_Mittschiffs2 = union {
  cylinder { // gelaender34
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 0.75>
    rotate <-1.867017, -87.002678, -0.133152>
    translate  <0.29, -1.72, -0.43>
  }
  cylinder { // gelaender35
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 0.75>
    rotate -90.0*y
    translate  <1.02, -1.73, -0.44>
  }
  cylinder { // gelaender36
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 0.75>
    rotate <180.0, -87.0, 180.0>
    translate  <1.76, -1.73, -0.4>
  }
  cylinder { // gelaender37
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 0.75>
    rotate <0.933967, -106.989883, 0.068887>
    translate  <2.45, -1.72, -0.18>
  }
  cylinder { // gelaender38
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 0.75>
    rotate <-172.399658, -68.127243, 179.337997>
    translate  <3.14, -1.61, 0.09>
  }
  cylinder { // gelaender39
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 0.75>
    rotate <-0.936544, -59.058868, -0.074139>
    translate  <-0.4, -1.71, -0.39>
  }
  cylinder { // gelaender40
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 0.75>
    rotate <1.865192, -59.001305, 0.155401>
    translate  <-0.4, 1.69, -0.39>
  }
  cylinder { // gelaender41
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 0.75>
    rotate <0.933331, -87.003448, 0.066755>
    translate  <0.33, 1.7, -0.43>
  }
  cylinder { // gelaender42
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 0.75>
    rotate -90.0*y
    translate  <1.05, 1.7, -0.44>
  }
  cylinder { // gelaender43
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 0.75>
    rotate <179.066666, -87.000031, 179.933243>
    translate  <1.77, 1.69, -0.4>
  }
  cylinder { // gelaender44
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 0.75>
    rotate <178.133698, -73.000664, 179.860626>
    translate  <2.46, 1.66, -0.18>
  }
  cylinder { // gelaender45
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 0.75>
    rotate <172.493011, -68.90036, -179.407242>
    translate  <3.13, 1.56, 0.08>
  }
  material {
    DMFDarkOak
  }
}
#declare Wand_z_deck2 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  25  // control points
  <2.551089, -1.963149>,
  <1.001591, -1.629816>,
  <1.0, -1.0>,
  <1.0, 1.0>,
  <1.001675, 1.78727>,
  <2.559464, 2.030151>,
  <2.559129, 1.739765>,
  <1.608228, 1.741911>,
  <1.443946, 1.683523>,
  <1.354469, 1.582355>,
  <1.302508, 1.403874>,
  <1.346018, 1.257386>,
  <1.443803, 1.145648>,
  <1.584574, 1.086122>,
  <2.558375, 1.086399>,
  <2.547739, -0.974204>,
  <1.659016, -0.979538>,
  <1.499851, -1.007563>,
  <1.365821, -1.116522>,
  <1.323916, -1.274838>,
  <1.357393, -1.421119>,
  <1.474617, -1.560651>,
  <1.658836, -1.597052>,
  <2.554606, -1.600871>,
  <2.551089, -1.963149>
  rotate -x*90
  material {
    Deckstextur
  }
  scale <0.65, 0.8, 0.14>
  rotate 90.0*y
  translate  <-2.67, -0.03, 0.62>
}
#declare Wand_v_deck4 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  25  // control points
  <2.551089, -1.963149>,
  <1.177471, -1.747069>,
  <1.008375, -0.748744>,
  <1.0, 1.0>,
  <1.20268, 1.904523>,
  <2.559464, 2.046901>,
  <2.559129, 1.739765>,
  <1.608228, 1.741911>,
  <1.443946, 1.683523>,
  <1.354469, 1.582355>,
  <1.302508, 1.403874>,
  <1.346018, 1.257386>,
  <1.443803, 1.145648>,
  <1.584574, 1.086122>,
  <2.558375, 1.086399>,
  <2.547739, -0.974204>,
  <1.659016, -0.979538>,
  <1.499851, -1.007563>,
  <1.365821, -1.116522>,
  <1.323916, -1.274838>,
  <1.357393, -1.421119>,
  <1.474617, -1.560651>,
  <1.658836, -1.597052>,
  <2.554606, -1.600871>,
  <2.551089, -1.963149>
  rotate -x*90
  material {
    Deckstextur
  }
  scale <0.65, 0.8, 0.14>
  rotate 90.0*y
  translate  <3.07, -0.03, 0.62>
}
#declare Wand_v_deck5 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  18  // control points
  <2.567839, -1.326633>,
  <2.278853, -1.432161>,
  <1.939615, -1.470687>,
  <1.20938, -1.309883>,
  <1.217755, 1.318258>,
  <1.931323, 1.443886>,
  <2.249581, 1.422948>,
  <2.551089, 1.335008>,
  <2.564489, 0.298827>,
  <1.675766, 0.293494>,
  <1.516601, 0.265469>,
  <1.382571, 0.15651>,
  <1.340666, -0.001806>,
  <1.374143, -0.148087>,
  <1.491368, -0.287619>,
  <1.675586, -0.32402>,
  <2.571357, -0.327839>,
  <2.567839, -1.326633>
  rotate -x*90
  material {
    Deckstextur
  }
  scale <0.65, 0.66, 0.14>
  rotate 90.0*y
  translate  <4.9, 0.05, 0.76>
}
#declare Wand_o_deck2 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  18  // control points
  <2.567839, -1.552764>,
  <2.270477, -1.515913>,
  <1.939615, -1.470687>,
  <1.20938, -1.368509>,
  <1.217755, 1.259631>,
  <1.931323, 1.393635>,
  <2.257956, 1.422948>,
  <2.559464, 1.477387>,
  <2.564489, 0.298827>,
  <1.675766, 0.293494>,
  <1.516601, 0.265469>,
  <1.382571, 0.15651>,
  <1.340666, -0.001806>,
  <1.374143, -0.148087>,
  <1.491368, -0.287619>,
  <1.675586, -0.32402>,
  <2.571357, -0.327839>,
  <2.567839, -1.552764>
  rotate -x*90
  material {
    Deckstextur
  }
  scale <0.7, 0.8, 0.14>
  rotate 90.0*y
  translate  <-5.6, 0.05, 1.72>
}
#declare Steuerrad4 = union {
  torus { // Torus005
    1.1, 0.1  rotate -x*90
    scale 0.15
  }
  cylinder { // Cylndr685
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.5>
    rotate -90.0*y
    translate  0.25*x
  }
  cylinder { // Cylndr686
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.5>
    rotate <60.0, -90.0, 0.0>
    translate  <0.125, 0.215, 0.0>
  }
  cylinder { // Cylndr687
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.5>
    rotate <30.0, -90.0, 0.0>
    translate  <0.21, 0.12, 0.0>
  }
  cylinder { // Cylndr688
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.5>
    rotate <-60.0, -90.0, 0.0>
    translate  <0.125, -0.215, 0.0>
  }
  cylinder { // Cylndr689
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.5>
    rotate <-30.0, -90.0, 0.0>
    translate  <0.215, -0.125, 0.0>
  }
  cylinder { // Cylndr690
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.5>
    rotate <-90.0, -90.0, 0.0>
    translate  -0.25*y
  }
  material {
    DMFDarkOak
  }
  rotate -10.0*z
  translate  -0.01*z
}
#declare Stuetze2 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  10  // control points
  <-1.283563, -8.414717>,
  <1.283563, -8.414717>,
  <1.0, -0.091266>,
  <0.819551, 0.639102>,
  <0.475, 1.0>,
  <0.016085, 1.154671>,
  <-0.5, 1.0>,
  <-0.871108, 0.613323>,
  <-1.0, -0.091266>,
  <-1.283563, -8.414717>
  rotate -x*90
  material {
    DMFDarkOak
  }
  scale 0.05
  translate  0.02*z
}
#declare Steuerrad5 = union {
  torus { // Torus006
    1.1, 0.1  rotate -x*90
    scale 0.15
  }
  cylinder { // Cylndr691
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.5>
    rotate -90.0*y
    translate  0.25*x
  }
  cylinder { // Cylndr692
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.5>
    rotate <60.0, -90.0, 0.0>
    translate  <0.125, 0.215, 0.0>
  }
  cylinder { // Cylndr693
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.5>
    rotate <30.0, -90.0, 0.0>
    translate  <0.21, 0.12, 0.0>
  }
  cylinder { // Cylndr694
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.5>
    rotate <-60.0, -90.0, 0.0>
    translate  <0.125, -0.215, 0.0>
  }
  cylinder { // Cylndr695
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.5>
    rotate <-30.0, -90.0, 0.0>
    translate  <0.215, -0.125, 0.0>
  }
  cylinder { // Cylndr696
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.5>
    rotate <-90.0, -90.0, 0.0>
    translate  -0.25*y
  }
  material {
    DMFDarkOak
  }
  rotate -10.0*z
  translate  0.1*z
}
#declare Steuer2 = union {
  object { Steuerrad4 }
  object { Stuetze2 }
  object { Steuerrad5 }
  cylinder { // Bolzen2
    <0,0,1>, <0,0,0>, 1 
    material {
      Rusty_Iron
    }
    scale <0.03, 0.03, 0.15>
    translate  -0.03*z
  }
  rotate <270.0, -180.0, -270.0>
  translate  <-5.98, 0.0, 1.45>
}
#declare Treppe6 = union {
  box { // Stufe42
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.3, 0.02>
  }
  box { // Stufe43
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.3, 0.02>
    translate  <0.1, 0.0, 0.1>
  }
  box { // Stufe44
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.3, 0.02>
    translate  <0.2, 0.0, 0.2>
  }
  box { // Stufe45
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.3, 0.02>
    translate  <0.3, 0.0, 0.3>
  }
  box { // Stufe46
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.3, 0.02>
    translate  <0.4, 0.0, 0.4>
  }
  box { // Stufe47
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.3, 0.02>
    translate  <0.5, 0.0, 0.5>
  }
  box { // Stufe48
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.3, 0.02>
    translate  <0.6, 0.0, 0.6>
  }
  box { // Seite12
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.6, 0.02>
    rotate <-90.0, 45.0, 0.0>
    translate  <0.3, 0.3, 0.3>
  }
  box { // Seite13
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.6, 0.02>
    rotate <-90.0, 45.0, 0.0>
    translate  <0.3, -0.3, 0.3>
  }
  material {
    DMFDarkOak
  }
  translate  <2.42, 0.0, -0.98>
}
#declare Treppe7 = union {
  box { // Stufe49
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.3, 0.02>
  }
  box { // Stufe50
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.3, 0.02>
    translate  <0.1, 0.0, 0.1>
  }
  box { // Stufe51
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.3, 0.02>
    translate  <0.2, 0.0, 0.2>
  }
  box { // Stufe52
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.3, 0.02>
    translate  <0.3, 0.0, 0.3>
  }
  box { // Stufe53
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.3, 0.02>
    translate  <0.4, 0.0, 0.4>
  }
  box { // Stufe54
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.3, 0.02>
    translate  <0.5, 0.0, 0.5>
  }
  box { // Stufe55
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.3, 0.02>
    translate  <0.6, 0.0, 0.6>
  }
  box { // Seite14
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.6, 0.02>
    rotate <-90.0, 45.0, 0.0>
    translate  <0.3, 0.3, 0.3>
  }
  box { // Seite15
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.6, 0.02>
    rotate <-90.0, 45.0, 0.0>
    translate  <0.3, -0.3, 0.3>
  }
  material {
    DMFDarkOak
  }
  rotate 180.0*z
  translate  <-1.88, 0.0, -0.85>
}
#declare Treppe8 = union {
  box { // Stufe56
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.3, 0.02>
  }
  box { // Stufe57
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.3, 0.02>
    translate  <0.1, 0.0, 0.1>
  }
  box { // Stufe58
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.3, 0.02>
    translate  <0.2, 0.0, 0.2>
  }
  box { // Stufe59
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.3, 0.02>
    translate  <0.3, 0.0, 0.3>
  }
  box { // Stufe60
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.3, 0.02>
    translate  <0.4, 0.0, 0.4>
  }
  box { // Stufe61
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.3, 0.02>
    translate  <0.5, 0.0, 0.5>
  }
  box { // Stufe62
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.3, 0.02>
    translate  <0.6, 0.0, 0.6>
  }
  box { // Seite16
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.6, 0.02>
    rotate <-90.0, 45.0, 0.0>
    translate  <0.3, 0.3, 0.3>
  }
  box { // Seite17
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.6, 0.02>
    rotate <-90.0, 45.0, 0.0>
    translate  <0.3, -0.3, 0.3>
  }
  material {
    DMFDarkOak
  }
  scale <1.0, 0.6, 1.0>
  rotate 180.0*z
  translate  <-4.79, 0.0, 0.13>
}
#declare Luke2 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  6  // control points
  <-1.0, 0.78392>,
  <1.0, 0.78392>,
  <1.0, 1.0>,
  <0.01675, 1.067002>,
  <-1.0, 1.0>,
  <-1.0, 0.78392>
  rotate -x*90
  material {
    DMFDarkOak
  }
  scale <0.65, 1.0, 1.5>
  rotate <90.0, 0.0, -90.0>
  translate  <1.37, -0.06, -2.02>
}
#declare Decks2 = union {
  object { Zwischendeck2 }
  object { Hauptdeck2 }
  object { Vorderdeck2 }
  object { Oberdeck2 }
  object { Reling_Vorderdeck2 }
  object { Reling_z_deck_rechts2 }
  object { Reling_z_deck_links2 }
  object { Reling_Mittschiffs2 }
  object { Wand_z_deck2 }
  object { Wand_v_deck4 }
  object { Wand_v_deck5 }
  object { Wand_o_deck2 }
  object { Steuer2 }
  object { Treppe6 }
  object { Treppe7 }
  object { Treppe8 }
  object { Luke2 }
  material {
    Deckstextur
  }
  rotate 50.0*z
  translate  <6.65, -16.35, 0.0>
}
#declare hm_unten2 = lathe {
  linear_spline
  2  // control points
  <0.058728, -2.465877>,
  <0.045226, 1.99665>
  rotate <90,0,90>
  scale 2.0
  translate  <-1.08, 0.0, 2.28>
}
#declare hm_mitte2 = lathe {
  linear_spline
  2  // control points
  <0.058728, -2.465877>,
  <0.045226, 1.99665>
  rotate <90,0,90>
  scale <1.0, 1.0, 1.2>
  translate  <-0.93, 0.0, 8.6>
}
#declare Fahnenstange8 = lathe {
  linear_spline
  8  // control points
  <0.039713, -1.4962>,
  <0.029313, 0.892881>,
  <0.032538, 0.890942>,
  <0.075144, 0.903564>,
  <0.102804, 0.920012>,
  <0.10657, 0.938186>,
  <0.067085, 0.965>,
  <0.000756, 0.974874>
  rotate <90,0,90>
  scale <0.5, 0.5, 1.0>
  translate  <-0.87, 0.0, 12.16>
}
#declare Mastkorb12 = lathe {
  linear_spline
  12  // control points
  <0.011725, -1.01675>,
  <1.198492, -0.917504>,
  <1.564489, -0.843384>,
  <1.958124, -0.711893>,
  <2.150754, -0.387772>,
  <2.354271, -0.03727>,
  <2.249246, -0.040871>,
  <2.058157, -0.36057>,
  <1.883377, -0.652945>,
  <1.542547, -0.784667>,
  <1.184968, -0.861951>,
  <0.011725, -0.859296>
  rotate <90,0,90>
  scale 0.25
  translate  <-1.0, 0.0, 5.87>
}
#declare Mastkorb_gm4 = union {
  object { Mastkorb12 }
  superellipsoid { // Verbinder36
    <0.1, 0.1>
    scale <0.18, 0.12, 0.04>
    translate  <-1.02, 0.0, 6.27>
  }
  superellipsoid { // Verbinder37
    <0.1, 0.1>
    scale <0.18, 0.12, 0.04>
    translate  <-1.02, 0.0, 5.75>
  }
  superellipsoid { // Verbinder38
    <0.1, 0.1>
    scale <0.155, 0.095, 0.25>
    translate  <-1.02, 0.0, 6.0>
  }
  material {
    S_Wood1
  }
}
#declare Mastkorb13 = lathe {
  linear_spline
  12  // control points
  <0.011725, -1.01675>,
  <1.198492, -0.917504>,
  <1.564489, -0.843384>,
  <1.958124, -0.711893>,
  <2.150754, -0.387772>,
  <2.354271, -0.03727>,
  <2.249246, -0.040871>,
  <2.058157, -0.36057>,
  <1.883377, -0.652945>,
  <1.542547, -0.784667>,
  <1.184968, -0.861951>,
  <0.011725, -0.859296>
  rotate <90,0,90>
  scale 0.25
  translate  <-1.0, 0.0, 5.87>
}
#declare Mastkorb_gm5 = union {
  object { Mastkorb13 }
  superellipsoid { // Verbinder39
    <0.1, 0.1>
    scale <0.18, 0.12, 0.04>
    translate  <-1.02, 0.0, 6.27>
  }
  superellipsoid { // Verbinder40
    <0.1, 0.1>
    scale <0.18, 0.12, 0.04>
    translate  <-1.02, 0.0, 5.75>
  }
  superellipsoid { // Verbinder41
    <0.1, 0.1>
    scale <0.155, 0.095, 0.25>
    translate  <-1.02, 0.0, 6.0>
  }
  material {
    S_Wood1
  }
  scale 0.5
  translate  <-0.4, 0.0, 7.84>
}
#declare Rahe_gm4 = lathe {
  linear_spline
  5  // control points
  <0.001101, -2.000366>,
  <0.037943, -1.991528>,
  <0.058609, -0.005305>,
  <0.02971, 1.975897>,
  <-0.000653, 1.999843>
  rotate <90,0,90>
  scale <0.8, 0.8, 1.2>
  rotate <90.0, -90.0, 0.0>
  translate  <-0.78, 0.0, 10.07>
}
#declare Segel_gm3 = object {   object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.972250, -1.972149, -0.397919>, <-1.553609, -1.576121, 0.531061>, <1.615698, -1.545164, 0.541019>, <3.153497, -1.980607, -0.298488>, 
      <-2.208699, -0.815020, 0.332482>, <-0.820783, -0.733041, 1.270199>, <0.913703, -0.716646, 1.270199>, <2.408845, -0.839614, 0.485926>, 
      <-1.590589, 0.504697, 0.417729>, <-0.572886, 0.504697, 0.588223>, <0.579905, 0.504697, 0.605272>, <1.784498, 0.504697, 0.383630>, 
      <-1.624688, 1.504697, -0.110803>, <-0.488292, 1.504697, -0.110803>, <0.579905, 1.494740, -0.091885>, <1.750399, 1.504697, -0.079711>
    }
  }
  material {
    Segeltextur
  }
  scale <1.25, 1.35, 1.2>
  rotate <83.0, 0.0, 90.0>
  translate  <-0.4, -0.05, 8.03>
}
#declare Rahen_Segel_gm3 = union {
  object { Rahe_gm4 }
  object { Segel_gm3 }
  rotate 15.0*z
}
#declare Rahe_gm5 = lathe {
  linear_spline
  5  // control points
  <0.001101, -2.000366>,
  <0.037943, -1.991528>,
  <0.058609, -0.005305>,
  <0.02971, 1.975897>,
  <-0.000653, 1.999843>
  rotate <90,0,90>
  scale <1.0, 1.0, 2.0>
  rotate <-90.0, -90.0, 0.0>
  translate  <-0.87, 0.0, 5.0>
}
#declare Segel_gm2 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.980204, 0.496004, 0.000000>, <-2.709276, 0.496004, 0.000000>, <-2.438348, 0.496004, 0.000000>, <-2.167421, 0.496004, 0.000000>, 
      <-2.986270, 0.502676, 0.202688>, <-2.691041, -0.501039, 0.705461>, <-2.403912, 1.012024, 0.381091>, <-2.153236, 0.412791, 0.543276>, 
      <-2.947767, 0.000000, -0.215077>, <-2.709276, 0.000000, -1.123311>, <-2.438348, 0.000000, -0.409698>, <-2.167421, 0.000000, -0.766505>, 
      <-2.980204, 0.501039, 0.000000>, <-2.709276, 0.501039, 0.000000>, <-2.438348, 0.501039, 0.000000>, <-2.167421, 0.501039, 0.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.167421, 0.496004, 0.000000>, <-1.896493, 0.496004, 0.000000>, <-1.625566, 0.496004, 0.000000>, <-1.354638, 0.496004, 0.000000>, 
      <-2.153236, 0.412791, 0.543276>, <-1.902560, -0.186442, 0.705461>, <-1.631632, -0.186442, 0.705461>, <-1.421459, 0.270473, 0.543276>, 
      <-2.167421, 0.000000, -0.766505>, <-1.896493, 0.000000, -1.123311>, <-1.625566, 0.000000, -1.123311>, <-1.354638, 0.000000, -0.766505>, 
      <-2.167421, 0.501039, 0.000000>, <-1.896493, 0.501039, 0.000000>, <-1.625566, 0.501039, 0.000000>, <-1.354638, 0.501039, 0.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.354638, 0.496004, 0.000000>, <-1.083710, 0.496004, 0.000000>, <-0.812783, 0.496004, 0.000000>, <-0.541855, 0.496004, 0.000000>, 
      <-1.421459, 0.270473, 0.543276>, <-1.211286, 0.727388, 0.381091>, <-0.794548, -0.501039, 0.381091>, <-0.511469, -0.029143, 0.543276>, 
      <-1.354638, 0.000000, -0.766505>, <-1.083710, 0.000000, -0.409698>, <-0.812783, 0.000000, -1.123311>, <-0.541855, 0.000000, -1.123311>, 
      <-1.354638, 0.501039, 0.000000>, <-1.083710, 0.501039, 0.000000>, <-0.812783, 0.501039, 0.000000>, <-0.541855, 0.501039, 0.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.541855, 0.496004, 0.000000>, <-0.270928, 0.496004, 0.000000>, <0.000000, 0.496004, 0.000000>, <0.270928, 0.496004, 0.000000>, 
      <-0.511469, -0.029143, 0.543276>, <-0.228391, 0.442753, 0.705461>, <0.010135, 0.532638, 0.381091>, <0.285113, 0.015799, 0.543276>, 
      <-0.541855, 0.000000, -1.123311>, <-0.270928, 0.000000, -1.123311>, <0.000000, 0.000000, -0.409698>, <0.270928, 0.000000, -0.766505>, 
      <-0.541855, 0.501039, 0.000000>, <-0.270928, 0.501039, 0.000000>, <0.000000, 0.501039, 0.000000>, <0.270928, 0.501039, 0.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.270928, 0.496004, 0.000000>, <0.541855, 0.496004, 0.000000>, <0.812783, 0.496004, 0.000000>, <1.083710, 0.496004, 0.000000>, 
      <0.285113, 0.015799, 0.543276>, <0.560090, -0.501039, 0.705461>, <0.952527, 0.907158, 0.381091>, <1.150549, 0.360358, 0.381091>, 
      <0.270928, 0.000000, -0.766505>, <0.541855, 0.000000, -1.123311>, <0.812783, 0.000000, -1.123311>, <1.083710, 0.000000, -0.766505>, 
      <0.270928, 0.501039, 0.000000>, <0.541855, 0.501039, 0.000000>, <0.812783, 0.501039, 0.000000>, <1.083710, 0.501039, 0.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <1.083710, 0.496004, 0.000000>, <1.354638, 0.496004, 0.000000>, <1.625566, 0.496004, 0.000000>, <1.896493, 0.496004, 0.000000>, 
      <1.150549, 0.360358, 0.381091>, <1.348571, -0.186442, 0.381091>, <1.619499, -0.186442, 0.705461>, <1.910678, 0.412791, 0.543276>, 
      <1.083710, 0.000000, -0.766505>, <1.354638, 0.000000, -0.409698>, <1.625566, 0.000000, -1.123311>, <1.896493, 0.000000, -0.766505>, 
      <1.083710, 0.501039, 0.000000>, <1.354638, 0.501039, 0.000000>, <1.625566, 0.501039, 0.000000>, <1.896493, 0.501039, 0.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <1.896493, 0.496004, 0.000000>, <2.167421, 0.496004, 0.000000>, <2.438348, 0.496004, 0.000000>, <2.709276, 0.496004, 0.000000>, 
      <1.910678, 0.412791, 0.543276>, <2.201857, 1.012024, 0.381091>, <2.456584, -0.501039, 0.705461>, <2.703209, 0.547619, 0.202688>, 
      <1.896493, 0.000000, -0.766505>, <2.167421, 0.000000, -0.409698>, <2.438348, 0.000000, -1.123311>, <2.741713, 0.000000, -0.215077>, 
      <1.896493, 0.501039, 0.000000>, <2.167421, 0.501039, 0.000000>, <2.438348, 0.501039, 0.000000>, <2.709276, 0.501039, 0.000000>
    }
  }
  material {
    Segeltextur
  }
  scale <1.3, 1.0, 1.0>
  rotate <70.0, 0.0, -90.0>
  translate  <-1.014086, -0.15274, 4.47>
}
#declare Rahe_Segel_gm2 = union {
  object { Rahe_gm5 }
  object { Segel_gm2 }
  material {
    DMFDarkOak
  }
  rotate 15.0*z
}
#include "zwei.in3"
#declare Wanten_gm4 = object {
  Wanten_gm4_Raw
  scale <1.02, 0.74, 0.73>
  rotate <66.0009, 5.999973, 0.010352>
  translate  <0.19, -3.65, 0.63>
}
#include "zwei.in4"
#declare Wanten_gm5 = object {
  Wanten_gm5_Raw
  scale <1.02, 0.74, 0.73>
  rotate <90.093994, 5.345213, 3.394127>
  translate  <0.21, -0.44, -0.25>
}
#include "zwei.in5"
#declare Wanten_oben_gm4 = object {
  Wanten_oben_gm4_Raw
  scale <0.6, 0.75, 0.8>
  rotate <80.998726, -0.991561, 0.117408>
  translate  <1.09, -2.12, 3.39>
}
#include "zwei.in6"
#declare Wanten_oben_gm5 = object {
  Wanten_oben_gm5_Raw
  scale <0.6, 0.75, 0.8>
  rotate <69.997238, -0.959549, 0.267139>
  translate  <1.09, -3.65, 3.93>
}
#declare Wanten_alle_gm2 = union {
  object { Wanten_gm4 }
  object { Wanten_gm5 }
  object { Wanten_oben_gm4 }
  object { Wanten_oben_gm5 }
  box { // Befest12
    <-1, -1, -1>, <1, 1, 1>
    material {
      DMFDarkOak
    }
    scale <0.7, 0.1, 0.05>
    rotate <0.126258, 9.999211, 5.011045>
    translate  <-2.3, 1.64, -0.18>
  }
  box { // Befest13
    <-1, -1, -1>, <1, 1, 1>
    material {
      DMFDarkOak
    }
    scale <0.7, 0.1, 0.05>
    rotate <-0.086939, 8.000759, -4.920416>
    translate  <-2.31, -1.64, -0.2>
  }
  material {
    Wanten
  }
}
#declare Flagge4 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.880402, -1.196985, 0.000000>, <-1.710888, -2.495477, 0.469012>, <-0.590436, -1.658291, -0.832418>, <0.519062, -2.273367, -0.118917>, 
      <-2.880402, -0.196985, 0.000000>, <-1.320161, -1.495477, 1.029620>, <-0.267662, -0.658291, -1.138204>, <0.892801, -1.273367, -0.169881>, 
      <-2.880402, 0.803015, 0.000000>, <-1.320161, -0.495477, 1.029620>, <-0.267662, 0.341709, -1.138204>, <0.892801, -0.273367, -0.169881>, 
      <-2.880402, 1.803015, 0.000000>, <-1.710888, 0.504523, 0.469012>, <-0.590436, 1.341709, -0.832418>, <0.519062, 0.726633, -0.118917>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.519062, -2.273367, -0.118917>, <1.628561, -2.888442, 0.594584>, <2.441497, -2.700503, -0.577596>, <3.051256, -3.076382, 0.000000>, 
      <0.892801, -1.273367, -0.169881>, <2.053264, -1.888442, 0.798442>, <2.458485, -1.700503, -0.424703>, <2.931658, -2.247236, 0.000000>, 
      <0.892801, -0.273367, -0.169881>, <2.053264, -0.888442, 0.798442>, <2.458485, -0.700503, -0.424703>, <2.931658, -1.247236, 0.000000>, 
      <0.519062, 0.726633, -0.118917>, <1.628561, 0.111558, 0.594584>, <2.441497, 0.299497, -0.577596>, <2.777889, -0.486432, 0.000000>
    }
  }
  material {
    Fahne_gelb
  }
  scale 0.35
  rotate <90.0, 0.0, 1.0>
  translate  <0.13, 0.01, 12.11>
}
#declare Grossmast2 = union {
  object { hm_unten2 }
  object { hm_mitte2 }
  object { Fahnenstange8 }
  object { Mastkorb_gm4 }
  object { Mastkorb_gm5 }
  object { Rahen_Segel_gm3 }
  object { Rahe_Segel_gm2 }
  object { Wanten_alle_gm2 }
  object { Flagge4 }
  material {
    DMFDarkOak
  }
}
#declare fm_unten2 = lathe {
  linear_spline
  2  // control points
  <0.058728, -2.465877>,
  <0.053601, 1.201005>
  rotate <90,0,90>
  scale 2.0
  translate  <4.45, 0.0, 2.91>
}
#declare fm_mitte2 = lathe {
  linear_spline
  2  // control points
  <0.058728, -2.465877>,
  <0.045226, 1.201005>
  rotate <90,0,90>
  scale <1.0, 1.0, 1.2>
  translate  <4.61, 0.0, 7.62>
}
#declare Fahnenstange9 = lathe {
  linear_spline
  8  // control points
  <0.039713, -1.4962>,
  <0.029313, 0.892881>,
  <0.032538, 0.890942>,
  <0.075144, 0.903564>,
  <0.102804, 0.920012>,
  <0.10657, 0.938186>,
  <0.067085, 0.965>,
  <0.000756, 0.974874>
  rotate <90,0,90>
  scale <0.4, 0.4, 0.8>
  translate  <4.67, 0.0, 9.94>
}
#declare Mastkorb14 = lathe {
  linear_spline
  12  // control points
  <0.011725, -1.01675>,
  <1.198492, -0.917504>,
  <1.564489, -0.843384>,
  <1.958124, -0.711893>,
  <2.150754, -0.387772>,
  <2.354271, -0.03727>,
  <2.249246, -0.040871>,
  <2.058157, -0.36057>,
  <1.883377, -0.652945>,
  <1.542547, -0.784667>,
  <1.184968, -0.861951>,
  <0.011725, -0.859296>
  rotate <90,0,90>
  scale 0.25
  translate  <-1.0, 0.0, 5.87>
}
#declare Mastkorb_fm4 = union {
  object { Mastkorb14 }
  superellipsoid { // Verbinder42
    <0.1, 0.1>
    scale <0.18, 0.12, 0.04>
    translate  <-1.02, 0.0, 6.27>
  }
  superellipsoid { // Verbinder43
    <0.1, 0.1>
    scale <0.18, 0.12, 0.04>
    translate  <-1.02, 0.0, 5.75>
  }
  superellipsoid { // Verbinder44
    <0.1, 0.1>
    scale <0.155, 0.095, 0.25>
    translate  <-1.02, 0.0, 6.0>
  }
  material {
    S_Wood1
  }
  translate  <5.52, 0.0, -0.99>
}
#declare Mastkorb15 = lathe {
  linear_spline
  12  // control points
  <0.011725, -1.01675>,
  <1.198492, -0.917504>,
  <1.564489, -0.843384>,
  <1.958124, -0.711893>,
  <2.150754, -0.387772>,
  <2.354271, -0.03727>,
  <2.249246, -0.040871>,
  <2.058157, -0.36057>,
  <1.883377, -0.652945>,
  <1.542547, -0.784667>,
  <1.184968, -0.861951>,
  <0.011725, -0.859296>
  rotate <90,0,90>
  scale 0.25
  translate  <-1.0, 0.0, 5.87>
}
#declare Mastkorb_fm5 = union {
  object { Mastkorb15 }
  superellipsoid { // Verbinder45
    <0.1, 0.1>
    scale <0.18, 0.12, 0.04>
    translate  <-1.02, 0.0, 6.27>
  }
  superellipsoid { // Verbinder46
    <0.1, 0.1>
    scale <0.18, 0.12, 0.04>
    translate  <-1.02, 0.0, 5.75>
  }
  superellipsoid { // Verbinder47
    <0.1, 0.1>
    scale <0.155, 0.095, 0.25>
    translate  <-1.02, 0.0, 6.0>
  }
  material {
    S_Wood1
  }
  scale 0.5
  translate  <5.14, 0.0, 5.92>
}
#declare Rahe_fm4 = lathe {
  linear_spline
  5  // control points
  <0.001101, -2.000366>,
  <0.037943, -1.991528>,
  <0.058609, -0.005305>,
  <0.02971, 1.975897>,
  <-0.000653, 1.999843>
  rotate <90,0,90>
  scale <0.9, 0.9, 1.8>
  rotate <0.0, -90.0, -90.0>
  translate  <-0.87, 0.0, 5.7>
}
#declare Segel_fm4 = object {   object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.972250, -1.344840, -0.666766>, <-1.553609, -1.775267, 0.789950>, <1.615698, -1.774182, 0.770036>, <3.153497, -1.343341, -0.696779>, 
      <-2.812237, -0.835832, 0.332482>, <-1.798932, -0.670606, 1.270199>, <1.933475, -0.675022, 1.270199>, <2.970760, -0.860426, 0.485926>, 
      <-2.776854, 0.379827, 0.417729>, <-1.426164, 0.275769, 0.588223>, <1.474807, 0.317392, 0.605272>, <2.825082, 0.463074, 0.383630>, 
      <-2.748518, 1.504697, -0.110803>, <-0.488292, 1.504697, -0.110803>, <0.579905, 1.494740, -0.091885>, <2.832606, 1.504697, -0.079711>
    }
  }
  material {
    Segeltextur
  }
  scale <1.2, 1.1, 0.8>
  rotate <80.0, -0.0, 90.0>
  translate  <-0.49, -0.02, 4.07>
}
#declare Rahe_Segel_fm2 = union {
  object { Rahe_fm4 }
  object { Segel_fm4 }
  rotate 15.0*z
  translate  <5.55, 0.0, -1.72>
}
#declare Rahe_fm5 = lathe {
  linear_spline
  5  // control points
  <0.001101, -2.000366>,
  <0.037943, -1.991528>,
  <0.058609, -0.005305>,
  <0.02971, 1.975897>,
  <-0.000653, 1.999843>
  rotate <90,0,90>
  scale <0.6, 0.6, 1.2>
  rotate <0.0, -90.0, -90.0>
  translate  <-0.82, -0.09, 9.97>
}
#declare Segel_fm5 = object {   object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.750608, -1.972149, -0.397919>, <-1.553609, -1.576121, 0.531061>, <1.615698, -1.545164, 0.541019>, <2.948905, -1.980607, -0.366686>, 
      <-2.208699, -0.815020, 0.332482>, <-0.820783, -0.733041, 1.270199>, <0.913703, -0.716646, 1.270199>, <2.408845, -0.839614, 0.485926>, 
      <-1.590589, 0.504697, 0.417729>, <-0.572886, 0.504697, 0.588223>, <0.579905, 0.504697, 0.605272>, <1.784498, 0.504697, 0.383630>, 
      <-1.624688, 1.504697, -0.110803>, <-0.488292, 1.504697, -0.110803>, <0.579905, 1.494740, -0.091885>, <1.750399, 1.504697, -0.079711>
    }
  }
  material {
    Segeltextur
  }
  scale <1.15, 1.16, 1.1>
  rotate <83.0, -0.0, 90.0>
  translate  <-0.48, -0.05, 8.23>
}
#declare Rahen_Segel_fm3 = union {
  object { Rahe_fm5 }
  object { Segel_fm5 }
  rotate 15.0*z
  translate  <5.55, 0.0, -1.72>
}
#include "<file not included included in ZIP-archive, try zwei.in3>"
#declare Wanten_unten_fm4 = object {
  Wanten_unten_fm4_Raw
  scale <0.98, 0.59, 0.92>
  rotate <81.728569, 2.156165, -14.53552>
  translate  <-0.08, -0.32, 0.31>
}
#include "<file not included included in ZIP-archive, try zwei.in3>" "zwei pinassen.i58"
#declare Wanten_unten_fm5 = object {
  Wanten_unten_fm5_Raw
  scale <0.98, 0.59, 0.92>
  rotate <58.065662, 1.461773, 10.787218>
  translate  <1.06, -4.62, 1.45>
}
#include "<file not included included in ZIP-archive, try zwei.in3>" "zwei pinassen.i59"
#declare Wanten_oben_fm4 = object {
  Wanten_oben_fm4_Raw
  scale <0.6, 0.6, 0.8>
  rotate <66.996864, -0.943319, 0.316609>
  translate  <6.65, -3.52, 3.65>
}
#include "<file not included included in ZIP-archive, try zwei.in3>" "zwei pinassen.i60"
#declare Wanten_oben_fm5 = object {
  Wanten_oben_fm5_Raw
  scale <0.6, 0.6, 0.8>
  rotate <76.998146, -0.980285, 0.186166>
  translate  <6.64, -2.14, 3.17>
}
#declare Wanten_alle_fm2 = union {
  object { Wanten_unten_fm4 }
  object { Wanten_unten_fm5 }
  object { Wanten_oben_fm4 }
  object { Wanten_oben_fm5 }
  box { // Befest14
    <-1, -1, -1>, <1, 1, 1>
    material {
      DMFDarkOak
    }
    scale <0.7, 0.1, 0.05>
    rotate 13.0*z
    translate  <3.88, -1.66, -0.4>
  }
  box { // Befest15
    <-1, -1, -1>, <1, 1, 1>
    material {
      DMFDarkOak
    }
    scale <0.7, 0.1, 0.05>
    rotate -12.0*z
    translate  <3.86, 1.53, -0.4>
  }
  material {
    Wanten
  }
}
#declare Fockmast2 = union {
  object { fm_unten2 }
  object { fm_mitte2 }
  object { Fahnenstange9 }
  object { Mastkorb_fm4 }
  object { Mastkorb_fm5 }
  object { Rahe_Segel_fm2 }
  object { Rahen_Segel_fm3 }
  object { Wanten_alle_fm2 }
  material {
    DMFDarkOak
  }
}
#declare Fahnenstange10 = lathe {
  linear_spline
  8  // control points
  <0.039713, -1.4962>,
  <0.029313, 0.892881>,
  <0.032538, 0.890942>,
  <0.075144, 0.903564>,
  <0.102804, 0.920012>,
  <0.10657, 0.938186>,
  <0.067085, 0.965>,
  <0.000756, 0.974874>
  rotate <90,0,90>
  scale <0.4, 0.4, 0.8>
  translate  <-4.01, 0.0, 8.92>
}
#declare bm_mitte2 = lathe {
  linear_spline
  2  // control points
  <0.050353, -2.465877>,
  <0.036851, 1.242881>
  rotate <90,0,90>
  translate  <-4.06, 0.0, 6.74>
}
#declare bm_unten2 = lathe {
  linear_spline
  2  // control points
  <0.050353, -2.465877>,
  <0.045226, 1.242881>
  rotate <90,0,90>
  scale 2.0
  translate  <-4.18, 0.0, 2.32>
}
#declare Mastkorb16 = lathe {
  linear_spline
  12  // control points
  <0.011725, -1.01675>,
  <1.198492, -0.917504>,
  <1.564489, -0.843384>,
  <1.958124, -0.711893>,
  <2.150754, -0.387772>,
  <2.354271, -0.03727>,
  <2.249246, -0.040871>,
  <2.058157, -0.36057>,
  <1.883377, -0.652945>,
  <1.542547, -0.784667>,
  <1.184968, -0.861951>,
  <0.011725, -0.859296>
  rotate <90,0,90>
  scale 0.25
  translate  <-1.0, 0.0, 5.87>
}
#declare Mastkorb_bm4 = union {
  object { Mastkorb16 }
  superellipsoid { // Verbinder48
    <0.1, 0.1>
    scale <0.195, 0.13, 0.043333>
    translate  <-1.02, 0.0, 6.27>
  }
  superellipsoid { // Verbinder49
    <0.1, 0.1>
    scale <0.195, 0.13, 0.043333>
    translate  <-1.02, 0.0, 5.75>
  }
  superellipsoid { // Verbinder50
    <0.1, 0.1>
    scale <0.171316, 0.105, 0.276316>
    translate  <-1.02, 0.0, 6.0>
  }
  material {
    S_Wood1
  }
  scale 0.8
  translate  <-3.33, 0.0, -0.24>
}
#declare Mastkorb17 = lathe {
  linear_spline
  12  // control points
  <0.011725, -1.01675>,
  <1.198492, -0.917504>,
  <1.564489, -0.843384>,
  <1.958124, -0.711893>,
  <2.150754, -0.387772>,
  <2.354271, -0.03727>,
  <2.249246, -0.040871>,
  <2.058157, -0.36057>,
  <1.883377, -0.652945>,
  <1.542547, -0.784667>,
  <1.184968, -0.861951>,
  <0.011725, -0.859296>
  rotate <90,0,90>
  scale 0.25
  translate  <-1.0, 0.0, 5.87>
}
#declare Mastkorb_bm5 = union {
  object { Mastkorb17 }
  superellipsoid { // Verbinder51
    <0.1, 0.1>
    scale <0.17875, 0.11, 0.039722>
    translate  <-1.02, 0.0, 6.27>
  }
  superellipsoid { // Verbinder52
    <0.1, 0.1>
    scale <0.165, 0.11, 0.036667>
    translate  <-1.02, 0.0, 5.75>
  }
  superellipsoid { // Verbinder53
    <0.1, 0.1>
    scale <0.146842, 0.09, 0.236842>
    translate  <-1.02, 0.0, 6.0>
  }
  material {
    S_Wood1
  }
  scale 0.4
  translate  <-3.64, 0.0, 5.46>
}
#declare Rahe_bm6 = lathe {
  linear_spline
  5  // control points
  <0.001101, -2.000366>,
  <0.037943, -1.991528>,
  <0.058609, -0.005305>,
  <0.02971, 1.975897>,
  <-0.000653, 1.999843>
  rotate <90,0,90>
  scale <0.55, 0.55, 0.825>
  rotate <90.0, -90.0, 0.0>
  translate  <-1.11, 0.0, 8.84>
}
#declare Segel_bm3 = object {   object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.784707, -1.972149, -1.062846>, <-1.553609, -1.576121, 0.531061>, <1.615698, -1.545164, 0.541019>, <2.914806, -1.980607, -1.048662>, 
      <-2.208699, -0.815020, 0.332482>, <-0.820783, -0.733041, 1.270199>, <0.913703, -0.716646, 1.270199>, <2.408845, -0.839614, 0.485926>, 
      <-1.590589, 0.504697, 0.417729>, <-0.572886, 0.504697, 0.588223>, <0.579905, 0.504697, 0.605272>, <1.784498, 0.504697, 0.383630>, 
      <-1.624688, 1.504697, -0.110803>, <-0.488292, 1.504697, -0.110803>, <0.579905, 1.494740, -0.091885>, <1.750399, 1.504697, -0.079711>
    }
  }
  material {
    Segeltextur
  }
  scale <0.892241, 0.9, 0.853448>
  rotate <71.0, 0.0, 90.0>
  translate  <-0.57, -0.05, 7.57>
}
#declare Rahen_Segel_bm6 = union {
  object { Rahe_bm6 }
  object { Segel_bm3 }
  rotate <0.0, 3.0, 15.0>
  translate  <-3.295619, 0.0, -1.549644>
}
#declare Rahe_bm7 = lathe {
  linear_spline
  5  // control points
  <0.001101, -2.000366>,
  <0.037943, -1.991528>,
  <0.058609, -0.005305>,
  <0.02971, 1.975897>,
  <-0.000653, 1.999843>
  rotate <90,0,90>
  scale <0.7, 0.7, 1.4>
  rotate <90.0, -90.0, 0.0>
  translate  <-1.19, 0.0, 4.98>
}
#declare Segel_gm3 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.980204, 0.496004, 0.000000>, <-2.709276, 0.496004, 0.000000>, <-2.438348, 0.496004, 0.000000>, <-2.167421, 0.496004, 0.000000>, 
      <-2.986270, 0.502676, 0.202688>, <-2.691041, -0.501039, 0.705461>, <-2.403912, 1.012024, 0.381091>, <-2.153236, 0.412791, 0.543276>, 
      <-2.947767, 0.000000, -0.215077>, <-2.709276, 0.000000, -1.123311>, <-2.438348, 0.000000, -0.409698>, <-2.167421, 0.000000, -0.766505>, 
      <-2.980204, 0.501039, 0.000000>, <-2.709276, 0.501039, 0.000000>, <-2.438348, 0.501039, 0.000000>, <-2.167421, 0.501039, 0.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.167421, 0.496004, 0.000000>, <-1.896493, 0.496004, 0.000000>, <-1.625566, 0.496004, 0.000000>, <-1.354638, 0.496004, 0.000000>, 
      <-2.153236, 0.412791, 0.543276>, <-1.902560, -0.186442, 0.705461>, <-1.631632, -0.186442, 0.705461>, <-1.421459, 0.270473, 0.543276>, 
      <-2.167421, 0.000000, -0.766505>, <-1.896493, 0.000000, -1.123311>, <-1.625566, 0.000000, -1.123311>, <-1.354638, 0.000000, -0.766505>, 
      <-2.167421, 0.501039, 0.000000>, <-1.896493, 0.501039, 0.000000>, <-1.625566, 0.501039, 0.000000>, <-1.354638, 0.501039, 0.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.354638, 0.496004, 0.000000>, <-1.083710, 0.496004, 0.000000>, <-0.812783, 0.496004, 0.000000>, <-0.541855, 0.496004, 0.000000>, 
      <-1.421459, 0.270473, 0.543276>, <-1.211286, 0.727388, 0.381091>, <-0.794548, -0.501039, 0.381091>, <-0.511469, -0.029143, 0.543276>, 
      <-1.354638, 0.000000, -0.766505>, <-1.083710, 0.000000, -0.409698>, <-0.812783, 0.000000, -1.123311>, <-0.541855, 0.000000, -1.123311>, 
      <-1.354638, 0.501039, 0.000000>, <-1.083710, 0.501039, 0.000000>, <-0.812783, 0.501039, 0.000000>, <-0.541855, 0.501039, 0.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.541855, 0.496004, 0.000000>, <-0.270928, 0.496004, 0.000000>, <0.000000, 0.496004, 0.000000>, <0.270928, 0.496004, 0.000000>, 
      <-0.511469, -0.029143, 0.543276>, <-0.228391, 0.442753, 0.705461>, <0.010135, 0.532638, 0.381091>, <0.285113, 0.015799, 0.543276>, 
      <-0.541855, 0.000000, -1.123311>, <-0.270928, 0.000000, -1.123311>, <0.000000, 0.000000, -0.409698>, <0.270928, 0.000000, -0.766505>, 
      <-0.541855, 0.501039, 0.000000>, <-0.270928, 0.501039, 0.000000>, <0.000000, 0.501039, 0.000000>, <0.270928, 0.501039, 0.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.270928, 0.496004, 0.000000>, <0.541855, 0.496004, 0.000000>, <0.812783, 0.496004, 0.000000>, <1.083710, 0.496004, 0.000000>, 
      <0.285113, 0.015799, 0.543276>, <0.560090, -0.501039, 0.705461>, <0.952527, 0.907158, 0.381091>, <1.150549, 0.360358, 0.381091>, 
      <0.270928, 0.000000, -0.766505>, <0.541855, 0.000000, -1.123311>, <0.812783, 0.000000, -1.123311>, <1.083710, 0.000000, -0.766505>, 
      <0.270928, 0.501039, 0.000000>, <0.541855, 0.501039, 0.000000>, <0.812783, 0.501039, 0.000000>, <1.083710, 0.501039, 0.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <1.083710, 0.496004, 0.000000>, <1.354638, 0.496004, 0.000000>, <1.625566, 0.496004, 0.000000>, <1.896493, 0.496004, 0.000000>, 
      <1.150549, 0.360358, 0.381091>, <1.348571, -0.186442, 0.381091>, <1.619499, -0.186442, 0.705461>, <1.910678, 0.412791, 0.543276>, 
      <1.083710, 0.000000, -0.766505>, <1.354638, 0.000000, -0.409698>, <1.625566, 0.000000, -1.123311>, <1.896493, 0.000000, -0.766505>, 
      <1.083710, 0.501039, 0.000000>, <1.354638, 0.501039, 0.000000>, <1.625566, 0.501039, 0.000000>, <1.896493, 0.501039, 0.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <1.896493, 0.496004, 0.000000>, <2.167421, 0.496004, 0.000000>, <2.438348, 0.496004, 0.000000>, <2.709276, 0.496004, 0.000000>, 
      <1.910678, 0.412791, 0.543276>, <2.201857, 1.012024, 0.381091>, <2.456584, -0.501039, 0.705461>, <2.703209, 0.547619, 0.202688>, 
      <1.896493, 0.000000, -0.766505>, <2.167421, 0.000000, -0.409698>, <2.438348, 0.000000, -1.123311>, <2.741713, 0.000000, -0.215077>, 
      <1.896493, 0.501039, 0.000000>, <2.167421, 0.501039, 0.000000>, <2.438348, 0.501039, 0.000000>, <2.709276, 0.501039, 0.000000>
    }
  }
  material {
    Segeltextur
  }
  scale <0.9, 0.9, 0.8>
  rotate <73.489479, -0.147949, -89.958092>
  translate  <-1.287721, -0.093515, 4.545777>
}
#declare Rahen_Segel_bm7 = union {
  object { Rahe_bm7 }
  object { Segel_gm3 }
  rotate <0.0, 6.0, 15.0>
  translate  <-3.372204, 0.0, -1.375041>
}
#include "zwei pinassen.i61"
#declare Wanten_bm4 = object {
  Wanten_bm4_Raw
  scale <1.0, 0.8, 1.0>
  rotate <90.0, 2.0, -0.0>
  translate  <-1.49, -1.05, -4.09>
}
#include "zwei pinassen.i62"
#declare Wanten_bm5 = object {
  Wanten_bm5_Raw
  scale <1.0, 0.8, 1.0>
  rotate <53.986717, 1.528112, -1.470702>
  translate  <-1.46, -6.13, -1.81>
}
#declare Wanten_alle_bm2 = union {
  object { Wanten_bm4 }
  object { Wanten_bm5 }
  box { // Befest16
    <-1, -1, -1>, <1, 1, 1>
    material {
      DMFDarkOak
    }
    scale <0.3, 0.1, 0.05>
    rotate <-0.086939, 8.000759, -4.920416>
    translate  <-4.7, -1.33, 0.87>
  }
  box { // Befest17
    <-1, -1, -1>, <1, 1, 1>
    material {
      DMFDarkOak
    }
    scale <0.3, 0.1, 0.05>
    rotate <0.030158, 8.000497, 5.929973>
    translate  <-4.71, 1.32, 0.88>
  }
  material {
    Wanten
  }
  rotate 3.0*y
}
#declare Besanmast2 = union {
  object { Fahnenstange10 }
  object { bm_mitte2 }
  object { bm_unten2 }
  object { Mastkorb_bm4 }
  object { Mastkorb_bm5 }
  object { Rahen_Segel_bm6 }
  object { Rahen_Segel_bm7 }
  object { Wanten_alle_bm2 }
  material {
    DMFDarkOak
  }
  rotate -3.0*y
}
#declare Baum4 = lathe {
  linear_spline
  2  // control points
  <0.050353, -2.465877>,
  <0.020101, 1.242881>
  rotate <90,0,90>
  scale 1.8
  translate  <-4.18, 0.0, 2.32>
}
#declare Rahe_baum2 = lathe {
  linear_spline
  5  // control points
  <0.001101, -2.000366>,
  <0.037943, -1.991528>,
  <0.058609, -0.005305>,
  <0.02971, 1.975897>,
  <-0.000653, 1.999843>
  rotate <90,0,90>
  scale <0.5, 0.5, 1.0>
  rotate <90.0, -40.0, -180.0>
  translate  <7.36, 0.0, 2.08>
}
#declare Segel_baum2 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-5.000000, 1.177889, 0.000000>, <-4.000000, 1.177889, 0.000000>, <-3.000000, 1.177889, 0.000000>, <-2.000000, 1.177889, 0.000000>, 
      <-5.000000, 1.255276, 0.230653>, <-4.000000, -1.000000, 0.691960>, <-3.025628, 1.255276, 0.230653>, <-2.333166, 0.396734, 0.461307>, 
      <-5.000000, 0.000000, -0.494305>, <-4.000000, 0.000000, -1.340034>, <-3.000000, 0.000000, -0.494305>, <-2.000000, 0.000000, -0.917169>, 
      <-5.000000, 1.000000, 0.000000>, <-4.000000, 1.000000, 0.000000>, <-3.000000, 1.000000, 0.000000>, <-2.000000, 1.000000, 0.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.000000, 1.177889, 0.000000>, <-1.000000, 1.177889, 0.000000>, <0.000000, 1.177889, 0.000000>, <1.000000, 1.177889, 0.000000>, 
      <-2.333166, 0.396734, 0.461307>, <-1.640704, -0.461809, 0.691960>, <-0.025628, 0.153266, 0.230653>, <0.974372, 0.704271, 0.230653>, 
      <-2.000000, 0.000000, -0.917169>, <-1.000000, 0.000000, -1.340034>, <0.000000, 0.000000, -1.340034>, <1.000000, 0.000000, -0.917169>, 
      <-2.000000, 1.000000, 0.000000>, <-1.000000, 1.000000, 0.000000>, <0.000000, 1.000000, 0.000000>, <1.000000, 1.000000, 0.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <1.000000, 1.177889, 0.000000>, <2.000000, 1.177889, 0.000000>, <3.000000, 1.177889, 0.000000>, <4.000000, 1.177889, 0.000000>, 
      <0.974372, 0.704271, 0.230653>, <1.974372, 1.255276, 0.230653>, <3.000000, -1.000000, 0.691960>, <4.000000, 1.255276, 0.230653>, 
      <1.000000, 0.000000, -0.917169>, <2.000000, 0.000000, -0.494305>, <3.000000, 0.000000, -1.340034>, <4.000000, 0.000000, -0.494305>, 
      <1.000000, 1.000000, 0.000000>, <2.000000, 1.000000, 0.000000>, <3.000000, 1.000000, 0.000000>, <4.000000, 1.000000, 0.000000>
    }
  }
  material {
    Segeltextur
  }
  scale <0.4, 0.25, 0.5>
  rotate <45.711563, -0.0, 90.0>
  translate  <7.58, 0.21, 1.83>
}
#declare Rahe_Segel_baum2 = union {
  object { Rahe_baum2 }
  object { Segel_baum2 }
  scale <0.5, 1.0, 1.0>
  rotate -50.0*y
  translate  <-4.79761, 0.0, -1.14374>
}
#declare Baum5 = union {
  object { Baum4 }
  object { Rahe_Segel_baum2 }
  material {
    DMFDarkOak
  }
  rotate 50.0*y
  translate  <8.87, 0.0, -2.87>
}
#declare Masten2 = union {
  object { Grossmast2 }
  object { Fockmast2 }
  object { Besanmast2 }
  object { Baum5 }
  rotate 50.0*z
  translate  <6.65, -16.35, 0.0>
}
#declare Ruderholz2 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  11  // control points
  <-0.396985, -1.326633>,
  <-0.047152, -1.388191>,
  <0.145729, -1.20938>,
  <0.148241, 1.384506>,
  <0.087102, 1.552764>,
  <-0.009045, 1.569514>,
  <-0.081039, 1.523451>,
  <-0.078727, 1.167504>,
  <-0.184255, -0.024623>,
  <-0.325879, -0.18768>,
  <-0.396985, -1.326633>
  rotate -x*90
  material {
    DMFDarkOak
  }
  scale <1.0, 1.0, 0.3>
  rotate <90.0, -9.0, 0.0>
  translate  <-7.05, 0.17, -1.45>
}
#declare Ruder2 = union {
  box { // Scharnier8
    <-1, -1, -1>, <1, 1, 1>
    material {
      Rusty_Iron
    }
    scale <0.4, 0.16, 0.05>
    rotate -9.0*y
    translate  <-6.88, 0.02, -2.45>
  }
  object { Ruderholz2 }
  box { // Scharnier9
    <-1, -1, -1>, <1, 1, 1>
    material {
      Rusty_Iron
    }
    scale <0.4, 0.16, 0.05>
    rotate -9.0*y
    translate  <-6.86, 0.02, -1.38>
  }
  box { // Scharnier10
    <-1, -1, -1>, <1, 1, 1>
    material {
      Rusty_Iron
    }
    scale <0.4, 0.16, 0.05>
    rotate -9.0*y
    translate  <-6.9, 0.02, -0.8>
  }
  box { // Scharnier11
    <-1, -1, -1>, <1, 1, 1>
    material {
      Rusty_Iron
    }
    scale <0.4, 0.16, 0.05>
    rotate -9.0*y
    translate  <-6.94, 0.02, -0.24>
  }
}
#declare Deckel4 = lathe {
  linear_spline
  8  // control points
  <0.011725, 2.031826>,
  <0.115578, 1.89531>,
  <0.298157, 1.796817>,
  <0.155025, 1.674606>,
  <0.263149, 1.552395>,
  <0.858266, 1.408774>,
  <1.547739, 0.809883>,
  <1.0, 1.0>
  rotate <90,0,90>
  material {
    Rot
  }
  scale <0.1, 0.1, 0.15>
}
#declare Lampenglas4 = lathe {
  linear_spline
  4  // control points
  <0.681742, -1.527638>,
  <1.078727, -1.153266>,
  <1.472362, 0.742881>,
  <1.0, 1.0>
  rotate <90,0,90>
  material {
    Lampglass
  }
  scale <0.1, 0.1, 0.15>
}
#declare Boden4 = lathe {
  linear_spline
  10  // control points
  <0.784209, -1.455614>,
  <0.573962, -1.697222>,
  <0.100511, -1.827225>,
  <0.100377, -1.949225>,
  <0.237671, -2.004188>,
  <0.329009, -2.092556>,
  <0.328514, -2.16664>,
  <0.245231, -2.24335>,
  <0.121776, -2.264224>,
  <0.112228, -3.045226>
  rotate <90,0,90>
  material {
    DMFDarkOak
  }
  scale <0.1, 0.1, 0.15>
}
#declare Lampe4 = union {
  object { Deckel4 }
  object { Lampenglas4 }
  object { Boden4 }
  rotate <5.0, -5.0, 0.0>
  translate  <-7.53, -0.9, 2.41>
}
#declare Deckel5 = lathe {
  linear_spline
  8  // control points
  <0.011725, 2.031826>,
  <0.115578, 1.89531>,
  <0.298157, 1.796817>,
  <0.155025, 1.674606>,
  <0.263149, 1.552395>,
  <0.858266, 1.408774>,
  <1.547739, 0.809883>,
  <1.0, 1.0>
  rotate <90,0,90>
  material {
    Rot
  }
  scale <0.1, 0.1, 0.15>
}
#declare Lampenglas5 = lathe {
  linear_spline
  4  // control points
  <0.681742, -1.527638>,
  <1.078727, -1.153266>,
  <1.472362, 0.742881>,
  <1.0, 1.0>
  rotate <90,0,90>
  material {
    Lampglass
  }
  scale <0.1, 0.1, 0.15>
}
#declare Boden5 = lathe {
  linear_spline
  10  // control points
  <0.784209, -1.455614>,
  <0.573962, -1.697222>,
  <0.100511, -1.827225>,
  <0.100377, -1.949225>,
  <0.237671, -2.004188>,
  <0.329009, -2.092556>,
  <0.328514, -2.16664>,
  <0.245231, -2.24335>,
  <0.121776, -2.264224>,
  <0.112228, -3.045226>
  rotate <90,0,90>
  material {
    DMFDarkOak
  }
  scale <0.1, 0.1, 0.15>
}
#declare Lampe5 = union {
  object { Deckel5 }
  object { Lampenglas5 }
  object { Boden5 }
  rotate <-5.0, -5.0, 0.0>
  translate  <-7.53, 0.93, 2.41>
}
#include "zwei pinassen.i63"
#declare Heckplatte2 = object {
  Heckplatte2_Raw
  material {
    S_Wood1
  }
  rotate 90.0*x
}
#declare Fenster14 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  10  // control points
  <-1.0, -1.0>,
  <1.0, -1.0>,
  <1.0, 0.00335>,
  <0.85188, 0.497487>,
  <0.475628, 0.874372>,
  <0.0, 1.0>,
  <-0.458878, 0.891122>,
  <-0.832127, 0.497487>,
  <-1.0, -0.005025>,
  <-1.0, -1.0>
  rotate -x*90
  material {
    Material1
  }
  scale <0.1, 0.2, 0.4>
  rotate <90.0, 0.0, -90.0>
  translate  <-7.26, -0.55, 1.05>
}
#declare Fenster15 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  10  // control points
  <-1.0, -1.0>,
  <1.0, -1.0>,
  <1.0, 0.00335>,
  <0.85188, 0.497487>,
  <0.475628, 0.874372>,
  <0.0, 1.0>,
  <-0.458878, 0.891122>,
  <-0.832127, 0.497487>,
  <-1.0, -0.005025>,
  <-1.0, -1.0>
  rotate -x*90
  material {
    Material1
  }
  scale <0.1, 0.2, 0.4>
  rotate <90.0, 0.0, -90.0>
  translate  <-7.26, 0.55, 1.05>
}
#declare Fenster16 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  10  // control points
  <-1.0, -1.0>,
  <1.0, -1.0>,
  <1.0, 0.00335>,
  <0.85188, 0.497487>,
  <0.475628, 0.874372>,
  <0.0, 1.0>,
  <-0.458878, 0.891122>,
  <-0.832127, 0.497487>,
  <-1.0, -0.005025>,
  <-1.0, -1.0>
  rotate -x*90
  material {
    Material1
  }
  scale <0.1, 0.2, 0.4>
  rotate <90.0, 0.0, -90.0>
  translate  <-7.26, 0.0, 1.05>
}
#declare Fenster17 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  10  // control points
  <-1.0, -1.0>,
  <1.0, -1.0>,
  <1.0, 0.00335>,
  <0.85188, 0.497487>,
  <0.475628, 0.874372>,
  <0.0, 1.0>,
  <-0.458878, 0.891122>,
  <-0.832127, 0.497487>,
  <-1.0, -0.005025>,
  <-1.0, -1.0>
  rotate -x*90
  material {
    Material1
  }
  scale <0.1, 0.2, 0.5>
  rotate <90.0, 0.0, -90.0>
  translate  <-6.6, 0.5, -0.2>
}
#declare Fenster18 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  10  // control points
  <-1.0, -1.0>,
  <1.0, -1.0>,
  <1.0, 0.00335>,
  <0.85188, 0.497487>,
  <0.475628, 0.874372>,
  <0.0, 1.0>,
  <-0.458878, 0.891122>,
  <-0.832127, 0.497487>,
  <-1.0, -0.005025>,
  <-1.0, -1.0>
  rotate -x*90
  material {
    Material1
  }
  scale <0.1, 0.2, 0.5>
  rotate <90.0, 0.0, -90.0>
  translate  <-6.6, -0.5, -0.2>
}
#declare Fenster19 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  10  // control points
  <-1.0, -1.0>,
  <1.0, -1.0>,
  <1.0, 0.00335>,
  <0.85188, 0.497487>,
  <0.475628, 0.874372>,
  <0.0, 1.0>,
  <-0.458878, 0.891122>,
  <-0.832127, 0.497487>,
  <-1.0, -0.005025>,
  <-1.0, -1.0>
  rotate -x*90
  material {
    Material1
  }
  scale <0.1, 0.2, 0.5>
  rotate <90.0, 0.0, -90.0>
  translate  <-6.6, -0.9, -0.2>
}
#declare Fenster20 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  10  // control points
  <-1.0, -1.0>,
  <1.0, -1.0>,
  <1.0, 0.00335>,
  <0.85188, 0.497487>,
  <0.475628, 0.874372>,
  <0.0, 1.0>,
  <-0.458878, 0.891122>,
  <-0.832127, 0.497487>,
  <-1.0, -0.005025>,
  <-1.0, -1.0>
  rotate -x*90
  material {
    Material1
  }
  scale <0.1, 0.2, 0.5>
  rotate <90.0, 0.0, -90.0>
  translate  <-6.6, 0.9, -0.2>
}
#declare Platte_mit_loch2 = difference {
  object { Heckplatte2 }
  object { Fenster14 }
  object { Fenster15 }
  object { Fenster16 }
  object { Fenster17 }
  object { Fenster18 }
  object { Fenster19 }
  object { Fenster20 }
}
#declare Reling94 = union {
  box { // Cube509
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr697
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr698
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr699
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr700
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr701
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr702
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  material {
    DMFDarkOak
  }
  scale <1.2, 1.0, 1.0>
  rotate -90.0*z
  translate  <-7.91, -0.6, 0.98>
}
#declare Reling95 = union {
  box { // Cube510
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr703
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr704
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr705
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr706
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr707
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr708
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  material {
    DMFDarkOak
  }
  scale <1.2, 1.0, 1.0>
  rotate 90.0*z
  translate  <-7.91, 0.6, 0.98>
}
#declare Reling96 = union {
  box { // Cube511
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr709
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr710
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr711
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr712
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr713
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr714
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  material {
    DMFDarkOak
  }
  rotate <0.0, -15.0, 180.0>
  translate  <-7.42, -1.2, 0.85>
}
#declare Reling97 = union {
  box { // Cube512
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr715
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr716
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr717
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr718
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr719
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr720
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  material {
    DMFDarkOak
  }
  rotate <0.0, -15.0, 180.0>
  translate  <-7.42, 1.2, 0.85>
}
#declare Reling98 = union {
  box { // Cube513
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr721
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr722
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr723
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr724
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr725
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr726
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  material {
    DMFDarkOak
  }
  rotate <0.0, -15.0, 180.0>
  translate  <-6.65, 1.2, 0.65>
}
#declare Reling99 = union {
  box { // Cube514
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr727
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr728
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr729
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr730
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr731
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr732
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  material {
    DMFDarkOak
  }
  rotate <0.0, -15.0, 180.0>
  translate  <-6.65, -1.2, 0.65>
}
#declare Reling100 = union {
  box { // Cube515
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.08, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr733
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr734
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr735
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr736
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr737
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr738
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  material {
    DMFDarkOak
  }
  scale <0.9, 1.0, 1.0>
  rotate <5.0, -9.0, -90.0>
  translate  <-7.49, 0.45, 1.97>
}
#declare Reling101 = union {
  box { // Cube516
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.08, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr739
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr740
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr741
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr742
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr743
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr744
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  material {
    DMFDarkOak
  }
  scale <0.9, 1.0, 1.0>
  rotate <5.0, -9.0, 90.0>
  translate  <-7.49, -0.44, 1.97>
}
#declare Fahnenstange11 = lathe {
  linear_spline
  15  // control points
  <0.138953, -1.937701>,
  <0.136914, -1.038966>,
  <0.036801, -0.921864>,
  <0.036073, -0.62323>,
  <0.097065, -0.583635>,
  <0.123948, -0.548782>,
  <0.09606, -0.507584>,
  <0.035109, -0.47533>,
  <0.029313, 0.892881>,
  <0.032538, 0.890942>,
  <0.075144, 0.903564>,
  <0.102804, 0.920012>,
  <0.10657, 0.938186>,
  <0.067085, 0.965>,
  <0.000756, 0.974874>
  rotate <90,0,90>
  material {
    DMFDarkOak
  }
  scale <0.5, 0.5, 1.0>
  rotate -10.0*y
  translate  <-7.71, 0.0, 3.22>
}
#declare Fensterrahmen14 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  21  // control points
  <-1.0, -1.0>,
  <-0.9, -1.0>,
  <-0.90263, -0.020101>,
  <-0.751239, 0.43593>,
  <-0.426117, 0.776884>,
  <-0.002819, 0.887236>,
  <0.432251, 0.761045>,
  <0.758443, 0.438037>,
  <0.918365, -0.0234>,
  <0.919495, -0.888138>,
  <-0.915972, -0.890131>,
  <-0.916834, -0.996468>,
  <1.0, -1.0>,
  <1.0, 0.00335>,
  <0.85188, 0.497487>,
  <0.475628, 0.874372>,
  <0.0, 1.0>,
  <-0.458878, 0.891122>,
  <-0.832127, 0.497487>,
  <-1.0, -0.005025>,
  <-1.0, -1.0>
  rotate -x*90
  material {
    Gold
  }
  scale <0.12, 0.21, 0.2>
  rotate <95.0, 0.0, -90.0>
  translate  <-7.31, 0.55, 1.07>
}
#declare Fensterrahmen15 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  21  // control points
  <-1.0, -1.0>,
  <-0.9, -1.0>,
  <-0.90263, -0.020101>,
  <-0.751239, 0.43593>,
  <-0.426117, 0.776884>,
  <-0.002819, 0.887236>,
  <0.432251, 0.761045>,
  <0.758443, 0.438037>,
  <0.918365, -0.0234>,
  <0.919495, -0.888138>,
  <-0.915972, -0.890131>,
  <-0.916834, -0.996468>,
  <1.0, -1.0>,
  <1.0, 0.00335>,
  <0.85188, 0.497487>,
  <0.475628, 0.874372>,
  <0.0, 1.0>,
  <-0.458878, 0.891122>,
  <-0.832127, 0.497487>,
  <-1.0, -0.005025>,
  <-1.0, -1.0>
  rotate -x*90
  material {
    Gold
  }
  scale <0.12, 0.21, 0.2>
  rotate <95.0, 0.0, -90.0>
  translate  <-7.31, 0.0, 1.07>
}
#declare Fensterrahmen16 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  21  // control points
  <-1.0, -1.0>,
  <-0.9, -1.0>,
  <-0.90263, -0.020101>,
  <-0.751239, 0.43593>,
  <-0.426117, 0.776884>,
  <-0.002819, 0.887236>,
  <0.432251, 0.761045>,
  <0.758443, 0.438037>,
  <0.918365, -0.0234>,
  <0.919495, -0.888138>,
  <-0.915972, -0.890131>,
  <-0.916834, -0.996468>,
  <1.0, -1.0>,
  <1.0, 0.00335>,
  <0.85188, 0.497487>,
  <0.475628, 0.874372>,
  <0.0, 1.0>,
  <-0.458878, 0.891122>,
  <-0.832127, 0.497487>,
  <-1.0, -0.005025>,
  <-1.0, -1.0>
  rotate -x*90
  material {
    Gold
  }
  scale <0.12, 0.21, 0.2>
  rotate <95.0, 0.0, -90.0>
  translate  <-7.31, -0.55, 1.07>
}
#declare Fensterrahmen17 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  21  // control points
  <-1.0, -1.0>,
  <-0.9, -1.0>,
  <-0.90263, -0.020101>,
  <-0.751239, 0.43593>,
  <-0.426117, 0.776884>,
  <-0.002819, 0.887236>,
  <0.432251, 0.761045>,
  <0.758443, 0.438037>,
  <0.918365, -0.0234>,
  <0.919495, -0.888138>,
  <-0.915972, -0.890131>,
  <-0.916834, -0.996468>,
  <1.0, -1.0>,
  <1.0, 0.00335>,
  <0.85188, 0.497487>,
  <0.475628, 0.874372>,
  <0.0, 1.0>,
  <-0.458878, 0.891122>,
  <-0.832127, 0.497487>,
  <-1.0, -0.005025>,
  <-1.0, -1.0>
  rotate -x*90
  material {
    Gold
  }
  scale <0.12, 0.21, 0.2>
  rotate <107.0, -0.0, -90.0>
  translate  <-6.79, 0.5, -0.15>
}
#declare Fensterrahmen18 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  21  // control points
  <-1.0, -1.0>,
  <-0.9, -1.0>,
  <-0.90263, -0.020101>,
  <-0.751239, 0.43593>,
  <-0.426117, 0.776884>,
  <-0.002819, 0.887236>,
  <0.432251, 0.761045>,
  <0.758443, 0.438037>,
  <0.918365, -0.0234>,
  <0.919495, -0.888138>,
  <-0.915972, -0.890131>,
  <-0.916834, -0.996468>,
  <1.0, -1.0>,
  <1.0, 0.00335>,
  <0.85188, 0.497487>,
  <0.475628, 0.874372>,
  <0.0, 1.0>,
  <-0.458878, 0.891122>,
  <-0.832127, 0.497487>,
  <-1.0, -0.005025>,
  <-1.0, -1.0>
  rotate -x*90
  material {
    Gold
  }
  scale <0.12, 0.21, 0.2>
  rotate <107.0, 0.0, -90.0>
  translate  <-6.79, -0.5, -0.15>
}
#declare Fensterrahmen19 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  21  // control points
  <-1.0, -1.0>,
  <-0.9, -1.0>,
  <-0.90263, -0.020101>,
  <-0.751239, 0.43593>,
  <-0.426117, 0.776884>,
  <-0.002819, 0.887236>,
  <0.432251, 0.761045>,
  <0.758443, 0.438037>,
  <0.918365, -0.0234>,
  <0.919495, -0.888138>,
  <-0.915972, -0.890131>,
  <-0.916834, -0.996468>,
  <1.0, -1.0>,
  <1.0, 0.00335>,
  <0.85188, 0.497487>,
  <0.475628, 0.874372>,
  <0.0, 1.0>,
  <-0.458878, 0.891122>,
  <-0.832127, 0.497487>,
  <-1.0, -0.005025>,
  <-1.0, -1.0>
  rotate -x*90
  material {
    Gold
  }
  scale <0.12, 0.21, 0.2>
  rotate <107.0, 0.0, -90.0>
  translate  <-6.79, -0.9, -0.15>
}
#declare Fensterrahmen20 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  21  // control points
  <-1.0, -1.0>,
  <-0.9, -1.0>,
  <-0.90263, -0.020101>,
  <-0.751239, 0.43593>,
  <-0.426117, 0.776884>,
  <-0.002819, 0.887236>,
  <0.432251, 0.761045>,
  <0.758443, 0.438037>,
  <0.918365, -0.0234>,
  <0.919495, -0.888138>,
  <-0.915972, -0.890131>,
  <-0.916834, -0.996468>,
  <1.0, -1.0>,
  <1.0, 0.00335>,
  <0.85188, 0.497487>,
  <0.475628, 0.874372>,
  <0.0, 1.0>,
  <-0.458878, 0.891122>,
  <-0.832127, 0.497487>,
  <-1.0, -0.005025>,
  <-1.0, -1.0>
  rotate -x*90
  material {
    Gold
  }
  scale <0.12, 0.21, 0.2>
  rotate <107.0, 0.0, -90.0>
  translate  <-6.79, 0.9, -0.15>
}
#declare Flagge5 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.880402, -1.196985, 0.000000>, <-1.881742, -3.093467, 0.469012>, <-0.231642, -2.153769, -0.832418>, <0.501977, -2.683417, -0.118917>, 
      <-2.880402, -0.196985, 0.000000>, <-1.491015, -2.093467, 1.029620>, <0.091132, -1.153769, -1.138204>, <0.875715, -1.683417, -0.169881>, 
      <-2.880402, 0.803015, 0.000000>, <-1.491015, -1.093467, 1.029620>, <0.091132, -0.153769, -1.138204>, <0.875715, -0.683417, -0.169881>, 
      <-2.880402, 1.803015, 0.000000>, <-1.881742, -0.093467, 0.469012>, <-0.231642, 0.846231, -0.832418>, <0.501977, 0.316583, -0.118917>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.501977, -2.683417, -0.118917>, <1.235596, -3.213065, 0.594584>, <2.048532, -3.025126, -0.577596>, <2.658291, -3.401005, 0.000000>, 
      <0.875715, -1.683417, -0.169881>, <1.660299, -2.213065, 0.798442>, <2.065520, -2.025126, -0.424703>, <2.538693, -2.571859, 0.000000>, 
      <0.875715, -0.683417, -0.169881>, <1.660299, -1.213065, 0.798442>, <2.065520, -1.025126, -0.424703>, <2.538693, -1.571859, 0.000000>, 
      <0.501977, 0.316583, -0.118917>, <1.235596, -0.213065, 0.594584>, <2.048532, -0.025126, -0.577596>, <2.384925, -0.811055, 0.000000>
    }
  }
  material {
    Fahne_Wappen
  }
  scale 0.25
  rotate <89.869537, -12.09396, 1.214952>
  translate  <-7.06, 0.01, 3.69>
}
#declare Heck2 = union {
  object { Ruder2 }
  object { Lampe4 }
  object { Lampe5 }
  object { Platte_mit_loch2 }
  object { Reling94 }
  object { Reling95 }
  object { Reling96 }
  object { Reling97 }
  object { Reling98 }
  object { Reling99 }
  box { // Balkon6
    <-1, -1, -1>, <1, 1, 1>
    material {
      Deckstextur
    }
    scale <0.3, 1.3, 0.05>
    rotate 15.0*y
    translate  <-7.65, 0.0, 0.7>
  }
  box { // Balkon7
    <-1, -1, -1>, <1, 1, 1>
    material {
      Deckstextur
    }
    scale <0.3, 0.8, 0.05>
    rotate <-15.0, 0.0, -90.0>
    translate  <-6.84, 1.0, 0.49>
  }
  box { // Balkon8
    <-1, -1, -1>, <1, 1, 1>
    material {
      Deckstextur
    }
    scale <0.3, 0.8, 0.05>
    rotate <-15.0, 0.0, -90.0>
    translate  <-6.84, -1.0, 0.49>
  }
  object { Reling100 }
  object { Reling101 }
  object { Fahnenstange11 }
  object { Fensterrahmen14 }
  object { Fensterrahmen15 }
  object { Fensterrahmen16 }
  object { Fensterrahmen17 }
  object { Fensterrahmen18 }
  object { Fensterrahmen19 }
  object { Fensterrahmen20 }
  cylinder { // gelaender46
    <0,0,1>, <0,0,0>, 1 
    material {
      DMFDarkOak
    }
    scale <0.05, 0.05, 0.4>
    rotate <90.0, -90.0, 0.0>
    translate  <-7.53, 0.19, 1.47>
  }
  cylinder { // gelaender47
    <0,0,1>, <0,0,0>, 1 
    material {
      DMFDarkOak
    }
    scale <0.05, 0.05, 0.4>
    rotate <0.0, 84.0, 90.0>
    translate  <-7.53, -0.58, 1.43>
  }
  cylinder { // gelaender48
    <0,0,1>, <0,0,0>, 1 
    material {
      DMFDarkOak
    }
    scale <0.05, 0.05, 0.3>
    rotate <-90.0, 90.0, 0.0>
    translate  <-7.53, -0.87, 1.43>
  }
  cylinder { // gelaender49
    <0,0,1>, <0,0,0>, 1 
    material {
      DMFDarkOak
    }
    scale <0.05, 0.05, 0.4>
    rotate <180.0, 84.0, -90.0>
    translate  <-7.53, 0.16, 1.47>
  }
  cylinder { // gelaender50
    <0,0,1>, <0,0,0>, 1 
    material {
      DMFDarkOak
    }
    scale <0.05, 0.05, 0.3>
    rotate <-90.0, 90.0, 0.0>
    translate  <-7.53, 0.55, 1.43>
  }
  object { Flagge5 }
  rotate 50.0*z
  translate  <6.65, -16.35, 0.0>
}
#include "zwei pinassen.i64"
#declare Leisten2 = object {
  Leisten2_Raw
  material {
    DMFDarkOak
  }
  rotate 90.0*x
}
#include "zwei pinassen.i65"
#declare Galeonsfigur2 = object {
  Galeonsfigur2_Raw
  material {
    Gold
  }
  rotate 90.0*x
}
#declare Bug2 = union {
  object { Leisten2 }
  object { Galeonsfigur2 }
  rotate 50.0*z
  translate  <6.65, -16.35, 0.0>
}
union { // Pinasse2
  object { Schuesse }
  object { Takelage_b1 }
  object { Kanonen2 }
  object { Rumpf_mit_loch2 }
  object { Decks2 }
  object { Masten2 }
  object { Heck2 }
  object { Bug2 }
}


object {   // Insel
  height_field {
    tga "insel.tga"
    water_level 0.0
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  material {
    Mountains_Snow
  }
  scale <300.0, 300.0, 15.0>
  rotate -8.0*z
  translate  <410.64, -434.96, 4.05>
}


plane { // Plane001
  z,0
  material {
    Blau
  }
  translate  -5.0*z
}


#include "zwei pinassen.i47"
#declare Spannten1 = object {
  Spannten1_Raw
  material {
    DMFDarkOak
  }
  scale <1.0, 1.0, 0.95>
  rotate 90.0*x
}
#include "zwei pinassen.i48"
#declare Kiel1 = object {
  Kiel1_Raw
  material {
    DMFDarkOak
  }
  scale <1.0, 1.0, 2.2>
  rotate 90.0*x
  translate  0.04*z
}
#declare planke1_Ref = object {
  planke
  rotate 90.0*x
}
#declare Rumpf1 = union {
  object { Spannten1 }
  object { Kiel1 }
  box { // Bordwandecke4
    <-1, -1, -1>, <1, 1, 1>
    material {
      Deckstextur
    }
    scale <0.25, 0.001, 0.12>
    rotate <-1.670062, -21.899141, 7.450219>
    translate  <2.87, -1.65, -0.16>
  }
  box { // Bordwandecke5
    <-1, -1, -1>, <1, 1, 1>
    material {
      Deckstextur
    }
    scale <0.25, 0.001, 0.12>
    rotate <1.508268, -19.908697, -7.369256>
    translate  <2.88, 1.6, -0.15>
  }
  box { // Bordwandecke6
    <-1, -1, -1>, <1, 1, 1>
    material {
      Deckstextur
    }
    scale <0.25, 0.001, 0.08>
    rotate <-7.698859, 29.65601, -5.895139>
    translate  <-0.81, -1.7, -0.25>
  }
  box { // Bordwandecke7
    <-1, -1, -1>, <1, 1, 1>
    material {
      Deckstextur
    }
    scale <0.25, 0.001, 0.08>
    rotate <8.21948, 28.95826, 5.52854>
    translate  <-0.8, 1.69, -0.25>
  }
  object { planke1_Ref }
  material {
    Deckstextur
  }
}
#declare Rumpf_mit_loch1 = difference {
  object { Rumpf1 }
  box { // Schiesscharte7
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 1.8, 0.15>
    translate  <-5.17, -0.01, -0.46>
  }
  box { // Schiesscharte9
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 1.8, 0.15>
    translate  <-3.73, -0.02, -0.56>
  }
  box { // Schiesscharte10
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 1.8, 0.15>
    translate  <-2.22, -0.02, -0.61>
  }
  box { // Schiesscharte11
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 2.0, 0.15>
    translate  <-0.75, -0.02, -0.71>
  }
  box { // Schiesscharte12
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 2.0, 0.15>
    translate  <0.68, -0.01, -0.76>
  }
  box { // Schiesscharte13
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 2.0, 0.15>
    rotate -1.0*y
    translate  <2.12, 0.0, -0.76>
  }
  box { // Schiesscharte14
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 1.8, 0.155>
    translate  <3.51, -0.01, -0.68>
  }
  box { // Schiesscharte15
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 1.8, 0.15>
    translate  <-5.88, -0.01, 0.46>
  }
  material {
    Braun
  }
}
#include "zwei pinassen.i49"
#declare Zwischendeck1 = object {
  Zwischendeck1_Raw
  rotate 90.0*x
}
#include "zwei pinassen.i50"
#declare Hauptdeck1 = object {
  Hauptdeck1_Raw
  rotate 90.0*x
}
#include "zwei pinassen.i51"
#declare Vorderdeck1 = object {
  Vorderdeck1_Raw
  rotate 90.0*x
}
#include "zwei pinassen.i52"
#declare Oberdeck1 = object {
  Oberdeck1_Raw
  rotate 90.0*x
}
#declare Reling34 = union {
  box { // Cube197
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr249
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr250
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr251
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr252
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr253
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr254
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  scale <1.05, 1.0, 1.0>
  rotate -90.0*z
  translate  <5.03, 0.52, 0.33>
}
#declare Reling35 = union {
  box { // Cube198
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr255
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr256
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr257
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr258
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr259
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr260
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  scale <1.05, 1.0, 1.0>
  rotate -90.0*z
  translate  <5.03, -0.51, 0.33>
}
#declare Reling36 = union {
  box { // Cube199
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr261
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr262
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr263
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr264
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr265
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr266
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  rotate <-1.860255, -5.705339, 18.092705>
  translate  <4.53, -1.22, 0.28>
}
#declare Reling37 = union {
  box { // Cube200
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr267
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr268
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr269
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr270
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr271
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr272
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  rotate <-1.860255, -5.705339, -17.907295>
  translate  <4.53, 1.26, 0.28>
}
#declare Reling38 = union {
  box { // Cube201
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr273
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr274
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr275
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr276
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr277
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr278
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  scale <0.95, 1.0, 1.0>
  rotate <-2.028558, -4.720265, -8.891975>
  translate  <3.56, 1.5, 0.18>
}
#declare Reling39 = union {
  box { // Cube202
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr279
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr280
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr281
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr282
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr283
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr284
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  scale <0.95, 1.0, 1.0>
  rotate <-2.032887, -4.720228, 11.10839>
  translate  <3.59, -1.44, 0.18>
}
#declare Reling40 = union {
  box { // Cube203
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr285
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr286
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr287
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr288
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr289
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr290
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  rotate -90.0*z
  translate  <3.14, -1.02, 0.18>
}
#declare Reling41 = union {
  box { // Cube204
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr291
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr292
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr293
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr294
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr295
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr296
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  rotate 90.0*z
  translate  <3.14, 1.03, 0.18>
}
#declare Reling_Vorderdeck1 = union {
  object { Reling34 }
  object { Reling35 }
  cylinder { // Pfosten10
    <0,0,1>, <0,0,0>, 1 
    material {
      DMFDarkOak
    }
    scale <0.07, 0.07, 0.35>
    translate  <5.04, -1.05, 0.05>
  }
  cylinder { // Pfosten11
    <0,0,1>, <0,0,0>, 1 
    material {
      DMFDarkOak
    }
    scale <0.07, 0.07, 0.35>
    translate  <5.03, 1.09, 0.05>
  }
  object { Reling36 }
  object { Reling37 }
  object { Reling38 }
  object { Reling39 }
  object { Reling40 }
  cylinder { // Pfosten12
    <0,0,1>, <0,0,0>, 1 
    material {
      DMFDarkOak
    }
    scale <0.07, 0.07, 0.35>
    translate  <3.15, 1.55, -0.16>
  }
  cylinder { // Pfosten13
    <0,0,1>, <0,0,0>, 1 
    material {
      DMFDarkOak
    }
    scale <0.07, 0.07, 0.35>
    translate  <3.15, -1.56, -0.18>
  }
  object { Reling41 }
  material {
    DMFDarkOak
  }
  translate  -0.05*z
}
#declare Reling42 = union {
  box { // Cube205
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr297
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr298
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr299
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr300
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr301
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr302
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  rotate 8.0*y
  translate  <-1.79, 0.0, 0.16>
}
#declare Reling43 = union {
  box { // Cube206
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr303
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr304
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr305
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr306
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr307
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr308
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  rotate <0.0, 13.0, -6.0>
  translate  <-2.72, 0.05, 0.33>
}
#declare Reling44 = union {
  box { // Cube207
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr309
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr310
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr311
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr312
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr313
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr314
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  rotate <0.0, 19.0, -7.0>
  translate  <-3.66, 0.16, 0.57>
}
#declare Reling45 = union {
  box { // Cube208
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr315
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr316
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr317
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr318
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr319
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr320
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  rotate <-0.0, 16.0, -5.0>
  translate  <-4.61, 0.26, 0.87>
}
#declare Reling46 = union {
  box { // Cube209
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr321
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr322
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr323
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr324
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr325
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr326
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  rotate <-0.0, 16.0, -13.0>
  translate  <-5.56, 0.41, 1.15>
}
#declare Reling47 = union {
  box { // Cube210
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr327
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr328
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr329
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr330
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr331
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr332
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  rotate <-0.183237, 17.99231, -11.05357>
  translate  <-6.48, 0.59, 1.43>
}
#declare Reling48 = union {
  box { // Cube211
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr333
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr334
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr335
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr336
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr337
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr338
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  rotate <-0.183237, 17.99231, -11.05357>
  translate  <-7.23, 0.74, 1.68>
}
#declare Reling49 = union {
  box { // Cube212
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr339
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr340
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr341
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr342
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr343
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr344
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  scale <0.75, 1.0, 1.0>
  rotate <-0.0, 6.0, -90.0>
  translate  <-5.81, 0.83, 1.26>
}
#declare Reling50 = union {
  box { // Cube213
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.25*z
  }
  cylinder { // Cylndr345
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr346
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr347
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr348
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr349
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr350
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  rotate -90.0*z
  translate  <-2.87, 0.55, 0.36>
}
#declare Reling_z_deck_rechts1 = union {
  object { Reling42 }
  cylinder { // Pfosten14
    <0,0,1>, <0,0,0>, 1 
    material {
      DMFDarkOak
    }
    scale <0.07, 0.07, 0.35>
    translate  <-1.32, 0.0, -0.22>
  }
  object { Reling43 }
  object { Reling44 }
  object { Reling45 }
  cylinder { // Pfosten15
    <0,0,1>, <0,0,0>, 1 
    material {
      DMFDarkOak
    }
    scale <0.07, 0.07, 0.55>
    translate  <-5.09, 0.31, 0.7>
  }
  object { Reling46 }
  object { Reling47 }
  object { Reling48 }
  cylinder { // Pfosten16
    <0,0,1>, <0,0,0>, 1 
    material {
      DMFDarkOak
    }
    scale <0.08, 0.08, 0.55>
    rotate -6.0*y
    translate  <-7.74, 0.85, 1.48>
  }
  object { Reling49 }
  object { Reling50 }
  material {
    DMFDarkOak
  }
  translate  <0.28, -1.69, -0.08>
}
#declare Reling51 = union {
  box { // Cube214
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr351
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr352
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr353
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr354
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr355
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr356
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  rotate <0.0, 8.0, 2.0>
  translate  <-1.79, 0.0, 0.16>
}
#declare Reling52 = union {
  box { // Cube215
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr357
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr358
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr359
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr360
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr361
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr362
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  rotate <0.0, 13.0, 2.0>
  translate  <-2.7, -0.04, 0.33>
}
#declare Reling53 = union {
  box { // Cube216
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr363
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr364
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr365
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr366
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr367
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr368
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  rotate <-0.0, 19.0, 5.0>
  translate  <-3.64, -0.1, 0.57>
}
#declare Reling54 = union {
  box { // Cube217
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr369
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr370
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr371
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr372
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr373
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr374
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  rotate <0.0, 16.0, 8.0>
  translate  <-4.59, -0.21, 0.87>
}
#declare Reling55 = union {
  box { // Cube218
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr375
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr376
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr377
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr378
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr379
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr380
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  rotate <-0.0, 16.0, 15.0>
  translate  <-5.57, -0.41, 1.15>
}
#declare Reling56 = union {
  box { // Cube219
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr381
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr382
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr383
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr384
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr385
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr386
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  rotate <-0.183237, 17.99231, 7.94643>
  translate  <-7.23, -0.72, 1.68>
}
#declare Reling57 = union {
  box { // Cube220
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr387
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr388
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr389
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr390
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr391
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr392
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  rotate <-0.183237, 17.99231, 8.94643>
  translate  <-6.48, -0.62, 1.43>
}
#declare Reling58 = union {
  box { // Cube221
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr393
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr394
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr395
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr396
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr397
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr398
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  scale <0.75, 1.0, 1.0>
  rotate <-0.0, 6.0, 90.0>
  translate  <-5.81, -0.83, 1.22>
}
#declare Reling59 = union {
  box { // Cube222
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.25*z
  }
  cylinder { // Cylndr399
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr400
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr401
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr402
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr403
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr404
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  rotate <-0.0, -0.0, 90.0>
  translate  <-2.86, -0.54, 0.36>
}
#declare Reling_z_deck_links1 = union {
  object { Reling51 }
  cylinder { // Pfosten17
    <0,0,1>, <0,0,0>, 1 
    material {
      DMFDarkOak
    }
    scale <0.07, 0.07, 0.35>
    translate  <-1.32, 0.0, -0.22>
  }
  object { Reling52 }
  object { Reling53 }
  object { Reling54 }
  cylinder { // Pfosten18
    <0,0,1>, <0,0,0>, 1 
    material {
      DMFDarkOak
    }
    scale <0.07, 0.07, 0.55>
    translate  <-5.09, -0.29, 0.7>
  }
  object { Reling55 }
  object { Reling56 }
  cylinder { // Pfosten19
    <0,0,1>, <0,0,0>, 1 
    material {
      DMFDarkOak
    }
    scale <0.08, 0.08, 0.55>
    rotate -6.0*y
    translate  <-7.74, -0.8, 1.49>
  }
  object { Reling57 }
  object { Reling58 }
  object { Reling59 }
  material {
    DMFDarkOak
  }
  translate  <0.28, 1.65, -0.08>
}
#declare Reling_Mittschiffs1 = union {
  cylinder { // gelaender17
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 0.75>
    rotate <-1.867017, -87.002678, -0.133152>
    translate  <0.29, -1.72, -0.43>
  }
  cylinder { // gelaender18
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 0.75>
    rotate -90.0*y
    translate  <1.02, -1.73, -0.44>
  }
  cylinder { // gelaender19
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 0.75>
    rotate <180.0, -87.0, 180.0>
    translate  <1.76, -1.73, -0.4>
  }
  cylinder { // gelaender20
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 0.75>
    rotate <0.933967, -106.989883, 0.068887>
    translate  <2.45, -1.72, -0.18>
  }
  cylinder { // gelaender21
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 0.75>
    rotate <-172.399658, -68.127243, 179.337997>
    translate  <3.14, -1.61, 0.09>
  }
  cylinder { // gelaender22
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 0.75>
    rotate <-0.936544, -59.058868, -0.074139>
    translate  <-0.4, -1.71, -0.39>
  }
  cylinder { // gelaender23
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 0.75>
    rotate <1.865192, -59.001305, 0.155401>
    translate  <-0.4, 1.69, -0.39>
  }
  cylinder { // gelaender24
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 0.75>
    rotate <0.933331, -87.003448, 0.066755>
    translate  <0.33, 1.7, -0.43>
  }
  cylinder { // gelaender25
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 0.75>
    rotate -90.0*y
    translate  <1.05, 1.7, -0.44>
  }
  cylinder { // gelaender26
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 0.75>
    rotate <179.066666, -87.000031, 179.933243>
    translate  <1.77, 1.69, -0.4>
  }
  cylinder { // gelaender27
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 0.75>
    rotate <178.133698, -73.000664, 179.860626>
    translate  <2.46, 1.66, -0.18>
  }
  cylinder { // gelaender28
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 0.75>
    rotate <172.493011, -68.90036, -179.407242>
    translate  <3.13, 1.56, 0.08>
  }
  material {
    DMFDarkOak
  }
}
#declare Wand_z_deck1 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  25  // control points
  <2.551089, -1.963149>,
  <1.001591, -1.629816>,
  <1.0, -1.0>,
  <1.0, 1.0>,
  <1.001675, 1.78727>,
  <2.559464, 2.030151>,
  <2.559129, 1.739765>,
  <1.608228, 1.741911>,
  <1.443946, 1.683523>,
  <1.354469, 1.582355>,
  <1.302508, 1.403874>,
  <1.346018, 1.257386>,
  <1.443803, 1.145648>,
  <1.584574, 1.086122>,
  <2.558375, 1.086399>,
  <2.547739, -0.974204>,
  <1.659016, -0.979538>,
  <1.499851, -1.007563>,
  <1.365821, -1.116522>,
  <1.323916, -1.274838>,
  <1.357393, -1.421119>,
  <1.474617, -1.560651>,
  <1.658836, -1.597052>,
  <2.554606, -1.600871>,
  <2.551089, -1.963149>
  rotate -x*90
  material {
    Deckstextur
  }
  scale <0.65, 0.8, 0.14>
  rotate 90.0*y
  translate  <-2.67, -0.03, 0.62>
}
#declare Wand_v_deck2 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  25  // control points
  <2.551089, -1.963149>,
  <1.177471, -1.747069>,
  <1.008375, -0.748744>,
  <1.0, 1.0>,
  <1.20268, 1.904523>,
  <2.559464, 2.046901>,
  <2.559129, 1.739765>,
  <1.608228, 1.741911>,
  <1.443946, 1.683523>,
  <1.354469, 1.582355>,
  <1.302508, 1.403874>,
  <1.346018, 1.257386>,
  <1.443803, 1.145648>,
  <1.584574, 1.086122>,
  <2.558375, 1.086399>,
  <2.547739, -0.974204>,
  <1.659016, -0.979538>,
  <1.499851, -1.007563>,
  <1.365821, -1.116522>,
  <1.323916, -1.274838>,
  <1.357393, -1.421119>,
  <1.474617, -1.560651>,
  <1.658836, -1.597052>,
  <2.554606, -1.600871>,
  <2.551089, -1.963149>
  rotate -x*90
  material {
    Deckstextur
  }
  scale <0.65, 0.8, 0.14>
  rotate 90.0*y
  translate  <3.07, -0.03, 0.62>
}
#declare Wand_v_deck3 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  18  // control points
  <2.567839, -1.326633>,
  <2.278853, -1.432161>,
  <1.939615, -1.470687>,
  <1.20938, -1.309883>,
  <1.217755, 1.318258>,
  <1.931323, 1.443886>,
  <2.249581, 1.422948>,
  <2.551089, 1.335008>,
  <2.564489, 0.298827>,
  <1.675766, 0.293494>,
  <1.516601, 0.265469>,
  <1.382571, 0.15651>,
  <1.340666, -0.001806>,
  <1.374143, -0.148087>,
  <1.491368, -0.287619>,
  <1.675586, -0.32402>,
  <2.571357, -0.327839>,
  <2.567839, -1.326633>
  rotate -x*90
  material {
    Deckstextur
  }
  scale <0.65, 0.66, 0.14>
  rotate 90.0*y
  translate  <4.9, 0.05, 0.76>
}
#declare Wand_o_deck1 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  18  // control points
  <2.567839, -1.552764>,
  <2.270477, -1.515913>,
  <1.939615, -1.470687>,
  <1.20938, -1.368509>,
  <1.217755, 1.259631>,
  <1.931323, 1.393635>,
  <2.257956, 1.422948>,
  <2.559464, 1.477387>,
  <2.564489, 0.298827>,
  <1.675766, 0.293494>,
  <1.516601, 0.265469>,
  <1.382571, 0.15651>,
  <1.340666, -0.001806>,
  <1.374143, -0.148087>,
  <1.491368, -0.287619>,
  <1.675586, -0.32402>,
  <2.571357, -0.327839>,
  <2.567839, -1.552764>
  rotate -x*90
  material {
    Deckstextur
  }
  scale <0.7, 0.8, 0.14>
  rotate 90.0*y
  translate  <-5.6, 0.05, 1.72>
}
#declare Steuerrad2 = union {
  torus { // Torus003
    1.1, 0.1  rotate -x*90
    scale 0.15
  }
  cylinder { // Cylndr405
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.5>
    rotate -90.0*y
    translate  0.25*x
  }
  cylinder { // Cylndr406
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.5>
    rotate <60.0, -90.0, 0.0>
    translate  <0.125, 0.215, 0.0>
  }
  cylinder { // Cylndr407
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.5>
    rotate <30.0, -90.0, 0.0>
    translate  <0.21, 0.12, 0.0>
  }
  cylinder { // Cylndr408
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.5>
    rotate <-60.0, -90.0, 0.0>
    translate  <0.125, -0.215, 0.0>
  }
  cylinder { // Cylndr409
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.5>
    rotate <-30.0, -90.0, 0.0>
    translate  <0.215, -0.125, 0.0>
  }
  cylinder { // Cylndr410
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.5>
    rotate <-90.0, -90.0, 0.0>
    translate  -0.25*y
  }
  material {
    DMFDarkOak
  }
  rotate -10.0*z
  translate  -0.01*z
}
#declare Stuetze1 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  10  // control points
  <-1.283563, -8.414717>,
  <1.283563, -8.414717>,
  <1.0, -0.091266>,
  <0.819551, 0.639102>,
  <0.475, 1.0>,
  <0.016085, 1.154671>,
  <-0.5, 1.0>,
  <-0.871108, 0.613323>,
  <-1.0, -0.091266>,
  <-1.283563, -8.414717>
  rotate -x*90
  material {
    DMFDarkOak
  }
  scale 0.05
  translate  0.02*z
}
#declare Steuerrad3 = union {
  torus { // Torus004
    1.1, 0.1  rotate -x*90
    scale 0.15
  }
  cylinder { // Cylndr411
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.5>
    rotate -90.0*y
    translate  0.25*x
  }
  cylinder { // Cylndr412
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.5>
    rotate <60.0, -90.0, 0.0>
    translate  <0.125, 0.215, 0.0>
  }
  cylinder { // Cylndr413
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.5>
    rotate <30.0, -90.0, 0.0>
    translate  <0.21, 0.12, 0.0>
  }
  cylinder { // Cylndr414
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.5>
    rotate <-60.0, -90.0, 0.0>
    translate  <0.125, -0.215, 0.0>
  }
  cylinder { // Cylndr415
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.5>
    rotate <-30.0, -90.0, 0.0>
    translate  <0.215, -0.125, 0.0>
  }
  cylinder { // Cylndr416
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.5>
    rotate <-90.0, -90.0, 0.0>
    translate  -0.25*y
  }
  material {
    DMFDarkOak
  }
  rotate -10.0*z
  translate  0.1*z
}
#declare Steuer1 = union {
  object { Steuerrad2 }
  object { Stuetze1 }
  object { Steuerrad3 }
  cylinder { // Bolzen1
    <0,0,1>, <0,0,0>, 1 
    material {
      Rusty_Iron
    }
    scale <0.03, 0.03, 0.15>
    translate  -0.03*z
  }
  rotate <270.0, -180.0, -270.0>
  translate  <-5.98, 0.0, 1.45>
}
#declare Treppe3 = union {
  box { // Stufe21
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.3, 0.02>
  }
  box { // Stufe22
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.3, 0.02>
    translate  <0.1, 0.0, 0.1>
  }
  box { // Stufe23
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.3, 0.02>
    translate  <0.2, 0.0, 0.2>
  }
  box { // Stufe24
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.3, 0.02>
    translate  <0.3, 0.0, 0.3>
  }
  box { // Stufe25
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.3, 0.02>
    translate  <0.4, 0.0, 0.4>
  }
  box { // Stufe26
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.3, 0.02>
    translate  <0.5, 0.0, 0.5>
  }
  box { // Stufe27
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.3, 0.02>
    translate  <0.6, 0.0, 0.6>
  }
  box { // Seite6
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.6, 0.02>
    rotate <-90.0, 45.0, 0.0>
    translate  <0.3, 0.3, 0.3>
  }
  box { // Seite7
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.6, 0.02>
    rotate <-90.0, 45.0, 0.0>
    translate  <0.3, -0.3, 0.3>
  }
  material {
    DMFDarkOak
  }
  translate  <2.42, 0.0, -0.98>
}
#declare Treppe4 = union {
  box { // Stufe28
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.3, 0.02>
  }
  box { // Stufe29
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.3, 0.02>
    translate  <0.1, 0.0, 0.1>
  }
  box { // Stufe30
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.3, 0.02>
    translate  <0.2, 0.0, 0.2>
  }
  box { // Stufe31
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.3, 0.02>
    translate  <0.3, 0.0, 0.3>
  }
  box { // Stufe32
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.3, 0.02>
    translate  <0.4, 0.0, 0.4>
  }
  box { // Stufe33
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.3, 0.02>
    translate  <0.5, 0.0, 0.5>
  }
  box { // Stufe34
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.3, 0.02>
    translate  <0.6, 0.0, 0.6>
  }
  box { // Seite8
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.6, 0.02>
    rotate <-90.0, 45.0, 0.0>
    translate  <0.3, 0.3, 0.3>
  }
  box { // Seite9
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.6, 0.02>
    rotate <-90.0, 45.0, 0.0>
    translate  <0.3, -0.3, 0.3>
  }
  material {
    DMFDarkOak
  }
  rotate 180.0*z
  translate  <-1.88, 0.0, -0.85>
}
#declare Treppe5 = union {
  box { // Stufe35
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.3, 0.02>
  }
  box { // Stufe36
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.3, 0.02>
    translate  <0.1, 0.0, 0.1>
  }
  box { // Stufe37
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.3, 0.02>
    translate  <0.2, 0.0, 0.2>
  }
  box { // Stufe38
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.3, 0.02>
    translate  <0.3, 0.0, 0.3>
  }
  box { // Stufe39
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.3, 0.02>
    translate  <0.4, 0.0, 0.4>
  }
  box { // Stufe40
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.3, 0.02>
    translate  <0.5, 0.0, 0.5>
  }
  box { // Stufe41
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.3, 0.02>
    translate  <0.6, 0.0, 0.6>
  }
  box { // Seite10
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.6, 0.02>
    rotate <-90.0, 45.0, 0.0>
    translate  <0.3, 0.3, 0.3>
  }
  box { // Seite11
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.6, 0.02>
    rotate <-90.0, 45.0, 0.0>
    translate  <0.3, -0.3, 0.3>
  }
  material {
    DMFDarkOak
  }
  scale <1.0, 0.6, 1.0>
  rotate 180.0*z
  translate  <-4.79, 0.0, 0.13>
}
#declare Luke1 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  6  // control points
  <-1.0, 0.78392>,
  <1.0, 0.78392>,
  <1.0, 1.0>,
  <0.01675, 1.067002>,
  <-1.0, 1.0>,
  <-1.0, 0.78392>
  rotate -x*90
  material {
    DMFDarkOak
  }
  scale <0.65, 1.0, 1.5>
  rotate <90.0, 0.0, -90.0>
  translate  <1.37, -0.06, -2.02>
}
#declare Decks1 = union {
  object { Zwischendeck1 }
  object { Hauptdeck1 }
  object { Vorderdeck1 }
  object { Oberdeck1 }
  object { Reling_Vorderdeck1 }
  object { Reling_z_deck_rechts1 }
  object { Reling_z_deck_links1 }
  object { Reling_Mittschiffs1 }
  object { Wand_z_deck1 }
  object { Wand_v_deck2 }
  object { Wand_v_deck3 }
  object { Wand_o_deck1 }
  object { Steuer1 }
  object { Treppe3 }
  object { Treppe4 }
  object { Treppe5 }
  object { Luke1 }
  material {
    Deckstextur
  }
}
#declare hm_unten1 = lathe {
  linear_spline
  2  // control points
  <0.058728, -2.465877>,
  <0.045226, 1.99665>
  rotate <90,0,90>
  scale 2.0
  translate  <-1.08, 0.0, 2.28>
}
#declare hm_mitte1 = lathe {
  linear_spline
  2  // control points
  <0.058728, -2.465877>,
  <0.045226, 1.99665>
  rotate <90,0,90>
  scale <1.0, 1.0, 1.2>
  translate  <-0.93, 0.0, 8.6>
}
#declare Fahnenstange4 = lathe {
  linear_spline
  8  // control points
  <0.039713, -1.4962>,
  <0.029313, 0.892881>,
  <0.032538, 0.890942>,
  <0.075144, 0.903564>,
  <0.102804, 0.920012>,
  <0.10657, 0.938186>,
  <0.067085, 0.965>,
  <0.000756, 0.974874>
  rotate <90,0,90>
  scale <0.5, 0.5, 1.0>
  translate  <-0.87, 0.0, 12.16>
}
#declare Mastkorb6 = lathe {
  linear_spline
  12  // control points
  <0.011725, -1.01675>,
  <1.198492, -0.917504>,
  <1.564489, -0.843384>,
  <1.958124, -0.711893>,
  <2.150754, -0.387772>,
  <2.354271, -0.03727>,
  <2.249246, -0.040871>,
  <2.058157, -0.36057>,
  <1.883377, -0.652945>,
  <1.542547, -0.784667>,
  <1.184968, -0.861951>,
  <0.011725, -0.859296>
  rotate <90,0,90>
  scale 0.25
  translate  <-1.0, 0.0, 5.87>
}
#declare Mastkorb_gm2 = union {
  object { Mastkorb6 }
  superellipsoid { // Verbinder18
    <0.1, 0.1>
    scale <0.18, 0.12, 0.04>
    translate  <-1.02, 0.0, 6.27>
  }
  superellipsoid { // Verbinder19
    <0.1, 0.1>
    scale <0.18, 0.12, 0.04>
    translate  <-1.02, 0.0, 5.75>
  }
  superellipsoid { // Verbinder20
    <0.1, 0.1>
    scale <0.155, 0.095, 0.25>
    translate  <-1.02, 0.0, 6.0>
  }
  material {
    S_Wood1
  }
}
#declare Mastkorb7 = lathe {
  linear_spline
  12  // control points
  <0.011725, -1.01675>,
  <1.198492, -0.917504>,
  <1.564489, -0.843384>,
  <1.958124, -0.711893>,
  <2.150754, -0.387772>,
  <2.354271, -0.03727>,
  <2.249246, -0.040871>,
  <2.058157, -0.36057>,
  <1.883377, -0.652945>,
  <1.542547, -0.784667>,
  <1.184968, -0.861951>,
  <0.011725, -0.859296>
  rotate <90,0,90>
  scale 0.25
  translate  <-1.0, 0.0, 5.87>
}
#declare Mastkorb_gm3 = union {
  object { Mastkorb7 }
  superellipsoid { // Verbinder21
    <0.1, 0.1>
    scale <0.18, 0.12, 0.04>
    translate  <-1.02, 0.0, 6.27>
  }
  superellipsoid { // Verbinder22
    <0.1, 0.1>
    scale <0.18, 0.12, 0.04>
    translate  <-1.02, 0.0, 5.75>
  }
  superellipsoid { // Verbinder23
    <0.1, 0.1>
    scale <0.155, 0.095, 0.25>
    translate  <-1.02, 0.0, 6.0>
  }
  material {
    S_Wood1
  }
  scale 0.5
  translate  <-0.4, 0.0, 7.84>
}
#declare Rahe_gm2 = lathe {
  linear_spline
  5  // control points
  <0.001101, -2.000366>,
  <0.037943, -1.991528>,
  <0.058609, -0.005305>,
  <0.02971, 1.975897>,
  <-0.000653, 1.999843>
  rotate <90,0,90>
  scale <0.8, 0.8, 1.2>
  rotate <90.0, -90.0, 0.0>
  translate  <-0.78, 0.0, 10.07>
}
#declare Segel_gm2 = object {   object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.972250, -1.972149, -0.397919>, <-1.553609, -1.576121, 0.531061>, <1.615698, -1.545164, 0.541019>, <3.153497, -1.980607, -0.298488>, 
      <-2.208699, -0.815020, 0.332482>, <-0.820783, -0.733041, 1.270199>, <0.913703, -0.716646, 1.270199>, <2.408845, -0.839614, 0.485926>, 
      <-1.590589, 0.504697, 0.417729>, <-0.572886, 0.504697, 0.588223>, <0.579905, 0.504697, 0.605272>, <1.784498, 0.504697, 0.383630>, 
      <-1.624688, 1.504697, -0.110803>, <-0.488292, 1.504697, -0.110803>, <0.579905, 1.494740, -0.091885>, <1.750399, 1.504697, -0.079711>
    }
  }
  material {
    Segeltextur
  }
  scale <1.25, 1.35, 1.2>
  rotate <83.0, 0.0, 90.0>
  translate  <-0.4, -0.05, 8.03>
}
#declare Rahen_Segel_gm2 = union {
  object { Rahe_gm2 }
  object { Segel_gm2 }
  rotate 15.0*z
}
#declare Rahe_gm3 = lathe {
  linear_spline
  5  // control points
  <0.001101, -2.000366>,
  <0.037943, -1.991528>,
  <0.058609, -0.005305>,
  <0.02971, 1.975897>,
  <-0.000653, 1.999843>
  rotate <90,0,90>
  scale <1.0, 1.0, 2.0>
  rotate <-90.0, -90.0, 0.0>
  translate  <-0.87, 0.0, 5.0>
}
#declare Segel_gm1 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.980204, 0.496004, 0.000000>, <-2.709276, 0.496004, 0.000000>, <-2.438348, 0.496004, 0.000000>, <-2.167421, 0.496004, 0.000000>, 
      <-2.986270, 0.502676, 0.202688>, <-2.691041, -0.501039, 0.705461>, <-2.403912, 1.012024, 0.381091>, <-2.153236, 0.412791, 0.543276>, 
      <-2.947767, 0.000000, -0.215077>, <-2.709276, 0.000000, -1.123311>, <-2.438348, 0.000000, -0.409698>, <-2.167421, 0.000000, -0.766505>, 
      <-2.980204, 0.501039, 0.000000>, <-2.709276, 0.501039, 0.000000>, <-2.438348, 0.501039, 0.000000>, <-2.167421, 0.501039, 0.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.167421, 0.496004, 0.000000>, <-1.896493, 0.496004, 0.000000>, <-1.625566, 0.496004, 0.000000>, <-1.354638, 0.496004, 0.000000>, 
      <-2.153236, 0.412791, 0.543276>, <-1.902560, -0.186442, 0.705461>, <-1.631632, -0.186442, 0.705461>, <-1.421459, 0.270473, 0.543276>, 
      <-2.167421, 0.000000, -0.766505>, <-1.896493, 0.000000, -1.123311>, <-1.625566, 0.000000, -1.123311>, <-1.354638, 0.000000, -0.766505>, 
      <-2.167421, 0.501039, 0.000000>, <-1.896493, 0.501039, 0.000000>, <-1.625566, 0.501039, 0.000000>, <-1.354638, 0.501039, 0.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.354638, 0.496004, 0.000000>, <-1.083710, 0.496004, 0.000000>, <-0.812783, 0.496004, 0.000000>, <-0.541855, 0.496004, 0.000000>, 
      <-1.421459, 0.270473, 0.543276>, <-1.211286, 0.727388, 0.381091>, <-0.794548, -0.501039, 0.381091>, <-0.511469, -0.029143, 0.543276>, 
      <-1.354638, 0.000000, -0.766505>, <-1.083710, 0.000000, -0.409698>, <-0.812783, 0.000000, -1.123311>, <-0.541855, 0.000000, -1.123311>, 
      <-1.354638, 0.501039, 0.000000>, <-1.083710, 0.501039, 0.000000>, <-0.812783, 0.501039, 0.000000>, <-0.541855, 0.501039, 0.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.541855, 0.496004, 0.000000>, <-0.270928, 0.496004, 0.000000>, <0.000000, 0.496004, 0.000000>, <0.270928, 0.496004, 0.000000>, 
      <-0.511469, -0.029143, 0.543276>, <-0.228391, 0.442753, 0.705461>, <0.010135, 0.532638, 0.381091>, <0.285113, 0.015799, 0.543276>, 
      <-0.541855, 0.000000, -1.123311>, <-0.270928, 0.000000, -1.123311>, <0.000000, 0.000000, -0.409698>, <0.270928, 0.000000, -0.766505>, 
      <-0.541855, 0.501039, 0.000000>, <-0.270928, 0.501039, 0.000000>, <0.000000, 0.501039, 0.000000>, <0.270928, 0.501039, 0.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.270928, 0.496004, 0.000000>, <0.541855, 0.496004, 0.000000>, <0.812783, 0.496004, 0.000000>, <1.083710, 0.496004, 0.000000>, 
      <0.285113, 0.015799, 0.543276>, <0.560090, -0.501039, 0.705461>, <0.952527, 0.907158, 0.381091>, <1.150549, 0.360358, 0.381091>, 
      <0.270928, 0.000000, -0.766505>, <0.541855, 0.000000, -1.123311>, <0.812783, 0.000000, -1.123311>, <1.083710, 0.000000, -0.766505>, 
      <0.270928, 0.501039, 0.000000>, <0.541855, 0.501039, 0.000000>, <0.812783, 0.501039, 0.000000>, <1.083710, 0.501039, 0.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <1.083710, 0.496004, 0.000000>, <1.354638, 0.496004, 0.000000>, <1.625566, 0.496004, 0.000000>, <1.896493, 0.496004, 0.000000>, 
      <1.150549, 0.360358, 0.381091>, <1.348571, -0.186442, 0.381091>, <1.619499, -0.186442, 0.705461>, <1.910678, 0.412791, 0.543276>, 
      <1.083710, 0.000000, -0.766505>, <1.354638, 0.000000, -0.409698>, <1.625566, 0.000000, -1.123311>, <1.896493, 0.000000, -0.766505>, 
      <1.083710, 0.501039, 0.000000>, <1.354638, 0.501039, 0.000000>, <1.625566, 0.501039, 0.000000>, <1.896493, 0.501039, 0.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <1.896493, 0.496004, 0.000000>, <2.167421, 0.496004, 0.000000>, <2.438348, 0.496004, 0.000000>, <2.709276, 0.496004, 0.000000>, 
      <1.910678, 0.412791, 0.543276>, <2.201857, 1.012024, 0.381091>, <2.456584, -0.501039, 0.705461>, <2.703209, 0.547619, 0.202688>, 
      <1.896493, 0.000000, -0.766505>, <2.167421, 0.000000, -0.409698>, <2.438348, 0.000000, -1.123311>, <2.741713, 0.000000, -0.215077>, 
      <1.896493, 0.501039, 0.000000>, <2.167421, 0.501039, 0.000000>, <2.438348, 0.501039, 0.000000>, <2.709276, 0.501039, 0.000000>
    }
  }
  material {
    Segeltextur
  }
  scale <1.3, 1.0, 1.0>
  rotate <70.0, 0.0, -90.0>
  translate  <-1.014086, -0.15274, 4.47>
}
#declare Rahe_Segel_gm1 = union {
  object { Rahe_gm3 }
  object { Segel_gm1 }
  material {
    DMFDarkOak
  }
  rotate 15.0*z
}
#include "zwei pinassen.in3"
#declare Wanten_gm2 = object {
  Wanten_gm2_Raw
  scale <1.02, 0.74, 0.73>
  rotate <66.0009, 5.999973, 0.010352>
  translate  <0.19, -3.65, 0.63>
}
#include "zwei pinassen.in4"
#declare Wanten_gm3 = object {
  Wanten_gm3_Raw
  scale <1.02, 0.74, 0.73>
  rotate <90.093994, 5.345213, 3.394127>
  translate  <0.21, -0.44, -0.25>
}
#include "zwei pinassen.in5"
#declare Wanten_oben_gm2 = object {
  Wanten_oben_gm2_Raw
  scale <0.6, 0.75, 0.8>
  rotate <80.998726, -0.991561, 0.117408>
  translate  <1.09, -2.12, 3.39>
}
#include "zwei pinassen.in6"
#declare Wanten_oben_gm3 = object {
  Wanten_oben_gm3_Raw
  scale <0.6, 0.75, 0.8>
  rotate <69.997238, -0.959549, 0.267139>
  translate  <1.09, -3.65, 3.93>
}
#declare Wanten_alle_gm1 = union {
  object { Wanten_gm2 }
  object { Wanten_gm3 }
  object { Wanten_oben_gm2 }
  object { Wanten_oben_gm3 }
  box { // Befest6
    <-1, -1, -1>, <1, 1, 1>
    material {
      DMFDarkOak
    }
    scale <0.7, 0.1, 0.05>
    rotate <0.126258, 9.999211, 5.011045>
    translate  <-2.3, 1.64, -0.18>
  }
  box { // Befest7
    <-1, -1, -1>, <1, 1, 1>
    material {
      DMFDarkOak
    }
    scale <0.7, 0.1, 0.05>
    rotate <-0.086939, 8.000759, -4.920416>
    translate  <-2.31, -1.64, -0.2>
  }
  material {
    Wanten
  }
}
#declare Flagge2 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.880402, -1.196985, 0.000000>, <-1.710888, -2.495477, 0.469012>, <-0.590436, -1.658291, -0.832418>, <0.519062, -2.273367, -0.118917>, 
      <-2.880402, -0.196985, 0.000000>, <-1.320161, -1.495477, 1.029620>, <-0.267662, -0.658291, -1.138204>, <0.892801, -1.273367, -0.169881>, 
      <-2.880402, 0.803015, 0.000000>, <-1.320161, -0.495477, 1.029620>, <-0.267662, 0.341709, -1.138204>, <0.892801, -0.273367, -0.169881>, 
      <-2.880402, 1.803015, 0.000000>, <-1.710888, 0.504523, 0.469012>, <-0.590436, 1.341709, -0.832418>, <0.519062, 0.726633, -0.118917>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.519062, -2.273367, -0.118917>, <1.628561, -2.888442, 0.594584>, <2.441497, -2.700503, -0.577596>, <3.051256, -3.076382, 0.000000>, 
      <0.892801, -1.273367, -0.169881>, <2.053264, -1.888442, 0.798442>, <2.458485, -1.700503, -0.424703>, <2.931658, -2.247236, 0.000000>, 
      <0.892801, -0.273367, -0.169881>, <2.053264, -0.888442, 0.798442>, <2.458485, -0.700503, -0.424703>, <2.931658, -1.247236, 0.000000>, 
      <0.519062, 0.726633, -0.118917>, <1.628561, 0.111558, 0.594584>, <2.441497, 0.299497, -0.577596>, <2.777889, -0.486432, 0.000000>
    }
  }
  material {
    Fahne_gelb
  }
  scale 0.35
  rotate 90.0*x
  translate  <0.14, 0.0, 12.21>
}
#declare Grossmast1 = union {
  object { hm_unten1 }
  object { hm_mitte1 }
  object { Fahnenstange4 }
  object { Mastkorb_gm2 }
  object { Mastkorb_gm3 }
  object { Rahen_Segel_gm2 }
  object { Rahe_Segel_gm1 }
  object { Wanten_alle_gm1 }
  object { Flagge2 }
  material {
    DMFDarkOak
  }
}
#declare fm_unten1 = lathe {
  linear_spline
  2  // control points
  <0.058728, -2.465877>,
  <0.053601, 1.201005>
  rotate <90,0,90>
  scale 2.0
  translate  <4.45, 0.0, 2.91>
}
#declare fm_mitte1 = lathe {
  linear_spline
  2  // control points
  <0.058728, -2.465877>,
  <0.045226, 1.201005>
  rotate <90,0,90>
  scale <1.0, 1.0, 1.2>
  translate  <4.61, 0.0, 7.62>
}
#declare Fahnenstange5 = lathe {
  linear_spline
  8  // control points
  <0.039713, -1.4962>,
  <0.029313, 0.892881>,
  <0.032538, 0.890942>,
  <0.075144, 0.903564>,
  <0.102804, 0.920012>,
  <0.10657, 0.938186>,
  <0.067085, 0.965>,
  <0.000756, 0.974874>
  rotate <90,0,90>
  scale <0.4, 0.4, 0.8>
  translate  <4.67, 0.0, 9.94>
}
#declare Mastkorb8 = lathe {
  linear_spline
  12  // control points
  <0.011725, -1.01675>,
  <1.198492, -0.917504>,
  <1.564489, -0.843384>,
  <1.958124, -0.711893>,
  <2.150754, -0.387772>,
  <2.354271, -0.03727>,
  <2.249246, -0.040871>,
  <2.058157, -0.36057>,
  <1.883377, -0.652945>,
  <1.542547, -0.784667>,
  <1.184968, -0.861951>,
  <0.011725, -0.859296>
  rotate <90,0,90>
  scale 0.25
  translate  <-1.0, 0.0, 5.87>
}
#declare Mastkorb_fm2 = union {
  object { Mastkorb8 }
  superellipsoid { // Verbinder24
    <0.1, 0.1>
    scale <0.18, 0.12, 0.04>
    translate  <-1.02, 0.0, 6.27>
  }
  superellipsoid { // Verbinder25
    <0.1, 0.1>
    scale <0.18, 0.12, 0.04>
    translate  <-1.02, 0.0, 5.75>
  }
  superellipsoid { // Verbinder26
    <0.1, 0.1>
    scale <0.155, 0.095, 0.25>
    translate  <-1.02, 0.0, 6.0>
  }
  material {
    S_Wood1
  }
  translate  <5.52, 0.0, -0.99>
}
#declare Mastkorb9 = lathe {
  linear_spline
  12  // control points
  <0.011725, -1.01675>,
  <1.198492, -0.917504>,
  <1.564489, -0.843384>,
  <1.958124, -0.711893>,
  <2.150754, -0.387772>,
  <2.354271, -0.03727>,
  <2.249246, -0.040871>,
  <2.058157, -0.36057>,
  <1.883377, -0.652945>,
  <1.542547, -0.784667>,
  <1.184968, -0.861951>,
  <0.011725, -0.859296>
  rotate <90,0,90>
  scale 0.25
  translate  <-1.0, 0.0, 5.87>
}
#declare Mastkorb_fm3 = union {
  object { Mastkorb9 }
  superellipsoid { // Verbinder27
    <0.1, 0.1>
    scale <0.18, 0.12, 0.04>
    translate  <-1.02, 0.0, 6.27>
  }
  superellipsoid { // Verbinder28
    <0.1, 0.1>
    scale <0.18, 0.12, 0.04>
    translate  <-1.02, 0.0, 5.75>
  }
  superellipsoid { // Verbinder29
    <0.1, 0.1>
    scale <0.155, 0.095, 0.25>
    translate  <-1.02, 0.0, 6.0>
  }
  material {
    S_Wood1
  }
  scale 0.5
  translate  <5.14, 0.0, 5.92>
}
#declare Rahe_fm2 = lathe {
  linear_spline
  5  // control points
  <0.001101, -2.000366>,
  <0.037943, -1.991528>,
  <0.058609, -0.005305>,
  <0.02971, 1.975897>,
  <-0.000653, 1.999843>
  rotate <90,0,90>
  scale <0.9, 0.9, 1.8>
  rotate <0.0, -90.0, -90.0>
  translate  <-0.87, 0.0, 5.7>
}
#declare Segel_fm2 = object {   object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.972250, -1.344840, -0.666766>, <-1.553609, -1.775267, 0.789950>, <1.615698, -1.774182, 0.770036>, <3.153497, -1.343341, -0.696779>, 
      <-2.812237, -0.835832, 0.332482>, <-1.798932, -0.670606, 1.270199>, <1.933475, -0.675022, 1.270199>, <2.970760, -0.860426, 0.485926>, 
      <-2.776854, 0.379827, 0.417729>, <-1.426164, 0.275769, 0.588223>, <1.474807, 0.317392, 0.605272>, <2.825082, 0.463074, 0.383630>, 
      <-2.748518, 1.504697, -0.110803>, <-0.488292, 1.504697, -0.110803>, <0.579905, 1.494740, -0.091885>, <2.832606, 1.504697, -0.079711>
    }
  }
  material {
    Segeltextur
  }
  scale <1.2, 1.1, 0.8>
  rotate <80.0, -0.0, 90.0>
  translate  <-0.49, -0.02, 4.07>
}
#declare Rahe_Segel_fm1 = union {
  object { Rahe_fm2 }
  object { Segel_fm2 }
  rotate 15.0*z
  translate  <5.55, 0.0, -1.72>
}
#declare Rahe_fm3 = lathe {
  linear_spline
  5  // control points
  <0.001101, -2.000366>,
  <0.037943, -1.991528>,
  <0.058609, -0.005305>,
  <0.02971, 1.975897>,
  <-0.000653, 1.999843>
  rotate <90,0,90>
  scale <0.6, 0.6, 1.2>
  rotate <0.0, -90.0, -90.0>
  translate  <-0.82, -0.09, 9.97>
}
#declare Segel_fm3 = object {   object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.750608, -1.972149, -0.397919>, <-1.553609, -1.576121, 0.531061>, <1.615698, -1.545164, 0.541019>, <2.948905, -1.980607, -0.366686>, 
      <-2.208699, -0.815020, 0.332482>, <-0.820783, -0.733041, 1.270199>, <0.913703, -0.716646, 1.270199>, <2.408845, -0.839614, 0.485926>, 
      <-1.590589, 0.504697, 0.417729>, <-0.572886, 0.504697, 0.588223>, <0.579905, 0.504697, 0.605272>, <1.784498, 0.504697, 0.383630>, 
      <-1.624688, 1.504697, -0.110803>, <-0.488292, 1.504697, -0.110803>, <0.579905, 1.494740, -0.091885>, <1.750399, 1.504697, -0.079711>
    }
  }
  material {
    Segeltextur
  }
  scale <1.15, 1.16, 1.1>
  rotate <83.0, -0.0, 90.0>
  translate  <-0.48, -0.05, 8.23>
}
#declare Rahen_Segel_fm2 = union {
  object { Rahe_fm3 }
  object { Segel_fm3 }
  rotate 15.0*z
  translate  <5.55, 0.0, -1.72>
}
#include "zwei pinassen.in3"
#declare Wanten_unten_fm2 = object {
  Wanten_unten_fm2_Raw
  scale <0.98, 0.59, 0.92>
  rotate <81.728569, 2.156165, -14.53552>
  translate  <-0.08, -0.32, 0.31>
}
#include "zwei pinassen.in4"
#declare Wanten_unten_fm3 = object {
  Wanten_unten_fm3_Raw
  scale <0.98, 0.59, 0.92>
  rotate <58.065662, 1.461773, 10.787218>
  translate  <1.06, -4.62, 1.45>
}
#include "zwei pinassen.in5"
#declare Wanten_oben_fm2 = object {
  Wanten_oben_fm2_Raw
  scale <0.6, 0.6, 0.8>
  rotate <66.996864, -0.943319, 0.316609>
  translate  <6.65, -3.52, 3.65>
}
#include "zwei pinassen.in6"
#declare Wanten_oben_fm3 = object {
  Wanten_oben_fm3_Raw
  scale <0.6, 0.6, 0.8>
  rotate <76.998146, -0.980285, 0.186166>
  translate  <6.64, -2.14, 3.17>
}
#declare Wanten_alle_fm1 = union {
  object { Wanten_unten_fm2 }
  object { Wanten_unten_fm3 }
  object { Wanten_oben_fm2 }
  object { Wanten_oben_fm3 }
  box { // Befest8
    <-1, -1, -1>, <1, 1, 1>
    material {
      DMFDarkOak
    }
    scale <0.7, 0.1, 0.05>
    rotate 13.0*z
    translate  <3.88, -1.66, -0.4>
  }
  box { // Befest9
    <-1, -1, -1>, <1, 1, 1>
    material {
      DMFDarkOak
    }
    scale <0.7, 0.1, 0.05>
    rotate -12.0*z
    translate  <3.86, 1.53, -0.4>
  }
  material {
    Wanten
  }
}
#declare Fockmast1 = union {
  object { fm_unten1 }
  object { fm_mitte1 }
  object { Fahnenstange5 }
  object { Mastkorb_fm2 }
  object { Mastkorb_fm3 }
  object { Rahe_Segel_fm1 }
  object { Rahen_Segel_fm2 }
  object { Wanten_alle_fm1 }
  material {
    DMFDarkOak
  }
}
#declare Fahnenstange6 = lathe {
  linear_spline
  8  // control points
  <0.039713, -1.4962>,
  <0.029313, 0.892881>,
  <0.032538, 0.890942>,
  <0.075144, 0.903564>,
  <0.102804, 0.920012>,
  <0.10657, 0.938186>,
  <0.067085, 0.965>,
  <0.000756, 0.974874>
  rotate <90,0,90>
  scale <0.4, 0.4, 0.8>
  translate  <-4.01, 0.0, 8.92>
}
#declare bm_mitte1 = lathe {
  linear_spline
  2  // control points
  <0.050353, -2.465877>,
  <0.036851, 1.242881>
  rotate <90,0,90>
  translate  <-4.06, 0.0, 6.74>
}
#declare bm_unten1 = lathe {
  linear_spline
  2  // control points
  <0.050353, -2.465877>,
  <0.045226, 1.242881>
  rotate <90,0,90>
  scale 2.0
  translate  <-4.18, 0.0, 2.32>
}
#declare Mastkorb10 = lathe {
  linear_spline
  12  // control points
  <0.011725, -1.01675>,
  <1.198492, -0.917504>,
  <1.564489, -0.843384>,
  <1.958124, -0.711893>,
  <2.150754, -0.387772>,
  <2.354271, -0.03727>,
  <2.249246, -0.040871>,
  <2.058157, -0.36057>,
  <1.883377, -0.652945>,
  <1.542547, -0.784667>,
  <1.184968, -0.861951>,
  <0.011725, -0.859296>
  rotate <90,0,90>
  scale 0.25
  translate  <-1.0, 0.0, 5.87>
}
#declare Mastkorb_bm2 = union {
  object { Mastkorb10 }
  superellipsoid { // Verbinder30
    <0.1, 0.1>
    scale <0.195, 0.13, 0.043333>
    translate  <-1.02, 0.0, 6.27>
  }
  superellipsoid { // Verbinder31
    <0.1, 0.1>
    scale <0.195, 0.13, 0.043333>
    translate  <-1.02, 0.0, 5.75>
  }
  superellipsoid { // Verbinder32
    <0.1, 0.1>
    scale <0.171316, 0.105, 0.276316>
    translate  <-1.02, 0.0, 6.0>
  }
  material {
    S_Wood1
  }
  scale 0.8
  translate  <-3.33, 0.0, -0.24>
}
#declare Mastkorb11 = lathe {
  linear_spline
  12  // control points
  <0.011725, -1.01675>,
  <1.198492, -0.917504>,
  <1.564489, -0.843384>,
  <1.958124, -0.711893>,
  <2.150754, -0.387772>,
  <2.354271, -0.03727>,
  <2.249246, -0.040871>,
  <2.058157, -0.36057>,
  <1.883377, -0.652945>,
  <1.542547, -0.784667>,
  <1.184968, -0.861951>,
  <0.011725, -0.859296>
  rotate <90,0,90>
  scale 0.25
  translate  <-1.0, 0.0, 5.87>
}
#declare Mastkorb_bm3 = union {
  object { Mastkorb11 }
  superellipsoid { // Verbinder33
    <0.1, 0.1>
    scale <0.17875, 0.11, 0.039722>
    translate  <-1.02, 0.0, 6.27>
  }
  superellipsoid { // Verbinder34
    <0.1, 0.1>
    scale <0.165, 0.11, 0.036667>
    translate  <-1.02, 0.0, 5.75>
  }
  superellipsoid { // Verbinder35
    <0.1, 0.1>
    scale <0.146842, 0.09, 0.236842>
    translate  <-1.02, 0.0, 6.0>
  }
  material {
    S_Wood1
  }
  scale 0.4
  translate  <-3.64, 0.0, 5.46>
}
#declare Rahe_bm3 = lathe {
  linear_spline
  5  // control points
  <0.001101, -2.000366>,
  <0.037943, -1.991528>,
  <0.058609, -0.005305>,
  <0.02971, 1.975897>,
  <-0.000653, 1.999843>
  rotate <90,0,90>
  scale <0.55, 0.55, 0.825>
  rotate <90.0, -90.0, 0.0>
  translate  <-1.11, 0.0, 8.84>
}
#declare Segel_bm2 = object {   object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.784707, -1.972149, -1.062846>, <-1.553609, -1.576121, 0.531061>, <1.615698, -1.545164, 0.541019>, <2.914806, -1.980607, -1.048662>, 
      <-2.208699, -0.815020, 0.332482>, <-0.820783, -0.733041, 1.270199>, <0.913703, -0.716646, 1.270199>, <2.408845, -0.839614, 0.485926>, 
      <-1.590589, 0.504697, 0.417729>, <-0.572886, 0.504697, 0.588223>, <0.579905, 0.504697, 0.605272>, <1.784498, 0.504697, 0.383630>, 
      <-1.624688, 1.504697, -0.110803>, <-0.488292, 1.504697, -0.110803>, <0.579905, 1.494740, -0.091885>, <1.750399, 1.504697, -0.079711>
    }
  }
  material {
    Segeltextur
  }
  scale <0.892241, 0.9, 0.853448>
  rotate <71.0, 0.0, 90.0>
  translate  <-0.57, -0.05, 7.57>
}
#declare Rahen_Segel_bm3 = union {
  object { Rahe_bm3 }
  object { Segel_bm2 }
  rotate <0.0, 3.0, 15.0>
  translate  <-3.295619, 0.0, -1.549644>
}
#declare Rahe_bm4 = lathe {
  linear_spline
  5  // control points
  <0.001101, -2.000366>,
  <0.037943, -1.991528>,
  <0.058609, -0.005305>,
  <0.02971, 1.975897>,
  <-0.000653, 1.999843>
  rotate <90,0,90>
  scale <0.7, 0.7, 1.4>
  rotate <90.0, -90.0, 0.0>
  translate  <-1.19, 0.0, 4.98>
}
#declare Rahen_Segel_bm4 = union {
  object { Rahe_bm4 }
  rotate <0.0, 6.0, 15.0>
  translate  <-3.372204, 0.0, -1.375041>
}
#declare Rahe_bm5 = lathe {
  linear_spline
  5  // control points
  <0.001101, -2.000366>,
  <0.037943, -1.991528>,
  <0.058609, -0.005305>,
  <0.02971, 1.975897>,
  <-0.000653, 1.999843>
  rotate <90,0,90>
  scale <0.5, 0.5, 1.4>
  rotate <62.529053, 8.99555, 45.463993>
  translate  <-0.78, 0.03, 5.25>
}
#declare Segel_bm3 = object {   object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-3.021002, -2.000000, 0.000000>, <-1.088758, -2.301776, 0.000000>, <0.035503, -2.440768, 0.000000>, <1.187115, -2.903369, -0.286043>, 
      <-2.170854, -1.285295, 0.011450>, <-1.828277, -1.480904, 0.312846>, <0.191718, -1.271690, 0.241303>, <1.241624, -1.457039, -0.057250>, 
      <-1.693359, -0.832747, 0.000000>, <-1.132277, -0.726167, 0.282063>, <0.606772, -0.365353, 0.345694>, <1.050539, 0.048754, 0.110840>, 
      <-1.236492, -0.412395, 0.000000>, <-0.681339, 0.009312, 0.000000>, <0.272530, 1.000000, 0.000000>, <1.047665, 1.754320, -0.003822>
    }
  }
  material {
    Segeltextur
  }
  rotate <4.035635, -214.681717, 9.8325>
  translate  <-1.58, 0.02, 4.69>
}
#declare Rahen_Segel_bm5 = union {
  object { Rahe_bm5 }
  object { Segel_bm3 }
  rotate <105.403564, 14.219177, 5.351395>
  translate  <-3.57, 5.26, 5.04>
}
#include "zwei pinassen.in3"
#declare Wanten_bm2 = object {
  Wanten_bm2_Raw
  scale <1.0, 0.8, 1.0>
  rotate <90.0, 2.0, -0.0>
  translate  <-1.49, -1.05, -4.09>
}
#include "zwei pinassen.in3"
#declare Wanten_bm3 = object {
  Wanten_bm3_Raw
  scale <1.0, 0.8, 1.0>
  rotate <53.986717, 1.528112, -1.470702>
  translate  <-1.46, -6.13, -1.81>
}
#declare Wanten_alle_bm1 = union {
  object { Wanten_bm2 }
  object { Wanten_bm3 }
  box { // Befest10
    <-1, -1, -1>, <1, 1, 1>
    material {
      DMFDarkOak
    }
    scale <0.3, 0.1, 0.05>
    rotate <-0.086939, 8.000759, -4.920416>
    translate  <-4.7, -1.33, 0.87>
  }
  box { // Befest11
    <-1, -1, -1>, <1, 1, 1>
    material {
      DMFDarkOak
    }
    scale <0.3, 0.1, 0.05>
    rotate <0.030158, 8.000497, 5.929973>
    translate  <-4.71, 1.32, 0.88>
  }
  material {
    Wanten
  }
  rotate 3.0*y
}
#declare Besanmast1 = union {
  object { Fahnenstange6 }
  object { bm_mitte1 }
  object { bm_unten1 }
  object { Mastkorb_bm2 }
  object { Mastkorb_bm3 }
  object { Rahen_Segel_bm3 }
  object { Rahen_Segel_bm4 }
  object { Rahen_Segel_bm5 }
  object { Wanten_alle_bm1 }
  material {
    DMFDarkOak
  }
  rotate -3.0*y
}
#declare Baum2 = lathe {
  linear_spline
  2  // control points
  <0.050353, -2.465877>,
  <0.020101, 1.242881>
  rotate <90,0,90>
  scale 1.8
  translate  <-4.18, 0.0, 2.32>
}
#declare Rahe_baum1 = lathe {
  linear_spline
  5  // control points
  <0.001101, -2.000366>,
  <0.037943, -1.991528>,
  <0.058609, -0.005305>,
  <0.02971, 1.975897>,
  <-0.000653, 1.999843>
  rotate <90,0,90>
  scale <0.5, 0.5, 1.0>
  rotate <90.0, -40.0, -180.0>
  translate  <7.36, 0.0, 2.08>
}
#declare Segel_baum1 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-5.000000, 1.177889, 0.000000>, <-4.000000, 1.177889, 0.000000>, <-3.000000, 1.177889, 0.000000>, <-2.000000, 1.177889, 0.000000>, 
      <-5.000000, 1.255276, 0.230653>, <-4.000000, -1.000000, 0.691960>, <-3.025628, 1.255276, 0.230653>, <-2.333166, 0.396734, 0.461307>, 
      <-5.000000, 0.000000, -0.494305>, <-4.000000, 0.000000, -1.340034>, <-3.000000, 0.000000, -0.494305>, <-2.000000, 0.000000, -0.917169>, 
      <-5.000000, 1.000000, 0.000000>, <-4.000000, 1.000000, 0.000000>, <-3.000000, 1.000000, 0.000000>, <-2.000000, 1.000000, 0.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.000000, 1.177889, 0.000000>, <-1.000000, 1.177889, 0.000000>, <0.000000, 1.177889, 0.000000>, <1.000000, 1.177889, 0.000000>, 
      <-2.333166, 0.396734, 0.461307>, <-1.640704, -0.461809, 0.691960>, <-0.025628, 0.153266, 0.230653>, <0.974372, 0.704271, 0.230653>, 
      <-2.000000, 0.000000, -0.917169>, <-1.000000, 0.000000, -1.340034>, <0.000000, 0.000000, -1.340034>, <1.000000, 0.000000, -0.917169>, 
      <-2.000000, 1.000000, 0.000000>, <-1.000000, 1.000000, 0.000000>, <0.000000, 1.000000, 0.000000>, <1.000000, 1.000000, 0.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <1.000000, 1.177889, 0.000000>, <2.000000, 1.177889, 0.000000>, <3.000000, 1.177889, 0.000000>, <4.000000, 1.177889, 0.000000>, 
      <0.974372, 0.704271, 0.230653>, <1.974372, 1.255276, 0.230653>, <3.000000, -1.000000, 0.691960>, <4.000000, 1.255276, 0.230653>, 
      <1.000000, 0.000000, -0.917169>, <2.000000, 0.000000, -0.494305>, <3.000000, 0.000000, -1.340034>, <4.000000, 0.000000, -0.494305>, 
      <1.000000, 1.000000, 0.000000>, <2.000000, 1.000000, 0.000000>, <3.000000, 1.000000, 0.000000>, <4.000000, 1.000000, 0.000000>
    }
  }
  material {
    Segeltextur
  }
  scale <0.4, 0.25, 0.5>
  rotate <45.711563, -0.0, 90.0>
  translate  <7.58, 0.21, 1.83>
}
#declare Rahe_Segel_baum1 = union {
  object { Rahe_baum1 }
  object { Segel_baum1 }
  scale <0.5, 1.0, 1.0>
  rotate -50.0*y
  translate  <-4.79761, 0.0, -1.14374>
}
#declare Baum3 = union {
  object { Baum2 }
  object { Rahe_Segel_baum1 }
  material {
    DMFDarkOak
  }
  rotate 50.0*y
  translate  <8.87, 0.0, -2.87>
}
#declare Masten1 = union {
  object { Grossmast1 }
  object { Fockmast1 }
  object { Besanmast1 }
  object { Baum3 }
}
#declare Ruderholz1 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  11  // control points
  <-0.396985, -1.326633>,
  <-0.047152, -1.388191>,
  <0.145729, -1.20938>,
  <0.148241, 1.384506>,
  <0.087102, 1.552764>,
  <-0.009045, 1.569514>,
  <-0.081039, 1.523451>,
  <-0.078727, 1.167504>,
  <-0.184255, -0.024623>,
  <-0.325879, -0.18768>,
  <-0.396985, -1.326633>
  rotate -x*90
  material {
    DMFDarkOak
  }
  scale <1.0, 1.0, 0.3>
  rotate <90.0, -9.0, 0.0>
  translate  <-7.05, 0.17, -1.45>
}
#declare Ruder1 = union {
  box { // Scharnier4
    <-1, -1, -1>, <1, 1, 1>
    material {
      Rusty_Iron
    }
    scale <0.4, 0.16, 0.05>
    rotate -9.0*y
    translate  <-6.88, 0.02, -2.45>
  }
  object { Ruderholz1 }
  box { // Scharnier5
    <-1, -1, -1>, <1, 1, 1>
    material {
      Rusty_Iron
    }
    scale <0.4, 0.16, 0.05>
    rotate -9.0*y
    translate  <-6.86, 0.02, -1.38>
  }
  box { // Scharnier6
    <-1, -1, -1>, <1, 1, 1>
    material {
      Rusty_Iron
    }
    scale <0.4, 0.16, 0.05>
    rotate -9.0*y
    translate  <-6.9, 0.02, -0.8>
  }
  box { // Scharnier7
    <-1, -1, -1>, <1, 1, 1>
    material {
      Rusty_Iron
    }
    scale <0.4, 0.16, 0.05>
    rotate -9.0*y
    translate  <-6.94, 0.02, -0.24>
  }
}
#declare Deckel2 = lathe {
  linear_spline
  8  // control points
  <0.011725, 2.031826>,
  <0.115578, 1.89531>,
  <0.298157, 1.796817>,
  <0.155025, 1.674606>,
  <0.263149, 1.552395>,
  <0.858266, 1.408774>,
  <1.547739, 0.809883>,
  <1.0, 1.0>
  rotate <90,0,90>
  material {
    Gold
  }
  scale <0.1, 0.1, 0.15>
}
#declare Lampenglas2 = lathe {
  linear_spline
  4  // control points
  <0.681742, -1.527638>,
  <1.078727, -1.153266>,
  <1.472362, 0.742881>,
  <1.0, 1.0>
  rotate <90,0,90>
  material {
    Lampglass
  }
  scale <0.1, 0.1, 0.15>
}
#declare Boden2 = lathe {
  linear_spline
  10  // control points
  <0.784209, -1.455614>,
  <0.573962, -1.697222>,
  <0.100511, -1.827225>,
  <0.100377, -1.949225>,
  <0.237671, -2.004188>,
  <0.329009, -2.092556>,
  <0.328514, -2.16664>,
  <0.245231, -2.24335>,
  <0.121776, -2.264224>,
  <0.112228, -3.045226>
  rotate <90,0,90>
  material {
    DMFDarkOak
  }
  scale <0.1, 0.1, 0.15>
}
#declare Lampe2 = union {
  object { Deckel2 }
  object { Lampenglas2 }
  object { Boden2 }
  rotate <5.0, -5.0, 0.0>
  translate  <-7.53, -0.9, 2.41>
}
#declare Deckel3 = lathe {
  linear_spline
  8  // control points
  <0.011725, 2.031826>,
  <0.115578, 1.89531>,
  <0.298157, 1.796817>,
  <0.155025, 1.674606>,
  <0.263149, 1.552395>,
  <0.858266, 1.408774>,
  <1.547739, 0.809883>,
  <1.0, 1.0>
  rotate <90,0,90>
  material {
    Gold
  }
  scale <0.1, 0.1, 0.15>
}
#declare Lampenglas3 = lathe {
  linear_spline
  4  // control points
  <0.681742, -1.527638>,
  <1.078727, -1.153266>,
  <1.472362, 0.742881>,
  <1.0, 1.0>
  rotate <90,0,90>
  material {
    Lampglass
  }
  scale <0.1, 0.1, 0.15>
}
#declare Boden3 = lathe {
  linear_spline
  10  // control points
  <0.784209, -1.455614>,
  <0.573962, -1.697222>,
  <0.100511, -1.827225>,
  <0.100377, -1.949225>,
  <0.237671, -2.004188>,
  <0.329009, -2.092556>,
  <0.328514, -2.16664>,
  <0.245231, -2.24335>,
  <0.121776, -2.264224>,
  <0.112228, -3.045226>
  rotate <90,0,90>
  material {
    DMFDarkOak
  }
  scale <0.1, 0.1, 0.15>
}
#declare Lampe3 = union {
  object { Deckel3 }
  object { Lampenglas3 }
  object { Boden3 }
  rotate <-5.0, -5.0, 0.0>
  translate  <-7.53, 0.93, 2.41>
}
#include "zwei pinassen.i63"
#declare Heckplatte1 = object {
  Heckplatte1_Raw
  material {
    S_Wood1
  }
  rotate 90.0*x
}
#declare Fenster7 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  10  // control points
  <-1.0, -1.0>,
  <1.0, -1.0>,
  <1.0, 0.00335>,
  <0.85188, 0.497487>,
  <0.475628, 0.874372>,
  <0.0, 1.0>,
  <-0.458878, 0.891122>,
  <-0.832127, 0.497487>,
  <-1.0, -0.005025>,
  <-1.0, -1.0>
  rotate -x*90
  material {
    Material1
  }
  scale <0.1, 0.2, 0.4>
  rotate <90.0, 0.0, -90.0>
  translate  <-7.26, -0.55, 1.05>
}
#declare Fenster8 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  10  // control points
  <-1.0, -1.0>,
  <1.0, -1.0>,
  <1.0, 0.00335>,
  <0.85188, 0.497487>,
  <0.475628, 0.874372>,
  <0.0, 1.0>,
  <-0.458878, 0.891122>,
  <-0.832127, 0.497487>,
  <-1.0, -0.005025>,
  <-1.0, -1.0>
  rotate -x*90
  material {
    Material1
  }
  scale <0.1, 0.2, 0.4>
  rotate <90.0, 0.0, -90.0>
  translate  <-7.26, 0.55, 1.05>
}
#declare Fenster9 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  10  // control points
  <-1.0, -1.0>,
  <1.0, -1.0>,
  <1.0, 0.00335>,
  <0.85188, 0.497487>,
  <0.475628, 0.874372>,
  <0.0, 1.0>,
  <-0.458878, 0.891122>,
  <-0.832127, 0.497487>,
  <-1.0, -0.005025>,
  <-1.0, -1.0>
  rotate -x*90
  material {
    Material1
  }
  scale <0.1, 0.2, 0.4>
  rotate <90.0, 0.0, -90.0>
  translate  <-7.26, 0.0, 1.05>
}
#declare Fenster10 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  10  // control points
  <-1.0, -1.0>,
  <1.0, -1.0>,
  <1.0, 0.00335>,
  <0.85188, 0.497487>,
  <0.475628, 0.874372>,
  <0.0, 1.0>,
  <-0.458878, 0.891122>,
  <-0.832127, 0.497487>,
  <-1.0, -0.005025>,
  <-1.0, -1.0>
  rotate -x*90
  material {
    Material1
  }
  scale <0.1, 0.2, 0.5>
  rotate <90.0, 0.0, -90.0>
  translate  <-6.6, 0.5, -0.2>
}
#declare Fenster11 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  10  // control points
  <-1.0, -1.0>,
  <1.0, -1.0>,
  <1.0, 0.00335>,
  <0.85188, 0.497487>,
  <0.475628, 0.874372>,
  <0.0, 1.0>,
  <-0.458878, 0.891122>,
  <-0.832127, 0.497487>,
  <-1.0, -0.005025>,
  <-1.0, -1.0>
  rotate -x*90
  material {
    Material1
  }
  scale <0.1, 0.2, 0.5>
  rotate <90.0, 0.0, -90.0>
  translate  <-6.6, -0.5, -0.2>
}
#declare Fenster12 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  10  // control points
  <-1.0, -1.0>,
  <1.0, -1.0>,
  <1.0, 0.00335>,
  <0.85188, 0.497487>,
  <0.475628, 0.874372>,
  <0.0, 1.0>,
  <-0.458878, 0.891122>,
  <-0.832127, 0.497487>,
  <-1.0, -0.005025>,
  <-1.0, -1.0>
  rotate -x*90
  material {
    Material1
  }
  scale <0.1, 0.2, 0.5>
  rotate <90.0, 0.0, -90.0>
  translate  <-6.6, -0.9, -0.2>
}
#declare Fenster13 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  10  // control points
  <-1.0, -1.0>,
  <1.0, -1.0>,
  <1.0, 0.00335>,
  <0.85188, 0.497487>,
  <0.475628, 0.874372>,
  <0.0, 1.0>,
  <-0.458878, 0.891122>,
  <-0.832127, 0.497487>,
  <-1.0, -0.005025>,
  <-1.0, -1.0>
  rotate -x*90
  material {
    Material1
  }
  scale <0.1, 0.2, 0.5>
  rotate <90.0, 0.0, -90.0>
  translate  <-6.6, 0.9, -0.2>
}
#declare Platte_mit_loch1 = difference {
  object { Heckplatte1 }
  object { Fenster7 }
  object { Fenster8 }
  object { Fenster9 }
  object { Fenster10 }
  object { Fenster11 }
  object { Fenster12 }
  object { Fenster13 }
}
#declare Reling60 = union {
  box { // Cube223
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr417
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr418
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr419
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr420
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr421
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr422
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  material {
    DMFDarkOak
  }
  scale <1.2, 1.0, 1.0>
  rotate -90.0*z
  translate  <-7.91, -0.6, 0.98>
}
#declare Reling61 = union {
  box { // Cube224
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr423
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr424
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr425
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr426
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr427
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr428
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  material {
    DMFDarkOak
  }
  scale <1.2, 1.0, 1.0>
  rotate 90.0*z
  translate  <-7.91, 0.6, 0.98>
}
#declare Reling62 = union {
  box { // Cube225
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr429
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr430
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr431
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr432
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr433
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr434
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  material {
    DMFDarkOak
  }
  rotate <0.0, -15.0, 180.0>
  translate  <-7.42, -1.2, 0.85>
}
#declare Reling63 = union {
  box { // Cube226
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr435
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr436
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr437
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr438
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr439
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr440
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  material {
    DMFDarkOak
  }
  rotate <0.0, -15.0, 180.0>
  translate  <-7.42, 1.2, 0.85>
}
#declare Reling64 = union {
  box { // Cube227
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr441
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr442
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr443
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr444
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr445
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr446
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  material {
    DMFDarkOak
  }
  rotate <0.0, -15.0, 180.0>
  translate  <-6.65, 1.2, 0.65>
}
#declare Reling65 = union {
  box { // Cube228
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr447
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr448
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr449
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr450
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr451
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr452
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  material {
    DMFDarkOak
  }
  rotate <0.0, -15.0, 180.0>
  translate  <-6.65, -1.2, 0.65>
}
#declare Reling66 = union {
  box { // Cube229
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.08, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr453
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr454
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr455
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr456
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr457
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr458
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  material {
    DMFDarkOak
  }
  scale <0.9, 1.0, 1.0>
  rotate <5.0, -9.0, -90.0>
  translate  <-7.49, 0.45, 1.97>
}
#declare Reling67 = union {
  box { // Cube230
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.08, 0.5>
    rotate -90.0*y
    translate  -0.2*z
  }
  cylinder { // Cylndr459
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 1.0>
    rotate -90.0*y
    translate  0.5*x
  }
  cylinder { // Cylndr460
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.45, 0.0, -0.24>
  }
  cylinder { // Cylndr461
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.25, 0.0, -0.24>
  }
  cylinder { // Cylndr462
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <-0.05, 0.0, -0.24>
  }
  cylinder { // Cylndr463
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.15, 0.0, -0.24>
  }
  cylinder { // Cylndr464
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.25>
    translate  <0.35, 0.0, -0.24>
  }
  material {
    DMFDarkOak
  }
  scale <0.9, 1.0, 1.0>
  rotate <5.0, -9.0, 90.0>
  translate  <-7.49, -0.44, 1.97>
}
#declare Fahnenstange7 = lathe {
  linear_spline
  15  // control points
  <0.138953, -1.937701>,
  <0.136914, -1.038966>,
  <0.036801, -0.921864>,
  <0.036073, -0.62323>,
  <0.097065, -0.583635>,
  <0.123948, -0.548782>,
  <0.09606, -0.507584>,
  <0.035109, -0.47533>,
  <0.029313, 0.892881>,
  <0.032538, 0.890942>,
  <0.075144, 0.903564>,
  <0.102804, 0.920012>,
  <0.10657, 0.938186>,
  <0.067085, 0.965>,
  <0.000756, 0.974874>
  rotate <90,0,90>
  material {
    Gold
  }
  scale <0.5, 0.5, 1.0>
  rotate -10.0*y
  translate  <-7.71, 0.0, 3.22>
}
#declare Fensterrahmen7 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  21  // control points
  <-1.0, -1.0>,
  <-0.9, -1.0>,
  <-0.90263, -0.020101>,
  <-0.751239, 0.43593>,
  <-0.426117, 0.776884>,
  <-0.002819, 0.887236>,
  <0.432251, 0.761045>,
  <0.758443, 0.438037>,
  <0.918365, -0.0234>,
  <0.919495, -0.888138>,
  <-0.915972, -0.890131>,
  <-0.916834, -0.996468>,
  <1.0, -1.0>,
  <1.0, 0.00335>,
  <0.85188, 0.497487>,
  <0.475628, 0.874372>,
  <0.0, 1.0>,
  <-0.458878, 0.891122>,
  <-0.832127, 0.497487>,
  <-1.0, -0.005025>,
  <-1.0, -1.0>
  rotate -x*90
  material {
    Gold
  }
  scale <0.12, 0.21, 0.2>
  rotate <95.0, 0.0, -90.0>
  translate  <-7.31, 0.55, 1.07>
}
#declare Fensterrahmen8 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  21  // control points
  <-1.0, -1.0>,
  <-0.9, -1.0>,
  <-0.90263, -0.020101>,
  <-0.751239, 0.43593>,
  <-0.426117, 0.776884>,
  <-0.002819, 0.887236>,
  <0.432251, 0.761045>,
  <0.758443, 0.438037>,
  <0.918365, -0.0234>,
  <0.919495, -0.888138>,
  <-0.915972, -0.890131>,
  <-0.916834, -0.996468>,
  <1.0, -1.0>,
  <1.0, 0.00335>,
  <0.85188, 0.497487>,
  <0.475628, 0.874372>,
  <0.0, 1.0>,
  <-0.458878, 0.891122>,
  <-0.832127, 0.497487>,
  <-1.0, -0.005025>,
  <-1.0, -1.0>
  rotate -x*90
  material {
    Gold
  }
  scale <0.12, 0.21, 0.2>
  rotate <95.0, 0.0, -90.0>
  translate  <-7.31, 0.0, 1.07>
}
#declare Fensterrahmen9 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  21  // control points
  <-1.0, -1.0>,
  <-0.9, -1.0>,
  <-0.90263, -0.020101>,
  <-0.751239, 0.43593>,
  <-0.426117, 0.776884>,
  <-0.002819, 0.887236>,
  <0.432251, 0.761045>,
  <0.758443, 0.438037>,
  <0.918365, -0.0234>,
  <0.919495, -0.888138>,
  <-0.915972, -0.890131>,
  <-0.916834, -0.996468>,
  <1.0, -1.0>,
  <1.0, 0.00335>,
  <0.85188, 0.497487>,
  <0.475628, 0.874372>,
  <0.0, 1.0>,
  <-0.458878, 0.891122>,
  <-0.832127, 0.497487>,
  <-1.0, -0.005025>,
  <-1.0, -1.0>
  rotate -x*90
  material {
    Gold
  }
  scale <0.12, 0.21, 0.2>
  rotate <95.0, 0.0, -90.0>
  translate  <-7.31, -0.55, 1.07>
}
#declare Fensterrahmen10 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  21  // control points
  <-1.0, -1.0>,
  <-0.9, -1.0>,
  <-0.90263, -0.020101>,
  <-0.751239, 0.43593>,
  <-0.426117, 0.776884>,
  <-0.002819, 0.887236>,
  <0.432251, 0.761045>,
  <0.758443, 0.438037>,
  <0.918365, -0.0234>,
  <0.919495, -0.888138>,
  <-0.915972, -0.890131>,
  <-0.916834, -0.996468>,
  <1.0, -1.0>,
  <1.0, 0.00335>,
  <0.85188, 0.497487>,
  <0.475628, 0.874372>,
  <0.0, 1.0>,
  <-0.458878, 0.891122>,
  <-0.832127, 0.497487>,
  <-1.0, -0.005025>,
  <-1.0, -1.0>
  rotate -x*90
  material {
    Gold
  }
  scale <0.12, 0.21, 0.2>
  rotate <107.0, -0.0, -90.0>
  translate  <-6.79, 0.5, -0.15>
}
#declare Fensterrahmen11 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  21  // control points
  <-1.0, -1.0>,
  <-0.9, -1.0>,
  <-0.90263, -0.020101>,
  <-0.751239, 0.43593>,
  <-0.426117, 0.776884>,
  <-0.002819, 0.887236>,
  <0.432251, 0.761045>,
  <0.758443, 0.438037>,
  <0.918365, -0.0234>,
  <0.919495, -0.888138>,
  <-0.915972, -0.890131>,
  <-0.916834, -0.996468>,
  <1.0, -1.0>,
  <1.0, 0.00335>,
  <0.85188, 0.497487>,
  <0.475628, 0.874372>,
  <0.0, 1.0>,
  <-0.458878, 0.891122>,
  <-0.832127, 0.497487>,
  <-1.0, -0.005025>,
  <-1.0, -1.0>
  rotate -x*90
  material {
    Gold
  }
  scale <0.12, 0.21, 0.2>
  rotate <107.0, 0.0, -90.0>
  translate  <-6.79, -0.5, -0.15>
}
#declare Fensterrahmen12 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  21  // control points
  <-1.0, -1.0>,
  <-0.9, -1.0>,
  <-0.90263, -0.020101>,
  <-0.751239, 0.43593>,
  <-0.426117, 0.776884>,
  <-0.002819, 0.887236>,
  <0.432251, 0.761045>,
  <0.758443, 0.438037>,
  <0.918365, -0.0234>,
  <0.919495, -0.888138>,
  <-0.915972, -0.890131>,
  <-0.916834, -0.996468>,
  <1.0, -1.0>,
  <1.0, 0.00335>,
  <0.85188, 0.497487>,
  <0.475628, 0.874372>,
  <0.0, 1.0>,
  <-0.458878, 0.891122>,
  <-0.832127, 0.497487>,
  <-1.0, -0.005025>,
  <-1.0, -1.0>
  rotate -x*90
  material {
    Gold
  }
  scale <0.12, 0.21, 0.2>
  rotate <107.0, 0.0, -90.0>
  translate  <-6.79, -0.9, -0.15>
}
#declare Fensterrahmen13 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  21  // control points
  <-1.0, -1.0>,
  <-0.9, -1.0>,
  <-0.90263, -0.020101>,
  <-0.751239, 0.43593>,
  <-0.426117, 0.776884>,
  <-0.002819, 0.887236>,
  <0.432251, 0.761045>,
  <0.758443, 0.438037>,
  <0.918365, -0.0234>,
  <0.919495, -0.888138>,
  <-0.915972, -0.890131>,
  <-0.916834, -0.996468>,
  <1.0, -1.0>,
  <1.0, 0.00335>,
  <0.85188, 0.497487>,
  <0.475628, 0.874372>,
  <0.0, 1.0>,
  <-0.458878, 0.891122>,
  <-0.832127, 0.497487>,
  <-1.0, -0.005025>,
  <-1.0, -1.0>
  rotate -x*90
  material {
    Gold
  }
  scale <0.12, 0.21, 0.2>
  rotate <107.0, 0.0, -90.0>
  translate  <-6.79, 0.9, -0.15>
}
#declare Flagge3 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.880402, -1.196985, 0.000000>, <-1.881742, -3.093467, 0.469012>, <-0.231642, -2.153769, -0.832418>, <0.501977, -2.683417, -0.118917>, 
      <-2.880402, -0.196985, 0.000000>, <-1.491015, -2.093467, 1.029620>, <0.091132, -1.153769, -1.138204>, <0.875715, -1.683417, -0.169881>, 
      <-2.880402, 0.803015, 0.000000>, <-1.491015, -1.093467, 1.029620>, <0.091132, -0.153769, -1.138204>, <0.875715, -0.683417, -0.169881>, 
      <-2.880402, 1.803015, 0.000000>, <-1.881742, -0.093467, 0.469012>, <-0.231642, 0.846231, -0.832418>, <0.501977, 0.316583, -0.118917>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.501977, -2.683417, -0.118917>, <1.235596, -3.213065, 0.594584>, <2.048532, -3.025126, -0.577596>, <2.658291, -3.401005, 0.000000>, 
      <0.875715, -1.683417, -0.169881>, <1.660299, -2.213065, 0.798442>, <2.065520, -2.025126, -0.424703>, <2.538693, -2.571859, 0.000000>, 
      <0.875715, -0.683417, -0.169881>, <1.660299, -1.213065, 0.798442>, <2.065520, -1.025126, -0.424703>, <2.538693, -1.571859, 0.000000>, 
      <0.501977, 0.316583, -0.118917>, <1.235596, -0.213065, 0.594584>, <2.048532, -0.025126, -0.577596>, <2.384925, -0.811055, 0.000000>
    }
  }
  material {
    Fahne_lila
  }
  scale 0.25
  rotate <83.474014, -8.144618, 43.187504>
  translate  <-7.24, 0.5, 3.7>
}
#declare Heck1 = union {
  object { Ruder1 }
  object { Lampe2 }
  object { Lampe3 }
  object { Platte_mit_loch1 }
  object { Reling60 }
  object { Reling61 }
  object { Reling62 }
  object { Reling63 }
  object { Reling64 }
  object { Reling65 }
  box { // Balkon3
    <-1, -1, -1>, <1, 1, 1>
    material {
      Deckstextur
    }
    scale <0.3, 1.3, 0.05>
    rotate 15.0*y
    translate  <-7.65, 0.0, 0.7>
  }
  box { // Balkon4
    <-1, -1, -1>, <1, 1, 1>
    material {
      Deckstextur
    }
    scale <0.3, 0.8, 0.05>
    rotate <-15.0, 0.0, -90.0>
    translate  <-6.84, 1.0, 0.49>
  }
  box { // Balkon5
    <-1, -1, -1>, <1, 1, 1>
    material {
      Deckstextur
    }
    scale <0.3, 0.8, 0.05>
    rotate <-15.0, 0.0, -90.0>
    translate  <-6.84, -1.0, 0.49>
  }
  object { Reling66 }
  object { Reling67 }
  object { Fahnenstange7 }
  object { Fensterrahmen7 }
  object { Fensterrahmen8 }
  object { Fensterrahmen9 }
  object { Fensterrahmen10 }
  object { Fensterrahmen11 }
  object { Fensterrahmen12 }
  object { Fensterrahmen13 }
  cylinder { // gelaender29
    <0,0,1>, <0,0,0>, 1 
    material {
      DMFDarkOak
    }
    scale <0.05, 0.05, 0.4>
    rotate <90.0, -90.0, 0.0>
    translate  <-7.53, 0.19, 1.47>
  }
  cylinder { // gelaender30
    <0,0,1>, <0,0,0>, 1 
    material {
      DMFDarkOak
    }
    scale <0.05, 0.05, 0.4>
    rotate <0.0, 84.0, 90.0>
    translate  <-7.53, -0.58, 1.43>
  }
  cylinder { // gelaender31
    <0,0,1>, <0,0,0>, 1 
    material {
      DMFDarkOak
    }
    scale <0.05, 0.05, 0.3>
    rotate <-90.0, 90.0, 0.0>
    translate  <-7.53, -0.87, 1.43>
  }
  cylinder { // gelaender32
    <0,0,1>, <0,0,0>, 1 
    material {
      DMFDarkOak
    }
    scale <0.05, 0.05, 0.4>
    rotate <180.0, 84.0, -90.0>
    translate  <-7.53, 0.16, 1.47>
  }
  cylinder { // gelaender33
    <0,0,1>, <0,0,0>, 1 
    material {
      DMFDarkOak
    }
    scale <0.05, 0.05, 0.3>
    rotate <-90.0, 90.0, 0.0>
    translate  <-7.53, 0.55, 1.43>
  }
  object { Flagge3 }
}
#include "zwei pinassen.i64"
#declare Leisten1 = object {
  Leisten1_Raw
  material {
    DMFDarkOak
  }
  rotate 90.0*x
}
#include "zwei pinassen.i65"
#declare Galeonsfigur1 = object {
  Galeonsfigur1_Raw
  material {
    Gold
  }
  rotate 90.0*x
}
#declare Bug1 = union {
  object { Leisten1 }
  object { Galeonsfigur1 }
}
#declare CSG016 = union {
  box { // Cube136
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, 0.09, -0.08>
  }
  box { // Cube137
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.08, 0.05>
    translate  <0.12, 0.0, -0.12>
  }
  box { // Cube138
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, -0.09, -0.08>
  }
}
#declare Bock15 = difference {
  object { CSG016 }
  cylinder { // Cylndr465
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.03, 0.25>
    rotate -90.0*x
    translate  <0.06, -0.13, 0.0>
  }
  box { // Cube139
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.14, 0.0, 0.02>
  }
  box { // Cube140
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.17, 0.0, -0.01>
  }
  box { // Cube141
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.2, 0.0, -0.04>
  }
  box { // Cube142
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.1>
    translate  0.23*x
  }
  material {
    Braun
  }
  scale 1.5
  translate  0.1*x
}
#declare Rohr30 = lathe {
  linear_spline
  23  // control points
  <0.001108, -0.292777>,
  <0.011416, -0.290229>,
  <0.019344, -0.283192>,
  <0.023813, -0.271713>,
  <0.021389, -0.259073>,
  <0.017361, -0.250124>,
  <0.028245, -0.246695>,
  <0.036362, -0.239921>,
  <0.041075, -0.230602>,
  <0.056241, -0.215472>,
  <0.061803, -0.206488>,
  <0.042071, 0.240661>,
  <0.045213, 0.245079>,
  <0.044924, 0.249625>,
  <0.041997, 0.252406>,
  <0.04141, 0.261877>,
  <0.045116, 0.264222>,
  <0.048064, 0.268799>,
  <0.047684, 0.273835>,
  <0.044732, 0.277056>,
  <0.030418, 0.277082>,
  <0.038508, -0.197878>,
  <0.000554, -0.215712>
  rotate <90,0,90>
  rotate -90.0*y
}
#declare Rohr31 = union {
  object { Rohr30 }
  cylinder { // Cylndr466
    <0,0,1>, <0,0,0>, 1 
    scale <0.025, 0.025, 0.16>
    rotate -90.0*x
    translate  <0.06, -0.08, 0.0>
  }
  material {
    Bronze
  }
  scale 1.5
  translate  0.1*x
}
#declare Rahmen15 = difference {
  box { // Cube143
    <-1, -1, -1>, <1, 1, 1>
    scale <0.198, 0.011, 0.165>
    translate  -0.06*y
  }
  box { // Cube144
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 0.015, 0.15>
    translate  -0.06*y
  }
  material {
    DMFDarkOak
  }
  scale <0.833333, 2.0, 0.833333>
  rotate <-9.0, 0.0, -90.0>
  translate  <0.04, 0.0, -0.03>
}
#declare Kanone15 = union {
  object { Bock15 }
  object { Rohr31 }
  object { Rahmen15 }
  box { // Klappe15
    <-1, -1, -1>, <1, 1, 1>
    material {
      Rot
    }
    scale <0.165, 0.01, 0.1375>
    rotate <34.0, -180.0, -270.0>
    translate  <-0.15, 0.0, 0.24>
  }
  scale 1.2
  rotate 90.0*z
  translate  <0.68, -1.74, -0.74>
}
#declare CSG018 = union {
  box { // Cube154
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, 0.09, -0.08>
  }
  box { // Cube155
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.08, 0.05>
    translate  <0.12, 0.0, -0.12>
  }
  box { // Cube156
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, -0.09, -0.08>
  }
}
#declare Bock17 = difference {
  object { CSG018 }
  cylinder { // Cylndr467
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.03, 0.25>
    rotate -90.0*x
    translate  <0.06, -0.13, 0.0>
  }
  box { // Cube157
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.14, 0.0, 0.02>
  }
  box { // Cube158
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.17, 0.0, -0.01>
  }
  box { // Cube159
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.2, 0.0, -0.04>
  }
  box { // Cube160
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.1>
    translate  0.23*x
  }
  material {
    Braun
  }
  scale 1.5
  translate  0.1*x
}
#declare Rohr34 = lathe {
  linear_spline
  23  // control points
  <0.001108, -0.292777>,
  <0.011416, -0.290229>,
  <0.019344, -0.283192>,
  <0.023813, -0.271713>,
  <0.021389, -0.259073>,
  <0.017361, -0.250124>,
  <0.028245, -0.246695>,
  <0.036362, -0.239921>,
  <0.041075, -0.230602>,
  <0.056241, -0.215472>,
  <0.061803, -0.206488>,
  <0.042071, 0.240661>,
  <0.045213, 0.245079>,
  <0.044924, 0.249625>,
  <0.041997, 0.252406>,
  <0.04141, 0.261877>,
  <0.045116, 0.264222>,
  <0.048064, 0.268799>,
  <0.047684, 0.273835>,
  <0.044732, 0.277056>,
  <0.030418, 0.277082>,
  <0.038508, -0.197878>,
  <0.000554, -0.215712>
  rotate <90,0,90>
  rotate -90.0*y
}
#declare Rohr35 = union {
  object { Rohr34 }
  cylinder { // Cylndr468
    <0,0,1>, <0,0,0>, 1 
    scale <0.025, 0.025, 0.16>
    rotate -90.0*x
    translate  <0.06, -0.08, 0.0>
  }
  material {
    Bronze
  }
  scale 1.5
  translate  0.1*x
}
#declare Rahmen17 = difference {
  box { // Cube161
    <-1, -1, -1>, <1, 1, 1>
    scale <0.198, 0.011, 0.165>
    translate  -0.06*y
  }
  box { // Cube162
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 0.015, 0.15>
    translate  -0.06*y
  }
  material {
    DMFDarkOak
  }
  scale <0.833333, 2.0, 0.833333>
  rotate <-9.0, 0.0, -90.0>
  translate  <0.04, 0.0, -0.03>
}
#declare Kanone17 = union {
  object { Bock17 }
  object { Rohr35 }
  object { Rahmen17 }
  box { // Klappe17
    <-1, -1, -1>, <1, 1, 1>
    material {
      Rot
    }
    scale <0.165, 0.01, 0.1375>
    rotate <34.0, -180.0, -270.0>
    translate  <-0.15, 0.0, 0.24>
  }
  scale 1.2
  rotate -90.0*z
  translate  <0.68, 1.72, -0.74>
}
#declare CSG019 = union {
  box { // Cube231
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, 0.09, -0.08>
  }
  box { // Cube232
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.08, 0.05>
    translate  <0.12, 0.0, -0.12>
  }
  box { // Cube233
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, -0.09, -0.08>
  }
}
#declare Bock18 = difference {
  object { CSG019 }
  cylinder { // Cylndr469
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.03, 0.25>
    rotate -90.0*x
    translate  <0.06, -0.13, 0.0>
  }
  box { // Cube234
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.14, 0.0, 0.02>
  }
  box { // Cube235
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.17, 0.0, -0.01>
  }
  box { // Cube236
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.2, 0.0, -0.04>
  }
  box { // Cube237
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.1>
    translate  0.23*x
  }
  material {
    Braun
  }
  scale 1.5
  translate  0.1*x
}
#declare Rohr36 = lathe {
  linear_spline
  23  // control points
  <0.001108, -0.292777>,
  <0.011416, -0.290229>,
  <0.019344, -0.283192>,
  <0.023813, -0.271713>,
  <0.021389, -0.259073>,
  <0.017361, -0.250124>,
  <0.028245, -0.246695>,
  <0.036362, -0.239921>,
  <0.041075, -0.230602>,
  <0.056241, -0.215472>,
  <0.061803, -0.206488>,
  <0.042071, 0.240661>,
  <0.045213, 0.245079>,
  <0.044924, 0.249625>,
  <0.041997, 0.252406>,
  <0.04141, 0.261877>,
  <0.045116, 0.264222>,
  <0.048064, 0.268799>,
  <0.047684, 0.273835>,
  <0.044732, 0.277056>,
  <0.030418, 0.277082>,
  <0.038508, -0.197878>,
  <0.000554, -0.215712>
  rotate <90,0,90>
  rotate -90.0*y
}
#declare Rohr37 = union {
  object { Rohr36 }
  cylinder { // Cylndr470
    <0,0,1>, <0,0,0>, 1 
    scale <0.025, 0.025, 0.16>
    rotate -90.0*x
    translate  <0.06, -0.08, 0.0>
  }
  material {
    Bronze
  }
  scale 1.5
  translate  0.1*x
}
#declare Rahmen18 = difference {
  box { // Cube238
    <-1, -1, -1>, <1, 1, 1>
    scale <0.198, 0.011, 0.165>
    translate  -0.06*y
  }
  box { // Cube239
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 0.015, 0.15>
    translate  -0.06*y
  }
  material {
    DMFDarkOak
  }
  scale <0.833333, 2.0, 0.833333>
  rotate <-9.0, 0.0, -90.0>
  translate  <0.04, 0.0, -0.03>
}
#declare Kanone18 = union {
  object { Bock18 }
  object { Rohr37 }
  object { Rahmen18 }
  box { // Klappe18
    <-1, -1, -1>, <1, 1, 1>
    material {
      Rot
    }
    scale <0.165, 0.01, 0.1375>
    rotate <34.0, -180.0, -270.0>
    translate  <-0.15, 0.0, 0.24>
  }
  scale 1.2
  rotate -90.0*z
  translate  <2.14, 1.7, -0.74>
}
#declare CSG020 = union {
  box { // Cube240
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, 0.09, -0.08>
  }
  box { // Cube241
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.08, 0.05>
    translate  <0.12, 0.0, -0.12>
  }
  box { // Cube242
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, -0.09, -0.08>
  }
}
#declare Bock19 = difference {
  object { CSG020 }
  cylinder { // Cylndr471
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.03, 0.25>
    rotate -90.0*x
    translate  <0.06, -0.13, 0.0>
  }
  box { // Cube243
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.14, 0.0, 0.02>
  }
  box { // Cube244
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.17, 0.0, -0.01>
  }
  box { // Cube245
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.2, 0.0, -0.04>
  }
  box { // Cube246
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.1>
    translate  0.23*x
  }
  material {
    Braun
  }
  scale 1.5
  translate  0.1*x
}
#declare Rohr38 = lathe {
  linear_spline
  23  // control points
  <0.001108, -0.292777>,
  <0.011416, -0.290229>,
  <0.019344, -0.283192>,
  <0.023813, -0.271713>,
  <0.021389, -0.259073>,
  <0.017361, -0.250124>,
  <0.028245, -0.246695>,
  <0.036362, -0.239921>,
  <0.041075, -0.230602>,
  <0.056241, -0.215472>,
  <0.061803, -0.206488>,
  <0.042071, 0.240661>,
  <0.045213, 0.245079>,
  <0.044924, 0.249625>,
  <0.041997, 0.252406>,
  <0.04141, 0.261877>,
  <0.045116, 0.264222>,
  <0.048064, 0.268799>,
  <0.047684, 0.273835>,
  <0.044732, 0.277056>,
  <0.030418, 0.277082>,
  <0.038508, -0.197878>,
  <0.000554, -0.215712>
  rotate <90,0,90>
  rotate -90.0*y
}
#declare Rohr39 = union {
  object { Rohr38 }
  cylinder { // Cylndr472
    <0,0,1>, <0,0,0>, 1 
    scale <0.025, 0.025, 0.16>
    rotate -90.0*x
    translate  <0.06, -0.08, 0.0>
  }
  material {
    Bronze
  }
  scale 1.5
  translate  0.1*x
}
#declare Rahmen19 = difference {
  box { // Cube247
    <-1, -1, -1>, <1, 1, 1>
    scale <0.198, 0.011, 0.165>
    translate  -0.06*y
  }
  box { // Cube248
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 0.015, 0.15>
    translate  -0.06*y
  }
  material {
    DMFDarkOak
  }
  scale <0.833333, 2.0, 0.833333>
  rotate <-9.0, 0.0, -90.0>
  translate  <0.04, 0.0, -0.03>
}
#declare Kanone19 = union {
  object { Bock19 }
  object { Rohr39 }
  object { Rahmen19 }
  box { // Klappe19
    <-1, -1, -1>, <1, 1, 1>
    material {
      Rot
    }
    scale <0.165, 0.01, 0.1375>
    rotate <34.0, -180.0, -270.0>
    translate  <-0.15, 0.0, 0.24>
  }
  scale 1.2
  rotate -90.0*z
  translate  <-0.75, 1.72, -0.7>
}
#declare CSG021 = union {
  box { // Cube249
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, 0.09, -0.08>
  }
  box { // Cube250
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.08, 0.05>
    translate  <0.12, 0.0, -0.12>
  }
  box { // Cube251
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, -0.09, -0.08>
  }
}
#declare Bock20 = difference {
  object { CSG021 }
  cylinder { // Cylndr473
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.03, 0.25>
    rotate -90.0*x
    translate  <0.06, -0.13, 0.0>
  }
  box { // Cube252
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.14, 0.0, 0.02>
  }
  box { // Cube253
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.17, 0.0, -0.01>
  }
  box { // Cube254
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.2, 0.0, -0.04>
  }
  box { // Cube255
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.1>
    translate  0.23*x
  }
  material {
    Braun
  }
  scale 1.5
  translate  0.1*x
}
#declare Rohr40 = lathe {
  linear_spline
  23  // control points
  <0.001108, -0.292777>,
  <0.011416, -0.290229>,
  <0.019344, -0.283192>,
  <0.023813, -0.271713>,
  <0.021389, -0.259073>,
  <0.017361, -0.250124>,
  <0.028245, -0.246695>,
  <0.036362, -0.239921>,
  <0.041075, -0.230602>,
  <0.056241, -0.215472>,
  <0.061803, -0.206488>,
  <0.042071, 0.240661>,
  <0.045213, 0.245079>,
  <0.044924, 0.249625>,
  <0.041997, 0.252406>,
  <0.04141, 0.261877>,
  <0.045116, 0.264222>,
  <0.048064, 0.268799>,
  <0.047684, 0.273835>,
  <0.044732, 0.277056>,
  <0.030418, 0.277082>,
  <0.038508, -0.197878>,
  <0.000554, -0.215712>
  rotate <90,0,90>
  rotate -90.0*y
}
#declare Rohr41 = union {
  object { Rohr40 }
  cylinder { // Cylndr474
    <0,0,1>, <0,0,0>, 1 
    scale <0.025, 0.025, 0.16>
    rotate -90.0*x
    translate  <0.06, -0.08, 0.0>
  }
  material {
    Bronze
  }
  scale 1.5
  translate  0.1*x
}
#declare Rahmen20 = difference {
  box { // Cube256
    <-1, -1, -1>, <1, 1, 1>
    scale <0.198, 0.011, 0.165>
    translate  -0.06*y
  }
  box { // Cube257
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 0.015, 0.15>
    translate  -0.06*y
  }
  material {
    DMFDarkOak
  }
  scale <0.833333, 2.0, 0.833333>
  rotate <-8.949434, -0.726098, -97.967194>
  translate  <0.04, -0.02, -0.03>
}
#declare Kanone20 = union {
  object { Bock20 }
  object { Rohr41 }
  object { Rahmen20 }
  box { // Klappe20
    <-1, -1, -1>, <1, 1, 1>
    material {
      Rot
    }
    scale <0.165, 0.01, 0.1375>
    rotate <-267.210388, -210.518402, -183.48494>
    translate  <-0.22, 0.0, 0.19>
  }
  scale 1.2
  rotate -90.0*z
  translate  <3.51, 1.58, -0.66>
}
#declare CSG022 = union {
  box { // Cube258
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, 0.09, -0.08>
  }
  box { // Cube259
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.08, 0.05>
    translate  <0.12, 0.0, -0.12>
  }
  box { // Cube260
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, -0.09, -0.08>
  }
}
#declare Bock21 = difference {
  object { CSG022 }
  cylinder { // Cylndr475
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.03, 0.25>
    rotate -90.0*x
    translate  <0.06, -0.13, 0.0>
  }
  box { // Cube261
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.14, 0.0, 0.02>
  }
  box { // Cube262
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.17, 0.0, -0.01>
  }
  box { // Cube263
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.2, 0.0, -0.04>
  }
  box { // Cube264
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.1>
    translate  0.23*x
  }
  material {
    Braun
  }
  scale 1.5
  translate  0.1*x
}
#declare Rohr42 = lathe {
  linear_spline
  23  // control points
  <0.001108, -0.292777>,
  <0.011416, -0.290229>,
  <0.019344, -0.283192>,
  <0.023813, -0.271713>,
  <0.021389, -0.259073>,
  <0.017361, -0.250124>,
  <0.028245, -0.246695>,
  <0.036362, -0.239921>,
  <0.041075, -0.230602>,
  <0.056241, -0.215472>,
  <0.061803, -0.206488>,
  <0.042071, 0.240661>,
  <0.045213, 0.245079>,
  <0.044924, 0.249625>,
  <0.041997, 0.252406>,
  <0.04141, 0.261877>,
  <0.045116, 0.264222>,
  <0.048064, 0.268799>,
  <0.047684, 0.273835>,
  <0.044732, 0.277056>,
  <0.030418, 0.277082>,
  <0.038508, -0.197878>,
  <0.000554, -0.215712>
  rotate <90,0,90>
  rotate -90.0*y
}
#declare Rohr43 = union {
  object { Rohr42 }
  cylinder { // Cylndr476
    <0,0,1>, <0,0,0>, 1 
    scale <0.025, 0.025, 0.16>
    rotate -90.0*x
    translate  <0.06, -0.08, 0.0>
  }
  material {
    Bronze
  }
  scale 1.5
  translate  0.1*x
}
#declare Rahmen21 = difference {
  box { // Cube265
    <-1, -1, -1>, <1, 1, 1>
    scale <0.198, 0.011, 0.165>
    translate  -0.06*y
  }
  box { // Cube266
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 0.015, 0.15>
    translate  -0.06*y
  }
  material {
    DMFDarkOak
  }
  scale <0.833333, 2.0, 0.833333>
  rotate <-8.634263, 1.047876, -78.046822>
  translate  <0.06, 0.02, -0.03>
}
#declare Kanone21 = union {
  object { Bock21 }
  object { Rohr43 }
  object { Rahmen21 }
  box { // Klappe21
    <-1, -1, -1>, <1, 1, 1>
    material {
      Rot
    }
    scale <0.165, 0.01, 0.1375>
    rotate <-272.939392, -208.894562, -175.003815>
    translate  <-0.21, -0.01, 0.19>
  }
  scale 1.2
  rotate 90.0*z
  translate  <3.51, -1.62, -0.66>
}
#declare CSG023 = union {
  box { // Cube267
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, 0.09, -0.08>
  }
  box { // Cube268
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.08, 0.05>
    translate  <0.12, 0.0, -0.12>
  }
  box { // Cube269
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, -0.09, -0.08>
  }
}
#declare Bock22 = difference {
  object { CSG023 }
  cylinder { // Cylndr477
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.03, 0.25>
    rotate -90.0*x
    translate  <0.06, -0.13, 0.0>
  }
  box { // Cube270
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.14, 0.0, 0.02>
  }
  box { // Cube271
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.17, 0.0, -0.01>
  }
  box { // Cube272
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.2, 0.0, -0.04>
  }
  box { // Cube273
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.1>
    translate  0.23*x
  }
  material {
    Braun
  }
  scale 1.5
  translate  0.1*x
}
#declare Rohr44 = lathe {
  linear_spline
  23  // control points
  <0.001108, -0.292777>,
  <0.011416, -0.290229>,
  <0.019344, -0.283192>,
  <0.023813, -0.271713>,
  <0.021389, -0.259073>,
  <0.017361, -0.250124>,
  <0.028245, -0.246695>,
  <0.036362, -0.239921>,
  <0.041075, -0.230602>,
  <0.056241, -0.215472>,
  <0.061803, -0.206488>,
  <0.042071, 0.240661>,
  <0.045213, 0.245079>,
  <0.044924, 0.249625>,
  <0.041997, 0.252406>,
  <0.04141, 0.261877>,
  <0.045116, 0.264222>,
  <0.048064, 0.268799>,
  <0.047684, 0.273835>,
  <0.044732, 0.277056>,
  <0.030418, 0.277082>,
  <0.038508, -0.197878>,
  <0.000554, -0.215712>
  rotate <90,0,90>
  rotate -90.0*y
}
#declare Rohr45 = union {
  object { Rohr44 }
  cylinder { // Cylndr478
    <0,0,1>, <0,0,0>, 1 
    scale <0.025, 0.025, 0.16>
    rotate -90.0*x
    translate  <0.06, -0.08, 0.0>
  }
  material {
    Bronze
  }
  scale 1.5
  translate  0.1*x
}
#declare Rahmen22 = difference {
  box { // Cube274
    <-1, -1, -1>, <1, 1, 1>
    scale <0.198, 0.011, 0.165>
    translate  -0.06*y
  }
  box { // Cube275
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 0.015, 0.15>
    translate  -0.06*y
  }
  material {
    DMFDarkOak
  }
  scale <0.833333, 2.0, 0.833333>
  rotate <-9.0, 0.0, -90.0>
  translate  <0.04, 0.0, -0.03>
}
#declare Kanone22 = union {
  object { Bock22 }
  object { Rohr45 }
  object { Rahmen22 }
  box { // Klappe22
    <-1, -1, -1>, <1, 1, 1>
    material {
      Rot
    }
    scale <0.165, 0.01, 0.1375>
    rotate <34.0, -180.0, -270.0>
    translate  <-0.15, 0.0, 0.24>
  }
  scale 1.2
  rotate 90.0*z
  translate  <2.12, -1.68, -0.74>
}
#declare CSG024 = union {
  box { // Cube276
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, 0.09, -0.08>
  }
  box { // Cube277
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.08, 0.05>
    translate  <0.12, 0.0, -0.12>
  }
  box { // Cube278
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, -0.09, -0.08>
  }
}
#declare Bock23 = difference {
  object { CSG024 }
  cylinder { // Cylndr479
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.03, 0.25>
    rotate -90.0*x
    translate  <0.06, -0.13, 0.0>
  }
  box { // Cube279
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.14, 0.0, 0.02>
  }
  box { // Cube280
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.17, 0.0, -0.01>
  }
  box { // Cube281
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.2, 0.0, -0.04>
  }
  box { // Cube282
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.1>
    translate  0.23*x
  }
  material {
    Braun
  }
  scale 1.5
  translate  0.1*x
}
#declare Rohr46 = lathe {
  linear_spline
  23  // control points
  <0.001108, -0.292777>,
  <0.011416, -0.290229>,
  <0.019344, -0.283192>,
  <0.023813, -0.271713>,
  <0.021389, -0.259073>,
  <0.017361, -0.250124>,
  <0.028245, -0.246695>,
  <0.036362, -0.239921>,
  <0.041075, -0.230602>,
  <0.056241, -0.215472>,
  <0.061803, -0.206488>,
  <0.042071, 0.240661>,
  <0.045213, 0.245079>,
  <0.044924, 0.249625>,
  <0.041997, 0.252406>,
  <0.04141, 0.261877>,
  <0.045116, 0.264222>,
  <0.048064, 0.268799>,
  <0.047684, 0.273835>,
  <0.044732, 0.277056>,
  <0.030418, 0.277082>,
  <0.038508, -0.197878>,
  <0.000554, -0.215712>
  rotate <90,0,90>
  rotate -90.0*y
}
#declare Rohr47 = union {
  object { Rohr46 }
  cylinder { // Cylndr480
    <0,0,1>, <0,0,0>, 1 
    scale <0.025, 0.025, 0.16>
    rotate -90.0*x
    translate  <0.06, -0.08, 0.0>
  }
  material {
    Bronze
  }
  scale 1.5
  translate  0.1*x
}
#declare Rahmen23 = difference {
  box { // Cube283
    <-1, -1, -1>, <1, 1, 1>
    scale <0.198, 0.011, 0.165>
    translate  -0.06*y
  }
  box { // Cube284
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 0.015, 0.15>
    translate  -0.06*y
  }
  material {
    DMFDarkOak
  }
  scale <0.833333, 2.0, 0.833333>
  rotate <-9.0, 0.0, -90.0>
  translate  <0.04, 0.0, -0.03>
}
#declare Kanone23 = union {
  object { Bock23 }
  object { Rohr47 }
  object { Rahmen23 }
  box { // Klappe23
    <-1, -1, -1>, <1, 1, 1>
    material {
      Rot
    }
    scale <0.165, 0.01, 0.1375>
    rotate <34.0, -180.0, -270.0>
    translate  <-0.15, 0.0, 0.24>
  }
  scale 1.2
  rotate 90.0*z
  translate  <-0.75, -1.73, -0.7>
}
#declare CSG025 = union {
  box { // Cube285
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, 0.09, -0.08>
  }
  box { // Cube286
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.08, 0.05>
    translate  <0.12, 0.0, -0.12>
  }
  box { // Cube287
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, -0.09, -0.08>
  }
}
#declare Bock24 = difference {
  object { CSG025 }
  cylinder { // Cylndr481
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.03, 0.25>
    rotate -90.0*x
    translate  <0.06, -0.13, 0.0>
  }
  box { // Cube288
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.14, 0.0, 0.02>
  }
  box { // Cube289
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.17, 0.0, -0.01>
  }
  box { // Cube290
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.2, 0.0, -0.04>
  }
  box { // Cube291
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.1>
    translate  0.23*x
  }
  material {
    Braun
  }
  scale 1.5
  translate  0.1*x
}
#declare Rohr48 = lathe {
  linear_spline
  23  // control points
  <0.001108, -0.292777>,
  <0.011416, -0.290229>,
  <0.019344, -0.283192>,
  <0.023813, -0.271713>,
  <0.021389, -0.259073>,
  <0.017361, -0.250124>,
  <0.028245, -0.246695>,
  <0.036362, -0.239921>,
  <0.041075, -0.230602>,
  <0.056241, -0.215472>,
  <0.061803, -0.206488>,
  <0.042071, 0.240661>,
  <0.045213, 0.245079>,
  <0.044924, 0.249625>,
  <0.041997, 0.252406>,
  <0.04141, 0.261877>,
  <0.045116, 0.264222>,
  <0.048064, 0.268799>,
  <0.047684, 0.273835>,
  <0.044732, 0.277056>,
  <0.030418, 0.277082>,
  <0.038508, -0.197878>,
  <0.000554, -0.215712>
  rotate <90,0,90>
  rotate -90.0*y
}
#declare Rohr49 = union {
  object { Rohr48 }
  cylinder { // Cylndr482
    <0,0,1>, <0,0,0>, 1 
    scale <0.025, 0.025, 0.16>
    rotate -90.0*x
    translate  <0.06, -0.08, 0.0>
  }
  material {
    Bronze
  }
  scale 1.5
  translate  0.1*x
}
#declare Rahmen24 = difference {
  box { // Cube292
    <-1, -1, -1>, <1, 1, 1>
    scale <0.198, 0.011, 0.165>
    translate  -0.06*y
  }
  box { // Cube293
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 0.015, 0.15>
    translate  -0.06*y
  }
  material {
    DMFDarkOak
  }
  scale <0.833333, 2.0, 0.833333>
  rotate <-13.0, 0.0, -90.0>
  translate  <0.04, 0.0, -0.04>
}
#declare Kanone24 = union {
  object { Bock24 }
  object { Rohr49 }
  object { Rahmen24 }
  box { // Klappe24
    <-1, -1, -1>, <1, 1, 1>
    material {
      Rot
    }
    scale <0.165, 0.01, 0.1375>
    rotate <34.0, -180.0, -270.0>
    translate  <-0.14, 0.0, 0.23>
  }
  scale 1.2
  rotate 90.0*z
  translate  <-2.22, -1.63, -0.59>
}
#declare CSG026 = union {
  box { // Cube294
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, 0.09, -0.08>
  }
  box { // Cube295
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.08, 0.05>
    translate  <0.12, 0.0, -0.12>
  }
  box { // Cube296
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, -0.09, -0.08>
  }
}
#declare Bock25 = difference {
  object { CSG026 }
  cylinder { // Cylndr483
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.03, 0.25>
    rotate -90.0*x
    translate  <0.06, -0.13, 0.0>
  }
  box { // Cube297
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.14, 0.0, 0.02>
  }
  box { // Cube298
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.17, 0.0, -0.01>
  }
  box { // Cube299
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.2, 0.0, -0.04>
  }
  box { // Cube300
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.1>
    translate  0.23*x
  }
  material {
    Braun
  }
  scale 1.5
  translate  0.1*x
}
#declare Rohr50 = lathe {
  linear_spline
  23  // control points
  <0.001108, -0.292777>,
  <0.011416, -0.290229>,
  <0.019344, -0.283192>,
  <0.023813, -0.271713>,
  <0.021389, -0.259073>,
  <0.017361, -0.250124>,
  <0.028245, -0.246695>,
  <0.036362, -0.239921>,
  <0.041075, -0.230602>,
  <0.056241, -0.215472>,
  <0.061803, -0.206488>,
  <0.042071, 0.240661>,
  <0.045213, 0.245079>,
  <0.044924, 0.249625>,
  <0.041997, 0.252406>,
  <0.04141, 0.261877>,
  <0.045116, 0.264222>,
  <0.048064, 0.268799>,
  <0.047684, 0.273835>,
  <0.044732, 0.277056>,
  <0.030418, 0.277082>,
  <0.038508, -0.197878>,
  <0.000554, -0.215712>
  rotate <90,0,90>
  rotate -90.0*y
}
#declare Rohr51 = union {
  object { Rohr50 }
  cylinder { // Cylndr484
    <0,0,1>, <0,0,0>, 1 
    scale <0.025, 0.025, 0.16>
    rotate -90.0*x
    translate  <0.06, -0.08, 0.0>
  }
  material {
    Bronze
  }
  scale 1.5
  translate  0.1*x
}
#declare Rahmen25 = difference {
  box { // Cube301
    <-1, -1, -1>, <1, 1, 1>
    scale <0.198, 0.011, 0.165>
    translate  -0.06*y
  }
  box { // Cube302
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 0.015, 0.15>
    translate  -0.06*y
  }
  material {
    DMFDarkOak
  }
  scale <0.833333, 2.0, 0.833333>
  rotate <-11.978223, -0.565064, -94.976486>
  translate  <0.05, -0.01, -0.04>
}
#declare Kanone25 = union {
  object { Bock25 }
  object { Rohr51 }
  object { Rahmen25 }
  box { // Klappe25
    <-1, -1, -1>, <1, 1, 1>
    material {
      Rot
    }
    scale <0.165, 0.01, 0.1375>
    rotate <34.014793, -181.310379, -270.115417>
    translate  <-0.15, 0.0, 0.24>
  }
  scale 1.2
  rotate 90.0*z
  translate  <-3.73, -1.49, -0.54>
}
#declare CSG027 = union {
  box { // Cube303
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, 0.09, -0.08>
  }
  box { // Cube304
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.08, 0.05>
    translate  <0.12, 0.0, -0.12>
  }
  box { // Cube305
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, -0.09, -0.08>
  }
}
#declare Bock26 = difference {
  object { CSG027 }
  cylinder { // Cylndr485
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.03, 0.25>
    rotate -90.0*x
    translate  <0.06, -0.13, 0.0>
  }
  box { // Cube306
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.14, 0.0, 0.02>
  }
  box { // Cube307
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.17, 0.0, -0.01>
  }
  box { // Cube308
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.2, 0.0, -0.04>
  }
  box { // Cube309
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.1>
    translate  0.23*x
  }
  material {
    Braun
  }
  scale 1.5
  translate  0.1*x
}
#declare Rohr52 = lathe {
  linear_spline
  23  // control points
  <0.001108, -0.292777>,
  <0.011416, -0.290229>,
  <0.019344, -0.283192>,
  <0.023813, -0.271713>,
  <0.021389, -0.259073>,
  <0.017361, -0.250124>,
  <0.028245, -0.246695>,
  <0.036362, -0.239921>,
  <0.041075, -0.230602>,
  <0.056241, -0.215472>,
  <0.061803, -0.206488>,
  <0.042071, 0.240661>,
  <0.045213, 0.245079>,
  <0.044924, 0.249625>,
  <0.041997, 0.252406>,
  <0.04141, 0.261877>,
  <0.045116, 0.264222>,
  <0.048064, 0.268799>,
  <0.047684, 0.273835>,
  <0.044732, 0.277056>,
  <0.030418, 0.277082>,
  <0.038508, -0.197878>,
  <0.000554, -0.215712>
  rotate <90,0,90>
  rotate -90.0*y
}
#declare Rohr53 = union {
  object { Rohr52 }
  cylinder { // Cylndr486
    <0,0,1>, <0,0,0>, 1 
    scale <0.025, 0.025, 0.16>
    rotate -90.0*x
    translate  <0.06, -0.08, 0.0>
  }
  material {
    Bronze
  }
  scale 1.5
  translate  0.1*x
}
#declare Rahmen26 = difference {
  box { // Cube310
    <-1, -1, -1>, <1, 1, 1>
    scale <0.198, 0.011, 0.165>
    translate  -0.06*y
  }
  box { // Cube311
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 0.015, 0.15>
    translate  -0.06*y
  }
  material {
    DMFDarkOak
  }
  scale <0.833333, 2.0, 0.833333>
  rotate <-8.987344, -0.363928, -93.983444>
  translate  <0.04, 0.0, -0.03>
}
#declare Kanone26 = union {
  object { Bock26 }
  object { Rohr53 }
  object { Rahmen26 }
  box { // Klappe26
    <-1, -1, -1>, <1, 1, 1>
    material {
      Rot
    }
    scale <0.165, 0.01, 0.1375>
    rotate <34.0, -180.0, -270.0>
    translate  <-0.15, 0.0, 0.24>
  }
  scale 1.2
  rotate 90.0*z
  translate  <-5.16, -1.4, -0.44>
}
#declare CSG028 = union {
  box { // Cube312
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, 0.09, -0.08>
  }
  box { // Cube313
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.08, 0.05>
    translate  <0.12, 0.0, -0.12>
  }
  box { // Cube314
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, -0.09, -0.08>
  }
}
#declare Bock27 = difference {
  object { CSG028 }
  cylinder { // Cylndr487
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.03, 0.25>
    rotate -90.0*x
    translate  <0.06, -0.13, 0.0>
  }
  box { // Cube315
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.14, 0.0, 0.02>
  }
  box { // Cube316
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.17, 0.0, -0.01>
  }
  box { // Cube317
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.2, 0.0, -0.04>
  }
  box { // Cube318
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.1>
    translate  0.23*x
  }
  material {
    Braun
  }
  scale 1.5
  translate  0.1*x
}
#declare Rohr54 = lathe {
  linear_spline
  23  // control points
  <0.001108, -0.292777>,
  <0.011416, -0.290229>,
  <0.019344, -0.283192>,
  <0.023813, -0.271713>,
  <0.021389, -0.259073>,
  <0.017361, -0.250124>,
  <0.028245, -0.246695>,
  <0.036362, -0.239921>,
  <0.041075, -0.230602>,
  <0.056241, -0.215472>,
  <0.061803, -0.206488>,
  <0.042071, 0.240661>,
  <0.045213, 0.245079>,
  <0.044924, 0.249625>,
  <0.041997, 0.252406>,
  <0.04141, 0.261877>,
  <0.045116, 0.264222>,
  <0.048064, 0.268799>,
  <0.047684, 0.273835>,
  <0.044732, 0.277056>,
  <0.030418, 0.277082>,
  <0.038508, -0.197878>,
  <0.000554, -0.215712>
  rotate <90,0,90>
  rotate -90.0*y
}
#declare Rohr55 = union {
  object { Rohr54 }
  cylinder { // Cylndr488
    <0,0,1>, <0,0,0>, 1 
    scale <0.025, 0.025, 0.16>
    rotate -90.0*x
    translate  <0.06, -0.08, 0.0>
  }
  material {
    Bronze
  }
  scale 1.5
  translate  0.1*x
}
#declare Rahmen27 = difference {
  box { // Cube319
    <-1, -1, -1>, <1, 1, 1>
    scale <0.198, 0.011, 0.165>
    translate  -0.06*y
  }
  box { // Cube320
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 0.015, 0.15>
    translate  -0.06*y
  }
  material {
    DMFDarkOak
  }
  scale <0.833333, 2.0, 0.833333>
  rotate <-13.0, 0.0, -90.0>
  translate  <0.04, 0.0, -0.04>
}
#declare Kanone27 = union {
  object { Bock27 }
  object { Rohr55 }
  object { Rahmen27 }
  box { // Klappe27
    <-1, -1, -1>, <1, 1, 1>
    material {
      Rot
    }
    scale <0.165, 0.01, 0.1375>
    rotate <34.0, -180.0, -270.0>
    translate  <-0.14, 0.0, 0.23>
  }
  scale 1.2
  rotate -90.0*z
  translate  <-2.22, 1.63, -0.59>
}
#declare CSG029 = union {
  box { // Cube321
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, 0.09, -0.08>
  }
  box { // Cube322
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.08, 0.05>
    translate  <0.12, 0.0, -0.12>
  }
  box { // Cube323
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, -0.09, -0.08>
  }
}
#declare Bock28 = difference {
  object { CSG029 }
  cylinder { // Cylndr489
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.03, 0.25>
    rotate -90.0*x
    translate  <0.06, -0.13, 0.0>
  }
  box { // Cube324
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.14, 0.0, 0.02>
  }
  box { // Cube325
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.17, 0.0, -0.01>
  }
  box { // Cube326
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.2, 0.0, -0.04>
  }
  box { // Cube327
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.1>
    translate  0.23*x
  }
  material {
    Braun
  }
  scale 1.5
  translate  0.1*x
}
#declare Rohr56 = lathe {
  linear_spline
  23  // control points
  <0.001108, -0.292777>,
  <0.011416, -0.290229>,
  <0.019344, -0.283192>,
  <0.023813, -0.271713>,
  <0.021389, -0.259073>,
  <0.017361, -0.250124>,
  <0.028245, -0.246695>,
  <0.036362, -0.239921>,
  <0.041075, -0.230602>,
  <0.056241, -0.215472>,
  <0.061803, -0.206488>,
  <0.042071, 0.240661>,
  <0.045213, 0.245079>,
  <0.044924, 0.249625>,
  <0.041997, 0.252406>,
  <0.04141, 0.261877>,
  <0.045116, 0.264222>,
  <0.048064, 0.268799>,
  <0.047684, 0.273835>,
  <0.044732, 0.277056>,
  <0.030418, 0.277082>,
  <0.038508, -0.197878>,
  <0.000554, -0.215712>
  rotate <90,0,90>
  rotate -90.0*y
}
#declare Rohr57 = union {
  object { Rohr56 }
  cylinder { // Cylndr490
    <0,0,1>, <0,0,0>, 1 
    scale <0.025, 0.025, 0.16>
    rotate -90.0*x
    translate  <0.06, -0.08, 0.0>
  }
  material {
    Bronze
  }
  scale 1.5
  translate  0.1*x
}
#declare Rahmen28 = difference {
  box { // Cube328
    <-1, -1, -1>, <1, 1, 1>
    scale <0.198, 0.011, 0.165>
    translate  -0.06*y
  }
  box { // Cube329
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 0.015, 0.15>
    translate  -0.06*y
  }
  material {
    DMFDarkOak
  }
  scale <0.833333, 2.0, 0.833333>
  rotate <-11.891516, 0.515664, -86.041939>
  translate  <0.04, 0.01, -0.04>
}
#declare Kanone28 = union {
  object { Bock28 }
  object { Rohr57 }
  object { Rahmen28 }
  box { // Klappe28
    <-1, -1, -1>, <1, 1, 1>
    material {
      Rot
    }
    scale <0.165, 0.01, 0.1375>
    rotate <34.014793, -181.310379, -270.115417>
    translate  <-0.15, 0.0, 0.24>
  }
  scale 1.2
  rotate -90.0*z
  translate  <-3.73, 1.54, -0.54>
}
#declare CSG030 = union {
  box { // Cube330
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, 0.09, -0.08>
  }
  box { // Cube331
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.08, 0.05>
    translate  <0.12, 0.0, -0.12>
  }
  box { // Cube332
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, -0.09, -0.08>
  }
}
#declare Bock29 = difference {
  object { CSG030 }
  cylinder { // Cylndr491
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.03, 0.25>
    rotate -90.0*x
    translate  <0.06, -0.13, 0.0>
  }
  box { // Cube333
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.14, 0.0, 0.02>
  }
  box { // Cube334
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.17, 0.0, -0.01>
  }
  box { // Cube335
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.2, 0.0, -0.04>
  }
  box { // Cube336
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.1>
    translate  0.23*x
  }
  material {
    Braun
  }
  scale 1.5
  translate  0.1*x
}
#declare Rohr58 = lathe {
  linear_spline
  23  // control points
  <0.001108, -0.292777>,
  <0.011416, -0.290229>,
  <0.019344, -0.283192>,
  <0.023813, -0.271713>,
  <0.021389, -0.259073>,
  <0.017361, -0.250124>,
  <0.028245, -0.246695>,
  <0.036362, -0.239921>,
  <0.041075, -0.230602>,
  <0.056241, -0.215472>,
  <0.061803, -0.206488>,
  <0.042071, 0.240661>,
  <0.045213, 0.245079>,
  <0.044924, 0.249625>,
  <0.041997, 0.252406>,
  <0.04141, 0.261877>,
  <0.045116, 0.264222>,
  <0.048064, 0.268799>,
  <0.047684, 0.273835>,
  <0.044732, 0.277056>,
  <0.030418, 0.277082>,
  <0.038508, -0.197878>,
  <0.000554, -0.215712>
  rotate <90,0,90>
  rotate -90.0*y
}
#declare Rohr59 = union {
  object { Rohr58 }
  cylinder { // Cylndr492
    <0,0,1>, <0,0,0>, 1 
    scale <0.025, 0.025, 0.16>
    rotate -90.0*x
    translate  <0.06, -0.08, 0.0>
  }
  material {
    Bronze
  }
  scale 1.5
  translate  0.1*x
}
#declare Rahmen29 = difference {
  box { // Cube337
    <-1, -1, -1>, <1, 1, 1>
    scale <0.198, 0.011, 0.165>
    translate  -0.06*y
  }
  box { // Cube338
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 0.015, 0.15>
    translate  -0.06*y
  }
  material {
    DMFDarkOak
  }
  scale <0.833333, 2.0, 0.833333>
  rotate <-8.961271, 0.635816, -83.028793>
  translate  <0.04, 0.01, -0.03>
}
#declare Kanone29 = union {
  object { Bock29 }
  object { Rohr59 }
  object { Rahmen29 }
  box { // Klappe29
    <-1, -1, -1>, <1, 1, 1>
    material {
      Rot
    }
    scale <0.165, 0.01, 0.1375>
    rotate <34.0, -180.0, -270.0>
    translate  <-0.15, 0.0, 0.24>
  }
  scale 1.2
  rotate -90.0*z
  translate  <-5.17, 1.41, -0.44>
}
#declare CSG031 = union {
  box { // Cube339
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, 0.09, -0.08>
  }
  box { // Cube340
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.08, 0.05>
    translate  <0.12, 0.0, -0.12>
  }
  box { // Cube341
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, -0.09, -0.08>
  }
}
#declare Bock30 = difference {
  object { CSG031 }
  cylinder { // Cylndr493
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.03, 0.25>
    rotate -90.0*x
    translate  <0.06, -0.13, 0.0>
  }
  box { // Cube342
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.14, 0.0, 0.02>
  }
  box { // Cube343
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.17, 0.0, -0.01>
  }
  box { // Cube344
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.2, 0.0, -0.04>
  }
  box { // Cube345
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.1>
    translate  0.23*x
  }
  material {
    Braun
  }
  scale 1.5
  translate  0.1*x
}
#declare Rohr60 = lathe {
  linear_spline
  23  // control points
  <0.001108, -0.292777>,
  <0.011416, -0.290229>,
  <0.019344, -0.283192>,
  <0.023813, -0.271713>,
  <0.021389, -0.259073>,
  <0.017361, -0.250124>,
  <0.028245, -0.246695>,
  <0.036362, -0.239921>,
  <0.041075, -0.230602>,
  <0.056241, -0.215472>,
  <0.061803, -0.206488>,
  <0.042071, 0.240661>,
  <0.045213, 0.245079>,
  <0.044924, 0.249625>,
  <0.041997, 0.252406>,
  <0.04141, 0.261877>,
  <0.045116, 0.264222>,
  <0.048064, 0.268799>,
  <0.047684, 0.273835>,
  <0.044732, 0.277056>,
  <0.030418, 0.277082>,
  <0.038508, -0.197878>,
  <0.000554, -0.215712>
  rotate <90,0,90>
  rotate -90.0*y
}
#declare Rohr61 = union {
  object { Rohr60 }
  cylinder { // Cylndr494
    <0,0,1>, <0,0,0>, 1 
    scale <0.025, 0.025, 0.16>
    rotate -90.0*x
    translate  <0.06, -0.08, 0.0>
  }
  material {
    Bronze
  }
  scale 1.5
  translate  0.1*x
}
#declare Rahmen30 = difference {
  box { // Cube346
    <-1, -1, -1>, <1, 1, 1>
    scale <0.198, 0.011, 0.165>
    translate  -0.06*y
  }
  box { // Cube347
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 0.015, 0.15>
    translate  -0.06*y
  }
  material {
    DMFDarkOak
  }
  scale <0.833333, 2.0, 0.833333>
  rotate <-8.961271, 0.635816, -83.028793>
  translate  <0.04, 0.01, -0.03>
}
#declare Kanone30 = union {
  object { Bock30 }
  object { Rohr61 }
  object { Rahmen30 }
  box { // Klappe30
    <-1, -1, -1>, <1, 1, 1>
    material {
      Rot
    }
    scale <0.165, 0.01, 0.1375>
    rotate <34.0, -180.0, -270.0>
    translate  <-0.15, 0.0, 0.24>
  }
  scale 1.2
  rotate -90.0*z
  translate  <-5.87, 1.21, 0.49>
}
#declare CSG032 = union {
  box { // Cube348
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, 0.09, -0.08>
  }
  box { // Cube349
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.08, 0.05>
    translate  <0.12, 0.0, -0.12>
  }
  box { // Cube350
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.01, 0.09>
    translate  <0.12, -0.09, -0.08>
  }
}
#declare Bock31 = difference {
  object { CSG032 }
  cylinder { // Cylndr495
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.03, 0.25>
    rotate -90.0*x
    translate  <0.06, -0.13, 0.0>
  }
  box { // Cube351
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.14, 0.0, 0.02>
  }
  box { // Cube352
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.17, 0.0, -0.01>
  }
  box { // Cube353
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.03>
    translate  <0.2, 0.0, -0.04>
  }
  box { // Cube354
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.13, 0.1>
    translate  0.23*x
  }
  material {
    Braun
  }
  scale 1.5
  translate  0.1*x
}
#declare Rohr62 = lathe {
  linear_spline
  23  // control points
  <0.001108, -0.292777>,
  <0.011416, -0.290229>,
  <0.019344, -0.283192>,
  <0.023813, -0.271713>,
  <0.021389, -0.259073>,
  <0.017361, -0.250124>,
  <0.028245, -0.246695>,
  <0.036362, -0.239921>,
  <0.041075, -0.230602>,
  <0.056241, -0.215472>,
  <0.061803, -0.206488>,
  <0.042071, 0.240661>,
  <0.045213, 0.245079>,
  <0.044924, 0.249625>,
  <0.041997, 0.252406>,
  <0.04141, 0.261877>,
  <0.045116, 0.264222>,
  <0.048064, 0.268799>,
  <0.047684, 0.273835>,
  <0.044732, 0.277056>,
  <0.030418, 0.277082>,
  <0.038508, -0.197878>,
  <0.000554, -0.215712>
  rotate <90,0,90>
  rotate -90.0*y
}
#declare Rohr63 = union {
  object { Rohr62 }
  cylinder { // Cylndr496
    <0,0,1>, <0,0,0>, 1 
    scale <0.025, 0.025, 0.16>
    rotate -90.0*x
    translate  <0.06, -0.08, 0.0>
  }
  material {
    Bronze
  }
  scale 1.5
  translate  0.1*x
}
#declare Rahmen31 = difference {
  box { // Cube355
    <-1, -1, -1>, <1, 1, 1>
    scale <0.198, 0.011, 0.165>
    translate  -0.06*y
  }
  box { // Cube356
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 0.015, 0.15>
    translate  -0.06*y
  }
  material {
    DMFDarkOak
  }
  scale <0.833333, 2.0, 0.833333>
  rotate <-8.987344, -0.363928, -93.983444>
  translate  <0.04, 0.0, -0.03>
}
#declare Kanone31 = union {
  object { Bock31 }
  object { Rohr63 }
  object { Rahmen31 }
  box { // Klappe31
    <-1, -1, -1>, <1, 1, 1>
    material {
      Rot
    }
    scale <0.165, 0.01, 0.1375>
    rotate <34.0, -180.0, -270.0>
    translate  <-0.15, 0.0, 0.24>
  }
  scale 1.2
  rotate 90.0*z
  translate  <-5.87, -1.18, 0.47>
}
#declare Kanonen1 = union {
  object { Kanone15 }
  object { Kanone17 }
  object { Kanone18 }
  object { Kanone19 }
  object { Kanone20 }
  object { Kanone21 }
  object { Kanone22 }
  object { Kanone23 }
  object { Kanone24 }
  object { Kanone25 }
  object { Kanone26 }
  object { Kanone27 }
  object { Kanone28 }
  object { Kanone29 }
  object { Kanone30 }
  object { Kanone31 }
}
#declare Seil_bogen18_Ref = object {
  NONAME
  scale <1.0, 1.0, 0.7>
  rotate <0.821121, -75.161179, 155.294983>
  translate  <5.6, -3.66, 0.81>
}
#declare Seil_bogen19_Ref = object {
  NONAME
  scale <1.0, 1.0, 0.45>
  rotate <-24.150391, -71.196129, -119.449661>
  translate  <3.82, 3.43, 0.8>
}
#declare Seil_bogen20_Ref = object {
  NONAME
  scale <1.0, 1.0, 0.65>
  rotate <-165.744705, -48.178223, 81.318207>
  translate  <3.82, 3.43, 0.8>
}
#declare Seil_bogen21_Ref = object {
  NONAME
  scale <1.0, 1.0, 0.75>
  rotate <8.760311, -145.318069, -95.505058>
  translate  <4.11, 3.03, 4.22>
}
#declare Seil_bogen22_Ref = object {
  NONAME
  scale <1.0, 1.0, 0.8>
  rotate <-0.129119, -143.385345, -250.958603>
  translate  <5.79, -3.17, 4.22>
}
#declare Seil_bogen23_Ref = object {
  NONAME
  scale <1.0, 1.0, 0.6>
  rotate <-0.071136, -60.674911, 167.202728>
  translate  <8.56, -1.89, 2.17>
}
#declare Seil_bogen24_Ref = object {
  NONAME
  scale <1.0, 1.0, 0.6>
  rotate <-13.735123, -58.824776, -151.827515>
  translate  <8.58, 1.88, 2.14>
}
#declare Seil_bogen25_Ref = object {
  NONAME
  scale <1.0, 1.0, 0.68>
  rotate <-165.914688, -50.898117, -91.099602>
  translate  <5.78, -3.65, 0.81>
}
#declare Seil_bogen26_Ref = object {
  NONAME
  scale <1.0, 1.0, 0.9>
  rotate <-173.768753, -33.862106, 86.028244>
  translate  <-1.41, 3.61, 5.33>
}
#declare Seil_bogen27_Ref = object {
  NONAME
  scale <1.0, 1.0, 0.94>
  rotate <-167.774704, -35.008087, -89.598778>
  translate  <0.46, -3.75, 5.37>
}
#declare Seil_bogen28_Ref = object {
  NONAME
  scale <1.0, 1.0, 0.64>
  rotate <-164.235809, -34.765457, -92.341179>
  translate  <-3.3, -2.51, 4.0>
}
#declare Seil_bogen29_Ref = object {
  NONAME
  scale <1.0, 1.0, 0.6>
  rotate <171.646423, -31.298843, 110.051567>
  translate  <-4.67, 2.28, 3.92>
}
#declare Seil_bogen30_Ref = object {
  NONAME
  scale <1.0, 1.0, 0.5>
  rotate <-15.970139, -55.54747, -128.531433>
  translate  <-4.9, 2.48, 3.48>
}
#declare Seil_bogen31_Ref = object {
  NONAME
  scale <1.0, 1.0, 0.67>
  rotate <15.974503, -63.652626, 135.916122>
  translate  <-3.54, -2.79, 3.48>
}
#declare Seil_bogen32_Ref = object {
  NONAME
  scale <1.0, 1.0, 0.97>
  rotate <-13.389877, -47.780228, 166.297882>
  translate  <0.17, -4.02, 4.99>
}
#declare Seil_bogen33_Ref = object {
  NONAME
  scale <1.0, 1.0, 0.8>
  rotate <-12.100418, -36.633453, -119.142227>
  translate  <-1.86, 3.56, 4.99>
}
#declare Seil_bogen34_Ref = object {
  NONAME
  scale <1.0, 1.0, 0.6>
  rotate <73.923393, -69.912758, 111.43338>
  translate  <-3.22, -0.39, 2.04>
}
#declare Seil_bogen35_Ref = object {
  NONAME
  scale <1.0, 1.0, 0.66>
  rotate <11.442429, -26.595215, -157.219238>
  translate  <-5.91, 0.75, 5.78>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i30"
#declare Seil_gerade1 = object {
  Seil_gerade1_Raw
  scale <1.0, 1.0, 3.7>
  rotate -39.0*y
  translate  <4.7, 0.0, 8.73>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i30" "zwei pinassen.i86"
#declare Seil_gerade2 = object {
  Seil_gerade2_Raw
  scale <1.0, 1.0, 3.9>
  rotate -40.0*y
  translate  <-0.85, 0.0, 10.64>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i30" "zwei pinassen.i87"
#declare Seil_gerade3 = object {
  Seil_gerade3_Raw
  scale <1.0, 1.0, 3.7>
  rotate -45.0*y
  translate  <-0.81, 0.0, 5.6>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i30" "zwei pinassen.i88"
#declare Seil_gerade4 = object {
  Seil_gerade4_Raw
  scale <1.0, 1.0, 2.0>
  rotate -56.0*y
  translate  <-4.41, 0.0, 7.44>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i30" "zwei pinassen.i89"
#declare Seil_gerade5 = object {
  Seil_gerade5_Raw
  scale <1.0, 1.0, 3.3>
  rotate <184.929001, -207.428604, 174.619003>
  translate  <-4.41, 0.0, 7.44>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i30" "zwei pinassen.i90"
#declare Seil_gerade6 = object {
  Seil_gerade6_Raw
  scale <1.0, 1.0, 3.3>
  rotate <174.263077, -207.044174, 184.982574>
  translate  <-4.41, 0.0, 7.44>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i30" "zwei pinassen.i91"
#declare Seil_gerade8 = object {
  Seil_gerade8_Raw
  scale <1.0, 1.0, 1.151>
  rotate <9.280097, 44.782101, -13.42335>
  translate  <-4.41, 0.0, 7.44>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i30" "zwei pinassen.i92"
#declare Seil_gerade7 = object {
  Seil_gerade7_Raw
  scale <1.0, 1.0, 2.3>
  rotate -45.0*y
  translate  <-4.37, 0.0, 4.08>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i30" "zwei pinassen.i93"
#declare Seil_gerade9 = object {
  Seil_gerade9_Raw
  scale <1.0, 1.0, 3.0>
  rotate <6.880833, -14.007673, -46.165688>
  translate  <-4.41, 0.0, 7.44>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i30" "zwei pinassen.i94"
#declare Seil_gerade10 = object {
  Seil_gerade10_Raw
  scale <1.0, 1.0, 5.4>
  rotate <-13.83915, 2.957804, -42.083759>
  translate  <-1.08, 0.0, 10.67>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i30" "zwei pinassen.i95"
#declare Seil_gerade11 = object {
  Seil_gerade11_Raw
  scale <1.0, 1.0, 5.4>
  rotate <-6.094561, 13.178464, -61.765831>
  translate  <-1.08, 0.0, 10.67>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i30" "zwei pinassen.i96"
#declare Seil_gerade12 = object {
  Seil_gerade12_Raw
  scale <1.0, 1.0, 1.1>
  rotate <-143.234512, -238.386841, -217.794235>
  translate  <-0.95, 0.04, 10.99>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i30" "zwei pinassen.i97"
#declare Seil_gerade13 = object {
  Seil_gerade13_Raw
  scale <1.0, 1.0, 1.25>
  rotate <-140.231262, -242.512802, -29.73617>
  translate  <-0.89, -0.05, 10.98>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i30" "zwei pinassen.i98"
#declare Seil_gerade14 = object {
  Seil_gerade14_Raw
  scale <1.0, 1.0, 2.0>
  rotate <-134.730957, -244.217972, -24.965971>
  translate  <-1.0, -0.1, 6.24>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i30" "zwei pinassen.i99"
#declare Seil_gerade15 = object {
  Seil_gerade15_Raw
  scale <1.0, 1.0, 1.85>
  rotate <-137.296402, -243.557129, -210.399567>
  translate  <-0.99, 0.08, 6.23>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i30" "zwei pinassen.100"
#declare Seil_gerade16 = object {
  Seil_gerade16_Raw
  scale <1.0, 1.0, 1.85>
  rotate <-137.296402, -243.557129, -210.399567>
  translate  <-0.99, 0.08, 6.23>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i30" "zwei pinassen.101"
#declare Seil_gerade17 = object {
  Seil_gerade17_Raw
  scale <1.0, 1.0, 0.75>
  rotate <-168.351669, -244.324509, -248.375015>
  translate  <-4.49, 0.01, 7.74>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i30" "zwei pinassen.102"
#declare Seil_gerade18 = object {
  Seil_gerade18_Raw
  scale <1.0, 1.0, 0.9>
  rotate <-188.476837, -250.880798, -79.76577>
  translate  <-4.49, 0.01, 7.74>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i30" "zwei pinassen.103"
#declare Seil_gerade19 = object {
  Seil_gerade19_Raw
  scale <1.0, 1.0, 1.3>
  rotate <-188.114822, -251.87381, -79.446449>
  translate  <4.6, -0.02, 9.06>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i30" "zwei pinassen.104"
#declare Seil_gerade20 = object {
  Seil_gerade20_Raw
  scale <1.0, 1.0, 1.1>
  rotate <-149.272995, -244.596558, -224.70108>
  translate  <4.6, -0.02, 9.06>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i30" "zwei pinassen.105"
#declare Seil_gerade21 = object {
  Seil_gerade21_Raw
  scale <1.0, 1.0, 1.75>
  rotate <-148.499039, -244.972122, -224.016281>
  translate  <4.46, 0.01, 5.24>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i30" "zwei pinassen.106"
#declare Seil_gerade22 = object {
  Seil_gerade22_Raw
  scale <1.0, 1.0, 1.95>
  rotate <-171.295105, -251.104904, -63.009392>
  translate  <4.46, 0.01, 5.24>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i30" "zwei pinassen.107"
#declare Seil_gerade23 = object {
  Seil_gerade23_Raw
  scale <1.0, 1.0, 1.1>
  rotate <-118.771507, -140.345093, -139.075806>
  translate  <9.37, -0.01, 2.97>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i30" "zwei pinassen.108"
#declare Seil_gerade24 = object {
  Seil_gerade24_Raw
  scale <1.0, 1.0, 1.1>
  rotate <-117.276649, -142.506729, -4.149591>
  translate  <9.37, -0.01, 2.97>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i30" "zwei pinassen.109"
#declare Seil_gerade25 = object {
  Seil_gerade25_Raw
  scale <1.0, 1.0, 5.0>
  rotate <-21.796848, 10.068346, -41.663822>
  translate  <4.57, 0.0, 8.7>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i30" "zwei pinassen.110"
#declare Seil_gerade26 = object {
  Seil_gerade26_Raw
  scale <1.0, 1.0, 5.0>
  rotate <-13.90681, 20.132978, -60.364971>
  translate  <4.57, 0.0, 8.7>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i30" "zwei pinassen.111"
#declare Seil_gerade27 = object {
  Seil_gerade27_Raw
  scale <1.0, 1.0, 0.3>
  rotate <-131.744247, -134.726852, 12.83582>
  translate  <5.8, -3.17, 4.25>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i30" "zwei pinassen.112"
#declare Seil_gerade28 = object {
  Seil_gerade28_Raw
  scale <1.0, 1.0, 0.2>
  rotate <-126.237045, -161.692139, 259.829651>
  translate  <4.13, 3.05, 4.22>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i30" "zwei pinassen.113"
#declare Seil_gerade29 = object {
  Seil_gerade29_Raw
  scale <1.0, 1.0, 0.3>
  rotate <-147.006927, -138.69371, 325.101715>
  translate  <-1.39, 3.62, 5.36>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i30" "zwei pinassen.114"
#declare Seil_gerade30 = object {
  Seil_gerade30_Raw
  scale <1.0, 1.0, 0.3>
  rotate <-129.711914, -194.702682, 303.003723>
  translate  <0.48, -3.66, 5.36>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i30" "zwei pinassen.115"
#declare Seil_gerade31 = object {
  Seil_gerade31_Raw
  scale <1.0, 1.0, 0.25>
  rotate <-161.742798, -149.138641, 27.792711>
  translate  <-3.36, -2.54, 3.95>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i30" "zwei pinassen.116"
#declare Seil_gerade32 = object {
  Seil_gerade32_Raw
  scale <1.0, 1.0, 0.25>
  rotate <-151.401855, -161.450851, -88.09951>
  translate  <-4.65, 2.31, 3.88>
}
#declare Seil_bogen36_Ref = object {
  NONAME
  scale <1.0, 1.0, 0.95>
  rotate <-13.571664, -47.734131, 174.433685>
  translate  <5.59, -3.64, 3.94>
}
#declare Seil_bogen37_Ref = object {
  NONAME
  scale <1.0, 1.0, 0.78>
  rotate <-10.523951, -34.934052, -131.835968>
  translate  <3.8, 3.29, 3.99>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i30" "zwei pinassen.117"
#declare Seil_gerade33 = object {
  Seil_gerade33_Raw
  scale <1.0, 1.0, 2.5>
  rotate <-7.266936, -70.805977, 7.311865>
  translate  <4.6, 0.02, 4.64>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i30" "zwei pinassen.118"
#declare Seil_gerade34 = object {
  Seil_gerade34_Raw
  scale <1.0, 1.0, 2.6>
  rotate <162.419983, -124.938141, 7.008278>
  translate  <9.31, 0.02, 2.98>
}
#include "<file not contained in ZIP-archive, try zwei.i13>"  "zwei pinassen.i30" "zwei pinassen.119"
#declare Seil_gerade35 = object {
  Seil_gerade35_Raw
  scale <1.0, 1.0, 2.6>
  rotate <175.970688, -122.737099, 18.931799>
  translate  <9.31, 0.02, 2.98>
}
#declare Takelage = union {
  object { Seil_gerade1 }
  object { Seil_gerade2 }
  object { Seil_gerade3 }
  object { Seil_gerade4 }
  object { Seil_gerade5 }
  object { Seil_gerade6 }
  object { Seil_gerade8 }
  object { Seil_gerade7 }
  object { Seil_gerade9 }
  object { Seil_gerade10 }
  object { Seil_gerade11 }
  object { Seil_gerade12 }
  object { Seil_gerade13 }
  object { Seil_gerade14 }
  object { Seil_gerade15 }
  object { Seil_gerade16 }
  object { Seil_gerade17 }
  object { Seil_gerade18 }
  object { Seil_gerade19 }
  object { Seil_gerade20 }
  object { Seil_gerade21 }
  object { Seil_gerade22 }
  object { Seil_gerade23 }
  object { Seil_gerade24 }
  object { Seil_gerade25 }
  object { Seil_gerade26 }
  object { Seil_gerade27 }
  object { Seil_gerade28 }
  object { Seil_gerade29 }
  object { Seil_gerade30 }
  object { Seil_gerade31 }
  object { Seil_gerade32 }
  object { Seil_bogen36_Ref }
  object { Seil_bogen37_Ref }
  object { Seil_gerade33 }
  object { Seil_gerade34 }
  object { Seil_gerade35 }
}
#declare Takelage_b = union {
  object { Seil_bogen18_Ref }
  object { Seil_bogen19_Ref }
  object { Seil_bogen20_Ref }
  object { Seil_bogen21_Ref }
  object { Seil_bogen22_Ref }
  object { Seil_bogen23_Ref }
  object { Seil_bogen24_Ref }
  object { Seil_bogen25_Ref }
  object { Seil_bogen26_Ref }
  object { Seil_bogen27_Ref }
  object { Seil_bogen28_Ref }
  object { Seil_bogen29_Ref }
  object { Seil_bogen30_Ref }
  object { Seil_bogen31_Ref }
  object { Seil_bogen32_Ref }
  object { Seil_bogen33_Ref }
  object { Seil_bogen34_Ref }
  object { Seil_bogen35_Ref }
  object { Takelage }
  material {
    Seiltextur
  }
}
union { // Pinasse1
  object { Rumpf_mit_loch1 }
  object { Decks1 }
  object { Masten1 }
  object { Heck1 }
  object { Bug1 }
  object { Kanonen1 }
  object { Takelage_b }
}


box { // Wasseroberflaehe
  <-1, -1, -1>, <1, 1, 1>
  material {
    ocean_color
  }
  hollow
  scale <1000.0, 1000.0, 100.0>
  translate  <-0.04, 0.17, -101.64>
}




sphere { // Himmel
  <0,0,0>,1
  material {
    Himmelstextur
  }
  hollow
  scale <1000.0, 1000.0, 5000.0>
}


union { // Bugwelle2
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-13.071995, -9.208227, -0.768844>, <-12.143040, -8.838036, -0.768844>, <-11.214084, -8.467844, -0.768844>, <-10.285129, -8.097653, -0.768844>, 
      <-11.570345, -7.993820, 1.102010>, <-10.641860, -7.622451, 1.102010>, <-9.713374, -7.251082, 1.102010>, <-8.784889, -6.879714, 1.102010>, 
      <-11.354594, -5.613045, -0.666332>, <-10.377058, -5.402275, -0.666332>, <-9.399523, -5.191505, -0.666332>, <-8.421987, -4.980735, -0.666332>, 
      <-10.898897, -4.992841, -0.140955>, <-9.916280, -4.809270, -0.140955>, <-8.933664, -4.625699, -0.140955>, <-7.951047, -4.442127, -0.140955>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-10.898897, -4.992841, -0.140955>, <-9.916280, -4.809270, -0.140955>, <-8.933664, -4.625699, -0.140955>, <-7.951047, -4.442127, -0.140955>, 
      <-10.443201, -4.372638, 0.384422>, <-9.455503, -4.216265, 0.384422>, <-8.467804, -4.059892, 0.384422>, <-7.480106, -3.903519, 0.384422>, 
      <-9.779710, -3.076364, -0.948241>, <-8.784662, -2.976975, -0.948241>, <-7.789613, -2.877586, -0.948241>, <-6.794564, -2.778198, -0.948241>, 
      <-9.533954, -2.840794, -0.273116>, <-8.537593, -2.757006, -0.273116>, <-7.541232, -2.673218, -0.273116>, <-6.544872, -2.589431, -0.273116>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-9.533954, -2.840794, -0.273116>, <-8.537593, -2.757006, -0.273116>, <-7.541232, -2.673218, -0.273116>, <-6.544872, -2.589431, -0.273116>, 
      <-9.288197, -2.605224, 0.402010>, <-8.290524, -2.537037, 0.402010>, <-7.292852, -2.468851, 0.402010>, <-6.295179, -2.400664, 0.402010>, 
      <-9.000000, -1.153769, -0.256281>, <-8.000000, -1.153769, -0.256281>, <-7.000000, -1.153769, -0.256281>, <-6.000000, -1.153769, -0.591290>, 
      <-9.000000, -0.153769, -0.256281>, <-8.000000, -0.153769, -0.256281>, <-7.000000, -0.153769, -0.256281>, <-6.000000, -0.153769, -0.591290>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-9.000000, -0.153769, -0.256281>, <-8.000000, -0.153769, -0.256281>, <-7.000000, -0.153769, -0.256281>, <-6.000000, -0.153769, -0.591290>, 
      <-9.000000, 0.846231, -0.256281>, <-8.000000, 0.846231, -0.256281>, <-7.000000, 0.846231, -0.256281>, <-6.000000, 0.846231, -0.591290>, 
      <-9.261859, 2.747569, 0.402010>, <-8.264763, 2.671405, 0.402010>, <-7.267668, 2.595242, 0.402010>, <-6.270573, 2.519078, 0.402010>, 
      <-9.564882, 3.099792, -0.273116>, <-8.569158, 3.008645, -0.273116>, <-7.573434, 2.917499, -0.273116>, <-6.577711, 2.826353, -0.273116>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-9.564882, 3.099792, -0.273116>, <-8.569158, 3.008645, -0.273116>, <-7.573434, 2.917499, -0.273116>, <-6.577711, 2.826353, -0.273116>, 
      <-9.867905, 3.452014, -0.948241>, <-8.873553, 3.345886, -0.948241>, <-7.879201, 3.239757, -0.948241>, <-6.884848, 3.133628, -0.948241>, 
      <-10.356722, 4.236482, 0.410050>, <-9.504514, 4.156185, 0.410050>, <-8.515622, 4.007546, 0.410050>, <-7.526730, 3.858908, 0.410050>, 
      <-11.040343, 4.899843, -0.128141>, <-10.122285, 4.770359, -0.128141>, <-9.135884, 4.606704, -0.128141>, <-8.149484, 4.443048, -0.128141>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-11.040343, 4.899843, -0.128141>, <-10.122285, 4.770359, -0.128141>, <-9.135884, 4.606704, -0.128141>, <-8.149484, 4.443048, -0.128141>, 
      <-11.723964, 5.563205, -0.666332>, <-10.740056, 5.384533, -0.666332>, <-9.756147, 5.205861, -0.666332>, <-8.772238, 5.027189, -0.666332>, 
      <-12.248001, 7.806818, 1.127638>, <-11.297669, 7.495579, 1.127638>, <-10.347337, 7.184340, 1.127638>, <-9.397005, 6.873102, 1.127638>, 
      <-13.700486, 8.868027, -0.768844>, <-12.751791, 8.551836, -0.768844>, <-11.803095, 8.235644, -0.768844>, <-10.854400, 7.919453, -0.768844>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-10.285129, -8.097653, -0.768844>, <-9.356174, -7.727461, -0.768844>, <-8.427218, -7.357269, -0.768844>, <-7.498263, -6.987078, -0.768844>, 
      <-8.784889, -6.879714, 1.102010>, <-7.856403, -6.508345, 1.102010>, <-6.927918, -6.136977, 1.102010>, <-5.999432, -5.765608, 1.102010>, 
      <-8.421987, -4.980735, -0.666332>, <-7.444451, -4.769966, -0.666332>, <-6.466915, -4.559196, -0.666332>, <-5.489380, -4.348426, -0.666332>, 
      <-7.951047, -4.442127, -0.140955>, <-6.968430, -4.258556, -0.140955>, <-5.985813, -4.074985, -0.140955>, <-5.003196, -3.891414, -0.140955>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-7.951047, -4.442127, -0.140955>, <-6.968430, -4.258556, -0.140955>, <-5.985813, -4.074985, -0.140955>, <-5.003196, -3.891414, -0.140955>, 
      <-7.480106, -3.903519, 0.384422>, <-6.492408, -3.747147, 0.384422>, <-5.504710, -3.590774, 0.384422>, <-4.517012, -3.434401, 0.384422>, 
      <-6.794564, -2.778198, -0.948241>, <-5.799515, -2.678809, -0.948241>, <-4.804467, -2.579420, -0.948241>, <-3.809418, -2.480032, -0.948241>, 
      <-6.544872, -2.589431, -0.273116>, <-5.548511, -2.505643, -0.273116>, <-4.552150, -2.421855, -0.273116>, <-3.555790, -2.338068, -0.273116>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-6.544872, -2.589431, -0.273116>, <-5.548511, -2.505643, -0.273116>, <-4.552150, -2.421855, -0.273116>, <-3.555790, -2.338068, -0.273116>, 
      <-6.295179, -2.400664, 0.402010>, <-5.297507, -2.332477, 0.402010>, <-4.299834, -2.264291, 0.402010>, <-3.302162, -2.196104, 0.402010>, 
      <-6.000000, -1.153769, -0.591290>, <-5.000000, -1.153769, -0.926298>, <-4.000000, -1.000000, -0.670017>, <-3.000000, -1.000000, -0.670017>, 
      <-6.000000, -0.153769, -0.591290>, <-5.000000, -0.153769, -0.926298>, <-4.000000, 0.000000, -0.670017>, <-3.000000, 0.000000, -0.670017>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-6.000000, -0.153769, -0.591290>, <-5.000000, -0.153769, -0.926298>, <-4.000000, 0.000000, -0.670017>, <-3.000000, 0.000000, -0.670017>, 
      <-6.000000, 0.846231, -0.591290>, <-5.000000, 0.846231, -0.926298>, <-4.000000, 1.000000, -0.670017>, <-3.000000, 1.000000, -0.670017>, 
      <-6.270573, 2.519078, 0.402010>, <-5.273477, 2.442914, 0.402010>, <-4.276382, 2.366751, 0.402010>, <-3.279287, 2.290587, 0.402010>, 
      <-6.577711, 2.826353, -0.273116>, <-5.581987, 2.735207, -0.273116>, <-4.586263, 2.644061, -0.273116>, <-3.590539, 2.552914, -0.273116>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-6.577711, 2.826353, -0.273116>, <-5.581987, 2.735207, -0.273116>, <-4.586263, 2.644061, -0.273116>, <-3.590539, 2.552914, -0.273116>, 
      <-6.884848, 3.133628, -0.948241>, <-5.890496, 3.027499, -0.948241>, <-4.896143, 2.921371, -0.948241>, <-3.901791, 2.815242, -0.948241>, 
      <-7.526730, 3.858908, 0.410050>, <-6.537839, 3.710269, 0.410050>, <-5.548947, 3.561631, 0.410050>, <-4.560056, 3.412992, 0.410050>, 
      <-8.149484, 4.443048, -0.128141>, <-7.163084, 4.279393, -0.128141>, <-6.176684, 4.115738, -0.128141>, <-5.190284, 3.952083, -0.128141>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-8.149484, 4.443048, -0.128141>, <-7.163084, 4.279393, -0.128141>, <-6.176684, 4.115738, -0.128141>, <-5.190284, 3.952083, -0.128141>, 
      <-8.772238, 5.027189, -0.666332>, <-7.788330, 4.848517, -0.666332>, <-6.804421, 4.669845, -0.666332>, <-5.820512, 4.491173, -0.666332>, 
      <-9.397005, 6.873102, 1.127638>, <-8.446674, 6.561863, 1.127638>, <-7.496342, 6.250624, 1.127638>, <-6.546010, 5.939385, 1.127638>, 
      <-10.854400, 7.919453, -0.768844>, <-9.905704, 7.603261, -0.768844>, <-8.957009, 7.287070, -0.768844>, <-8.008314, 6.970879, -0.768844>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-7.498263, -6.987078, -0.768844>, <-6.569307, -6.616886, -0.768844>, <-5.640352, -6.246695, -0.768844>, <-4.711396, -5.876503, -0.768844>, 
      <-5.999432, -5.765608, 1.102010>, <-5.070947, -5.394239, 1.102010>, <-4.142461, -5.022871, 1.102010>, <-3.213976, -4.702759, 0.743216>, 
      <-5.489380, -4.348426, -0.666332>, <-4.511844, -4.137656, -0.666332>, <-3.534308, -3.926887, -0.666332>, <-2.556773, -3.716117, -0.666332>, 
      <-5.003196, -3.891414, -0.140955>, <-4.020579, -3.707842, -0.140955>, <-3.037962, -3.524271, -0.140955>, <-2.055345, -3.340700, -0.140955>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-5.003196, -3.891414, -0.140955>, <-4.020579, -3.707842, -0.140955>, <-3.037962, -3.524271, -0.140955>, <-2.055345, -3.340700, -0.140955>, 
      <-4.517012, -3.434401, 0.384422>, <-3.529314, -3.278028, 0.384422>, <-2.541616, -3.121655, 0.384422>, <-1.553918, -2.965282, 0.384422>, 
      <-3.809418, -2.480032, -0.948241>, <-2.814369, -2.380643, -0.948241>, <-1.819321, -2.281254, -0.948241>, <-0.824272, -2.181865, -0.948241>, 
      <-3.555790, -2.338068, -0.273116>, <-2.559429, -2.254280, -0.273116>, <-1.563069, -2.170492, -0.273116>, <-0.566708, -2.086705, -0.273116>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-3.555790, -2.338068, -0.273116>, <-2.559429, -2.254280, -0.273116>, <-1.563069, -2.170492, -0.273116>, <-0.566708, -2.086705, -0.273116>, 
      <-3.302162, -2.196104, 0.402010>, <-2.304489, -2.127917, 0.402010>, <-1.306816, -2.059730, 0.402010>, <-0.309144, -1.991544, 0.402010>, 
      <-3.000000, -1.000000, -0.670017>, <-2.000000, -1.000000, -0.670017>, <-1.000000, -1.000000, -0.670017>, <0.000000, -1.000000, -0.670017>, 
      <-3.000000, 0.000000, -0.670017>, <-2.000000, 0.000000, -0.670017>, <-1.000000, 0.000000, -0.670017>, <0.000000, 0.000000, -0.670017>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-3.000000, 0.000000, -0.670017>, <-2.000000, 0.000000, -0.670017>, <-1.000000, 0.000000, -0.670017>, <0.000000, 0.000000, -0.670017>, 
      <-3.000000, 1.000000, -0.670017>, <-2.000000, 1.000000, -0.670017>, <-1.000000, 1.000000, -0.670017>, <0.000000, 1.000000, -0.670017>, 
      <-3.279287, 2.290587, 0.402010>, <-2.282191, 2.214423, 0.402010>, <-1.285096, 2.138259, 0.402010>, <-0.288001, 2.062096, 0.402010>, 
      <-3.590539, 2.552914, -0.273116>, <-2.594815, 2.461768, -0.273116>, <-1.599091, 2.370622, -0.273116>, <-0.603367, 2.279476, -0.273116>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-3.590539, 2.552914, -0.273116>, <-2.594815, 2.461768, -0.273116>, <-1.599091, 2.370622, -0.273116>, <-0.603367, 2.279476, -0.273116>, 
      <-3.901791, 2.815242, -0.948241>, <-2.907439, 2.709113, -0.948241>, <-1.913086, 2.602985, -0.948241>, <-0.918734, 2.496856, -0.948241>, 
      <-4.560056, 3.412992, 0.410050>, <-3.571164, 3.264354, 0.410050>, <-2.582272, 3.115715, 0.410050>, <-1.593381, 2.967077, 0.410050>, 
      <-5.190284, 3.952083, -0.128141>, <-4.203884, 3.788428, -0.128141>, <-3.217484, 3.624772, -0.128141>, <-2.231083, 3.461117, -0.128141>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-5.190284, 3.952083, -0.128141>, <-4.203884, 3.788428, -0.128141>, <-3.217484, 3.624772, -0.128141>, <-2.231083, 3.461117, -0.128141>, 
      <-5.820512, 4.491173, -0.666332>, <-4.836603, 4.312502, -0.666332>, <-3.852695, 4.133830, -0.666332>, <-2.868786, 3.955158, -0.666332>, 
      <-6.546010, 5.939385, 1.127638>, <-5.595678, 5.628147, 1.127638>, <-4.645347, 5.316908, 1.127638>, <-3.695015, 4.954413, 0.768844>, 
      <-8.008314, 6.970879, -0.768844>, <-7.059618, 6.654687, -0.768844>, <-6.110923, 6.338496, -0.768844>, <-5.162227, 6.022305, -0.768844>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-4.711396, -5.876503, -0.768844>, <-3.782441, -5.506312, -0.768844>, <-2.853485, -5.136120, -0.768844>, <-1.924530, -4.765929, -0.768844>, 
      <-3.213976, -4.702759, 0.743216>, <-2.285490, -4.382646, 0.384422>, <-1.357005, -4.011278, 0.384422>, <-0.428519, -3.639909, 0.384422>, 
      <-2.556773, -3.716117, -0.666332>, <-1.579237, -3.505347, -0.666332>, <-0.601701, -3.294577, -0.666332>, <0.375835, -3.083808, -0.666332>, 
      <-2.055345, -3.340700, -0.140955>, <-1.072728, -3.157128, -0.140955>, <-0.090111, -2.973557, -0.140955>, <0.892506, -2.789986, -0.140955>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.055345, -3.340700, -0.140955>, <-1.072728, -3.157128, -0.140955>, <-0.090111, -2.973557, -0.140955>, <0.892506, -2.789986, -0.140955>, 
      <-1.553918, -2.965282, 0.384422>, <-0.566220, -2.808910, 0.384422>, <0.421478, -2.652537, 0.384422>, <1.409177, -2.496164, 0.384422>, 
      <-0.824272, -2.181865, -0.948241>, <0.170777, -2.082477, -0.948241>, <1.165825, -1.983088, -0.948241>, <2.160874, -1.883699, -0.768844>, 
      <-0.566708, -2.086705, -0.273116>, <0.429653, -2.002917, -0.273116>, <1.426013, -1.919129, -0.273116>, <2.422374, -1.835342, -0.183417>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.566708, -2.086705, -0.273116>, <0.429653, -2.002917, -0.273116>, <1.426013, -1.919129, -0.273116>, <2.422374, -1.835342, -0.183417>, 
      <-0.309144, -1.991544, 0.402010>, <0.688529, -1.923357, 0.402010>, <1.686201, -1.855170, 0.402010>, <2.683874, -1.786984, 0.402010>, 
      <0.000000, -1.000000, -0.670017>, <1.000000, -1.000000, -0.670017>, <2.000000, -1.000000, -0.670017>, <3.205025, -0.794975, -0.670017>, 
      <0.000000, 0.000000, -0.670017>, <1.000000, 0.000000, -0.670017>, <2.000000, 0.000000, -0.670017>, <3.222111, -0.017085, -0.670017>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, 0.000000, -0.670017>, <1.000000, 0.000000, -0.670017>, <2.000000, 0.000000, -0.670017>, <3.222111, -0.017085, -0.670017>, 
      <0.000000, 1.000000, -0.670017>, <1.000000, 1.000000, -0.670017>, <2.000000, 1.000000, -0.670017>, <3.239196, 0.760804, -0.670017>, 
      <-0.288001, 2.062096, 0.402010>, <0.709095, 1.985932, 0.402010>, <1.706190, 1.909768, 0.402010>, <2.703285, 1.833605, 0.402010>, 
      <-0.603367, 2.279476, -0.273116>, <0.392357, 2.188330, -0.273116>, <1.388080, 2.097184, -0.273116>, <2.383804, 2.006037, -0.273116>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.603367, 2.279476, -0.273116>, <0.392357, 2.188330, -0.273116>, <1.388080, 2.097184, -0.273116>, <2.383804, 2.006037, -0.273116>, 
      <-0.918734, 2.496856, -0.948241>, <0.075619, 2.390727, -0.948241>, <1.069971, 2.284599, -0.948241>, <2.064323, 2.178470, -0.948241>, 
      <-1.593381, 2.967077, 0.410050>, <-0.604489, 2.818438, 0.410050>, <0.384402, 2.669799, 0.410050>, <1.373294, 2.521161, 0.410050>, 
      <-2.231083, 3.461117, -0.128141>, <-1.244683, 3.297462, -0.128141>, <-0.258283, 3.133807, -0.128141>, <0.728117, 2.970151, -0.128141>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.231083, 3.461117, -0.128141>, <-1.244683, 3.297462, -0.128141>, <-0.258283, 3.133807, -0.128141>, <0.728117, 2.970151, -0.128141>, 
      <-2.868786, 3.955158, -0.666332>, <-1.884877, 3.776486, -0.666332>, <-0.900969, 3.597814, -0.666332>, <0.082940, 3.419142, -0.666332>, 
      <-3.695015, 4.954413, 0.768844>, <-2.744683, 4.591918, 0.410050>, <-1.794351, 4.280679, 0.410050>, <-0.844019, 3.969440, 0.410050>, 
      <-5.162227, 6.022305, -0.768844>, <-4.213532, 5.706113, -0.768844>, <-3.264836, 5.389922, -0.768844>, <-2.316141, 5.073731, -0.768844>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.924530, -4.765929, -0.768844>, <-0.995575, -4.395737, -0.768844>, <-6.305329, -6.993783, 0.973869>, <-5.991374, -6.835297, -0.076884>, 
      <-0.428519, -3.639909, 0.384422>, <0.499966, -3.268540, 0.384422>, <-4.631434, -6.598810, 0.973869>, <-4.347090, -6.391848, -0.076884>, 
      <0.375835, -3.083808, -0.666332>, <1.353370, -2.873038, -0.666332>, <-1.900801, -5.088790, 0.973869>, <-1.582718, -4.934921, -0.076884>, 
      <0.892506, -2.789986, -0.140955>, <1.875123, -2.606415, -0.140955>, <-1.228414, -4.673141, 0.973869>, <-0.914756, -4.512452, -0.076884>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.892506, -2.789986, -0.140955>, <1.875123, -2.606415, -0.140955>, <-1.228414, -4.673141, 0.973869>, <-0.914756, -4.512452, -0.076884>, 
      <1.409177, -2.496164, 0.384422>, <2.396875, -2.339791, 0.384422>, <-0.556027, -4.257493, 0.973869>, <-0.246793, -4.089982, -0.076884>, 
      <2.160874, -1.883699, -0.768844>, <3.155923, -1.784311, -0.589447>, <1.859964, -2.760060, 0.973869>, <2.091905, -2.714149, -0.076884>, 
      <2.422374, -1.835342, -0.183417>, <3.418735, -1.751554, -0.093719>, <2.235687, -2.636117, 0.973869>, <2.509040, -2.534727, -0.076884>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <2.422374, -1.835342, -0.183417>, <3.418735, -1.751554, -0.093719>, <2.235687, -2.636117, 0.973869>, <2.509040, -2.534727, -0.076884>, 
      <2.683874, -1.786984, 0.402010>, <3.681546, -1.718797, 0.402010>, <2.611411, -2.512174, 0.973869>, <2.926176, -2.355306, -0.076884>, 
      <3.205025, -0.794975, -0.670017>, <4.410050, -0.589950, -0.670017>, <5.000000, -1.102513, 0.973869>, <4.704952, -0.992784, -0.076884>, 
      <3.222111, -0.017085, -0.670017>, <4.444221, -0.034171, -0.670017>, <5.000000, -0.102513, 0.973869>, <4.704952, -0.072784, -0.076884>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <3.222111, -0.017085, -0.670017>, <4.444221, -0.034171, -0.670017>, <5.000000, -0.102513, 0.973869>, <4.704952, -0.072784, -0.076884>, 
      <3.239196, 0.760804, -0.670017>, <4.478392, 0.521608, -0.670017>, <5.000000, 0.897487, 0.973869>, <4.704952, 0.847216, -0.076884>, 
      <2.703285, 1.833605, 0.402010>, <3.700380, 1.757441, 0.402010>, <2.065377, 2.891918, 0.973869>, <2.335253, 2.845138, -0.076884>, 
      <2.383804, 2.006037, -0.273116>, <3.379528, 1.914891, -0.273116>, <1.889907, 3.036894, 0.973869>, <2.186894, 2.945230, -0.076884>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <2.383804, 2.006037, -0.273116>, <3.379528, 1.914891, -0.273116>, <1.889907, 3.036894, 0.973869>, <2.186894, 2.945230, -0.076884>, 
      <2.064323, 2.178470, -0.948241>, <3.058676, 2.072341, -0.948241>, <1.714437, 3.181870, 0.973869>, <2.038535, 3.045322, -0.076884>, 
      <1.373294, 2.521161, 0.410050>, <2.362186, 2.372522, 0.410050>, <1.461845, 3.707185, 0.973869>, <1.769955, 3.537617, -0.076884>, 
      <0.728117, 2.970151, -0.128141>, <1.714517, 2.806496, -0.128141>, <0.309562, 4.333350, 0.973869>, <0.612983, 4.155770, -0.076884>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.728117, 2.970151, -0.128141>, <1.714517, 2.806496, -0.128141>, <0.309562, 4.333350, 0.973869>, <0.612983, 4.155770, -0.076884>, 
      <0.082940, 3.419142, -0.666332>, <1.066849, 3.240470, -0.666332>, <-0.842721, 4.959515, 0.973869>, <-0.543989, 4.773923, -0.076884>, 
      <-0.844019, 3.969440, 0.410050>, <0.106312, 3.658202, 0.410050>, <-2.965452, 5.966209, 0.973869>, <-2.643319, 5.825088, -0.076884>, 
      <-2.316141, 5.073731, -0.768844>, <-1.367446, 4.757539, -0.768844>, <-5.723701, 6.716351, 0.973869>, <-5.387135, 6.614331, -0.076884>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-5.991374, -6.835297, -0.076884>, <-5.677420, -6.676812, -1.127638>, <-5.076272, -6.407998, 1.127638>, <-4.153101, -6.023608, -0.205025>, 
      <-4.347090, -6.391848, -0.076884>, <-4.062746, -6.184886, -1.127638>, <-3.512717, -5.822799, 1.127638>, <-2.663472, -5.294800, -0.205025>, 
      <-1.582718, -4.934921, -0.076884>, <-1.264635, -4.781051, -1.127638>, <-0.720281, -4.410487, 1.127638>, <0.120683, -3.869395, -0.205025>, 
      <-0.914756, -4.512452, -0.076884>, <-0.601097, -4.351762, -1.127638>, <-0.032364, -4.023425, 1.127638>, <0.843944, -3.547399, -0.205025>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.914756, -4.512452, -0.076884>, <-0.601097, -4.351762, -1.127638>, <-0.032364, -4.023425, 1.127638>, <0.843944, -3.547399, -0.205025>, 
      <-0.246793, -4.089982, -0.076884>, <0.062440, -3.922472, -1.127638>, <0.655552, -3.636364, 1.127638>, <1.567205, -3.225403, -0.205025>, 
      <2.091905, -2.714149, -0.076884>, <2.323845, -2.668237, -1.127638>, <2.761681, -2.602451, 1.127638>, <3.428908, -2.519574, -0.205025>, 
      <2.509040, -2.534727, -0.076884>, <2.782394, -2.433337, -1.127638>, <3.302573, -2.267586, 1.127638>, <4.098754, -2.036329, -0.205025>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <2.509040, -2.534727, -0.076884>, <2.782394, -2.433337, -1.127638>, <3.302573, -2.267586, 1.127638>, <4.098754, -2.036329, -0.205025>, 
      <2.926176, -2.355306, -0.076884>, <3.240942, -2.198438, -1.127638>, <3.843464, -1.932720, 1.127638>, <4.768600, -1.553084, -0.205025>, 
      <4.704952, -0.992784, -0.076884>, <4.409904, -0.883055, -1.127638>, <4.919068, -0.868704, 1.127638>, <5.692531, -0.868704, -0.205025>, 
      <4.704952, -0.072784, -0.076884>, <4.409904, -0.043055, -1.127638>, <4.919068, -0.028704, 1.127638>, <5.692531, -0.028704, -0.205025>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <4.704952, -0.072784, -0.076884>, <4.409904, -0.043055, -1.127638>, <4.919068, -0.028704, 1.127638>, <5.692531, -0.028704, -0.205025>, 
      <4.704952, 0.847216, -0.076884>, <4.409904, 0.796945, -1.127638>, <4.919068, 0.811296, 1.127638>, <5.692531, 0.811296, -0.205025>, 
      <2.335253, 2.845138, -0.076884>, <2.605129, 2.798359, -1.127638>, <3.102735, 2.678647, 1.127638>, <3.714515, 2.230887, -0.205025>, 
      <2.186894, 2.945230, -0.076884>, <2.483881, 2.853566, -1.127638>, <3.029770, 2.651760, 1.127638>, <3.781062, 2.200687, -0.205025>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <2.186894, 2.945230, -0.076884>, <2.483881, 2.853566, -1.127638>, <3.029770, 2.651760, 1.127638>, <3.781062, 2.200687, -0.205025>, 
      <2.038535, 3.045322, -0.076884>, <2.362633, 2.908773, -1.127638>, <2.956806, 2.624874, 1.127638>, <3.847610, 2.170486, -0.205025>, 
      <1.769955, 3.537617, -0.076884>, <2.078064, 3.368049, -1.127638>, <2.639429, 3.023796, 1.127638>, <4.233555, 1.579106, -0.205025>, 
      <0.612983, 4.155770, -0.076884>, <0.916403, 3.978190, -1.127638>, <1.468293, 3.619365, 1.127638>, <2.669710, 2.602914, -0.205025>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.612983, 4.155770, -0.076884>, <0.916403, 3.978190, -1.127638>, <1.468293, 3.619365, 1.127638>, <2.669710, 2.602914, -0.205025>, 
      <-0.543989, 4.773923, -0.076884>, <-0.245258, 4.588331, -1.127638>, <0.297157, 4.214934, 1.127638>, <1.105864, 3.626722, -0.205025>, 
      <-2.643319, 5.825088, -0.076884>, <-2.321185, 5.683967, -1.127638>, <-1.731090, 5.391688, 1.127638>, <-0.846805, 4.924740, -0.205025>, 
      <-5.387135, 6.614331, -0.076884>, <-5.050568, 6.512311, -1.127638>, <-4.430039, 6.291897, 1.127638>, <-3.496721, 5.932845, -0.205025>
    }
  }
  material {
    ocean_color_Bug
  }
  scale <1.3, 1.0, 0.6>
  rotate 50.0*z
  translate  <6.65, -16.35, -1.4>
}


